(defconst liquidsoap-completions '(
#("!=" 0 1 (:type "('a, 'a) -> bool where 'a is an orderable type" :description "Comparison of comparable values."))
#("%" 0 1 (:type "(string, [string * string]) -> string" :description "`pattern % [...,(k,v),...]` changes in the pattern occurrences of:\n\n- `$(k)` into `v`\n- `$(if $(k2),\"a\",\"b\") into \"a\" if k2 is found in the list, \"b\" otherwise."))
#("*" 0 1 (:type "('a, 'a) -> 'a where 'a is a number type" :description "Multiplication of numbers."))
#("+" 0 1 (:type "('a, 'a) -> 'a where 'a is a number type" :description "Addition of numbers."))
#("-" 0 1 (:type "('a, 'a) -> 'a where 'a is a number type" :description "Subtraction  of numbers."))
#("/" 0 1 (:type "('a, 'a) -> 'a where 'a is a number type" :description "Division of numbers."))
#("<" 0 1 (:type "('a, 'a) -> bool where 'a is an orderable type" :description "Comparison of comparable values."))
#("<=" 0 1 (:type "('a, 'a) -> bool where 'a is an orderable type" :description "Comparison of comparable values."))
#("==" 0 1 (:type "('a, 'a) -> bool where 'a is an orderable type" :description "Comparison of comparable values."))
#(">" 0 1 (:type "('a, 'a) -> bool where 'a is an orderable type" :description "Comparison of comparable values."))
#(">=" 0 1 (:type "('a, 'a) -> bool where 'a is an orderable type" :description "Comparison of comparable values."))
#("^" 0 1 (:type "(string, string) -> string" :description "Concatenate strings."))
#("_::_" 0 1 (:type "('a, ['a]) -> ['a]" :description "Add an element at the top of a list."))
#("_[_]" 0 1 (:type "(['a * string], 'a) -> string where 'a is an orderable type" :description "l[k] returns the first v such that (k,v) is in the list l (or \"\" if no such v exists)."))
#("abs" 0 1 (:type "('a) -> 'a where 'a is a number type" :description "Absolute value."))
#("accelerate" 0 1 (:type "(?id : string?, ?randomize : {float}, ?ratio : {float}, source('a)) -> source('a)" :description "Accelerate a stream by dropping frames. This is useful for testing scripts."))
#("acos" 0 1 (:type "(float) -> float" :description "Arc cosine. The argument must fall within the range [-1.0, 1.0]. Result is in radians and is between 0.0 and pi."))
#("add" 0 1 (:type "(?id : string?, ?normalize : {bool}, ?power : {bool}, ?weights : [{float}],  [source('a)]) -> source('a) where 'a is a set of internal tracks" :description "Mix sources, with optional normalization. Only relay metadata from the first available source. Track marks are dropped from all sources."))
#("add_skip_command" 0 1 (:type "(source('b).{skip : () -> 'a}) -> unit" :description "Add a skip telnet command to a source when it does not have one by default."))
#("amplify" 0 1 (:type "(?id : string?, ?override : string?, {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Multiply the amplitude of the signal."))
#("and" 0 1 (:type "({bool}, {bool}) -> bool" :description "Return the conjunction of its arguments"))
#("append" 0 1 (:type "(?id : string?, ?insert_missing : bool, ?merge : bool, source('a),  (([string * string]) -> source('a))) -> source('a)" :description "Append an extra track to every track. Set the metadata 'liq_append' to 'false' to inhibit appending on one track."))
#("argv" 0 1 (:type "(?default : string, int) -> string" :description "Get command-line parameters. The parameters are numbered starting from 1, the zeroth parameter being the script name."))
#("asin" 0 1 (:type "(float) -> float" :description "Arc sine. The argument must fall within the range [-1.0, 1.0]. Result is in radians and is between -pi/2 and pi/2."))
#("assert" 0 1 (:type "(bool) -> unit" :description "Ensure that a condition is satisfied (raise `error.assertion` exception otherwise)."))
#("atan" 0 1 (:type "(float) -> float" :description "Arc tangent. Result is in radians and is between -pi/2 and pi/2."))
#("audio.channels" 0 1 (:type "() -> int" :description "Channels for audio."))
#("audio.decode.pcm_f32" 0 1 (:type "(?id : string?, source(audio=pcm_f32('a), 'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Decode audio track to pcm_f32"))
#("audio.decode.pcm_s16" 0 1 (:type "(?id : string?, source(audio=pcm_s16('a), 'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Decode audio track to pcm_s16"))
#("audio.encode.pcm_f32" 0 1 (:type "(?id : string?, source(audio=pcm('a), 'b)) -> source(audio=pcm_f32('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Encode audio track to pcm_f32"))
#("audio.encode.pcm_s16" 0 1 (:type "(?id : string?, source(audio=pcm('a), 'b)) -> source(audio=pcm_s16('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Encode audio track to pcm_s16"))
#("audio.samplerate" 0 1 (:type "() -> int" :description "Samplerate for audio."))
#("bass_boost" 0 1 (:type "(?frequency : {float}, ?gain : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b) where   'b is a set of tracks to be muxed into a source and a set of internal tracks" :description "Add some bass to the sound."))
#("blank" 0 1 (:type "(?id : string?, ?duration : {float}) -> source('a) where 'a is a set of internal tracks" :description "Produce silence and blank images."))
#("blank.detect" 0 1 (:type "(?id : string?, ?max_blank : {float}, ?min_noise : {float},  ?on_noise : (() -> unit), ?start_blank : bool, ?threshold : {float},  ?track_sensitive : {bool}, (() -> unit), source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Calls a given handler when detecting a blank."))
#("blank.eat" 0 1 (:type "(?id : string?, ?at_beginning : bool, ?max_blank : {float},  ?min_noise : {float}, ?start_blank : bool, ?threshold : {float},  ?track_sensitive : {bool}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Eat blanks, i.e., drop the contents of the stream until it is not blank anymore."))
#("blank.skip" 0 1 (:type "(?id : string?, ?threshold : float, ?max_blank : float, ?min_noise : float,  ?track_sensitive : bool, source(audio=pcm('a), 'b).{skip : () -> unit}) -> source(audio=pcm('a), 'b)" :description "Skip track when detecting a blank."))
#("blank.strip" 0 1 (:type "(?id : string?, ?max_blank : {float}, ?min_noise : {float},  ?start_blank : bool, ?threshold : {float}, ?track_sensitive : {bool},  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Make the source unavailable when it is streaming blank."))
#("bool_of_float" 0 1 (:type "(float) -> bool" :description "Convert a float to a bool."))
#("bool_of_int" 0 1 (:type "(int) -> bool" :description "Convert an int to a bool."))
#("bool_of_string" 0 1 (:type "(string, ?default : bool?) -> bool" :description "Convert a string to a bool. Raises `error.failure(\"a string to a bool\")` if conversion fails and default is `null`"))
#("bpm" 0 1 (:type "(?id : string?, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Detect the BPM (number of beats per minute). The returned source has a method `bpm`, which can be called to compute it."))
#("buffer" 0 1 (:type "(?id : string?, ?buffer : float, ?fallible : bool, ?max : float,  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?register_telnet : bool,  ?start : bool, source('a)) -> source('a)" :description "Create a buffer between two different clocks."))
#("buffer.adaptative" 0 1 (:type "(?id : string?, ?averaging : float, ?buffer : float, ?fallible : bool,  ?limit : float, ?max : float, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?register_telnet : bool, ?resample : bool,  ?reset : bool, ?start : bool, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Create a buffer between two different clocks. The speed of the output is adapted so that no buffer underrun or overrun occurs. This wonderful behavior has a cost: the pitch of the sound might be changed a little."))
#("chop" 0 1 (:type "(?every : {float}, ?metadata : {[string * string]}, source('a)) -> source('a)" :description "Regularly insert track boundaries in a stream (useful for testing tracks)."))
#("clip" 0 1 (:type "(?id : string?, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Clip samples, i.e. ensure that all values are between `-1` and `1`: values lower than `-1` become `-1` and values higher than `1` become `1`. `nan` values become `0`."))
#("clock" 0 1 (:type "(?sync : string, ?id : string?, source('a)) -> source('a)" :description "Assign a new clock to the given source (and to other time-dependent sources) and return the source. It is a conveniency wrapper around clock.assign_new(), allowing more concise scripts in some cases."))
#("clock.assign_new" 0 1 (:type "(?id : string?,  ?on_error : ((error                .{                  kind : string,                  message : string,                  trace : [                           {                             position_end :                              {                               character_offset : int,                               filename : string,                               line_number : int                             },                             position_start :                              {                               character_offset : int,                               filename : string,                               line_number : int                             },                             to_string : (?prefix : string) -> string                           }]                }) -> unit)?,  ?sync : string, [source('a)]) -> unit" :description "Create a new clock and assign it to a list of sources."))
#("clock.log" 0 1 (:type "(?delay : float, ?every : float, string) -> unit" :description "Create a log of clock times for all the clocks initially present. The log is in a simple format which you can directly use with gnuplot."))
#("clock.status" 0 1 (:type "() -> [string * int]" :description "Get the current time (in clock ticks) for all allocated clocks."))
#("clock.status.seconds" 0 1 (:type "() -> [string * float]" :description "Get the current time in seconds for all allocated clocks."))
#("clock.unify" 0 1 (:type "([source('a)]) -> unit" :description "Enforce that a list of sources all belong to the same clock."))
#("comb" 0 1 (:type "(?id : string?, ?delay : float, ?feedback : {float}, source(audio=pcm('a),  'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Comb filter"))
#("compand" 0 1 (:type "(?id : string?, ?mu : float, source(audio=source(pcm('a)), 'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Compand the signal."))
#("compress" 0 1 (:type "(?id : string?, ?attack : {float}, ?release : {float}, ?lookahead : {float},  ?threshold : {float}, ?track_sensitive : bool, ?knee : {float},  ?pre_gain : {float}, ?gain : {float}, ?ratio : {float}, ?window : {float},  ?wet : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a) .{gain? : never, rms? : never}, 'b) where 'b is a set of tracks to be muxed into a source" :description "Compress the signal."))
#("compress.exponential" 0 1 (:type "(?id : string?, ?mu : float, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Exponential compressor."))
#("compress.multiband" 0 1 (:type "(?limit : bool, ?wet : {float}, source(audio=pcm('a), 'b),  [   {     attack : {float},     frequency : {float},     gain : {float},     ratio : {float},     release : {float},     threshold : {float}   }]) -> source(audio=pcm('a).{gain? : never, rms? : never}, 'b) where   'b is a set of tracks to be muxed into a source and a set of internal tracks" :description "Multiband compression. The list in argument specifies\n- the `frequency` below which we should apply compression (it is above previous band)\n- the `attack` time (ms)\n- the `release` time (ms)\n- the compression `ratio`\n- the `threshold` for compression\n- the `gain` for the band"))
#("compress.multiband.interactive" 0 1 (:type "(?id : string?, ?bands : int, source(audio=pcm('a), 'b)) -> source(audio=pcm('a).{gain? : never, rms? : never}, 'b) where   'b is a set of tracks to be muxed into a source and a set of internal tracks" :description "Create a multiband compressor whose parameters are interactive variables."))
#("configure.bindir" 0 1 (:type "string" :description "Liquidsoap's Internal script directory."))
#("configure.default_font" 0 1 (:type "string" :description "Liquidsoap's default font file."))
#("configure.libdir" 0 1 (:type "string" :description "Liquidsoap's library directory."))
#("configure.logdir" 0 1 (:type "string" :description "Liquidsoap's logging directory."))
#("configure.rundir" 0 1 (:type "string" :description "Liquidsoap's PID file directory."))
#("cos" 0 1 (:type "(float) -> float" :description "Cosine. Argument is in radians."))
#("cosh" 0 1 (:type "(float) -> float" :description "Hyperbolic cosine. Argument is in radians."))
#("cross" 0 1 (:type "(?id : string?, ?conservative : bool, ?duration : {float}, ?minimum : float,  ?override_duration : string, ?persist_override : bool, ?width : float,  ((    {      db_level : float,      metadata : [string * string],      source : source(audio=pcm('a),      'b)    },     {      db_level : float,      metadata : [string * string],      source : source(audio=pcm('a),      'b)    }) -> source(audio=pcm('a), 'b)),  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Cross operator, allowing the composition of the _n_ last seconds of a track with the beginning of the next track, using a transition function depending on the relative power of the signal before and after the end of track."))
#("cross.plot" 0 1 (:type "(?png : 'a?, ?dir : string?, source(audio=pcm('b), 'c)) -> source(audio=pcm('b), 'c) where   'c is a set of tracks to be muxed into a source and a set of internal tracks" :description "Plot the first crossfade transition. Used for visualizing and testing crossfade transitions."))
#("cross.simple" 0 1 (:type "(?fade_in : float, ?fade_out : float,  ?initial_fade_in_metadata : [string * string],  ?initial_fade_out_metadata : [string * string], source(audio=pcm('a), 'b),  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b) where   'b is a set of tracks to be muxed into a source and a set of internal tracks" :description "Simple transition for crossfade"))
#("cross.smart" 0 1 (:type "(?log : ((string) -> unit), ?fade_in : float, ?fade_out : float,  ?default : ((source(audio=pcm('a), 'b), source(audio=pcm('a), 'b)) ->              source(audio=pcm('a), 'b)),  ?high : float, ?medium : float, ?margin : float, 'c  .{    db_level : float,    metadata : [string * string],    source : source(audio=pcm('a),    'b)  }, 'd  .{    db_level : float,    metadata : [string * string],    source : source(audio=pcm('a),    'b)  }) -> source(audio=pcm('a), 'b) where   'b is a set of tracks to be muxed into a source and a set of internal tracks" :description "Smart transition for crossfade"))
#("crossfade" 0 1 (:type "(?id : string?, ?duration : float, ?override_duration : string,  ?persist_override : bool, ?fade_in : float, ?fade_out : float,  ?smart : bool,  ?default : ((source(audio=pcm('a), 'b), source(audio=pcm('a), 'b)) ->              source(audio=pcm('a), 'b)),  ?high : float, ?medium : float, ?margin : float, ?deduplicate : bool,  ?minimum : float, ?width : float, ?conservative : bool,  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b) where   'b is a set of tracks to be muxed into a source and a set of internal tracks" :description "Crossfade between tracks, taking the respective volume levels into account in the choice of the transition."))
#("dB_of_lin" 0 1 (:type "(float) -> float" :description "Convert linear scale into decibels."))
#("decoder.add" 0 1 (:type "(name : string, description : string, ?mimes : [string],  ?file_extensions : [string], ?priority : int, test : ((string) -> int),  string) -> unit" :description "Register an external decoder. The encoder should output in WAV format to his standard output (stdout) and read data from its standard input (stdin)."))
#("decoder.metadata.add" 0 1 (:type "(string, ((metadata : [string * string], string) -> [string * string])) -> unit" :description "Register an external file metadata decoder."))
#("decoder.oblivious.add" 0 1 (:type "(name : string, description : string, test : ((string) -> int),  ?priority : int, ?mimes : [string], ?file_extensions : [string],  ?buffer : float, ((string) -> string)) -> unit" :description "Register an external file decoder. The encoder should output in WAV format to his standard output (stdout) and read data from the file it receives. The estimated remaining duration for this decoder will be unknown until the `buffer` last seconds of the file. If possible, it is recommended to decode from stdin and use `decoder.add`."))
#("delay" 0 1 (:type "(?id : string?, ?initial : bool, {float}, source('a)) -> source('a)" :description "Make the source unavailable for a given time between tracks."))
#("delay_line" 0 1 (:type "(?id : string?, {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Delay the audio signal by a given amount of time."))
#("dry_wet" 0 1 (:type "(?power : bool, {float}, source('a), source('a)) -> source('a) where 'a is a set of internal tracks" :description "Mix between dry and wet sources. Useful for testing effects. Typically:\n```\nc = interactive.float(\"wetness\", min=0., max=1., 1.)\ns = dry_wet(c, s, effect(s))\n```\nand vary `c` to hear the difference between the source without and with the effect."))
#("dssi.register" 0 1 (:type "(string) -> unit" :description "Register a DSSI plugin."))
#("dtmf" 0 1 (:type "(?duration : float, ?delay : float, string) -> source(audio='a) where   'a is a track of type: pcm, pcm_s16 or pcm_f32 and a track of type: pcm, pcm_s16, pcm_f32, canvas, metadata or track_marks" :description "Generate DTMF tones."))
#("dtmf.detect" 0 1 (:type "(?id : string?, ?bands : int, ?debug : {bool}, ?duration : {float},  ?smoothing : {float}, ?threshold : {float}, source(audio=pcm('a), 'b),  ((string) -> unit)) -> source(audio=pcm('a), 'b)" :description "Detect DTMF tones."))
#("echo" 0 1 (:type "(?id : string?, ?delay : {float}, ?feedback : {float}, ?ping_pong : bool,  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Add echo."))
#("enable_external_faad_decoder" 0 1 (:type "() -> unit" :description "Enable or disable external FAAD (AAC/AAC+/M4A) decoders. Does not work on Win32. Please note that built-in support for faad is available in liquidsoap if compiled and should be preferred over the external decoder."))
#("enable_external_ffmpeg_decoder" 0 1 (:type "() -> unit" :description "Enable ffmpeg decoder."))
#("enable_external_flac_decoder" 0 1 (:type "() -> unit" :description "Enable external FLAC decoders. Please note that built-in support for FLAC is available in liquidsoap if compiled and should be preferred over the external decoder."))
#("enable_external_mpc_decoder" 0 1 (:type "() -> unit" :description "Enable external Musepack decoder."))
#("enable_replaygain_metadata" 0 1 (:type "(?ratio : float) -> unit" :description "Enable ReplayGain metadata resolver. This resolver will process any file decoded by Liquidsoap and add a `replaygain_track_gain` metadata when this value could be computed. For a finer-grained replay gain processing, use the `replaygain:` protocol."))
#("encoder.content_type" 0 1 (:type "(format('a)) -> string" :description "Return the content-type (mime) of an encoder, if known."))
#("encoder.extension" 0 1 (:type "(format('a)) -> string" :description "Return the file extension of an encoder, if known."))
#("environment" 0 1 (:type "() -> [string * string]" :description "Return the process environment."))
#("environment.get" 0 1 (:type "(?default : string, string) -> string" :description "Get the value of an environment variable. Returns `default` if the variable is not set."))
#("environment.set" 0 1 (:type "(string, string) -> unit" :description "Set the value associated to a variable in the process environment."))
#("error.on_error" 0 1 (:type "(((error    .{      kind : string,      message : string,      trace : [               {                 position_end :                  {character_offset : int, filename : string, line_number : int                 },                 position_start :                  {character_offset : int, filename : string, line_number : int                 },                 to_string : (?prefix : string) -> string               }]    }) -> unit)) -> unit" :description "Register a callback to monitor errors raised during the execution of the program. The callback is allow to re-raise a different error if needed."))
#("error.raise" 0 1 (:type "(error, ?string) -> 'a" :description "Raise an error."))
#("error.register" 0 1 (:type "(string) -> error" :description "Register an error of the given kind"))
#("exe_ext" 0 1 (:type "string" :description "Executable file extension."))
#("exit" 0 1 (:type "(int) -> unit" :description "Immediately stop the application. This should only be used in extreme cases or to specify an exit value. The recommended way of stopping Liquidsoap is to use shutdown."))
#("exp" 0 1 (:type "(float) -> float" :description "Exponential."))
#("fade.in" 0 1 (:type "(?id : string, ?duration : float, ?delay : float, ?curve : float?,  ?override_duration : string, ?override_type : string,  ?override_curve : string, ?override_delay : string,  ?persist_overrides : bool, ?track_sensitive : bool,  ?initial_metadata : [string * string], ?type : string, source(audio=pcm('a),  'b)) -> source(audio=pcm('a), 'b) where   'b is a set of tracks to be muxed into a source and a set of internal tracks" :description "Fade the beginning of tracks."))
#("fade.out" 0 1 (:type "(?id : string, ?duration : float, ?delay : float, ?curve : float?,  ?override_duration : string, ?override_type : string,  ?override_curve : string, ?override_delay : string,  ?persist_overrides : bool, ?track_sensitive : bool,  ?initial_metadata : [string * string], ?type : string, source(audio=pcm('a),  'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Fade the end of tracks."))
#("fade.skip" 0 1 (:type "(?id : string, ?duration : float, ?curve : float?,  ?override_duration : string, ?override_type : string,  ?override_curve : string, ?persist_overrides : bool,  ?override_skip : string, ?initial_metadata : [string * string],  ?type : string, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Fade when the metadata trigger is received and then skip."))
#("failwith" 0 1 (:type "(string) -> 'a" :description "Major failure."))
#("fallback" 0 1 (:type "(?id : string?, ?override : string, ?replay_metadata : bool,  ?track_sensitive : bool, ?transition_length : float,  ?transitions : [(source('a), source('a)) -> source('a)], [source('a)]) -> source('a)" :description "At the beginning of each track, select the first ready child."))
#("fallback.skip" 0 1 (:type "(source('a), ?fallback : source('a)?) -> source('a) where 'a is a set of internal tracks" :description "Special track insensitive fallback that always skips current song before switching."))
#("ffmpeg.decode.audio" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=pcm('c))" :description "Decode a source's audio content"))
#("ffmpeg.decode.audio_video" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('b), video=ffmpeg.copy('a))) -> source(audio=pcm('c), video=canvas('d))" :description "Decode a source's audio and video content"))
#("ffmpeg.decode.video" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=canvas('c))" :description "Decode a source's video content"))
#("ffmpeg.encode.audio" 0 1 (:type "(?id : string?, format(audio=pcm('a), 'b), source(audio=pcm('a), 'c)) -> source(audio=ffmpeg.copy('d))" :description "Encode a source's audio content"))
#("ffmpeg.encode.audio_video" 0 1 (:type "(?id : string?, format(audio=pcm('a), video=canvas('b), 'c),  source(audio=pcm('a), video=canvas('b))) -> source(audio=ffmpeg.copy('d), video=ffmpeg.copy('e))" :description "Encode a source's audio and video content"))
#("ffmpeg.encode.video" 0 1 (:type "(?id : string?, format(video=canvas('a), 'b), source(video=canvas('a), 'c)) -> source(video=ffmpeg.copy('d))" :description "Encode a source's video content"))
#("ffmpeg.filter.a3dscope" 0 1 (:type "(?rate : string?, ?r : string?, ?size : string?, ?s : string?, ?fov : float?,  ?roll : float?, ?pitch : float?, ?yaw : float?, ?xzoom : float?,  ?yzoom : float?, ?zzoom : float?, ?xpos : float?, ?ypos : float?,  ?zpos : float?, ?length : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to 3d scope video output."))
#("ffmpeg.filter.a3dscope.create" 0 1 (:type "(?rate : string?, ?r : string?, ?size : string?, ?s : string?, ?fov : float?,  ?roll : float?, ?pitch : float?, ?yaw : float?, ?xzoom : float?,  ?yzoom : float?, ?zzoom : float?, ?xpos : float?, ?ypos : float?,  ?zpos : float?, ?length : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to 3d scope video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.abench" 0 1 (:type "(?action : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Benchmark part of a filtergraph."))
#("ffmpeg.filter.abench.create" 0 1 (:type "(?action : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Benchmark part of a filtergraph.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.abitscope" 0 1 (:type "(?rate : string?, ?r : string?, ?size : string?, ?s : string?,  ?colors : string?, ?mode : int?, ?m : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to audio bit scope video output."))
#("ffmpeg.filter.abitscope.create" 0 1 (:type "(?rate : string?, ?r : string?, ?size : string?, ?s : string?,  ?colors : string?, ?mode : int?, ?m : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to audio bit scope video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.acompressor" 0 1 (:type "(?level_in : float?, ?mode : int?, ?threshold : float?, ?ratio : float?,  ?attack : float?, ?release : float?, ?makeup : float?, ?knee : float?,  ?link : int?, ?detection : int?, ?level_sc : float?, ?mix : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio compressor."))
#("ffmpeg.filter.acompressor.create" 0 1 (:type "(?level_in : float?, ?mode : int?, ?threshold : float?, ?ratio : float?,  ?attack : float?, ?release : float?, ?makeup : float?, ?knee : float?,  ?link : int?, ?detection : int?, ?level_sc : float?, ?mix : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio compressor.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.acontrast" 0 1 (:type "(?contrast : float?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Simple audio dynamic range compression/expansion filter."))
#("ffmpeg.filter.acontrast.create" 0 1 (:type "(?contrast : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Simple audio dynamic range compression/expansion filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.acopy" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Copy the input audio unchanged to the output."))
#("ffmpeg.filter.acopy.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Copy the input audio unchanged to the output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.acrossfade" 0 1 (:type "(?nb_samples : int?, ?ns : int?, ?duration : int?, ?d : int?,  ?overlap : bool?, ?o : bool?, ?curve1 : int?, ?c1 : int?, ?curve2 : int?,  ?c2 : int?, ffmpeg.filter.graph, ffmpeg.filter.audio, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Cross fade two input audio streams."))
#("ffmpeg.filter.acrossfade.create" 0 1 (:type "(?nb_samples : int?, ?ns : int?, ?duration : int?, ?d : int?,  ?overlap : bool?, ?o : bool?, ?curve1 : int?, ?c1 : int?, ?curve2 : int?,  ?c2 : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Cross fade two input audio streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.acrossover" 0 1 (:type "(?split : string?, ?order : int?, ?level : float?, ?gain : string?,  ?precision : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Split audio into per-bands streams. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.acrossover.create" 0 1 (:type "(?split : string?, ?order : int?, ?level : float?, ?gain : string?,  ?precision : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Split audio into per-bands streams. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.acrusher" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?bits : float?, ?mix : float?,  ?mode : int?, ?dc : float?, ?aa : float?, ?samples : float?, ?lfo : bool?,  ?lforange : float?, ?lforate : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Reduce audio bit resolution."))
#("ffmpeg.filter.acrusher.create" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?bits : float?, ?mix : float?,  ?mode : int?, ?dc : float?, ?aa : float?, ?samples : float?, ?lfo : bool?,  ?lforange : float?, ?lforate : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Reduce audio bit resolution.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.acue" 0 1 (:type "(?cue : int?, ?preroll : int?, ?buffer : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Delay filtering to match a cue."))
#("ffmpeg.filter.acue.create" 0 1 (:type "(?cue : int?, ?preroll : int?, ?buffer : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Delay filtering to match a cue.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.addroi" 0 1 (:type "(?x : string?, ?y : string?, ?w : string?, ?h : string?, ?qoffset : string?,  ?clear : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Add region of interest to frame."))
#("ffmpeg.filter.addroi.create" 0 1 (:type "(?x : string?, ?y : string?, ?w : string?, ?h : string?, ?qoffset : string?,  ?clear : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Add region of interest to frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.adeclick" 0 1 (:type "(?window : float?, ?w : float?, ?overlap : float?, ?o : float?,  ?arorder : float?, ?a : float?, ?threshold : float?, ?t : float?,  ?burst : float?, ?b : float?, ?method : int?, ?m : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Remove impulsive noise from input audio."))
#("ffmpeg.filter.adeclick.create" 0 1 (:type "(?window : float?, ?w : float?, ?overlap : float?, ?o : float?,  ?arorder : float?, ?a : float?, ?threshold : float?, ?t : float?,  ?burst : float?, ?b : float?, ?method : int?, ?m : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remove impulsive noise from input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.adeclip" 0 1 (:type "(?window : float?, ?w : float?, ?overlap : float?, ?o : float?,  ?arorder : float?, ?a : float?, ?threshold : float?, ?t : float?,  ?hsize : int?, ?n : int?, ?method : int?, ?m : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Remove clipping from input audio."))
#("ffmpeg.filter.adeclip.create" 0 1 (:type "(?window : float?, ?w : float?, ?overlap : float?, ?o : float?,  ?arorder : float?, ?a : float?, ?threshold : float?, ?t : float?,  ?hsize : int?, ?n : int?, ?method : int?, ?m : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remove clipping from input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.adecorrelate" 0 1 (:type "(?stages : int?, ?seed : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply decorrelation to input audio."))
#("ffmpeg.filter.adecorrelate.create" 0 1 (:type "(?stages : int?, ?seed : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply decorrelation to input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.adelay" 0 1 (:type "(?delays : string?, ?all : bool?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Delay one or more audio channels."))
#("ffmpeg.filter.adelay.create" 0 1 (:type "(?delays : string?, ?all : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Delay one or more audio channels.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.adenorm" 0 1 (:type "(?level : float?, ?type : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Remedy denormals by adding extremely low-level noise."))
#("ffmpeg.filter.adenorm.create" 0 1 (:type "(?level : float?, ?type : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remedy denormals by adding extremely low-level noise.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aderivative" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Compute derivative of input audio."))
#("ffmpeg.filter.aderivative.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compute derivative of input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.adrawgraph" 0 1 (:type "(?m1 : string?, ?fg1 : string?, ?m2 : string?, ?fg2 : string?, ?m3 : string?,  ?fg3 : string?, ?m4 : string?, ?fg4 : string?, ?bg : string?, ?min : float?,  ?max : float?, ?mode : int?, ?slide : int?, ?size : string?, ?s : string?,  ?rate : string?, ?r : string?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Draw a graph using input audio metadata."))
#("ffmpeg.filter.adrawgraph.create" 0 1 (:type "(?m1 : string?, ?fg1 : string?, ?m2 : string?, ?fg2 : string?, ?m3 : string?,  ?fg3 : string?, ?m4 : string?, ?fg4 : string?, ?bg : string?, ?min : float?,  ?max : float?, ?mode : int?, ?slide : int?, ?size : string?, ?s : string?,  ?rate : string?, ?r : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Draw a graph using input audio metadata.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.adrc" 0 1 (:type "(?transfer : string?, ?attack : float?, ?release : float?,  ?channels : string?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio Spectral Dynamic Range Controller."))
#("ffmpeg.filter.adrc.create" 0 1 (:type "(?transfer : string?, ?attack : float?, ?release : float?,  ?channels : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio Spectral Dynamic Range Controller.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.adynamicequalizer" 0 1 (:type "(?threshold : float?, ?dfrequency : float?, ?dqfactor : float?,  ?tfrequency : float?, ?tqfactor : float?, ?attack : float?,  ?release : float?, ?ratio : float?, ?makeup : float?, ?range : float?,  ?mode : int?, ?dftype : int?, ?tftype : int?, ?direction : int?,  ?auto : int?, ?precision : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply Dynamic Equalization of input audio."))
#("ffmpeg.filter.adynamicequalizer.create" 0 1 (:type "(?threshold : float?, ?dfrequency : float?, ?dqfactor : float?,  ?tfrequency : float?, ?tqfactor : float?, ?attack : float?,  ?release : float?, ?ratio : float?, ?makeup : float?, ?range : float?,  ?mode : int?, ?dftype : int?, ?tftype : int?, ?direction : int?,  ?auto : int?, ?precision : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Dynamic Equalization of input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.adynamicsmooth" 0 1 (:type "(?sensitivity : float?, ?basefreq : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply Dynamic Smoothing of input audio."))
#("ffmpeg.filter.adynamicsmooth.create" 0 1 (:type "(?sensitivity : float?, ?basefreq : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Dynamic Smoothing of input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aecho" 0 1 (:type "(?in_gain : float?, ?out_gain : float?, ?delays : string?, ?decays : string?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Add echoing to the audio."))
#("ffmpeg.filter.aecho.create" 0 1 (:type "(?in_gain : float?, ?out_gain : float?, ?delays : string?, ?decays : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Add echoing to the audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aemphasis" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?mode : int?, ?type : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio emphasis."))
#("ffmpeg.filter.aemphasis.create" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?mode : int?, ?type : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio emphasis.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aeval" 0 1 (:type "(?exprs : string?, ?channel_layout : string?, ?c : string?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Filter audio signal according to a specified expression."))
#("ffmpeg.filter.aeval.create" 0 1 (:type "(?exprs : string?, ?channel_layout : string?, ?c : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Filter audio signal according to a specified expression.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aevalsrc" 0 1 (:type "(?exprs : string?, ?nb_samples : int?, ?n : int?, ?sample_rate : string?,  ?s : string?, ?duration : int?, ?d : int?, ?channel_layout : string?,  ?c : string?, ffmpeg.filter.graph) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Generate an audio signal generated by an expression."))
#("ffmpeg.filter.aevalsrc.create" 0 1 (:type "(?exprs : string?, ?nb_samples : int?, ?n : int?, ?sample_rate : string?,  ?s : string?, ?duration : int?, ?d : int?, ?channel_layout : string?,  ?c : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate an audio signal generated by an expression.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aexciter" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?amount : float?, ?drive : float?,  ?blend : float?, ?freq : float?, ?ceil : float?, ?listen : bool?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Enhance high frequency part of audio."))
#("ffmpeg.filter.aexciter.create" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?amount : float?, ?drive : float?,  ?blend : float?, ?freq : float?, ?ceil : float?, ?listen : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Enhance high frequency part of audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.afade" 0 1 (:type "(?type : int?, ?t : int?, ?start_sample : int?, ?ss : int?,  ?nb_samples : int?, ?ns : int?, ?start_time : int?, ?st : int?,  ?duration : int?, ?d : int?, ?curve : int?, ?c : int?, ?silence : float?,  ?unity : float?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Fade in/out input audio."))
#("ffmpeg.filter.afade.create" 0 1 (:type "(?type : int?, ?t : int?, ?start_sample : int?, ?ss : int?,  ?nb_samples : int?, ?ns : int?, ?start_time : int?, ?st : int?,  ?duration : int?, ?d : int?, ?curve : int?, ?c : int?, ?silence : float?,  ?unity : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Fade in/out input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.afdelaysrc" 0 1 (:type "(?delay : float?, ?d : float?, ?sample_rate : int?, ?r : int?,  ?nb_samples : int?, ?n : int?, ?taps : int?, ?t : int?,  ?channel_layout : string?, ?c : string?, ffmpeg.filter.graph) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Generate a Fractional delay FIR coefficients."))
#("ffmpeg.filter.afdelaysrc.create" 0 1 (:type "(?delay : float?, ?d : float?, ?sample_rate : int?, ?r : int?,  ?nb_samples : int?, ?n : int?, ?taps : int?, ?t : int?,  ?channel_layout : string?, ?c : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate a Fractional delay FIR coefficients.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.afftdn" 0 1 (:type "(?noise_reduction : float?, ?nr : float?, ?noise_floor : float?,  ?nf : float?, ?noise_type : int?, ?nt : int?, ?band_noise : string?,  ?bn : string?, ?residual_floor : float?, ?rf : float?, ?track_noise : bool?,  ?tn : bool?, ?track_residual : bool?, ?tr : bool?, ?output_mode : int?,  ?om : int?, ?adaptivity : float?, ?ad : float?, ?floor_offset : float?,  ?fo : float?, ?noise_link : int?, ?nl : int?, ?band_multiplier : float?,  ?bm : float?, ?sample_noise : int?, ?sn : int?, ?gain_smooth : int?,  ?gs : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Denoise audio samples using FFT."))
#("ffmpeg.filter.afftdn.create" 0 1 (:type "(?noise_reduction : float?, ?nr : float?, ?noise_floor : float?,  ?nf : float?, ?noise_type : int?, ?nt : int?, ?band_noise : string?,  ?bn : string?, ?residual_floor : float?, ?rf : float?, ?track_noise : bool?,  ?tn : bool?, ?track_residual : bool?, ?tr : bool?, ?output_mode : int?,  ?om : int?, ?adaptivity : float?, ?ad : float?, ?floor_offset : float?,  ?fo : float?, ?noise_link : int?, ?nl : int?, ?band_multiplier : float?,  ?bm : float?, ?sample_noise : int?, ?sn : int?, ?gain_smooth : int?,  ?gs : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Denoise audio samples using FFT.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.afftfilt" 0 1 (:type "(?real : string?, ?imag : string?, ?win_size : int?, ?win_func : int?,  ?overlap : float?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply arbitrary expressions to samples in frequency domain."))
#("ffmpeg.filter.afftfilt.create" 0 1 (:type "(?real : string?, ?imag : string?, ?win_size : int?, ?win_func : int?,  ?overlap : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply arbitrary expressions to samples in frequency domain.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.afifo" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Buffer input frames and send them when they are requested."))
#("ffmpeg.filter.afifo.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Buffer input frames and send them when they are requested.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.afir" 0 1 (:type "(?dry : float?, ?wet : float?, ?length : float?, ?gtype : int?,  ?irgain : float?, ?irfmt : int?, ?maxir : float?, ?response : bool?,  ?channel : int?, ?size : string?, ?rate : string?, ?minp : int?,  ?maxp : int?, ?nbirs : int?, ?ir : int?, ?precision : int?, ?irload : int?,  ffmpeg.filter.graph, [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Apply Finite Impulse Response filter with supplied coefficients in additional stream(s). This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.afir.create" 0 1 (:type "(?dry : float?, ?wet : float?, ?length : float?, ?gtype : int?,  ?irgain : float?, ?irfmt : int?, ?maxir : float?, ?response : bool?,  ?channel : int?, ?size : string?, ?rate : string?, ?minp : int?,  ?maxp : int?, ?nbirs : int?, ?ir : int?, ?precision : int?, ?irload : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Finite Impulse Response filter with supplied coefficients in additional stream(s). This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.afireqsrc" 0 1 (:type "(?preset : int?, ?p : int?, ?gains : string?, ?g : string?, ?bands : string?,  ?b : string?, ?taps : int?, ?t : int?, ?sample_rate : int?, ?r : int?,  ?nb_samples : int?, ?n : int?, ?interp : int?, ?i : int?, ?phase : int?,  ?h : int?, ffmpeg.filter.graph) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Generate a FIR equalizer coefficients audio stream."))
#("ffmpeg.filter.afireqsrc.create" 0 1 (:type "(?preset : int?, ?p : int?, ?gains : string?, ?g : string?, ?bands : string?,  ?b : string?, ?taps : int?, ?t : int?, ?sample_rate : int?, ?r : int?,  ?nb_samples : int?, ?n : int?, ?interp : int?, ?i : int?, ?phase : int?,  ?h : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate a FIR equalizer coefficients audio stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.afirsrc" 0 1 (:type "(?taps : int?, ?t : int?, ?frequency : string?, ?f : string?,  ?magnitude : string?, ?m : string?, ?phase : string?, ?p : string?,  ?sample_rate : int?, ?r : int?, ?nb_samples : int?, ?n : int?,  ?win_func : int?, ?w : int?, ffmpeg.filter.graph) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Generate a FIR coefficients audio stream."))
#("ffmpeg.filter.afirsrc.create" 0 1 (:type "(?taps : int?, ?t : int?, ?frequency : string?, ?f : string?,  ?magnitude : string?, ?m : string?, ?phase : string?, ?p : string?,  ?sample_rate : int?, ?r : int?, ?nb_samples : int?, ?n : int?,  ?win_func : int?, ?w : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate a FIR coefficients audio stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aformat" 0 1 (:type "(?sample_fmts : string?, ?f : string?, ?sample_rates : string?, ?r : string?,  ?channel_layouts : string?, ?cl : string?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Convert the input audio to one of the specified formats."))
#("ffmpeg.filter.aformat.create" 0 1 (:type "(?sample_fmts : string?, ?f : string?, ?sample_rates : string?, ?r : string?,  ?channel_layouts : string?, ?cl : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert the input audio to one of the specified formats.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.afreqshift" 0 1 (:type "(?shift : float?, ?level : float?, ?order : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply frequency shifting to input audio."))
#("ffmpeg.filter.afreqshift.create" 0 1 (:type "(?shift : float?, ?level : float?, ?order : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply frequency shifting to input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.afwtdn" 0 1 (:type "(?sigma : float?, ?levels : int?, ?wavet : int?, ?percent : float?,  ?profile : bool?, ?adaptive : bool?, ?samples : int?, ?softness : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Denoise audio stream using Wavelets."))
#("ffmpeg.filter.afwtdn.create" 0 1 (:type "(?sigma : float?, ?levels : int?, ?wavet : int?, ?percent : float?,  ?profile : bool?, ?adaptive : bool?, ?samples : int?, ?softness : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Denoise audio stream using Wavelets.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.agate" 0 1 (:type "(?level_in : float?, ?mode : int?, ?range : float?, ?threshold : float?,  ?ratio : float?, ?attack : float?, ?release : float?, ?makeup : float?,  ?knee : float?, ?detection : int?, ?link : int?, ?level_sc : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio gate."))
#("ffmpeg.filter.agate.create" 0 1 (:type "(?level_in : float?, ?mode : int?, ?range : float?, ?threshold : float?,  ?ratio : float?, ?attack : float?, ?release : float?, ?makeup : float?,  ?knee : float?, ?detection : int?, ?link : int?, ?level_sc : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio gate.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.agraphmonitor" 0 1 (:type "(?size : string?, ?s : string?, ?opacity : float?, ?o : float?, ?mode : int?,  ?m : int?, ?flags : int?, ?f : int?, ?rate : string?, ?r : string?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Show various filtergraph stats."))
#("ffmpeg.filter.agraphmonitor.create" 0 1 (:type "(?size : string?, ?s : string?, ?opacity : float?, ?o : float?, ?mode : int?,  ?m : int?, ?flags : int?, ?f : int?, ?rate : string?, ?r : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Show various filtergraph stats.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ahistogram" 0 1 (:type "(?dmode : int?, ?rate : string?, ?r : string?, ?size : string?, ?s : string?,  ?scale : int?, ?ascale : int?, ?acount : int?, ?rheight : float?,  ?slide : int?, ?hmode : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to histogram video output."))
#("ffmpeg.filter.ahistogram.create" 0 1 (:type "(?dmode : int?, ?rate : string?, ?r : string?, ?size : string?, ?s : string?,  ?scale : int?, ?ascale : int?, ?acount : int?, ?rheight : float?,  ?slide : int?, ?hmode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to histogram video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aiir" 0 1 (:type "(?zeros : string?, ?z : string?, ?poles : string?, ?p : string?,  ?gains : string?, ?k : string?, ?dry : float?, ?wet : float?,  ?format : int?, ?f : int?, ?process : int?, ?r : int?, ?precision : int?,  ?e : int?, ?normalize : bool?, ?n : bool?, ?mix : float?, ?response : bool?,  ?channel : int?, ?size : string?, ?rate : string?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Apply Infinite Impulse Response filter with supplied coefficients. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.aiir.create" 0 1 (:type "(?zeros : string?, ?z : string?, ?poles : string?, ?p : string?,  ?gains : string?, ?k : string?, ?dry : float?, ?wet : float?,  ?format : int?, ?f : int?, ?process : int?, ?r : int?, ?precision : int?,  ?e : int?, ?normalize : bool?, ?n : bool?, ?mix : float?, ?response : bool?,  ?channel : int?, ?size : string?, ?rate : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Infinite Impulse Response filter with supplied coefficients. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aintegral" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Compute integral of input audio."))
#("ffmpeg.filter.aintegral.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compute integral of input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ainterleave" 0 1 (:type "(?nb_inputs : int?, ?n : int?, ?duration : int?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Temporally interleave audio inputs. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.ainterleave.create" 0 1 (:type "(?nb_inputs : int?, ?n : int?, ?duration : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Temporally interleave audio inputs. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.alatency" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Report audio filtering latency."))
#("ffmpeg.filter.alatency.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Report audio filtering latency.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.alimiter" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?limit : float?, ?attack : float?,  ?release : float?, ?asc : bool?, ?asc_level : float?, ?level : bool?,  ?latency : bool?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio lookahead limiter."))
#("ffmpeg.filter.alimiter.create" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?limit : float?, ?attack : float?,  ?release : float?, ?asc : bool?, ?asc_level : float?, ?level : bool?,  ?latency : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio lookahead limiter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.allpass" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?mix : float?, ?m : float?,  ?channels : string?, ?c : string?, ?normalize : bool?, ?n : bool?,  ?order : int?, ?o : int?, ?transform : int?, ?a : int?, ?precision : int?,  ?r : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a two-pole all-pass filter."))
#("ffmpeg.filter.allpass.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?mix : float?, ?m : float?,  ?channels : string?, ?c : string?, ?normalize : bool?, ?n : bool?,  ?order : int?, ?o : int?, ?transform : int?, ?a : int?, ?precision : int?,  ?r : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a two-pole all-pass filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.allrgb" 0 1 (:type "(?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?sar : string?,  ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate all RGB colors."))
#("ffmpeg.filter.allrgb.create" 0 1 (:type "(?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?sar : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate all RGB colors.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.allyuv" 0 1 (:type "(?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?sar : string?,  ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate all yuv colors."))
#("ffmpeg.filter.allyuv.create" 0 1 (:type "(?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?sar : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate all yuv colors.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aloop" 0 1 (:type "(?loop : int?, ?size : int?, ?start : int?, ?time : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Loop audio samples."))
#("ffmpeg.filter.aloop.create" 0 1 (:type "(?loop : int?, ?size : int?, ?start : int?, ?time : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Loop audio samples.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.alphaextract" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Extract an alpha channel as a grayscale image component."))
#("ffmpeg.filter.alphaextract.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Extract an alpha channel as a grayscale image component.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.alphamerge" 0 1 (:type "(?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Copy the luma value of the second input into the alpha channel of the first input."))
#("ffmpeg.filter.alphamerge.create" 0 1 (:type "(?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Copy the luma value of the second input into the alpha channel of the first input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.amerge" 0 1 (:type "(?inputs : int?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Merge two or more audio streams into a single multi-channel stream. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.amerge.create" 0 1 (:type "(?inputs : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Merge two or more audio streams into a single multi-channel stream. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ametadata" 0 1 (:type "(?mode : int?, ?key : string?, ?value : string?, ?function : int?,  ?expr : string?, ?file : string?, ?direct : bool?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Manipulate audio frame metadata."))
#("ffmpeg.filter.ametadata.create" 0 1 (:type "(?mode : int?, ?key : string?, ?value : string?, ?function : int?,  ?expr : string?, ?file : string?, ?direct : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Manipulate audio frame metadata.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.amix" 0 1 (:type "(?inputs : int?, ?duration : int?, ?dropout_transition : float?,  ?weights : string?, ?normalize : bool?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio mixing. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.amix.create" 0 1 (:type "(?inputs : int?, ?duration : int?, ?dropout_transition : float?,  ?weights : string?, ?normalize : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio mixing. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.amovie" 0 1 (:type "(?filename : string?, ?format_name : string?, ?f : string?,  ?stream_index : int?, ?si : int?, ?seek_point : float?, ?sp : float?,  ?streams : string?, ?s : string?, ?loop : int?, ?discontinuity : int?,  ?dec_threads : int?, ?format_opts : string?, ffmpeg.filter.graph) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Read audio from a movie source. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.amovie.create" 0 1 (:type "(?filename : string?, ?format_name : string?, ?f : string?,  ?stream_index : int?, ?si : int?, ?seek_point : float?, ?sp : float?,  ?streams : string?, ?s : string?, ?loop : int?, ?discontinuity : int?,  ?dec_threads : int?, ?format_opts : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Read audio from a movie source. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.amplify" 0 1 (:type "(?radius : int?, ?factor : float?, ?threshold : float?, ?tolerance : float?,  ?low : float?, ?high : float?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Amplify changes between successive video frames."))
#("ffmpeg.filter.amplify.create" 0 1 (:type "(?radius : int?, ?factor : float?, ?threshold : float?, ?tolerance : float?,  ?low : float?, ?high : float?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Amplify changes between successive video frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.amultiply" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Multiply two audio streams."))
#("ffmpeg.filter.amultiply.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Multiply two audio streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.anequalizer" 0 1 (:type "(?params : string?, ?curves : bool?, ?size : string?, ?mgain : float?,  ?fscale : int?, ?colors : string?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Apply high-order audio parametric multi band equalizer. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.anequalizer.create" 0 1 (:type "(?params : string?, ?curves : bool?, ?size : string?, ?mgain : float?,  ?fscale : int?, ?colors : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply high-order audio parametric multi band equalizer. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.anlmdn" 0 1 (:type "(?strength : float?, ?s : float?, ?patch : int?, ?p : int?, ?research : int?,  ?r : int?, ?output : int?, ?o : int?, ?smooth : float?, ?m : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Reduce broadband noise from stream using Non-Local Means."))
#("ffmpeg.filter.anlmdn.create" 0 1 (:type "(?strength : float?, ?s : float?, ?patch : int?, ?p : int?, ?research : int?,  ?r : int?, ?output : int?, ?o : int?, ?smooth : float?, ?m : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Reduce broadband noise from stream using Non-Local Means.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.anlmf" 0 1 (:type "(?order : int?, ?mu : float?, ?eps : float?, ?leakage : float?,  ?out_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.audio,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply Normalized Least-Mean-Fourth algorithm to first audio stream."))
#("ffmpeg.filter.anlmf.create" 0 1 (:type "(?order : int?, ?mu : float?, ?eps : float?, ?leakage : float?,  ?out_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Normalized Least-Mean-Fourth algorithm to first audio stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.anlms" 0 1 (:type "(?order : int?, ?mu : float?, ?eps : float?, ?leakage : float?,  ?out_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.audio,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply Normalized Least-Mean-Squares algorithm to first audio stream."))
#("ffmpeg.filter.anlms.create" 0 1 (:type "(?order : int?, ?mu : float?, ?eps : float?, ?leakage : float?,  ?out_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Normalized Least-Mean-Squares algorithm to first audio stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.anoisesrc" 0 1 (:type "(?sample_rate : int?, ?r : int?, ?amplitude : float?, ?a : float?,  ?duration : int?, ?d : int?, ?color : int?, ?colour : int?, ?c : int?,  ?seed : int?, ?s : int?, ?nb_samples : int?, ?n : int?, ?density : float?,  ffmpeg.filter.graph) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Generate a noise audio signal."))
#("ffmpeg.filter.anoisesrc.create" 0 1 (:type "(?sample_rate : int?, ?r : int?, ?amplitude : float?, ?a : float?,  ?duration : int?, ?d : int?, ?color : int?, ?colour : int?, ?c : int?,  ?seed : int?, ?s : int?, ?nb_samples : int?, ?n : int?, ?density : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate a noise audio signal.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.anull" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Pass the source unchanged to the output."))
#("ffmpeg.filter.anull.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pass the source unchanged to the output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.anullsink" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> unit" :description "Ffmpeg filter: Do absolutely nothing with the input audio."))
#("ffmpeg.filter.anullsink.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Do absolutely nothing with the input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.anullsrc" 0 1 (:type "(?channel_layout : string?, ?cl : string?, ?sample_rate : string?,  ?r : string?, ?nb_samples : int?, ?n : int?, ?duration : int?, ?d : int?,  ffmpeg.filter.graph) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Null audio source, return empty audio frames."))
#("ffmpeg.filter.anullsrc.create" 0 1 (:type "(?channel_layout : string?, ?cl : string?, ?sample_rate : string?,  ?r : string?, ?nb_samples : int?, ?n : int?, ?duration : int?, ?d : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Null audio source, return empty audio frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.apad" 0 1 (:type "(?packet_size : int?, ?pad_len : int?, ?whole_len : int?, ?pad_dur : int?,  ?whole_dur : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Pad audio with silence."))
#("ffmpeg.filter.apad.create" 0 1 (:type "(?packet_size : int?, ?pad_len : int?, ?whole_len : int?, ?pad_dur : int?,  ?whole_dur : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pad audio with silence.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aperms" 0 1 (:type "(?mode : int?, ?seed : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Set permissions for the output audio frame."))
#("ffmpeg.filter.aperms.create" 0 1 (:type "(?mode : int?, ?seed : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Set permissions for the output audio frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aphasemeter" 0 1 (:type "(?rate : string?, ?r : string?, ?size : string?, ?s : string?, ?rc : int?,  ?gc : int?, ?bc : int?, ?mpc : string?, ?video : bool?, ?phasing : bool?,  ?tolerance : float?, ?t : float?, ?angle : float?, ?a : float?,  ?duration : int?, ?d : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Convert input audio to phase meter video output. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.aphasemeter.create" 0 1 (:type "(?rate : string?, ?r : string?, ?size : string?, ?s : string?, ?rc : int?,  ?gc : int?, ?bc : int?, ?mpc : string?, ?video : bool?, ?phasing : bool?,  ?tolerance : float?, ?t : float?, ?angle : float?, ?a : float?,  ?duration : int?, ?d : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to phase meter video output. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aphaser" 0 1 (:type "(?in_gain : float?, ?out_gain : float?, ?delay : float?, ?decay : float?,  ?speed : float?, ?type : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Add a phasing effect to the audio."))
#("ffmpeg.filter.aphaser.create" 0 1 (:type "(?in_gain : float?, ?out_gain : float?, ?delay : float?, ?decay : float?,  ?speed : float?, ?type : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Add a phasing effect to the audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aphaseshift" 0 1 (:type "(?shift : float?, ?level : float?, ?order : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply phase shifting to input audio."))
#("ffmpeg.filter.aphaseshift.create" 0 1 (:type "(?shift : float?, ?level : float?, ?order : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply phase shifting to input audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.apsnr" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Measure Audio Peak Signal-to-Noise Ratio."))
#("ffmpeg.filter.apsnr.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Measure Audio Peak Signal-to-Noise Ratio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.apsyclip" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?clip : float?, ?diff : bool?,  ?adaptive : float?, ?iterations : int?, ?level : bool?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio Psychoacoustic Clipper."))
#("ffmpeg.filter.apsyclip.create" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?clip : float?, ?diff : bool?,  ?adaptive : float?, ?iterations : int?, ?level : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio Psychoacoustic Clipper.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.apulsator" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?mode : int?, ?amount : float?,  ?offset_l : float?, ?offset_r : float?, ?width : float?, ?timing : int?,  ?bpm : float?, ?ms : int?, ?hz : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio pulsator."))
#("ffmpeg.filter.apulsator.create" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?mode : int?, ?amount : float?,  ?offset_l : float?, ?offset_r : float?, ?width : float?, ?timing : int?,  ?bpm : float?, ?ms : int?, ?hz : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio pulsator.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.arealtime" 0 1 (:type "(?limit : int?, ?speed : float?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Slow down filtering to match realtime."))
#("ffmpeg.filter.arealtime.create" 0 1 (:type "(?limit : int?, ?speed : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Slow down filtering to match realtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aresample" 0 1 (:type "(?sample_rate : int?, ?ich : int?, ?in_channel_count : int?, ?och : int?,  ?out_channel_count : int?, ?uch : int?, ?used_channel_count : int?,  ?isr : int?, ?in_sample_rate : int?, ?osr : int?, ?out_sample_rate : int?,  ?isf : string?, ?in_sample_fmt : string?, ?osf : string?,  ?out_sample_fmt : string?, ?tsf : string?, ?internal_sample_fmt : string?,  ?icl : string?, ?in_channel_layout : string?, ?ocl : string?,  ?out_channel_layout : string?, ?clev : float?, ?center_mix_level : float?,  ?slev : float?, ?surround_mix_level : float?, ?lfe_mix_level : float?,  ?rmvol : float?, ?rematrix_volume : float?, ?rematrix_maxval : float?,  ?flags : int?, ?swr_flags : int?, ?dither_scale : float?,  ?dither_method : int?, ?filter_size : int?, ?phase_shift : int?,  ?linear_interp : bool?, ?exact_rational : bool?, ?cutoff : float?,  ?resample_cutoff : float?, ?resampler : int?, ?precision : float?,  ?cheby : bool?, ?min_comp : float?, ?min_hard_comp : float?,  ?comp_duration : float?, ?max_soft_comp : float?, ?async : float?,  ?first_pts : int?, ?matrix_encoding : int?, ?filter_type : int?,  ?kaiser_beta : float?, ?output_sample_bits : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Resample audio data."))
#("ffmpeg.filter.aresample.create" 0 1 (:type "(?sample_rate : int?, ?ich : int?, ?in_channel_count : int?, ?och : int?,  ?out_channel_count : int?, ?uch : int?, ?used_channel_count : int?,  ?isr : int?, ?in_sample_rate : int?, ?osr : int?, ?out_sample_rate : int?,  ?isf : string?, ?in_sample_fmt : string?, ?osf : string?,  ?out_sample_fmt : string?, ?tsf : string?, ?internal_sample_fmt : string?,  ?icl : string?, ?in_channel_layout : string?, ?ocl : string?,  ?out_channel_layout : string?, ?clev : float?, ?center_mix_level : float?,  ?slev : float?, ?surround_mix_level : float?, ?lfe_mix_level : float?,  ?rmvol : float?, ?rematrix_volume : float?, ?rematrix_maxval : float?,  ?flags : int?, ?swr_flags : int?, ?dither_scale : float?,  ?dither_method : int?, ?filter_size : int?, ?phase_shift : int?,  ?linear_interp : bool?, ?exact_rational : bool?, ?cutoff : float?,  ?resample_cutoff : float?, ?resampler : int?, ?precision : float?,  ?cheby : bool?, ?min_comp : float?, ?min_hard_comp : float?,  ?comp_duration : float?, ?max_soft_comp : float?, ?async : float?,  ?first_pts : int?, ?matrix_encoding : int?, ?filter_type : int?,  ?kaiser_beta : float?, ?output_sample_bits : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Resample audio data.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.areverse" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Reverse an audio clip."))
#("ffmpeg.filter.areverse.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Reverse an audio clip.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.arls" 0 1 (:type "(?order : int?, ?lambda : float?, ?delta : float?, ?out_mode : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply Recursive Least Squares algorithm to first audio stream."))
#("ffmpeg.filter.arls.create" 0 1 (:type "(?order : int?, ?lambda : float?, ?delta : float?, ?out_mode : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Recursive Least Squares algorithm to first audio stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.arnndn" 0 1 (:type "(?model : string?, ?m : string?, ?mix : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Reduce noise from speech using Recurrent Neural Networks."))
#("ffmpeg.filter.arnndn.create" 0 1 (:type "(?model : string?, ?m : string?, ?mix : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Reduce noise from speech using Recurrent Neural Networks.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asdr" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Measure Audio Signal-to-Distortion Ratio."))
#("ffmpeg.filter.asdr.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Measure Audio Signal-to-Distortion Ratio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asegment" 0 1 (:type "(?timestamps : string?, ?samples : string?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Segment audio stream. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.asegment.create" 0 1 (:type "(?timestamps : string?, ?samples : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Segment audio stream. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aselect" 0 1 (:type "(?expr : string?, ?e : string?, ?outputs : int?, ?n : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Select audio frames to pass in output. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.aselect.create" 0 1 (:type "(?expr : string?, ?e : string?, ?outputs : int?, ?n : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Select audio frames to pass in output. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asendcmd" 0 1 (:type "(?commands : string?, ?c : string?, ?filename : string?, ?f : string?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Send commands to filters."))
#("ffmpeg.filter.asendcmd.create" 0 1 (:type "(?commands : string?, ?c : string?, ?filename : string?, ?f : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Send commands to filters.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asetnsamples" 0 1 (:type "(?nb_out_samples : int?, ?n : int?, ?pad : bool?, ?p : bool?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Set the number of samples for each output audio frames."))
#("ffmpeg.filter.asetnsamples.create" 0 1 (:type "(?nb_out_samples : int?, ?n : int?, ?pad : bool?, ?p : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Set the number of samples for each output audio frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asetpts" 0 1 (:type "(?expr : string?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Set PTS for the output audio frame."))
#("ffmpeg.filter.asetpts.create" 0 1 (:type "(?expr : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Set PTS for the output audio frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asetrate" 0 1 (:type "(?sample_rate : int?, ?r : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Change the sample rate without altering the data."))
#("ffmpeg.filter.asetrate.create" 0 1 (:type "(?sample_rate : int?, ?r : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Change the sample rate without altering the data.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asettb" 0 1 (:type "(?expr : string?, ?tb : string?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Set timebase for the audio output link."))
#("ffmpeg.filter.asettb.create" 0 1 (:type "(?expr : string?, ?tb : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Set timebase for the audio output link.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ashowinfo" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Show textual information for each audio frame."))
#("ffmpeg.filter.ashowinfo.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Show textual information for each audio frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asidedata" 0 1 (:type "(?mode : int?, ?type : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Manipulate audio frame side data."))
#("ffmpeg.filter.asidedata.create" 0 1 (:type "(?mode : int?, ?type : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Manipulate audio frame side data.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asisdr" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Measure Audio Scale-Invariant Signal-to-Distortion Ratio."))
#("ffmpeg.filter.asisdr.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Measure Audio Scale-Invariant Signal-to-Distortion Ratio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asoftclip" 0 1 (:type "(?type : int?, ?threshold : float?, ?output : float?, ?param : float?,  ?oversample : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio Soft Clipper."))
#("ffmpeg.filter.asoftclip.create" 0 1 (:type "(?type : int?, ?threshold : float?, ?output : float?, ?param : float?,  ?oversample : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio Soft Clipper.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.aspectralstats" 0 1 (:type "(?win_size : int?, ?win_func : int?, ?overlap : float?, ?measure : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Show frequency domain statistics about audio frames."))
#("ffmpeg.filter.aspectralstats.create" 0 1 (:type "(?win_size : int?, ?win_func : int?, ?overlap : float?, ?measure : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Show frequency domain statistics about audio frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asplit" 0 1 (:type "(?outputs : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Pass on the audio input to N audio outputs. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.asplit.create" 0 1 (:type "(?outputs : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pass on the audio input to N audio outputs. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asr" 0 1 (:type "(?rate : int?, ?hmm : string?, ?dict : string?, ?lm : string?,  ?lmctl : string?, ?lmname : string?, ?logfn : string?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Automatic Speech Recognition."))
#("ffmpeg.filter.asr.create" 0 1 (:type "(?rate : int?, ?hmm : string?, ?dict : string?, ?lm : string?,  ?lmctl : string?, ?lmname : string?, ?logfn : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Automatic Speech Recognition.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ass" 0 1 (:type "(?filename : string?, ?f : string?, ?original_size : string?,  ?fontsdir : string?, ?alpha : bool?, ?shaping : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Render ASS subtitles onto input video using the libass library."))
#("ffmpeg.filter.ass.create" 0 1 (:type "(?filename : string?, ?f : string?, ?original_size : string?,  ?fontsdir : string?, ?alpha : bool?, ?shaping : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Render ASS subtitles onto input video using the libass library.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.astats" 0 1 (:type "(?length : float?, ?metadata : bool?, ?reset : int?,  ?measure_perchannel : int?, ?measure_overall : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Show time domain statistics about audio frames."))
#("ffmpeg.filter.astats.create" 0 1 (:type "(?length : float?, ?metadata : bool?, ?reset : int?,  ?measure_perchannel : int?, ?measure_overall : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Show time domain statistics about audio frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.astreamselect" 0 1 (:type "(?inputs : int?, ?map : string?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Select audio streams This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.astreamselect.create" 0 1 (:type "(?inputs : int?, ?map : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Select audio streams This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asubboost" 0 1 (:type "(?dry : float?, ?wet : float?, ?boost : float?, ?decay : float?,  ?feedback : float?, ?cutoff : float?, ?slope : float?, ?delay : float?,  ?channels : string?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Boost subwoofer frequencies."))
#("ffmpeg.filter.asubboost.create" 0 1 (:type "(?dry : float?, ?wet : float?, ?boost : float?, ?decay : float?,  ?feedback : float?, ?cutoff : float?, ?slope : float?, ?delay : float?,  ?channels : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Boost subwoofer frequencies.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asubcut" 0 1 (:type "(?cutoff : float?, ?order : int?, ?level : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Cut subwoofer frequencies."))
#("ffmpeg.filter.asubcut.create" 0 1 (:type "(?cutoff : float?, ?order : int?, ?level : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Cut subwoofer frequencies.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asupercut" 0 1 (:type "(?cutoff : float?, ?order : int?, ?level : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Cut super frequencies."))
#("ffmpeg.filter.asupercut.create" 0 1 (:type "(?cutoff : float?, ?order : int?, ?level : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Cut super frequencies.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asuperpass" 0 1 (:type "(?centerf : float?, ?order : int?, ?qfactor : float?, ?level : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply high order Butterworth band-pass filter."))
#("ffmpeg.filter.asuperpass.create" 0 1 (:type "(?centerf : float?, ?order : int?, ?qfactor : float?, ?level : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply high order Butterworth band-pass filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.asuperstop" 0 1 (:type "(?centerf : float?, ?order : int?, ?qfactor : float?, ?level : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply high order Butterworth band-stop filter."))
#("ffmpeg.filter.asuperstop.create" 0 1 (:type "(?centerf : float?, ?order : int?, ?qfactor : float?, ?level : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply high order Butterworth band-stop filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.atadenoise" 0 1 (:type "(?0a : float?, ?0b : float?, ?1a : float?, ?1b : float?, ?2a : float?,  ?2b : float?, ?s : int?, ?p : int?, ?a : int?, ?0s : float?, ?1s : float?,  ?2s : float?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply an Adaptive Temporal Averaging Denoiser."))
#("ffmpeg.filter.atadenoise.create" 0 1 (:type "(?0a : float?, ?0b : float?, ?1a : float?, ?1b : float?, ?2a : float?,  ?2b : float?, ?s : int?, ?p : int?, ?a : int?, ?0s : float?, ?1s : float?,  ?2s : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply an Adaptive Temporal Averaging Denoiser.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.atempo" 0 1 (:type "(?tempo : float?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Adjust audio tempo."))
#("ffmpeg.filter.atempo.create" 0 1 (:type "(?tempo : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust audio tempo.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.atilt" 0 1 (:type "(?freq : float?, ?slope : float?, ?width : float?, ?order : int?,  ?level : float?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply spectral tilt to audio."))
#("ffmpeg.filter.atilt.create" 0 1 (:type "(?freq : float?, ?slope : float?, ?width : float?, ?order : int?,  ?level : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply spectral tilt to audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.atrim" 0 1 (:type "(?start : int?, ?starti : int?, ?end : int?, ?endi : int?, ?start_pts : int?,  ?end_pts : int?, ?duration : int?, ?durationi : int?, ?start_sample : int?,  ?end_sample : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Pick one continuous section from the input, drop the rest."))
#("ffmpeg.filter.atrim.create" 0 1 (:type "(?start : int?, ?starti : int?, ?end : int?, ?endi : int?, ?start_pts : int?,  ?end_pts : int?, ?duration : int?, ?durationi : int?, ?start_sample : int?,  ?end_sample : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pick one continuous section from the input, drop the rest.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.audio.input" 0 1 (:type "(?id : string?, ?pass_metadata : bool, ffmpeg.filter.graph,  ffmpeg.audio.raw('a)) -> ffmpeg.filter.audio" :description "Attach an audio track to a filter's input"))
#("ffmpeg.filter.audio.output" 0 1 (:type "(?id : string?, ?pass_metadata : bool, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.audio.raw('a)" :description "Return an audio track from a filter's output"))
#("ffmpeg.filter.audio_video.output" 0 1 (:type "(?id : string?, ffmpeg.filter.graph, 'b  .{tracks : () -> 'a.{audio : ffmpeg.filter.audio}}, 'd  .{tracks : () -> 'c.{video : ffmpeg.filter.video}}) -> source(audio=ffmpeg.audio.raw('e), video=ffmpeg.video.raw('f))" :description "Return a source with audio and video from a filter's output."))
#("ffmpeg.filter.avectorscope" 0 1 (:type "(?mode : int?, ?m : int?, ?rate : string?, ?r : string?, ?size : string?,  ?s : string?, ?rc : int?, ?gc : int?, ?bc : int?, ?ac : int?, ?rf : int?,  ?gf : int?, ?bf : int?, ?af : int?, ?zoom : float?, ?draw : int?,  ?scale : int?, ?swap : bool?, ?mirror : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to vectorscope video output."))
#("ffmpeg.filter.avectorscope.create" 0 1 (:type "(?mode : int?, ?m : int?, ?rate : string?, ?r : string?, ?size : string?,  ?s : string?, ?rc : int?, ?gc : int?, ?bc : int?, ?ac : int?, ?rf : int?,  ?gf : int?, ?bf : int?, ?af : int?, ?zoom : float?, ?draw : int?,  ?scale : int?, ?swap : bool?, ?mirror : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to vectorscope video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.avgblur" 0 1 (:type "(?sizeX : int?, ?planes : int?, ?sizeY : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Average Blur filter."))
#("ffmpeg.filter.avgblur.create" 0 1 (:type "(?sizeX : int?, ?planes : int?, ?sizeY : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Average Blur filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.avgblur_opencl" 0 1 (:type "(?sizeX : int?, ?planes : int?, ?sizeY : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply average blur filter"))
#("ffmpeg.filter.avgblur_opencl.create" 0 1 (:type "(?sizeX : int?, ?planes : int?, ?sizeY : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply average blur filter. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.avgblur_vulkan" 0 1 (:type "(?sizeX : int?, ?sizeY : int?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply avgblur mask to input video"))
#("ffmpeg.filter.avgblur_vulkan.create" 0 1 (:type "(?sizeX : int?, ?sizeY : int?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply avgblur mask to input video. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.avsynctest" 0 1 (:type "(?size : string?, ?s : string?, ?framerate : string?, ?fr : string?,  ?samplerate : int?, ?sr : int?, ?amplitude : float?, ?a : float?,  ?period : int?, ?p : int?, ?delay : int?, ?dl : int?, ?cycle : bool?,  ?c : bool?, ?duration : int?, ?d : int?, ?fg : string?, ?bg : string?,  ?ag : string?, ffmpeg.filter.graph) -> ffmpeg.filter.audio * ffmpeg.filter.video" :description "Ffmpeg filter: Generate an Audio Video Sync Test."))
#("ffmpeg.filter.avsynctest.create" 0 1 (:type "(?size : string?, ?s : string?, ?framerate : string?, ?fr : string?,  ?samplerate : int?, ?sr : int?, ?amplitude : float?, ?a : float?,  ?period : int?, ?p : int?, ?delay : int?, ?dl : int?, ?cycle : bool?,  ?c : bool?, ?duration : int?, ?d : int?, ?fg : string?, ?bg : string?,  ?ag : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate an Audio Video Sync Test.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.axcorrelate" 0 1 (:type "(?size : int?, ?algo : int?, ffmpeg.filter.graph, ffmpeg.filter.audio,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Cross-correlate two audio streams."))
#("ffmpeg.filter.axcorrelate.create" 0 1 (:type "(?size : int?, ?algo : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Cross-correlate two audio streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.azmq" 0 1 (:type "(?bind_address : string?, ?b : string?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Receive commands through ZMQ and broker them to filters."))
#("ffmpeg.filter.azmq.create" 0 1 (:type "(?bind_address : string?, ?b : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Receive commands through ZMQ and broker them to filters.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.backgroundkey" 0 1 (:type "(?threshold : float?, ?similarity : float?, ?blend : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Turns a static background into transparency."))
#("ffmpeg.filter.backgroundkey.create" 0 1 (:type "(?threshold : float?, ?similarity : float?, ?blend : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Turns a static background into transparency.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bandpass" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?csg : bool?, ?mix : float?, ?m : float?,  ?channels : string?, ?c : string?, ?normalize : bool?, ?n : bool?,  ?transform : int?, ?a : int?, ?precision : int?, ?r : int?,  ?blocksize : int?, ?b : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a two-pole Butterworth band-pass filter."))
#("ffmpeg.filter.bandpass.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?csg : bool?, ?mix : float?, ?m : float?,  ?channels : string?, ?c : string?, ?normalize : bool?, ?n : bool?,  ?transform : int?, ?a : int?, ?precision : int?, ?r : int?,  ?blocksize : int?, ?b : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a two-pole Butterworth band-pass filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bandreject" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?mix : float?, ?m : float?,  ?channels : string?, ?c : string?, ?normalize : bool?, ?n : bool?,  ?transform : int?, ?a : int?, ?precision : int?, ?r : int?,  ?blocksize : int?, ?b : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a two-pole Butterworth band-reject filter."))
#("ffmpeg.filter.bandreject.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?mix : float?, ?m : float?,  ?channels : string?, ?c : string?, ?normalize : bool?, ?n : bool?,  ?transform : int?, ?a : int?, ?precision : int?, ?r : int?,  ?blocksize : int?, ?b : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a two-pole Butterworth band-reject filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bass" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?poles : int?,  ?p : int?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Boost or cut lower frequencies."))
#("ffmpeg.filter.bass.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?poles : int?,  ?p : int?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Boost or cut lower frequencies.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bbox" 0 1 (:type "(?min_val : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Compute bounding box for each frame."))
#("ffmpeg.filter.bbox.create" 0 1 (:type "(?min_val : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compute bounding box for each frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bench" 0 1 (:type "(?action : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Benchmark part of a filtergraph."))
#("ffmpeg.filter.bench.create" 0 1 (:type "(?action : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Benchmark part of a filtergraph.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bilateral" 0 1 (:type "(?sigmaS : float?, ?sigmaR : float?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Bilateral filter."))
#("ffmpeg.filter.bilateral.create" 0 1 (:type "(?sigmaS : float?, ?sigmaR : float?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Bilateral filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bilateral_cuda" 0 1 (:type "(?sigmaS : float?, ?sigmaR : float?, ?window_size : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: GPU accelerated bilateral filter"))
#("ffmpeg.filter.bilateral_cuda.create" 0 1 (:type "(?sigmaS : float?, ?sigmaR : float?, ?window_size : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: GPU accelerated bilateral filter. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.biquad" 0 1 (:type "(?a0 : float?, ?a1 : float?, ?a2 : float?, ?b0 : float?, ?b1 : float?,  ?b2 : float?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a biquad IIR filter with the given coefficients."))
#("ffmpeg.filter.biquad.create" 0 1 (:type "(?a0 : float?, ?a1 : float?, ?a2 : float?, ?b0 : float?, ?b1 : float?,  ?b2 : float?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a biquad IIR filter with the given coefficients.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bitplanenoise" 0 1 (:type "(?bitplane : int?, ?filter : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Measure bit plane noise."))
#("ffmpeg.filter.bitplanenoise.create" 0 1 (:type "(?bitplane : int?, ?filter : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Measure bit plane noise.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bitstream.aac_adtstoasc" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg aac_adtstoasc bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.av1_frame_merge" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg av1_frame_merge bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.av1_frame_split" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg av1_frame_split bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.av1_metadata" 0 1 (:type "(?id : string?, ?chroma_sample_position : int?, ?color_primaries : int?,  ?color_range : int?, ?delete_padding : bool?, ?matrix_coefficients : int?,  ?num_ticks_per_picture : int?, ?td : int?, ?tick_rate : string?,  ?transfer_characteristics : int?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg av1_metadata bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.chomp.audio" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg chomp.audio bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.chomp.video" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg chomp.video bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.dca_core" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg dca_core bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.dts2pts" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg dts2pts bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.dump_extra.audio" 0 1 (:type "(?id : string?, ?freq : int?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg dump_extra.audio bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.dump_extra.video" 0 1 (:type "(?id : string?, ?freq : int?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg dump_extra.video bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.dv_error_marker" 0 1 (:type "(?id : string?, ?color : string?, ?sta : int?, source(video=ffmpeg.copy('a),  'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg dv_error_marker bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.eac3_core" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg eac3_core bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.evc_frame_merge" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg evc_frame_merge bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.extract_extradata" 0 1 (:type "(?id : string?, ?remove : int?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg extract_extradata bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.filter_units" 0 1 (:type "(?id : string?, ?discard : int?, ?discard_flags : int?,  ?pass_types : string?, ?remove_types : string?,  source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg filter_units bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.h264_metadata" 0 1 (:type "(?id : string?, ?aud : int?, ?chroma_sample_loc_type : int?,  ?colour_primaries : int?, ?crop_bottom : int?, ?crop_left : int?,  ?crop_right : int?, ?crop_top : int?, ?delete_filler : int?,  ?display_orientation : int?, ?fixed_frame_rate_flag : int?, ?flip : int?,  ?level : int?, ?matrix_coefficients : int?,  ?overscan_appropriate_flag : int?, ?rotate : float?,  ?sample_aspect_ratio : string?, ?sei_user_data : string?,  ?tick_rate : string?, ?transfer_characteristics : int?,  ?video_format : int?, ?video_full_range_flag : int?,  ?zero_new_constraint_set_flags : bool?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg h264_metadata bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.h264_mp4toannexb" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg h264_mp4toannexb bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.h264_redundant_pps" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg h264_redundant_pps bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.hapqa_extract" 0 1 (:type "(?id : string?, ?texture : int?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg hapqa_extract bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.hevc_metadata" 0 1 (:type "(?id : string?, ?aud : int?, ?chroma_sample_loc_type : int?,  ?colour_primaries : int?, ?crop_bottom : int?, ?crop_left : int?,  ?crop_right : int?, ?crop_top : int?, ?level : int?,  ?matrix_coefficients : int?, ?num_ticks_poc_diff_one : int?,  ?sample_aspect_ratio : string?, ?tick_rate : string?,  ?transfer_characteristics : int?, ?video_format : int?,  ?video_full_range_flag : int?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg hevc_metadata bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.hevc_mp4toannexb" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg hevc_mp4toannexb bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.imxdump" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg imxdump bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.media100_to_mjpegb" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg media100_to_mjpegb bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.mjpeg2jpeg" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg mjpeg2jpeg bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.mjpegadump" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg mjpegadump bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.mov2textsub.audio" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg mov2textsub.audio bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.mov2textsub.video" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg mov2textsub.video bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.mp3decomp" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg mp3decomp bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.mpeg2_metadata" 0 1 (:type "(?id : string?, ?colour_primaries : int?, ?display_aspect_ratio : string?,  ?frame_rate : string?, ?matrix_coefficients : int?,  ?transfer_characteristics : int?, ?video_format : int?,  source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg mpeg2_metadata bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.mpeg4_unpack_bframes" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg mpeg4_unpack_bframes bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.noise.audio" 0 1 (:type "(?id : string?, ?amount : string?, ?drop : string?, ?dropamount : int?,  source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg noise.audio bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.noise.video" 0 1 (:type "(?id : string?, ?amount : string?, ?drop : string?, ?dropamount : int?,  source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg noise.video bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.null.audio" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg null.audio bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.null.video" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg null.video bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.opus_metadata" 0 1 (:type "(?id : string?, ?gain : int?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg opus_metadata bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.pcm_rechunk" 0 1 (:type "(?id : string?, ?frame_rate : string?, ?n : int?, ?nb_out_samples : int?,  ?p : bool?, ?pad : bool?, ?r : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg pcm_rechunk bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.prores_metadata" 0 1 (:type "(?id : string?, ?color_primaries : int?, ?color_trc : int?,  ?colorspace : int?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg prores_metadata bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.remove_extra.audio" 0 1 (:type "(?id : string?, ?freq : int?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg remove_extra.audio bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.remove_extra.video" 0 1 (:type "(?id : string?, ?freq : int?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg remove_extra.video bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.setts.audio" 0 1 (:type "(?id : string?, ?dts : string?, ?duration : string?, ?pts : string?,  ?time_base : string?, ?ts : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg setts.audio bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.setts.video" 0 1 (:type "(?id : string?, ?dts : string?, ?duration : string?, ?pts : string?,  ?time_base : string?, ?ts : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg setts.video bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.text2movsub.audio" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg text2movsub.audio bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.text2movsub.video" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg text2movsub.video bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.trace_headers" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg trace_headers bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.truehd_core" 0 1 (:type "(?id : string?, source(audio=ffmpeg.copy('a), 'b)) -> source(audio=ffmpeg.copy('a), 'b)" :description "FFmpeg truehd_core bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.vp9_metadata" 0 1 (:type "(?id : string?, ?color_range : int?, ?color_space : int?,  source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg vp9_metadata bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.vp9_raw_reorder" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg vp9_raw_reorder bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.vp9_superframe" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg vp9_superframe bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.vp9_superframe_split" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg vp9_superframe_split bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.vvc_metadata" 0 1 (:type "(?id : string?, ?aud : int?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg vvc_metadata bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.bitstream.vvc_mp4toannexb" 0 1 (:type "(?id : string?, source(video=ffmpeg.copy('a), 'b)) -> source(video=ffmpeg.copy('a), 'b)" :description "FFmpeg vvc_mp4toannexb bitstream filter. See ffmpeg documentation for more details."))
#("ffmpeg.filter.blackdetect" 0 1 (:type "(?d : float?, ?black_min_duration : float?, ?picture_black_ratio_th : float?,  ?pic_th : float?, ?pixel_black_th : float?, ?pix_th : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Detect video intervals that are (almost) black."))
#("ffmpeg.filter.blackdetect.create" 0 1 (:type "(?d : float?, ?black_min_duration : float?, ?picture_black_ratio_th : float?,  ?pic_th : float?, ?pixel_black_th : float?, ?pix_th : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Detect video intervals that are (almost) black.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.blackframe" 0 1 (:type "(?amount : int?, ?threshold : int?, ?thresh : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Detect frames that are (almost) black."))
#("ffmpeg.filter.blackframe.create" 0 1 (:type "(?amount : int?, ?threshold : int?, ?thresh : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Detect frames that are (almost) black.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.blend" 0 1 (:type "(?c0_mode : int?, ?c1_mode : int?, ?c2_mode : int?, ?c3_mode : int?,  ?all_mode : int?, ?c0_expr : string?, ?c1_expr : string?,  ?c2_expr : string?, ?c3_expr : string?, ?all_expr : string?,  ?c0_opacity : float?, ?c1_opacity : float?, ?c2_opacity : float?,  ?c3_opacity : float?, ?all_opacity : float?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Blend two video frames into each other."))
#("ffmpeg.filter.blend.create" 0 1 (:type "(?c0_mode : int?, ?c1_mode : int?, ?c2_mode : int?, ?c3_mode : int?,  ?all_mode : int?, ?c0_expr : string?, ?c1_expr : string?,  ?c2_expr : string?, ?c3_expr : string?, ?all_expr : string?,  ?c0_opacity : float?, ?c1_opacity : float?, ?c2_opacity : float?,  ?c3_opacity : float?, ?all_opacity : float?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Blend two video frames into each other.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.blend_vulkan" 0 1 (:type "(?c0_mode : int?, ?c1_mode : int?, ?c2_mode : int?, ?c3_mode : int?,  ?all_mode : int?, ?c0_opacity : float?, ?c1_opacity : float?,  ?c2_opacity : float?, ?c3_opacity : float?, ?all_opacity : float?,  ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Blend two video frames in Vulkan"))
#("ffmpeg.filter.blend_vulkan.create" 0 1 (:type "(?c0_mode : int?, ?c1_mode : int?, ?c2_mode : int?, ?c3_mode : int?,  ?all_mode : int?, ?c0_opacity : float?, ?c1_opacity : float?,  ?c2_opacity : float?, ?c3_opacity : float?, ?all_opacity : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Blend two video frames in Vulkan. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.blockdetect" 0 1 (:type "(?period_min : int?, ?period_max : int?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Blockdetect filter."))
#("ffmpeg.filter.blockdetect.create" 0 1 (:type "(?period_min : int?, ?period_max : int?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Blockdetect filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.blurdetect" 0 1 (:type "(?high : float?, ?low : float?, ?radius : int?, ?block_pct : int?,  ?block_width : int?, ?block_height : int?, ?planes : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Blurdetect filter."))
#("ffmpeg.filter.blurdetect.create" 0 1 (:type "(?high : float?, ?low : float?, ?radius : int?, ?block_pct : int?,  ?block_width : int?, ?block_height : int?, ?planes : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Blurdetect filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bm3d" 0 1 (:type "(?sigma : float?, ?block : int?, ?bstep : int?, ?group : int?, ?range : int?,  ?mstep : int?, ?thmse : float?, ?hdthr : float?, ?estim : int?,  ?ref : bool?, ?planes : int?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Block-Matching 3D denoiser. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.bm3d.create" 0 1 (:type "(?sigma : float?, ?block : int?, ?bstep : int?, ?group : int?, ?range : int?,  ?mstep : int?, ?thmse : float?, ?hdthr : float?, ?estim : int?,  ?ref : bool?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Block-Matching 3D denoiser. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.boxblur" 0 1 (:type "(?luma_radius : string?, ?lr : string?, ?luma_power : int?, ?lp : int?,  ?chroma_radius : string?, ?cr : string?, ?chroma_power : int?, ?cp : int?,  ?alpha_radius : string?, ?ar : string?, ?alpha_power : int?, ?ap : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Blur the input."))
#("ffmpeg.filter.boxblur.create" 0 1 (:type "(?luma_radius : string?, ?lr : string?, ?luma_power : int?, ?lp : int?,  ?chroma_radius : string?, ?cr : string?, ?chroma_power : int?, ?cp : int?,  ?alpha_radius : string?, ?ar : string?, ?alpha_power : int?, ?ap : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Blur the input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.boxblur_opencl" 0 1 (:type "(?luma_radius : string?, ?lr : string?, ?luma_power : int?, ?lp : int?,  ?chroma_radius : string?, ?cr : string?, ?chroma_power : int?, ?cp : int?,  ?alpha_radius : string?, ?ar : string?, ?alpha_power : int?, ?ap : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply boxblur filter to input video"))
#("ffmpeg.filter.boxblur_opencl.create" 0 1 (:type "(?luma_radius : string?, ?lr : string?, ?luma_power : int?, ?lp : int?,  ?chroma_radius : string?, ?cr : string?, ?chroma_power : int?, ?cp : int?,  ?alpha_radius : string?, ?ar : string?, ?alpha_power : int?, ?ap : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply boxblur filter to input video. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bs2b" 0 1 (:type "(?profile : int?, ?fcut : int?, ?feed : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Bauer stereo-to-binaural filter."))
#("ffmpeg.filter.bs2b.create" 0 1 (:type "(?profile : int?, ?fcut : int?, ?feed : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Bauer stereo-to-binaural filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bwdif" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Deinterlace the input image."))
#("ffmpeg.filter.bwdif.create" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Deinterlace the input image.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bwdif_cuda" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Deinterlace CUDA frames"))
#("ffmpeg.filter.bwdif_cuda.create" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Deinterlace CUDA frames. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.bwdif_vulkan" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Deinterlace Vulkan frames via bwdif"))
#("ffmpeg.filter.bwdif_vulkan.create" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Deinterlace Vulkan frames via bwdif. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.cas" 0 1 (:type "(?strength : float?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Contrast Adaptive Sharpen."))
#("ffmpeg.filter.cas.create" 0 1 (:type "(?strength : float?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Contrast Adaptive Sharpen.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ccrepack" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Repack CEA-708 closed caption metadata"))
#("ffmpeg.filter.ccrepack.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Repack CEA-708 closed caption metadata. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.cellauto" 0 1 (:type "(?filename : string?, ?f : string?, ?pattern : string?, ?p : string?,  ?rate : string?, ?r : string?, ?size : string?, ?s : string?, ?rule : int?,  ?random_fill_ratio : float?, ?ratio : float?, ?random_seed : int?,  ?seed : int?, ?scroll : bool?, ?start_full : bool?, ?full : bool?,  ?stitch : bool?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Create pattern generated by an elementary cellular automaton."))
#("ffmpeg.filter.cellauto.create" 0 1 (:type "(?filename : string?, ?f : string?, ?pattern : string?, ?p : string?,  ?rate : string?, ?r : string?, ?size : string?, ?s : string?, ?rule : int?,  ?random_fill_ratio : float?, ?ratio : float?, ?random_seed : int?,  ?seed : int?, ?scroll : bool?, ?start_full : bool?, ?full : bool?,  ?stitch : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Create pattern generated by an elementary cellular automaton.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.channelmap" 0 1 (:type "(?map : string?, ?channel_layout : string?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Remap audio channels."))
#("ffmpeg.filter.channelmap.create" 0 1 (:type "(?map : string?, ?channel_layout : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remap audio channels.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.channelsplit" 0 1 (:type "(?channel_layout : string?, ?channels : string?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Split audio into per-channel streams. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.channelsplit.create" 0 1 (:type "(?channel_layout : string?, ?channels : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Split audio into per-channel streams. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.chorus" 0 1 (:type "(?in_gain : float?, ?out_gain : float?, ?delays : string?, ?decays : string?,  ?speeds : string?, ?depths : string?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Add a chorus effect to the audio."))
#("ffmpeg.filter.chorus.create" 0 1 (:type "(?in_gain : float?, ?out_gain : float?, ?delays : string?, ?decays : string?,  ?speeds : string?, ?depths : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Add a chorus effect to the audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.chromaber_vulkan" 0 1 (:type "(?dist_x : float?, ?dist_y : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Offset chroma of input video (chromatic aberration)"))
#("ffmpeg.filter.chromaber_vulkan.create" 0 1 (:type "(?dist_x : float?, ?dist_y : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Offset chroma of input video (chromatic aberration). Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.chromahold" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?, ?yuv : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Turns a certain color range into gray."))
#("ffmpeg.filter.chromahold.create" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?, ?yuv : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Turns a certain color range into gray.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.chromakey" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?, ?yuv : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Turns a certain color into transparency. Operates on YUV colors."))
#("ffmpeg.filter.chromakey.create" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?, ?yuv : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Turns a certain color into transparency. Operates on YUV colors.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.chromakey_cuda" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?, ?yuv : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: GPU accelerated chromakey filter"))
#("ffmpeg.filter.chromakey_cuda.create" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?, ?yuv : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: GPU accelerated chromakey filter. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.chromanr" 0 1 (:type "(?thres : float?, ?sizew : int?, ?sizeh : int?, ?stepw : int?, ?steph : int?,  ?threy : float?, ?threu : float?, ?threv : float?, ?distance : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Reduce chrominance noise."))
#("ffmpeg.filter.chromanr.create" 0 1 (:type "(?thres : float?, ?sizew : int?, ?sizeh : int?, ?stepw : int?, ?steph : int?,  ?threy : float?, ?threu : float?, ?threv : float?, ?distance : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Reduce chrominance noise.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.chromashift" 0 1 (:type "(?cbh : int?, ?cbv : int?, ?crh : int?, ?crv : int?, ?edge : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Shift chroma."))
#("ffmpeg.filter.chromashift.create" 0 1 (:type "(?cbh : int?, ?cbv : int?, ?crh : int?, ?crv : int?, ?edge : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Shift chroma.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ciescope" 0 1 (:type "(?system : int?, ?cie : int?, ?gamuts : int?, ?size : int?, ?s : int?,  ?intensity : float?, ?i : float?, ?contrast : float?, ?corrgamma : bool?,  ?showwhite : bool?, ?gamma : float?, ?fill : bool?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Video CIE scope."))
#("ffmpeg.filter.ciescope.create" 0 1 (:type "(?system : int?, ?cie : int?, ?gamuts : int?, ?size : int?, ?s : int?,  ?intensity : float?, ?i : float?, ?contrast : float?, ?corrgamma : bool?,  ?showwhite : bool?, ?gamma : float?, ?fill : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Video CIE scope.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.codecview" 0 1 (:type "(?mv : int?, ?qp : bool?, ?mv_type : int?, ?mvt : int?, ?frame_type : int?,  ?ft : int?, ?block : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Visualize information about some codecs."))
#("ffmpeg.filter.codecview.create" 0 1 (:type "(?mv : int?, ?qp : bool?, ?mv_type : int?, ?mvt : int?, ?frame_type : int?,  ?ft : int?, ?block : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Visualize information about some codecs.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.color" 0 1 (:type "(?color : string?, ?c : string?, ?size : string?, ?s : string?,  ?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?sar : string?,  ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Provide an uniformly colored input."))
#("ffmpeg.filter.color.create" 0 1 (:type "(?color : string?, ?c : string?, ?size : string?, ?s : string?,  ?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?sar : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Provide an uniformly colored input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.color_vulkan" 0 1 (:type "(?color : string?, ?c : string?, ?size : string?, ?s : string?,  ?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?sar : string?,  ?format : string?, ?out_range : int?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate a constant color (Vulkan)"))
#("ffmpeg.filter.color_vulkan.create" 0 1 (:type "(?color : string?, ?c : string?, ?size : string?, ?s : string?,  ?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?sar : string?,  ?format : string?, ?out_range : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate a constant color (Vulkan). Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorbalance" 0 1 (:type "(?rs : float?, ?gs : float?, ?bs : float?, ?rm : float?, ?gm : float?,  ?bm : float?, ?rh : float?, ?gh : float?, ?bh : float?, ?pl : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust the color balance."))
#("ffmpeg.filter.colorbalance.create" 0 1 (:type "(?rs : float?, ?gs : float?, ?bs : float?, ?rm : float?, ?gm : float?,  ?bm : float?, ?rh : float?, ?gh : float?, ?bh : float?, ?pl : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust the color balance.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorchannelmixer" 0 1 (:type "(?rr : float?, ?rg : float?, ?rb : float?, ?ra : float?, ?gr : float?,  ?gg : float?, ?gb : float?, ?ga : float?, ?br : float?, ?bg : float?,  ?bb : float?, ?ba : float?, ?ar : float?, ?ag : float?, ?ab : float?,  ?aa : float?, ?pc : int?, ?pa : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust colors by mixing color channels."))
#("ffmpeg.filter.colorchannelmixer.create" 0 1 (:type "(?rr : float?, ?rg : float?, ?rb : float?, ?ra : float?, ?gr : float?,  ?gg : float?, ?gb : float?, ?ga : float?, ?br : float?, ?bg : float?,  ?bb : float?, ?ba : float?, ?ar : float?, ?ag : float?, ?ab : float?,  ?aa : float?, ?pc : int?, ?pa : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust colors by mixing color channels.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorchart" 0 1 (:type "(?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?sar : string?,  ?patch_size : string?, ?preset : int?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate color checker chart."))
#("ffmpeg.filter.colorchart.create" 0 1 (:type "(?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?sar : string?,  ?patch_size : string?, ?preset : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate color checker chart.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorcontrast" 0 1 (:type "(?rc : float?, ?gm : float?, ?by : float?, ?rcw : float?, ?gmw : float?,  ?byw : float?, ?pl : float?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust color contrast between RGB components."))
#("ffmpeg.filter.colorcontrast.create" 0 1 (:type "(?rc : float?, ?gm : float?, ?by : float?, ?rcw : float?, ?gmw : float?,  ?byw : float?, ?pl : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust color contrast between RGB components.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorcorrect" 0 1 (:type "(?rl : float?, ?bl : float?, ?rh : float?, ?bh : float?,  ?saturation : float?, ?analyze : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust color white balance selectively for blacks and whites."))
#("ffmpeg.filter.colorcorrect.create" 0 1 (:type "(?rl : float?, ?bl : float?, ?rh : float?, ?bh : float?,  ?saturation : float?, ?analyze : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust color white balance selectively for blacks and whites.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorhold" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Turns a certain color range into gray. Operates on RGB colors."))
#("ffmpeg.filter.colorhold.create" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Turns a certain color range into gray. Operates on RGB colors.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorize" 0 1 (:type "(?hue : float?, ?saturation : float?, ?lightness : float?, ?mix : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Overlay a solid color on the video stream."))
#("ffmpeg.filter.colorize.create" 0 1 (:type "(?hue : float?, ?saturation : float?, ?lightness : float?, ?mix : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Overlay a solid color on the video stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorkey" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Turns a certain color into transparency. Operates on RGB colors."))
#("ffmpeg.filter.colorkey.create" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Turns a certain color into transparency. Operates on RGB colors.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorkey_opencl" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Turns a certain color into transparency. Operates on RGB colors."))
#("ffmpeg.filter.colorkey_opencl.create" 0 1 (:type "(?color : string?, ?similarity : float?, ?blend : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Turns a certain color into transparency. Operates on RGB colors.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorlevels" 0 1 (:type "(?rimin : float?, ?gimin : float?, ?bimin : float?, ?aimin : float?,  ?rimax : float?, ?gimax : float?, ?bimax : float?, ?aimax : float?,  ?romin : float?, ?gomin : float?, ?bomin : float?, ?aomin : float?,  ?romax : float?, ?gomax : float?, ?bomax : float?, ?aomax : float?,  ?preserve : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust the color levels."))
#("ffmpeg.filter.colorlevels.create" 0 1 (:type "(?rimin : float?, ?gimin : float?, ?bimin : float?, ?aimin : float?,  ?rimax : float?, ?gimax : float?, ?bimax : float?, ?aimax : float?,  ?romin : float?, ?gomin : float?, ?bomin : float?, ?aomin : float?,  ?romax : float?, ?gomax : float?, ?bomax : float?, ?aomax : float?,  ?preserve : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust the color levels.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colormap" 0 1 (:type "(?patch_size : string?, ?nb_patches : int?, ?type : int?, ?kernel : int?,  ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply custom Color Maps to video stream."))
#("ffmpeg.filter.colormap.create" 0 1 (:type "(?patch_size : string?, ?nb_patches : int?, ?type : int?, ?kernel : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply custom Color Maps to video stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colormatrix" 0 1 (:type "(?src : int?, ?dst : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert color matrix."))
#("ffmpeg.filter.colormatrix.create" 0 1 (:type "(?src : int?, ?dst : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert color matrix.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorspace" 0 1 (:type "(?all : int?, ?space : int?, ?range : int?, ?primaries : int?, ?trc : int?,  ?format : int?, ?fast : bool?, ?dither : int?, ?wpadapt : int?,  ?iall : int?, ?ispace : int?, ?irange : int?, ?iprimaries : int?,  ?itrc : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert between colorspaces."))
#("ffmpeg.filter.colorspace.create" 0 1 (:type "(?all : int?, ?space : int?, ?range : int?, ?primaries : int?, ?trc : int?,  ?format : int?, ?fast : bool?, ?dither : int?, ?wpadapt : int?,  ?iall : int?, ?ispace : int?, ?irange : int?, ?iprimaries : int?,  ?itrc : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert between colorspaces.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorspace_cuda" 0 1 (:type "(?range : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: CUDA accelerated video color converter"))
#("ffmpeg.filter.colorspace_cuda.create" 0 1 (:type "(?range : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: CUDA accelerated video color converter. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colorspectrum" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ?type : int?,  ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate colors spectrum."))
#("ffmpeg.filter.colorspectrum.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ?type : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate colors spectrum.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.colortemperature" 0 1 (:type "(?temperature : float?, ?mix : float?, ?pl : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust color temperature of video."))
#("ffmpeg.filter.colortemperature.create" 0 1 (:type "(?temperature : float?, ?mix : float?, ?pl : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust color temperature of video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.compand" 0 1 (:type "(?attacks : string?, ?decays : string?, ?points : string?,  ?soft-knee : float?, ?gain : float?, ?volume : float?, ?delay : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Compress or expand audio dynamic range."))
#("ffmpeg.filter.compand.create" 0 1 (:type "(?attacks : string?, ?decays : string?, ?points : string?,  ?soft-knee : float?, ?gain : float?, ?volume : float?, ?delay : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compress or expand audio dynamic range.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.compensationdelay" 0 1 (:type "(?mm : int?, ?cm : int?, ?m : int?, ?dry : float?, ?wet : float?,  ?temp : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio Compensation Delay Line."))
#("ffmpeg.filter.compensationdelay.create" 0 1 (:type "(?mm : int?, ?cm : int?, ?m : int?, ?dry : float?, ?wet : float?,  ?temp : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio Compensation Delay Line.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.concat" 0 1 (:type "(?n : int?, ?v : int?, ?a : int?, ?unsafe : bool?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Concatenate audio and video streams. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.concat.create" 0 1 (:type "(?n : int?, ?v : int?, ?a : int?, ?unsafe : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Concatenate audio and video streams. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.convolution" 0 1 (:type "(?0m : string?, ?1m : string?, ?2m : string?, ?3m : string?, ?0rdiv : float?,  ?1rdiv : float?, ?2rdiv : float?, ?3rdiv : float?, ?0bias : float?,  ?1bias : float?, ?2bias : float?, ?3bias : float?, ?0mode : int?,  ?1mode : int?, ?2mode : int?, ?3mode : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply convolution filter."))
#("ffmpeg.filter.convolution.create" 0 1 (:type "(?0m : string?, ?1m : string?, ?2m : string?, ?3m : string?, ?0rdiv : float?,  ?1rdiv : float?, ?2rdiv : float?, ?3rdiv : float?, ?0bias : float?,  ?1bias : float?, ?2bias : float?, ?3bias : float?, ?0mode : int?,  ?1mode : int?, ?2mode : int?, ?3mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply convolution filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.convolution_opencl" 0 1 (:type "(?0m : string?, ?1m : string?, ?2m : string?, ?3m : string?, ?0rdiv : float?,  ?1rdiv : float?, ?2rdiv : float?, ?3rdiv : float?, ?0bias : float?,  ?1bias : float?, ?2bias : float?, ?3bias : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply convolution mask to input video"))
#("ffmpeg.filter.convolution_opencl.create" 0 1 (:type "(?0m : string?, ?1m : string?, ?2m : string?, ?3m : string?, ?0rdiv : float?,  ?1rdiv : float?, ?2rdiv : float?, ?3rdiv : float?, ?0bias : float?,  ?1bias : float?, ?2bias : float?, ?3bias : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply convolution mask to input video. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.convolve" 0 1 (:type "(?planes : int?, ?impulse : int?, ?noise : float?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convolve first video stream with second video stream."))
#("ffmpeg.filter.convolve.create" 0 1 (:type "(?planes : int?, ?impulse : int?, ?noise : float?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convolve first video stream with second video stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.copy" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Copy the input video unchanged to the output."))
#("ffmpeg.filter.copy.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Copy the input video unchanged to the output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.corr" 0 1 (:type "(?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Calculate the correlation between two video streams."))
#("ffmpeg.filter.corr.create" 0 1 (:type "(?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Calculate the correlation between two video streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.cover_rect" 0 1 (:type "(?cover : string?, ?mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Find and cover a user specified object."))
#("ffmpeg.filter.cover_rect.create" 0 1 (:type "(?cover : string?, ?mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Find and cover a user specified object.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.create" 0 1 (:type "(((ffmpeg.filter.graph) -> 'a)) -> 'a" :description "Configure and launch a filter graph"))
#("ffmpeg.filter.crop" 0 1 (:type "(?out_w : string?, ?w : string?, ?out_h : string?, ?h : string?,  ?x : string?, ?y : string?, ?keep_aspect : bool?, ?exact : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Crop the input video."))
#("ffmpeg.filter.crop.create" 0 1 (:type "(?out_w : string?, ?w : string?, ?out_h : string?, ?h : string?,  ?x : string?, ?y : string?, ?keep_aspect : bool?, ?exact : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Crop the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.cropdetect" 0 1 (:type "(?limit : float?, ?round : int?, ?reset : int?, ?skip : int?,  ?reset_count : int?, ?max_outliers : int?, ?mode : int?, ?high : float?,  ?low : float?, ?mv_threshold : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Auto-detect crop size."))
#("ffmpeg.filter.cropdetect.create" 0 1 (:type "(?limit : float?, ?round : int?, ?reset : int?, ?skip : int?,  ?reset_count : int?, ?max_outliers : int?, ?mode : int?, ?high : float?,  ?low : float?, ?mv_threshold : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Auto-detect crop size.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.crossfeed" 0 1 (:type "(?strength : float?, ?range : float?, ?slope : float?, ?level_in : float?,  ?level_out : float?, ?block_size : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply headphone crossfeed filter."))
#("ffmpeg.filter.crossfeed.create" 0 1 (:type "(?strength : float?, ?range : float?, ?slope : float?, ?level_in : float?,  ?level_out : float?, ?block_size : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply headphone crossfeed filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.crystalizer" 0 1 (:type "(?i : float?, ?c : bool?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Simple audio noise sharpening filter."))
#("ffmpeg.filter.crystalizer.create" 0 1 (:type "(?i : float?, ?c : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Simple audio noise sharpening filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.cue" 0 1 (:type "(?cue : int?, ?preroll : int?, ?buffer : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Delay filtering to match a cue."))
#("ffmpeg.filter.cue.create" 0 1 (:type "(?cue : int?, ?preroll : int?, ?buffer : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Delay filtering to match a cue.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.curves" 0 1 (:type "(?preset : int?, ?master : string?, ?m : string?, ?red : string?,  ?r : string?, ?green : string?, ?g : string?, ?blue : string?, ?b : string?,  ?all : string?, ?psfile : string?, ?plot : string?, ?interp : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust components curves."))
#("ffmpeg.filter.curves.create" 0 1 (:type "(?preset : int?, ?master : string?, ?m : string?, ?red : string?,  ?r : string?, ?green : string?, ?g : string?, ?blue : string?, ?b : string?,  ?all : string?, ?psfile : string?, ?plot : string?, ?interp : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust components curves.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.datascope" 0 1 (:type "(?size : string?, ?s : string?, ?x : int?, ?y : int?, ?mode : int?,  ?axis : bool?, ?opacity : float?, ?format : int?, ?components : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Video data analysis."))
#("ffmpeg.filter.datascope.create" 0 1 (:type "(?size : string?, ?s : string?, ?x : int?, ?y : int?, ?mode : int?,  ?axis : bool?, ?opacity : float?, ?format : int?, ?components : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Video data analysis.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dblur" 0 1 (:type "(?angle : float?, ?radius : float?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Directional Blur filter."))
#("ffmpeg.filter.dblur.create" 0 1 (:type "(?angle : float?, ?radius : float?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Directional Blur filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dcshift" 0 1 (:type "(?shift : float?, ?limitergain : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a DC shift to the audio."))
#("ffmpeg.filter.dcshift.create" 0 1 (:type "(?shift : float?, ?limitergain : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a DC shift to the audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dctdnoiz" 0 1 (:type "(?sigma : float?, ?s : float?, ?overlap : int?, ?expr : string?,  ?e : string?, ?n : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Denoise frames using 2D DCT."))
#("ffmpeg.filter.dctdnoiz.create" 0 1 (:type "(?sigma : float?, ?s : float?, ?overlap : int?, ?expr : string?,  ?e : string?, ?n : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Denoise frames using 2D DCT.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.deband" 0 1 (:type "(?1thr : float?, ?2thr : float?, ?3thr : float?, ?4thr : float?,  ?range : int?, ?r : int?, ?direction : float?, ?d : float?, ?blur : bool?,  ?b : bool?, ?coupling : bool?, ?c : bool?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Debands video."))
#("ffmpeg.filter.deband.create" 0 1 (:type "(?1thr : float?, ?2thr : float?, ?3thr : float?, ?4thr : float?,  ?range : int?, ?r : int?, ?direction : float?, ?d : float?, ?blur : bool?,  ?b : bool?, ?coupling : bool?, ?c : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Debands video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.deblock" 0 1 (:type "(?filter : int?, ?block : int?, ?alpha : float?, ?beta : float?,  ?gamma : float?, ?delta : float?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Deblock video."))
#("ffmpeg.filter.deblock.create" 0 1 (:type "(?filter : int?, ?block : int?, ?alpha : float?, ?beta : float?,  ?gamma : float?, ?delta : float?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Deblock video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.decimate" 0 1 (:type "(?cycle : int?, ?dupthresh : float?, ?scthresh : float?, ?blockx : int?,  ?blocky : int?, ?ppsrc : bool?, ?chroma : bool?, ?mixed : bool?,  ffmpeg.filter.graph, [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Decimate frames (post field matching filter). This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.decimate.create" 0 1 (:type "(?cycle : int?, ?dupthresh : float?, ?scthresh : float?, ?blockx : int?,  ?blocky : int?, ?ppsrc : bool?, ?chroma : bool?, ?mixed : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Decimate frames (post field matching filter). This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.deconvolve" 0 1 (:type "(?planes : int?, ?impulse : int?, ?noise : float?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Deconvolve first video stream with second video stream."))
#("ffmpeg.filter.deconvolve.create" 0 1 (:type "(?planes : int?, ?impulse : int?, ?noise : float?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Deconvolve first video stream with second video stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dedot" 0 1 (:type "(?m : int?, ?lt : float?, ?tl : float?, ?tc : float?, ?ct : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Reduce cross-luminance and cross-color."))
#("ffmpeg.filter.dedot.create" 0 1 (:type "(?m : int?, ?lt : float?, ?tl : float?, ?tc : float?, ?ct : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Reduce cross-luminance and cross-color.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.deesser" 0 1 (:type "(?i : float?, ?m : float?, ?f : float?, ?s : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply de-essing to the audio."))
#("ffmpeg.filter.deesser.create" 0 1 (:type "(?i : float?, ?m : float?, ?f : float?, ?s : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply de-essing to the audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.deflate" 0 1 (:type "(?threshold0 : int?, ?threshold1 : int?, ?threshold2 : int?,  ?threshold3 : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply deflate effect."))
#("ffmpeg.filter.deflate.create" 0 1 (:type "(?threshold0 : int?, ?threshold1 : int?, ?threshold2 : int?,  ?threshold3 : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply deflate effect.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.deflicker" 0 1 (:type "(?size : int?, ?s : int?, ?mode : int?, ?m : int?, ?bypass : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Remove temporal frame luminance variations."))
#("ffmpeg.filter.deflicker.create" 0 1 (:type "(?size : int?, ?s : int?, ?mode : int?, ?m : int?, ?bypass : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remove temporal frame luminance variations.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.deinterlace_qsv" 0 1 (:type "(?mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Quick Sync Video \"deinterlacing\""))
#("ffmpeg.filter.deinterlace_qsv.create" 0 1 (:type "(?mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Quick Sync Video \"deinterlacing\". Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.deinterlace_vaapi" 0 1 (:type "(?mode : int?, ?rate : int?, ?auto : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Deinterlacing of VAAPI surfaces"))
#("ffmpeg.filter.deinterlace_vaapi.create" 0 1 (:type "(?mode : int?, ?rate : int?, ?auto : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Deinterlacing of VAAPI surfaces. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dejudder" 0 1 (:type "(?cycle : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Remove judder produced by pullup."))
#("ffmpeg.filter.dejudder.create" 0 1 (:type "(?cycle : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remove judder produced by pullup.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.delogo" 0 1 (:type "(?x : string?, ?y : string?, ?w : string?, ?h : string?, ?show : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Remove logo from input video."))
#("ffmpeg.filter.delogo.create" 0 1 (:type "(?x : string?, ?y : string?, ?w : string?, ?h : string?, ?show : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remove logo from input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.denoise_vaapi" 0 1 (:type "(?denoise : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: VAAPI VPP for de-noise"))
#("ffmpeg.filter.denoise_vaapi.create" 0 1 (:type "(?denoise : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: VAAPI VPP for de-noise. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.derain" 0 1 (:type "(?filter_type : int?, ?dnn_backend : int?, ?model : string?,  ?input : string?, ?output : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply derain filter to the input."))
#("ffmpeg.filter.derain.create" 0 1 (:type "(?filter_type : int?, ?dnn_backend : int?, ?model : string?,  ?input : string?, ?output : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply derain filter to the input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.deshake" 0 1 (:type "(?x : int?, ?y : int?, ?w : int?, ?h : int?, ?rx : int?, ?ry : int?,  ?edge : int?, ?blocksize : int?, ?contrast : int?, ?search : int?,  ?filename : string?, ?opencl : bool?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Stabilize shaky video."))
#("ffmpeg.filter.deshake.create" 0 1 (:type "(?x : int?, ?y : int?, ?w : int?, ?h : int?, ?rx : int?, ?ry : int?,  ?edge : int?, ?blocksize : int?, ?contrast : int?, ?search : int?,  ?filename : string?, ?opencl : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Stabilize shaky video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.deshake_opencl" 0 1 (:type "(?tripod : bool?, ?debug : bool?, ?adaptive_crop : bool?,  ?refine_features : bool?, ?smooth_strength : float?,  ?smooth_window_multiplier : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Feature-point based video stabilization filter"))
#("ffmpeg.filter.deshake_opencl.create" 0 1 (:type "(?tripod : bool?, ?debug : bool?, ?adaptive_crop : bool?,  ?refine_features : bool?, ?smooth_strength : float?,  ?smooth_window_multiplier : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Feature-point based video stabilization filter. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.despill" 0 1 (:type "(?type : int?, ?mix : float?, ?expand : float?, ?red : float?,  ?green : float?, ?blue : float?, ?brightness : float?, ?alpha : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Despill video."))
#("ffmpeg.filter.despill.create" 0 1 (:type "(?type : int?, ?mix : float?, ?expand : float?, ?red : float?,  ?green : float?, ?blue : float?, ?brightness : float?, ?alpha : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Despill video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.detelecine" 0 1 (:type "(?first_field : int?, ?pattern : string?, ?start_frame : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply an inverse telecine pattern."))
#("ffmpeg.filter.detelecine.create" 0 1 (:type "(?first_field : int?, ?pattern : string?, ?start_frame : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply an inverse telecine pattern.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dialoguenhance" 0 1 (:type "(?original : float?, ?enhance : float?, ?voice : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio Dialogue Enhancement."))
#("ffmpeg.filter.dialoguenhance.create" 0 1 (:type "(?original : float?, ?enhance : float?, ?voice : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio Dialogue Enhancement.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dilation" 0 1 (:type "(?coordinates : int?, ?threshold0 : int?, ?threshold1 : int?,  ?threshold2 : int?, ?threshold3 : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply dilation effect."))
#("ffmpeg.filter.dilation.create" 0 1 (:type "(?coordinates : int?, ?threshold0 : int?, ?threshold1 : int?,  ?threshold2 : int?, ?threshold3 : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply dilation effect.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dilation_opencl" 0 1 (:type "(?threshold0 : float?, ?threshold1 : float?, ?threshold2 : float?,  ?threshold3 : float?, ?coordinates : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply dilation effect"))
#("ffmpeg.filter.dilation_opencl.create" 0 1 (:type "(?threshold0 : float?, ?threshold1 : float?, ?threshold2 : float?,  ?threshold3 : float?, ?coordinates : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply dilation effect. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.displace" 0 1 (:type "(?edge : int?, ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Displace pixels."))
#("ffmpeg.filter.displace.create" 0 1 (:type "(?edge : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Displace pixels.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dnn_classify" 0 1 (:type "(?dnn_backend : int?, ?model : string?, ?input : string?, ?output : string?,  ?backend_configs : string?, ?options : string?, ?async : bool?,  ?confidence : float?, ?labels : string?, ?target : string?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply DNN classify filter to the input."))
#("ffmpeg.filter.dnn_classify.create" 0 1 (:type "(?dnn_backend : int?, ?model : string?, ?input : string?, ?output : string?,  ?backend_configs : string?, ?options : string?, ?async : bool?,  ?confidence : float?, ?labels : string?, ?target : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply DNN classify filter to the input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dnn_detect" 0 1 (:type "(?dnn_backend : int?, ?model : string?, ?input : string?, ?output : string?,  ?backend_configs : string?, ?options : string?, ?async : bool?,  ?confidence : float?, ?labels : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply DNN detect filter to the input."))
#("ffmpeg.filter.dnn_detect.create" 0 1 (:type "(?dnn_backend : int?, ?model : string?, ?input : string?, ?output : string?,  ?backend_configs : string?, ?options : string?, ?async : bool?,  ?confidence : float?, ?labels : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply DNN detect filter to the input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dnn_processing" 0 1 (:type "(?dnn_backend : int?, ?model : string?, ?input : string?, ?output : string?,  ?backend_configs : string?, ?options : string?, ?async : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply DNN processing filter to the input."))
#("ffmpeg.filter.dnn_processing.create" 0 1 (:type "(?dnn_backend : int?, ?model : string?, ?input : string?, ?output : string?,  ?backend_configs : string?, ?options : string?, ?async : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply DNN processing filter to the input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.doubleweave" 0 1 (:type "(?first_field : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Weave input video fields into double number of frames."))
#("ffmpeg.filter.doubleweave.create" 0 1 (:type "(?first_field : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Weave input video fields into double number of frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.drawbox" 0 1 (:type "(?x : string?, ?y : string?, ?width : string?, ?w : string?,  ?height : string?, ?h : string?, ?color : string?, ?c : string?,  ?thickness : string?, ?t : string?, ?replace : bool?, ?box_source : string?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Draw a colored box on the input video."))
#("ffmpeg.filter.drawbox.create" 0 1 (:type "(?x : string?, ?y : string?, ?width : string?, ?w : string?,  ?height : string?, ?h : string?, ?color : string?, ?c : string?,  ?thickness : string?, ?t : string?, ?replace : bool?, ?box_source : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Draw a colored box on the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.drawgraph" 0 1 (:type "(?m1 : string?, ?fg1 : string?, ?m2 : string?, ?fg2 : string?, ?m3 : string?,  ?fg3 : string?, ?m4 : string?, ?fg4 : string?, ?bg : string?, ?min : float?,  ?max : float?, ?mode : int?, ?slide : int?, ?size : string?, ?s : string?,  ?rate : string?, ?r : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Draw a graph using input video metadata."))
#("ffmpeg.filter.drawgraph.create" 0 1 (:type "(?m1 : string?, ?fg1 : string?, ?m2 : string?, ?fg2 : string?, ?m3 : string?,  ?fg3 : string?, ?m4 : string?, ?fg4 : string?, ?bg : string?, ?min : float?,  ?max : float?, ?mode : int?, ?slide : int?, ?size : string?, ?s : string?,  ?rate : string?, ?r : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Draw a graph using input video metadata.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.drawgrid" 0 1 (:type "(?x : string?, ?y : string?, ?width : string?, ?w : string?,  ?height : string?, ?h : string?, ?color : string?, ?c : string?,  ?thickness : string?, ?t : string?, ?replace : bool?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Draw a colored grid on the input video."))
#("ffmpeg.filter.drawgrid.create" 0 1 (:type "(?x : string?, ?y : string?, ?width : string?, ?w : string?,  ?height : string?, ?h : string?, ?color : string?, ?c : string?,  ?thickness : string?, ?t : string?, ?replace : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Draw a colored grid on the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.drawtext" 0 1 (:type "(?fontfile : string?, ?text : string?, ?textfile : string?,  ?fontcolor : string?, ?fontcolor_expr : string?, ?boxcolor : string?,  ?bordercolor : string?, ?shadowcolor : string?, ?box : bool?,  ?boxborderw : string?, ?line_spacing : int?, ?fontsize : string?,  ?text_align : int?, ?x : string?, ?y : string?, ?boxw : int?, ?boxh : int?,  ?shadowx : int?, ?shadowy : int?, ?borderw : int?, ?tabsize : int?,  ?basetime : int?, ?font : string?, ?expansion : int?, ?y_align : int?,  ?timecode : string?, ?tc24hmax : bool?, ?timecode_rate : string?,  ?r : string?, ?rate : string?, ?reload : int?, ?alpha : string?,  ?fix_bounds : bool?, ?start_number : int?, ?text_source : string?,  ?text_shaping : bool?, ?ft_load_flags : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Draw text on top of video frames using libfreetype library."))
#("ffmpeg.filter.drawtext.create" 0 1 (:type "(?fontfile : string?, ?text : string?, ?textfile : string?,  ?fontcolor : string?, ?fontcolor_expr : string?, ?boxcolor : string?,  ?bordercolor : string?, ?shadowcolor : string?, ?box : bool?,  ?boxborderw : string?, ?line_spacing : int?, ?fontsize : string?,  ?text_align : int?, ?x : string?, ?y : string?, ?boxw : int?, ?boxh : int?,  ?shadowx : int?, ?shadowy : int?, ?borderw : int?, ?tabsize : int?,  ?basetime : int?, ?font : string?, ?expansion : int?, ?y_align : int?,  ?timecode : string?, ?tc24hmax : bool?, ?timecode_rate : string?,  ?r : string?, ?rate : string?, ?reload : int?, ?alpha : string?,  ?fix_bounds : bool?, ?start_number : int?, ?text_source : string?,  ?text_shaping : bool?, ?ft_load_flags : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Draw text on top of video frames using libfreetype library.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.drmeter" 0 1 (:type "(?length : float?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Measure audio dynamic range."))
#("ffmpeg.filter.drmeter.create" 0 1 (:type "(?length : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Measure audio dynamic range.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.dynaudnorm" 0 1 (:type "(?framelen : int?, ?f : int?, ?gausssize : int?, ?g : int?, ?peak : float?,  ?p : float?, ?maxgain : float?, ?m : float?, ?targetrms : float?,  ?r : float?, ?coupling : bool?, ?n : bool?, ?correctdc : bool?, ?c : bool?,  ?altboundary : bool?, ?b : bool?, ?compress : float?, ?s : float?,  ?threshold : float?, ?t : float?, ?channels : string?, ?h : string?,  ?overlap : float?, ?o : float?, ?curve : string?, ?v : string?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Dynamic Audio Normalizer."))
#("ffmpeg.filter.dynaudnorm.create" 0 1 (:type "(?framelen : int?, ?f : int?, ?gausssize : int?, ?g : int?, ?peak : float?,  ?p : float?, ?maxgain : float?, ?m : float?, ?targetrms : float?,  ?r : float?, ?coupling : bool?, ?n : bool?, ?correctdc : bool?, ?c : bool?,  ?altboundary : bool?, ?b : bool?, ?compress : float?, ?s : float?,  ?threshold : float?, ?t : float?, ?channels : string?, ?h : string?,  ?overlap : float?, ?o : float?, ?curve : string?, ?v : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Dynamic Audio Normalizer.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.earwax" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Widen the stereo image."))
#("ffmpeg.filter.earwax.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Widen the stereo image.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ebur128" 0 1 (:type "(?video : bool?, ?size : string?, ?meter : int?, ?framelog : int?,  ?metadata : bool?, ?peak : int?, ?dualmono : bool?, ?panlaw : float?,  ?target : int?, ?gauge : int?, ?scale : int?, ?integrated : float?,  ?range : float?, ?lra_low : float?, ?lra_high : float?,  ?sample_peak : float?, ?true_peak : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: EBU R128 scanner. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.ebur128.create" 0 1 (:type "(?video : bool?, ?size : string?, ?meter : int?, ?framelog : int?,  ?metadata : bool?, ?peak : int?, ?dualmono : bool?, ?panlaw : float?,  ?target : int?, ?gauge : int?, ?scale : int?, ?integrated : float?,  ?range : float?, ?lra_low : float?, ?lra_high : float?,  ?sample_peak : float?, ?true_peak : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: EBU R128 scanner. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.edgedetect" 0 1 (:type "(?high : float?, ?low : float?, ?mode : int?, ?planes : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Detect and draw edge."))
#("ffmpeg.filter.edgedetect.create" 0 1 (:type "(?high : float?, ?low : float?, ?mode : int?, ?planes : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Detect and draw edge.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.elbg" 0 1 (:type "(?codebook_length : int?, ?l : int?, ?nb_steps : int?, ?n : int?,  ?seed : int?, ?s : int?, ?pal8 : bool?, ?use_alpha : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply posterize effect, using the ELBG algorithm."))
#("ffmpeg.filter.elbg.create" 0 1 (:type "(?codebook_length : int?, ?l : int?, ?nb_steps : int?, ?n : int?,  ?seed : int?, ?s : int?, ?pal8 : bool?, ?use_alpha : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply posterize effect, using the ELBG algorithm.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.entropy" 0 1 (:type "(?mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Measure video frames entropy."))
#("ffmpeg.filter.entropy.create" 0 1 (:type "(?mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Measure video frames entropy.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.epx" 0 1 (:type "(?n : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Scale the input using EPX algorithm."))
#("ffmpeg.filter.epx.create" 0 1 (:type "(?n : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Scale the input using EPX algorithm.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.eq" 0 1 (:type "(?contrast : string?, ?brightness : string?, ?saturation : string?,  ?gamma : string?, ?gamma_r : string?, ?gamma_g : string?,  ?gamma_b : string?, ?gamma_weight : string?, ?eval : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust brightness, contrast, gamma, and saturation."))
#("ffmpeg.filter.eq.create" 0 1 (:type "(?contrast : string?, ?brightness : string?, ?saturation : string?,  ?gamma : string?, ?gamma_r : string?, ?gamma_g : string?,  ?gamma_b : string?, ?gamma_weight : string?, ?eval : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust brightness, contrast, gamma, and saturation.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.equalizer" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?mix : float?,  ?m : float?, ?channels : string?, ?c : string?, ?normalize : bool?,  ?n : bool?, ?transform : int?, ?a : int?, ?precision : int?, ?r : int?,  ?blocksize : int?, ?b : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply two-pole peaking equalization (EQ) filter."))
#("ffmpeg.filter.equalizer.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?mix : float?,  ?m : float?, ?channels : string?, ?c : string?, ?normalize : bool?,  ?n : bool?, ?transform : int?, ?a : int?, ?precision : int?, ?r : int?,  ?blocksize : int?, ?b : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply two-pole peaking equalization (EQ) filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.erosion" 0 1 (:type "(?coordinates : int?, ?threshold0 : int?, ?threshold1 : int?,  ?threshold2 : int?, ?threshold3 : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply erosion effect."))
#("ffmpeg.filter.erosion.create" 0 1 (:type "(?coordinates : int?, ?threshold0 : int?, ?threshold1 : int?,  ?threshold2 : int?, ?threshold3 : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply erosion effect.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.erosion_opencl" 0 1 (:type "(?threshold0 : float?, ?threshold1 : float?, ?threshold2 : float?,  ?threshold3 : float?, ?coordinates : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply erosion effect"))
#("ffmpeg.filter.erosion_opencl.create" 0 1 (:type "(?threshold0 : float?, ?threshold1 : float?, ?threshold2 : float?,  ?threshold3 : float?, ?coordinates : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply erosion effect. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.estdif" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ?rslope : int?, ?redge : int?,  ?ecost : int?, ?mcost : int?, ?dcost : int?, ?interp : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Edge Slope Tracing deinterlace."))
#("ffmpeg.filter.estdif.create" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ?rslope : int?, ?redge : int?,  ?ecost : int?, ?mcost : int?, ?dcost : int?, ?interp : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Edge Slope Tracing deinterlace.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.exposure" 0 1 (:type "(?exposure : float?, ?black : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust exposure of the video stream."))
#("ffmpeg.filter.exposure.create" 0 1 (:type "(?exposure : float?, ?black : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust exposure of the video stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.extractplanes" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Extract planes as grayscale frames. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.extractplanes.create" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Extract planes as grayscale frames. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.extrastereo" 0 1 (:type "(?m : float?, ?c : bool?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Increase difference between stereo audio channels."))
#("ffmpeg.filter.extrastereo.create" 0 1 (:type "(?m : float?, ?c : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Increase difference between stereo audio channels.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.fade" 0 1 (:type "(?type : int?, ?t : int?, ?start_frame : int?, ?s : int?, ?nb_frames : int?,  ?n : int?, ?alpha : bool?, ?start_time : int?, ?st : int?, ?duration : int?,  ?d : int?, ?color : string?, ?c : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Fade in/out input video."))
#("ffmpeg.filter.fade.create" 0 1 (:type "(?type : int?, ?t : int?, ?start_frame : int?, ?s : int?, ?nb_frames : int?,  ?n : int?, ?alpha : bool?, ?start_time : int?, ?st : int?, ?duration : int?,  ?d : int?, ?color : string?, ?c : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Fade in/out input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.feedback" 0 1 (:type "(?x : int?, ?y : int?, ?w : int?, ?h : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video * ffmpeg.filter.video" :description "Ffmpeg filter: Apply feedback video filter."))
#("ffmpeg.filter.feedback.create" 0 1 (:type "(?x : int?, ?y : int?, ?w : int?, ?h : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply feedback video filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.fftdnoiz" 0 1 (:type "(?sigma : float?, ?amount : float?, ?block : int?, ?overlap : float?,  ?method : int?, ?prev : int?, ?next : int?, ?planes : int?, ?window : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Denoise frames using 3D FFT."))
#("ffmpeg.filter.fftdnoiz.create" 0 1 (:type "(?sigma : float?, ?amount : float?, ?block : int?, ?overlap : float?,  ?method : int?, ?prev : int?, ?next : int?, ?planes : int?, ?window : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Denoise frames using 3D FFT.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.fftfilt" 0 1 (:type "(?dc_Y : int?, ?dc_U : int?, ?dc_V : int?, ?weight_Y : string?,  ?weight_U : string?, ?weight_V : string?, ?eval : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply arbitrary expressions to pixels in frequency domain."))
#("ffmpeg.filter.fftfilt.create" 0 1 (:type "(?dc_Y : int?, ?dc_U : int?, ?dc_V : int?, ?weight_Y : string?,  ?weight_U : string?, ?weight_V : string?, ?eval : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply arbitrary expressions to pixels in frequency domain.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.field" 0 1 (:type "(?type : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Extract a field from the input video."))
#("ffmpeg.filter.field.create" 0 1 (:type "(?type : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Extract a field from the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.fieldhint" 0 1 (:type "(?hint : string?, ?mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Field matching using hints."))
#("ffmpeg.filter.fieldhint.create" 0 1 (:type "(?hint : string?, ?mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Field matching using hints.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.fieldmatch" 0 1 (:type "(?order : int?, ?mode : int?, ?ppsrc : bool?, ?field : int?,  ?mchroma : bool?, ?y0 : int?, ?y1 : int?, ?scthresh : float?,  ?combmatch : int?, ?combdbg : int?, ?cthresh : int?, ?chroma : bool?,  ?blockx : int?, ?blocky : int?, ?combpel : int?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Field matching for inverse telecine. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.fieldmatch.create" 0 1 (:type "(?order : int?, ?mode : int?, ?ppsrc : bool?, ?field : int?,  ?mchroma : bool?, ?y0 : int?, ?y1 : int?, ?scthresh : float?,  ?combmatch : int?, ?combdbg : int?, ?cthresh : int?, ?chroma : bool?,  ?blockx : int?, ?blocky : int?, ?combpel : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Field matching for inverse telecine. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.fieldorder" 0 1 (:type "(?order : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Set the field order."))
#("ffmpeg.filter.fieldorder.create" 0 1 (:type "(?order : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Set the field order.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.fifo" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Buffer input images and send them when they are requested."))
#("ffmpeg.filter.fifo.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Buffer input images and send them when they are requested.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.fillborders" 0 1 (:type "(?left : int?, ?right : int?, ?top : int?, ?bottom : int?, ?mode : int?,  ?color : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Fill borders of the input video."))
#("ffmpeg.filter.fillborders.create" 0 1 (:type "(?left : int?, ?right : int?, ?top : int?, ?bottom : int?, ?mode : int?,  ?color : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Fill borders of the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.find_rect" 0 1 (:type "(?object : string?, ?threshold : float?, ?mipmaps : int?, ?xmin : int?,  ?ymin : int?, ?xmax : int?, ?ymax : int?, ?discard : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Find a user specified object."))
#("ffmpeg.filter.find_rect.create" 0 1 (:type "(?object : string?, ?threshold : float?, ?mipmaps : int?, ?xmin : int?,  ?ymin : int?, ?xmax : int?, ?ymax : int?, ?discard : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Find a user specified object.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.firequalizer" 0 1 (:type "(?gain : string?, ?gain_entry : string?, ?delay : float?, ?accuracy : float?,  ?wfunc : int?, ?fixed : bool?, ?multi : bool?, ?zero_phase : bool?,  ?scale : int?, ?dumpfile : string?, ?dumpscale : int?, ?fft2 : bool?,  ?min_phase : bool?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Finite Impulse Response Equalizer."))
#("ffmpeg.filter.firequalizer.create" 0 1 (:type "(?gain : string?, ?gain_entry : string?, ?delay : float?, ?accuracy : float?,  ?wfunc : int?, ?fixed : bool?, ?multi : bool?, ?zero_phase : bool?,  ?scale : int?, ?dumpfile : string?, ?dumpscale : int?, ?fft2 : bool?,  ?min_phase : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Finite Impulse Response Equalizer.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.flanger" 0 1 (:type "(?delay : float?, ?depth : float?, ?regen : float?, ?width : float?,  ?speed : float?, ?shape : int?, ?phase : float?, ?interp : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a flanging effect to the audio."))
#("ffmpeg.filter.flanger.create" 0 1 (:type "(?delay : float?, ?depth : float?, ?regen : float?, ?width : float?,  ?speed : float?, ?shape : int?, ?phase : float?, ?interp : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a flanging effect to the audio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.flip_vulkan" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Flip both horizontally and vertically"))
#("ffmpeg.filter.flip_vulkan.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Flip both horizontally and vertically. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.flite" 0 1 (:type "(?list_voices : bool?, ?nb_samples : int?, ?n : int?, ?text : string?,  ?textfile : string?, ?v : string?, ?voice : string?, ffmpeg.filter.graph) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Synthesize voice from text using libflite."))
#("ffmpeg.filter.flite.create" 0 1 (:type "(?list_voices : bool?, ?nb_samples : int?, ?n : int?, ?text : string?,  ?textfile : string?, ?v : string?, ?voice : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Synthesize voice from text using libflite.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.floodfill" 0 1 (:type "(?x : int?, ?y : int?, ?s0 : int?, ?s1 : int?, ?s2 : int?, ?s3 : int?,  ?d0 : int?, ?d1 : int?, ?d2 : int?, ?d3 : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Fill area with same color with another color."))
#("ffmpeg.filter.floodfill.create" 0 1 (:type "(?x : int?, ?y : int?, ?s0 : int?, ?s1 : int?, ?s2 : int?, ?s3 : int?,  ?d0 : int?, ?d1 : int?, ?d2 : int?, ?d3 : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Fill area with same color with another color.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.format" 0 1 (:type "(?pix_fmts : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert the input video to one of the specified pixel formats."))
#("ffmpeg.filter.format.create" 0 1 (:type "(?pix_fmts : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert the input video to one of the specified pixel formats.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.fps" 0 1 (:type "(?fps : string?, ?start_time : float?, ?round : int?, ?eof_action : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Force constant framerate."))
#("ffmpeg.filter.fps.create" 0 1 (:type "(?fps : string?, ?start_time : float?, ?round : int?, ?eof_action : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Force constant framerate.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.framepack" 0 1 (:type "(?format : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate a frame packed stereoscopic video."))
#("ffmpeg.filter.framepack.create" 0 1 (:type "(?format : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate a frame packed stereoscopic video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.framerate" 0 1 (:type "(?fps : string?, ?interp_start : int?, ?interp_end : int?, ?scene : float?,  ?flags : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Upsamples or downsamples progressive source between specified frame rates."))
#("ffmpeg.filter.framerate.create" 0 1 (:type "(?fps : string?, ?interp_start : int?, ?interp_end : int?, ?scene : float?,  ?flags : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Upsamples or downsamples progressive source between specified frame rates.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.framestep" 0 1 (:type "(?step : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Select one frame every N frames."))
#("ffmpeg.filter.framestep.create" 0 1 (:type "(?step : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Select one frame every N frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.freezedetect" 0 1 (:type "(?n : float?, ?noise : float?, ?d : int?, ?duration : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Detects frozen video input."))
#("ffmpeg.filter.freezedetect.create" 0 1 (:type "(?n : float?, ?noise : float?, ?d : int?, ?duration : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Detects frozen video input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.freezeframes" 0 1 (:type "(?first : int?, ?last : int?, ?replace : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Freeze video frames."))
#("ffmpeg.filter.freezeframes.create" 0 1 (:type "(?first : int?, ?last : int?, ?replace : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Freeze video frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.frei0r" 0 1 (:type "(?filter_name : string?, ?filter_params : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply a frei0r effect."))
#("ffmpeg.filter.frei0r.create" 0 1 (:type "(?filter_name : string?, ?filter_params : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a frei0r effect.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.frei0r_src" 0 1 (:type "(?size : string?, ?framerate : string?, ?filter_name : string?,  ?filter_params : string?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate a frei0r source."))
#("ffmpeg.filter.frei0r_src.create" 0 1 (:type "(?size : string?, ?framerate : string?, ?filter_name : string?,  ?filter_params : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate a frei0r source.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.fspp" 0 1 (:type "(?quality : int?, ?qp : int?, ?strength : int?, ?use_bframe_qp : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Fast Simple Post-processing filter."))
#("ffmpeg.filter.fspp.create" 0 1 (:type "(?quality : int?, ?qp : int?, ?strength : int?, ?use_bframe_qp : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Fast Simple Post-processing filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.gblur" 0 1 (:type "(?sigma : float?, ?steps : int?, ?planes : int?, ?sigmaV : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Gaussian Blur filter."))
#("ffmpeg.filter.gblur.create" 0 1 (:type "(?sigma : float?, ?steps : int?, ?planes : int?, ?sigmaV : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Gaussian Blur filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.gblur_vulkan" 0 1 (:type "(?sigma : float?, ?sigmaV : float?, ?planes : int?, ?size : int?,  ?sizeV : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Gaussian Blur in Vulkan"))
#("ffmpeg.filter.gblur_vulkan.create" 0 1 (:type "(?sigma : float?, ?sigmaV : float?, ?planes : int?, ?size : int?,  ?sizeV : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Gaussian Blur in Vulkan. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.geq" 0 1 (:type "(?lum_expr : string?, ?lum : string?, ?cb_expr : string?, ?cb : string?,  ?cr_expr : string?, ?cr : string?, ?alpha_expr : string?, ?a : string?,  ?red_expr : string?, ?r : string?, ?green_expr : string?, ?g : string?,  ?blue_expr : string?, ?b : string?, ?interpolation : int?, ?i : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply generic equation to each pixel."))
#("ffmpeg.filter.geq.create" 0 1 (:type "(?lum_expr : string?, ?lum : string?, ?cb_expr : string?, ?cb : string?,  ?cr_expr : string?, ?cr : string?, ?alpha_expr : string?, ?a : string?,  ?red_expr : string?, ?r : string?, ?green_expr : string?, ?g : string?,  ?blue_expr : string?, ?b : string?, ?interpolation : int?, ?i : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply generic equation to each pixel.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.gradfun" 0 1 (:type "(?strength : float?, ?radius : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Debands video quickly using gradients."))
#("ffmpeg.filter.gradfun.create" 0 1 (:type "(?strength : float?, ?radius : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Debands video quickly using gradients.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.gradients" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?, ?c0 : string?,  ?c1 : string?, ?c2 : string?, ?c3 : string?, ?c4 : string?, ?c5 : string?,  ?c6 : string?, ?c7 : string?, ?x0 : int?, ?y0 : int?, ?x1 : int?,  ?y1 : int?, ?nb_colors : int?, ?n : int?, ?seed : int?, ?duration : int?,  ?d : int?, ?speed : float?, ?type : int?, ?t : int?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Draw a gradients."))
#("ffmpeg.filter.gradients.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?, ?c0 : string?,  ?c1 : string?, ?c2 : string?, ?c3 : string?, ?c4 : string?, ?c5 : string?,  ?c6 : string?, ?c7 : string?, ?x0 : int?, ?y0 : int?, ?x1 : int?,  ?y1 : int?, ?nb_colors : int?, ?n : int?, ?seed : int?, ?duration : int?,  ?d : int?, ?speed : float?, ?type : int?, ?t : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Draw a gradients.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.graphmonitor" 0 1 (:type "(?size : string?, ?s : string?, ?opacity : float?, ?o : float?, ?mode : int?,  ?m : int?, ?flags : int?, ?f : int?, ?rate : string?, ?r : string?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Show various filtergraph stats."))
#("ffmpeg.filter.graphmonitor.create" 0 1 (:type "(?size : string?, ?s : string?, ?opacity : float?, ?o : float?, ?mode : int?,  ?m : int?, ?flags : int?, ?f : int?, ?rate : string?, ?r : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Show various filtergraph stats.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.grayworld" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust white balance using LAB gray world algorithm"))
#("ffmpeg.filter.grayworld.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust white balance using LAB gray world algorithm. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.greyedge" 0 1 (:type "(?difford : int?, ?minknorm : int?, ?sigma : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Estimates scene illumination by grey edge assumption."))
#("ffmpeg.filter.greyedge.create" 0 1 (:type "(?difford : int?, ?minknorm : int?, ?sigma : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Estimates scene illumination by grey edge assumption.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.guided" 0 1 (:type "(?radius : int?, ?eps : float?, ?mode : int?, ?sub : int?, ?guidance : int?,  ?planes : int?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Guided filter. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.guided.create" 0 1 (:type "(?radius : int?, ?eps : float?, ?mode : int?, ?sub : int?, ?guidance : int?,  ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Guided filter. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.haas" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?side_gain : float?,  ?middle_source : int?, ?middle_phase : bool?, ?left_delay : float?,  ?left_balance : float?, ?left_gain : float?, ?left_phase : bool?,  ?right_delay : float?, ?right_balance : float?, ?right_gain : float?,  ?right_phase : bool?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply Haas Stereo Enhancer."))
#("ffmpeg.filter.haas.create" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?side_gain : float?,  ?middle_source : int?, ?middle_phase : bool?, ?left_delay : float?,  ?left_balance : float?, ?left_gain : float?, ?left_phase : bool?,  ?right_delay : float?, ?right_balance : float?, ?right_gain : float?,  ?right_phase : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Haas Stereo Enhancer.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.haldclut" 0 1 (:type "(?clut : int?, ?interp : int?, ?eof_action : int?, ?shortest : bool?,  ?repeatlast : bool?, ?ts_sync_mode : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust colors using a Hald CLUT."))
#("ffmpeg.filter.haldclut.create" 0 1 (:type "(?clut : int?, ?interp : int?, ?eof_action : int?, ?shortest : bool?,  ?repeatlast : bool?, ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust colors using a Hald CLUT.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.haldclutsrc" 0 1 (:type "(?level : int?, ?rate : string?, ?r : string?, ?duration : int?, ?d : int?,  ?sar : string?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Provide an identity Hald CLUT."))
#("ffmpeg.filter.haldclutsrc.create" 0 1 (:type "(?level : int?, ?rate : string?, ?r : string?, ?duration : int?, ?d : int?,  ?sar : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Provide an identity Hald CLUT.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hdcd" 0 1 (:type "(?disable_autoconvert : bool?, ?process_stereo : bool?, ?cdt_ms : int?,  ?force_pe : bool?, ?analyze_mode : int?, ?bits_per_sample : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply High Definition Compatible Digital (HDCD) decoding."))
#("ffmpeg.filter.hdcd.create" 0 1 (:type "(?disable_autoconvert : bool?, ?process_stereo : bool?, ?cdt_ms : int?,  ?force_pe : bool?, ?analyze_mode : int?, ?bits_per_sample : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply High Definition Compatible Digital (HDCD) decoding.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.headphone" 0 1 (:type "(?map : string?, ?gain : float?, ?lfe : float?, ?type : int?, ?size : int?,  ?hrir : int?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply headphone binaural spatialization with HRTFs in additional streams. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.headphone.create" 0 1 (:type "(?map : string?, ?gain : float?, ?lfe : float?, ?type : int?, ?size : int?,  ?hrir : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply headphone binaural spatialization with HRTFs in additional streams. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hflip" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Horizontally flip the input video."))
#("ffmpeg.filter.hflip.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Horizontally flip the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hflip_vulkan" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Horizontally flip the input video in Vulkan"))
#("ffmpeg.filter.hflip_vulkan.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Horizontally flip the input video in Vulkan. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.highpass" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?poles : int?, ?p : int?, ?mix : float?,  ?m : float?, ?channels : string?, ?c : string?, ?normalize : bool?,  ?n : bool?, ?transform : int?, ?a : int?, ?precision : int?, ?r : int?,  ?blocksize : int?, ?b : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a high-pass filter with 3dB point frequency."))
#("ffmpeg.filter.highpass.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?poles : int?, ?p : int?, ?mix : float?,  ?m : float?, ?channels : string?, ?c : string?, ?normalize : bool?,  ?n : bool?, ?transform : int?, ?a : int?, ?precision : int?, ?r : int?,  ?blocksize : int?, ?b : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a high-pass filter with 3dB point frequency.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.highshelf" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?poles : int?,  ?p : int?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a high shelf filter."))
#("ffmpeg.filter.highshelf.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?poles : int?,  ?p : int?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a high shelf filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hilbert" 0 1 (:type "(?sample_rate : int?, ?r : int?, ?taps : int?, ?t : int?, ?nb_samples : int?,  ?n : int?, ?win_func : int?, ?w : int?, ffmpeg.filter.graph) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Generate a Hilbert transform FIR coefficients."))
#("ffmpeg.filter.hilbert.create" 0 1 (:type "(?sample_rate : int?, ?r : int?, ?taps : int?, ?t : int?, ?nb_samples : int?,  ?n : int?, ?win_func : int?, ?w : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate a Hilbert transform FIR coefficients.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.histeq" 0 1 (:type "(?strength : float?, ?intensity : float?, ?antibanding : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply global color histogram equalization."))
#("ffmpeg.filter.histeq.create" 0 1 (:type "(?strength : float?, ?intensity : float?, ?antibanding : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply global color histogram equalization.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.histogram" 0 1 (:type "(?level_height : int?, ?scale_height : int?, ?display_mode : int?, ?d : int?,  ?levels_mode : int?, ?m : int?, ?components : int?, ?c : int?,  ?fgopacity : float?, ?f : float?, ?bgopacity : float?, ?b : float?,  ?colors_mode : int?, ?l : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Compute and draw a histogram."))
#("ffmpeg.filter.histogram.create" 0 1 (:type "(?level_height : int?, ?scale_height : int?, ?display_mode : int?, ?d : int?,  ?levels_mode : int?, ?m : int?, ?components : int?, ?c : int?,  ?fgopacity : float?, ?f : float?, ?bgopacity : float?, ?b : float?,  ?colors_mode : int?, ?l : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compute and draw a histogram.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hqdn3d" 0 1 (:type "(?luma_spatial : float?, ?chroma_spatial : float?, ?luma_tmp : float?,  ?chroma_tmp : float?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply a High Quality 3D Denoiser."))
#("ffmpeg.filter.hqdn3d.create" 0 1 (:type "(?luma_spatial : float?, ?chroma_spatial : float?, ?luma_tmp : float?,  ?chroma_tmp : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a High Quality 3D Denoiser.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hqx" 0 1 (:type "(?n : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Scale the input by 2, 3 or 4 using the hq*x magnification algorithm."))
#("ffmpeg.filter.hqx.create" 0 1 (:type "(?n : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Scale the input by 2, 3 or 4 using the hq*x magnification algorithm.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hstack" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Stack video inputs horizontally. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.hstack.create" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Stack video inputs horizontally. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hstack_qsv" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?height : int?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: \"Quick Sync Video\" hstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.hstack_qsv.create" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?height : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: \"Quick Sync Video\" hstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hstack_vaapi" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?height : int?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: \"VA-API\" hstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.hstack_vaapi.create" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?height : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: \"VA-API\" hstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hsvhold" 0 1 (:type "(?hue : float?, ?sat : float?, ?val : float?, ?similarity : float?,  ?blend : float?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Turns a certain HSV range into gray."))
#("ffmpeg.filter.hsvhold.create" 0 1 (:type "(?hue : float?, ?sat : float?, ?val : float?, ?similarity : float?,  ?blend : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Turns a certain HSV range into gray.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hsvkey" 0 1 (:type "(?hue : float?, ?sat : float?, ?val : float?, ?similarity : float?,  ?blend : float?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Turns a certain HSV range into transparency. Operates on YUV colors."))
#("ffmpeg.filter.hsvkey.create" 0 1 (:type "(?hue : float?, ?sat : float?, ?val : float?, ?similarity : float?,  ?blend : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Turns a certain HSV range into transparency. Operates on YUV colors.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hue" 0 1 (:type "(?h : string?, ?s : string?, ?H : string?, ?b : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust the hue and saturation of the input video."))
#("ffmpeg.filter.hue.create" 0 1 (:type "(?h : string?, ?s : string?, ?H : string?, ?b : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust the hue and saturation of the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.huesaturation" 0 1 (:type "(?hue : float?, ?saturation : float?, ?intensity : float?, ?colors : int?,  ?strength : float?, ?rw : float?, ?gw : float?, ?bw : float?,  ?lightness : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply hue-saturation-intensity adjustments."))
#("ffmpeg.filter.huesaturation.create" 0 1 (:type "(?hue : float?, ?saturation : float?, ?intensity : float?, ?colors : int?,  ?strength : float?, ?rw : float?, ?gw : float?, ?bw : float?,  ?lightness : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply hue-saturation-intensity adjustments.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hwdownload" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Download a hardware frame to a normal frame"))
#("ffmpeg.filter.hwdownload.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Download a hardware frame to a normal frame. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hwmap" 0 1 (:type "(?mode : int?, ?derive_device : string?, ?reverse : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Map hardware frames"))
#("ffmpeg.filter.hwmap.create" 0 1 (:type "(?mode : int?, ?derive_device : string?, ?reverse : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Map hardware frames. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hwupload" 0 1 (:type "(?derive_device : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Upload a normal frame to a hardware frame"))
#("ffmpeg.filter.hwupload.create" 0 1 (:type "(?derive_device : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Upload a normal frame to a hardware frame. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hwupload_cuda" 0 1 (:type "(?device : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Upload a system memory frame to a CUDA device."))
#("ffmpeg.filter.hwupload_cuda.create" 0 1 (:type "(?device : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Upload a system memory frame to a CUDA device.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.hysteresis" 0 1 (:type "(?planes : int?, ?threshold : int?, ?eof_action : int?, ?shortest : bool?,  ?repeatlast : bool?, ?ts_sync_mode : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Grow first stream into second stream by connecting components."))
#("ffmpeg.filter.hysteresis.create" 0 1 (:type "(?planes : int?, ?threshold : int?, ?eof_action : int?, ?shortest : bool?,  ?repeatlast : bool?, ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Grow first stream into second stream by connecting components.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.identity" 0 1 (:type "(?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Calculate the Identity between two video streams."))
#("ffmpeg.filter.identity.create" 0 1 (:type "(?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Calculate the Identity between two video streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.idet" 0 1 (:type "(?intl_thres : float?, ?prog_thres : float?, ?rep_thres : float?,  ?half_life : float?, ?analyze_interlaced_flag : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Interlace detect Filter."))
#("ffmpeg.filter.idet.create" 0 1 (:type "(?intl_thres : float?, ?prog_thres : float?, ?rep_thres : float?,  ?half_life : float?, ?analyze_interlaced_flag : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Interlace detect Filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.il" 0 1 (:type "(?luma_mode : int?, ?l : int?, ?chroma_mode : int?, ?c : int?,  ?alpha_mode : int?, ?a : int?, ?luma_swap : bool?, ?ls : bool?,  ?chroma_swap : bool?, ?cs : bool?, ?alpha_swap : bool?, ?as : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Deinterleave or interleave fields."))
#("ffmpeg.filter.il.create" 0 1 (:type "(?luma_mode : int?, ?l : int?, ?chroma_mode : int?, ?c : int?,  ?alpha_mode : int?, ?a : int?, ?luma_swap : bool?, ?ls : bool?,  ?chroma_swap : bool?, ?cs : bool?, ?alpha_swap : bool?, ?as : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Deinterleave or interleave fields.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.inflate" 0 1 (:type "(?threshold0 : int?, ?threshold1 : int?, ?threshold2 : int?,  ?threshold3 : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply inflate effect."))
#("ffmpeg.filter.inflate.create" 0 1 (:type "(?threshold0 : int?, ?threshold1 : int?, ?threshold2 : int?,  ?threshold3 : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply inflate effect.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.interlace" 0 1 (:type "(?scan : int?, ?lowpass : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert progressive video into interlaced."))
#("ffmpeg.filter.interlace.create" 0 1 (:type "(?scan : int?, ?lowpass : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert progressive video into interlaced.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.interleave" 0 1 (:type "(?nb_inputs : int?, ?n : int?, ?duration : int?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Temporally interleave video inputs. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.interleave.create" 0 1 (:type "(?nb_inputs : int?, ?n : int?, ?duration : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Temporally interleave video inputs. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.join" 0 1 (:type "(?inputs : int?, ?channel_layout : string?, ?map : string?,  ffmpeg.filter.graph, [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Join multiple audio streams into multi-channel output. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.join.create" 0 1 (:type "(?inputs : int?, ?channel_layout : string?, ?map : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Join multiple audio streams into multi-channel output. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.kerndeint" 0 1 (:type "(?thresh : int?, ?map : bool?, ?order : bool?, ?sharp : bool?,  ?twoway : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply kernel deinterlacing to the input."))
#("ffmpeg.filter.kerndeint.create" 0 1 (:type "(?thresh : int?, ?map : bool?, ?order : bool?, ?sharp : bool?,  ?twoway : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply kernel deinterlacing to the input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.kirsch" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply kirsch operator."))
#("ffmpeg.filter.kirsch.create" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply kirsch operator.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ladspa" 0 1 (:type "(?file : string?, ?f : string?, ?plugin : string?, ?p : string?,  ?controls : string?, ?c : string?, ?sample_rate : int?, ?s : int?,  ?nb_samples : int?, ?n : int?, ?duration : int?, ?d : int?,  ?latency : bool?, ?l : bool?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply LADSPA effect. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.ladspa.create" 0 1 (:type "(?file : string?, ?f : string?, ?plugin : string?, ?p : string?,  ?controls : string?, ?c : string?, ?sample_rate : int?, ?s : int?,  ?nb_samples : int?, ?n : int?, ?duration : int?, ?d : int?,  ?latency : bool?, ?l : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply LADSPA effect. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lagfun" 0 1 (:type "(?decay : float?, ?planes : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Slowly update darker pixels."))
#("ffmpeg.filter.lagfun.create" 0 1 (:type "(?decay : float?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Slowly update darker pixels.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.latency" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Report video filtering latency."))
#("ffmpeg.filter.latency.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Report video filtering latency.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lenscorrection" 0 1 (:type "(?cx : float?, ?cy : float?, ?k1 : float?, ?k2 : float?, ?i : int?,  ?fc : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Rectify the image by correcting for lens distortion."))
#("ffmpeg.filter.lenscorrection.create" 0 1 (:type "(?cx : float?, ?cy : float?, ?k1 : float?, ?k2 : float?, ?i : int?,  ?fc : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Rectify the image by correcting for lens distortion.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.libplacebo" 0 1 (:type "(?inputs : int?, ?w : string?, ?h : string?, ?fps : string?,  ?crop_x : string?, ?crop_y : string?, ?crop_w : string?, ?crop_h : string?,  ?pos_x : string?, ?pos_y : string?, ?pos_w : string?, ?pos_h : string?,  ?format : string?, ?force_original_aspect_ratio : int?,  ?force_divisible_by : int?, ?normalize_sar : bool?,  ?pad_crop_ratio : float?, ?fillcolor : string?, ?corner_rounding : float?,  ?extra_opts : string?, ?colorspace : int?, ?range : int?,  ?color_primaries : int?, ?color_trc : int?, ?upscaler : string?,  ?downscaler : string?, ?frame_mixer : string?, ?lut_entries : int?,  ?antiringing : float?, ?sigmoid : bool?, ?apply_filmgrain : bool?,  ?apply_dolbyvision : bool?, ?deband : bool?, ?deband_iterations : int?,  ?deband_threshold : float?, ?deband_radius : float?, ?deband_grain : float?,  ?brightness : float?, ?contrast : float?, ?saturation : float?,  ?hue : float?, ?gamma : float?, ?peak_detect : bool?,  ?smoothing_period : float?, ?minimum_peak : float?,  ?scene_threshold_low : float?, ?scene_threshold_high : float?,  ?percentile : float?, ?gamut_mode : int?, ?tonemapping : int?,  ?tonemapping_param : float?, ?inverse_tonemapping : bool?,  ?tonemapping_lut_size : int?, ?contrast_recovery : float?,  ?contrast_smoothness : float?, ?desaturation_strength : float?,  ?desaturation_exponent : float?, ?gamut_warning : bool?,  ?gamut_clipping : bool?, ?intent : int?, ?tonemapping_mode : int?,  ?tonemapping_crosstalk : float?, ?overshoot : float?, ?hybrid_mix : float?,  ?dithering : int?, ?dither_lut_size : int?, ?dither_temporal : bool?,  ?cones : int?, ?cone-strength : float?, ?custom_shader_path : string?,  ?custom_shader_bin : string?, ?skip_aa : bool?, ?polar_cutoff : float?,  ?disable_linear : bool?, ?disable_builtin : bool?, ?force_icc_lut : bool?,  ?force_dither : bool?, ?disable_fbos : bool?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply various GPU filters from libplacebo This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.libplacebo.create" 0 1 (:type "(?inputs : int?, ?w : string?, ?h : string?, ?fps : string?,  ?crop_x : string?, ?crop_y : string?, ?crop_w : string?, ?crop_h : string?,  ?pos_x : string?, ?pos_y : string?, ?pos_w : string?, ?pos_h : string?,  ?format : string?, ?force_original_aspect_ratio : int?,  ?force_divisible_by : int?, ?normalize_sar : bool?,  ?pad_crop_ratio : float?, ?fillcolor : string?, ?corner_rounding : float?,  ?extra_opts : string?, ?colorspace : int?, ?range : int?,  ?color_primaries : int?, ?color_trc : int?, ?upscaler : string?,  ?downscaler : string?, ?frame_mixer : string?, ?lut_entries : int?,  ?antiringing : float?, ?sigmoid : bool?, ?apply_filmgrain : bool?,  ?apply_dolbyvision : bool?, ?deband : bool?, ?deband_iterations : int?,  ?deband_threshold : float?, ?deband_radius : float?, ?deband_grain : float?,  ?brightness : float?, ?contrast : float?, ?saturation : float?,  ?hue : float?, ?gamma : float?, ?peak_detect : bool?,  ?smoothing_period : float?, ?minimum_peak : float?,  ?scene_threshold_low : float?, ?scene_threshold_high : float?,  ?percentile : float?, ?gamut_mode : int?, ?tonemapping : int?,  ?tonemapping_param : float?, ?inverse_tonemapping : bool?,  ?tonemapping_lut_size : int?, ?contrast_recovery : float?,  ?contrast_smoothness : float?, ?desaturation_strength : float?,  ?desaturation_exponent : float?, ?gamut_warning : bool?,  ?gamut_clipping : bool?, ?intent : int?, ?tonemapping_mode : int?,  ?tonemapping_crosstalk : float?, ?overshoot : float?, ?hybrid_mix : float?,  ?dithering : int?, ?dither_lut_size : int?, ?dither_temporal : bool?,  ?cones : int?, ?cone-strength : float?, ?custom_shader_path : string?,  ?custom_shader_bin : string?, ?skip_aa : bool?, ?polar_cutoff : float?,  ?disable_linear : bool?, ?disable_builtin : bool?, ?force_icc_lut : bool?,  ?force_dither : bool?, ?disable_fbos : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply various GPU filters from libplacebo This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.life" 0 1 (:type "(?filename : string?, ?f : string?, ?size : string?, ?s : string?,  ?rate : string?, ?r : string?, ?rule : string?, ?random_fill_ratio : float?,  ?ratio : float?, ?random_seed : int?, ?seed : int?, ?stitch : bool?,  ?mold : int?, ?life_color : string?, ?death_color : string?,  ?mold_color : string?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Create life."))
#("ffmpeg.filter.life.create" 0 1 (:type "(?filename : string?, ?f : string?, ?size : string?, ?s : string?,  ?rate : string?, ?r : string?, ?rule : string?, ?random_fill_ratio : float?,  ?ratio : float?, ?random_seed : int?, ?seed : int?, ?stitch : bool?,  ?mold : int?, ?life_color : string?, ?death_color : string?,  ?mold_color : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Create life.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.limitdiff" 0 1 (:type "(?threshold : float?, ?elasticity : float?, ?reference : bool?,  ?planes : int?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply filtering with limiting difference. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.limitdiff.create" 0 1 (:type "(?threshold : float?, ?elasticity : float?, ?reference : bool?,  ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply filtering with limiting difference. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.limiter" 0 1 (:type "(?min : int?, ?max : int?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Limit pixels components to the specified range."))
#("ffmpeg.filter.limiter.create" 0 1 (:type "(?min : int?, ?max : int?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Limit pixels components to the specified range.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.loop" 0 1 (:type "(?loop : int?, ?size : int?, ?start : int?, ?time : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Loop video frames."))
#("ffmpeg.filter.loop.create" 0 1 (:type "(?loop : int?, ?size : int?, ?start : int?, ?time : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Loop video frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.loudnorm" 0 1 (:type "(?I : float?, ?i : float?, ?LRA : float?, ?lra : float?, ?TP : float?,  ?tp : float?, ?measured_I : float?, ?measured_i : float?,  ?measured_LRA : float?, ?measured_lra : float?, ?measured_TP : float?,  ?measured_tp : float?, ?measured_thresh : float?, ?offset : float?,  ?linear : bool?, ?dual_mono : bool?, ?print_format : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: EBU R128 loudness normalization"))
#("ffmpeg.filter.loudnorm.create" 0 1 (:type "(?I : float?, ?i : float?, ?LRA : float?, ?lra : float?, ?TP : float?,  ?tp : float?, ?measured_I : float?, ?measured_i : float?,  ?measured_LRA : float?, ?measured_lra : float?, ?measured_TP : float?,  ?measured_tp : float?, ?measured_thresh : float?, ?offset : float?,  ?linear : bool?, ?dual_mono : bool?, ?print_format : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: EBU R128 loudness normalization. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lowpass" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?poles : int?, ?p : int?, ?mix : float?,  ?m : float?, ?channels : string?, ?c : string?, ?normalize : bool?,  ?n : bool?, ?transform : int?, ?a : int?, ?precision : int?, ?r : int?,  ?blocksize : int?, ?b : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a low-pass filter with 3dB point frequency."))
#("ffmpeg.filter.lowpass.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?poles : int?, ?p : int?, ?mix : float?,  ?m : float?, ?channels : string?, ?c : string?, ?normalize : bool?,  ?n : bool?, ?transform : int?, ?a : int?, ?precision : int?, ?r : int?,  ?blocksize : int?, ?b : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a low-pass filter with 3dB point frequency.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lowshelf" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?poles : int?,  ?p : int?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a low shelf filter."))
#("ffmpeg.filter.lowshelf.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?poles : int?,  ?p : int?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a low shelf filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lumakey" 0 1 (:type "(?threshold : float?, ?tolerance : float?, ?softness : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Turns a certain luma into transparency."))
#("ffmpeg.filter.lumakey.create" 0 1 (:type "(?threshold : float?, ?tolerance : float?, ?softness : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Turns a certain luma into transparency.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lut" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?, ?y : string?,  ?u : string?, ?v : string?, ?r : string?, ?g : string?, ?b : string?,  ?a : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Compute and apply a lookup table to the RGB/YUV input video."))
#("ffmpeg.filter.lut.create" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?, ?y : string?,  ?u : string?, ?v : string?, ?r : string?, ?g : string?, ?b : string?,  ?a : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compute and apply a lookup table to the RGB/YUV input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lut1d" 0 1 (:type "(?file : string?, ?interp : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust colors using a 1D LUT."))
#("ffmpeg.filter.lut1d.create" 0 1 (:type "(?file : string?, ?interp : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust colors using a 1D LUT.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lut2" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?, ?d : int?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Compute and apply a lookup table from two video inputs."))
#("ffmpeg.filter.lut2.create" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?, ?d : int?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compute and apply a lookup table from two video inputs.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lut3d" 0 1 (:type "(?file : string?, ?clut : int?, ?interp : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Adjust colors using a 3D LUT."))
#("ffmpeg.filter.lut3d.create" 0 1 (:type "(?file : string?, ?clut : int?, ?interp : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Adjust colors using a 3D LUT.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lutrgb" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?, ?y : string?,  ?u : string?, ?v : string?, ?r : string?, ?g : string?, ?b : string?,  ?a : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Compute and apply a lookup table to the RGB input video."))
#("ffmpeg.filter.lutrgb.create" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?, ?y : string?,  ?u : string?, ?v : string?, ?r : string?, ?g : string?, ?b : string?,  ?a : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compute and apply a lookup table to the RGB input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lutyuv" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?, ?y : string?,  ?u : string?, ?v : string?, ?r : string?, ?g : string?, ?b : string?,  ?a : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Compute and apply a lookup table to the YUV input video."))
#("ffmpeg.filter.lutyuv.create" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?, ?y : string?,  ?u : string?, ?v : string?, ?r : string?, ?g : string?, ?b : string?,  ?a : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compute and apply a lookup table to the YUV input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.lv2" 0 1 (:type "(?plugin : string?, ?p : string?, ?controls : string?, ?c : string?,  ?sample_rate : int?, ?s : int?, ?nb_samples : int?, ?n : int?,  ?duration : int?, ?d : int?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply LV2 effect. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.lv2.create" 0 1 (:type "(?plugin : string?, ?p : string?, ?controls : string?, ?c : string?,  ?sample_rate : int?, ?s : int?, ?nb_samples : int?, ?n : int?,  ?duration : int?, ?d : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply LV2 effect. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.mandelbrot" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?maxiter : int?, ?start_x : float?, ?start_y : float?,  ?start_scale : float?, ?end_scale : float?, ?end_pts : float?,  ?bailout : float?, ?morphxf : float?, ?morphyf : float?, ?morphamp : float?,  ?outer : int?, ?inner : int?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Render a Mandelbrot fractal."))
#("ffmpeg.filter.mandelbrot.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?maxiter : int?, ?start_x : float?, ?start_y : float?,  ?start_scale : float?, ?end_scale : float?, ?end_pts : float?,  ?bailout : float?, ?morphxf : float?, ?morphyf : float?, ?morphamp : float?,  ?outer : int?, ?inner : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Render a Mandelbrot fractal.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.maskedclamp" 0 1 (:type "(?undershoot : int?, ?overshoot : int?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Clamp first stream with second stream and third stream."))
#("ffmpeg.filter.maskedclamp.create" 0 1 (:type "(?undershoot : int?, ?overshoot : int?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Clamp first stream with second stream and third stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.maskedmax" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply filtering with maximum difference of two streams."))
#("ffmpeg.filter.maskedmax.create" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply filtering with maximum difference of two streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.maskedmerge" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Merge first stream with second stream using third stream as mask."))
#("ffmpeg.filter.maskedmerge.create" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Merge first stream with second stream using third stream as mask.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.maskedmin" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply filtering with minimum difference of two streams."))
#("ffmpeg.filter.maskedmin.create" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply filtering with minimum difference of two streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.maskedthreshold" 0 1 (:type "(?threshold : int?, ?planes : int?, ?mode : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Pick pixels comparing absolute difference of two streams with threshold."))
#("ffmpeg.filter.maskedthreshold.create" 0 1 (:type "(?threshold : int?, ?planes : int?, ?mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pick pixels comparing absolute difference of two streams with threshold.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.maskfun" 0 1 (:type "(?low : int?, ?high : int?, ?planes : int?, ?fill : int?, ?sum : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Create Mask."))
#("ffmpeg.filter.maskfun.create" 0 1 (:type "(?low : int?, ?high : int?, ?planes : int?, ?fill : int?, ?sum : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Create Mask.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.mcdeint" 0 1 (:type "(?mode : int?, ?parity : int?, ?qp : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply motion compensating deinterlacing."))
#("ffmpeg.filter.mcdeint.create" 0 1 (:type "(?mode : int?, ?parity : int?, ?qp : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply motion compensating deinterlacing.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.mcompand" 0 1 (:type "(?args : string?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Multiband Compress or expand audio dynamic range."))
#("ffmpeg.filter.mcompand.create" 0 1 (:type "(?args : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Multiband Compress or expand audio dynamic range.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.median" 0 1 (:type "(?radius : int?, ?planes : int?, ?radiusV : int?, ?percentile : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Median filter."))
#("ffmpeg.filter.median.create" 0 1 (:type "(?radius : int?, ?planes : int?, ?radiusV : int?, ?percentile : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Median filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.mergeplanes" 0 1 (:type "(?mapping : int?, ?format : string?, ?map0s : int?, ?map0p : int?,  ?map1s : int?, ?map1p : int?, ?map2s : int?, ?map2p : int?, ?map3s : int?,  ?map3p : int?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Merge planes. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.mergeplanes.create" 0 1 (:type "(?mapping : int?, ?format : string?, ?map0s : int?, ?map0p : int?,  ?map1s : int?, ?map1p : int?, ?map2s : int?, ?map2p : int?, ?map3s : int?,  ?map3p : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Merge planes. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.mestimate" 0 1 (:type "(?method : int?, ?mb_size : int?, ?search_param : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate motion vectors."))
#("ffmpeg.filter.mestimate.create" 0 1 (:type "(?method : int?, ?mb_size : int?, ?search_param : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate motion vectors.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.metadata" 0 1 (:type "(?mode : int?, ?key : string?, ?value : string?, ?function : int?,  ?expr : string?, ?file : string?, ?direct : bool?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Manipulate video frame metadata."))
#("ffmpeg.filter.metadata.create" 0 1 (:type "(?mode : int?, ?key : string?, ?value : string?, ?function : int?,  ?expr : string?, ?file : string?, ?direct : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Manipulate video frame metadata.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.midequalizer" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Midway Equalization."))
#("ffmpeg.filter.midequalizer.create" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Midway Equalization.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.minterpolate" 0 1 (:type "(?fps : string?, ?mi_mode : int?, ?mc_mode : int?, ?me_mode : int?,  ?me : int?, ?mb_size : int?, ?search_param : int?, ?vsbmc : int?,  ?scd : int?, ?scd_threshold : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Frame rate conversion using Motion Interpolation."))
#("ffmpeg.filter.minterpolate.create" 0 1 (:type "(?fps : string?, ?mi_mode : int?, ?mc_mode : int?, ?me_mode : int?,  ?me : int?, ?mb_size : int?, ?search_param : int?, ?vsbmc : int?,  ?scd : int?, ?scd_threshold : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Frame rate conversion using Motion Interpolation.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.mix" 0 1 (:type "(?inputs : int?, ?weights : string?, ?scale : float?, ?planes : int?,  ?duration : int?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Mix video inputs. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.mix.create" 0 1 (:type "(?inputs : int?, ?weights : string?, ?scale : float?, ?planes : int?,  ?duration : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Mix video inputs. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.monochrome" 0 1 (:type "(?cb : float?, ?cr : float?, ?size : float?, ?high : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert video to gray using custom color filter."))
#("ffmpeg.filter.monochrome.create" 0 1 (:type "(?cb : float?, ?cr : float?, ?size : float?, ?high : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert video to gray using custom color filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.morpho" 0 1 (:type "(?mode : int?, ?planes : int?, ?structure : int?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Morphological filter."))
#("ffmpeg.filter.morpho.create" 0 1 (:type "(?mode : int?, ?planes : int?, ?structure : int?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Morphological filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.movie" 0 1 (:type "(?filename : string?, ?format_name : string?, ?f : string?,  ?stream_index : int?, ?si : int?, ?seek_point : float?, ?sp : float?,  ?streams : string?, ?s : string?, ?loop : int?, ?discontinuity : int?,  ?dec_threads : int?, ?format_opts : string?, ffmpeg.filter.graph) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Read from a movie source. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.movie.create" 0 1 (:type "(?filename : string?, ?format_name : string?, ?f : string?,  ?stream_index : int?, ?si : int?, ?seek_point : float?, ?sp : float?,  ?streams : string?, ?s : string?, ?loop : int?, ?discontinuity : int?,  ?dec_threads : int?, ?format_opts : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Read from a movie source. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.mpdecimate" 0 1 (:type "(?max : int?, ?keep : int?, ?hi : int?, ?lo : int?, ?frac : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Remove near-duplicate frames."))
#("ffmpeg.filter.mpdecimate.create" 0 1 (:type "(?max : int?, ?keep : int?, ?hi : int?, ?lo : int?, ?frac : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remove near-duplicate frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.mptestsrc" 0 1 (:type "(?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?test : int?,  ?t : int?, ?max_frames : int?, ?m : int?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate various test pattern."))
#("ffmpeg.filter.mptestsrc.create" 0 1 (:type "(?rate : string?, ?r : string?, ?duration : int?, ?d : int?, ?test : int?,  ?t : int?, ?max_frames : int?, ?m : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate various test pattern.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.msad" 0 1 (:type "(?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Calculate the MSAD between two video streams."))
#("ffmpeg.filter.msad.create" 0 1 (:type "(?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Calculate the MSAD between two video streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.multiply" 0 1 (:type "(?scale : float?, ?offset : float?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Multiply first video stream with second video stream."))
#("ffmpeg.filter.multiply.create" 0 1 (:type "(?scale : float?, ?offset : float?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Multiply first video stream with second video stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.negate" 0 1 (:type "(?components : int?, ?negate_alpha : bool?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Negate input video."))
#("ffmpeg.filter.negate.create" 0 1 (:type "(?components : int?, ?negate_alpha : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Negate input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.nlmeans" 0 1 (:type "(?s : float?, ?p : int?, ?pc : int?, ?r : int?, ?rc : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Non-local means denoiser."))
#("ffmpeg.filter.nlmeans.create" 0 1 (:type "(?s : float?, ?p : int?, ?pc : int?, ?r : int?, ?rc : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Non-local means denoiser.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.nlmeans_opencl" 0 1 (:type "(?s : float?, ?p : int?, ?pc : int?, ?r : int?, ?rc : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Non-local means denoiser through OpenCL"))
#("ffmpeg.filter.nlmeans_opencl.create" 0 1 (:type "(?s : float?, ?p : int?, ?pc : int?, ?r : int?, ?rc : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Non-local means denoiser through OpenCL. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.nlmeans_vulkan" 0 1 (:type "(?s : float?, ?p : int?, ?r : int?, ?t : int?, ?s1 : float?, ?s2 : float?,  ?s3 : float?, ?s4 : float?, ?p1 : int?, ?p2 : int?, ?p3 : int?, ?p4 : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Non-local means denoiser (Vulkan)"))
#("ffmpeg.filter.nlmeans_vulkan.create" 0 1 (:type "(?s : float?, ?p : int?, ?r : int?, ?t : int?, ?s1 : float?, ?s2 : float?,  ?s3 : float?, ?s4 : float?, ?p1 : int?, ?p2 : int?, ?p3 : int?, ?p4 : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Non-local means denoiser (Vulkan). Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.nnedi" 0 1 (:type "(?weights : string?, ?deint : int?, ?field : int?, ?planes : int?,  ?nsize : int?, ?nns : int?, ?qual : int?, ?etype : int?, ?pscrn : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply neural network edge directed interpolation intra-only deinterlacer."))
#("ffmpeg.filter.nnedi.create" 0 1 (:type "(?weights : string?, ?deint : int?, ?field : int?, ?planes : int?,  ?nsize : int?, ?nns : int?, ?qual : int?, ?etype : int?, ?pscrn : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply neural network edge directed interpolation intra-only deinterlacer.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.noformat" 0 1 (:type "(?pix_fmts : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Force libavfilter not to use any of the specified pixel formats for the input to the next filter."))
#("ffmpeg.filter.noformat.create" 0 1 (:type "(?pix_fmts : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Force libavfilter not to use any of the specified pixel formats for the input to the next filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.noise" 0 1 (:type "(?all_seed : int?, ?all_strength : int?, ?alls : int?, ?all_flags : int?,  ?allf : int?, ?c0_seed : int?, ?c0_strength : int?, ?c0s : int?,  ?c0_flags : int?, ?c0f : int?, ?c1_seed : int?, ?c1_strength : int?,  ?c1s : int?, ?c1_flags : int?, ?c1f : int?, ?c2_seed : int?,  ?c2_strength : int?, ?c2s : int?, ?c2_flags : int?, ?c2f : int?,  ?c3_seed : int?, ?c3_strength : int?, ?c3s : int?, ?c3_flags : int?,  ?c3f : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Add noise."))
#("ffmpeg.filter.noise.create" 0 1 (:type "(?all_seed : int?, ?all_strength : int?, ?alls : int?, ?all_flags : int?,  ?allf : int?, ?c0_seed : int?, ?c0_strength : int?, ?c0s : int?,  ?c0_flags : int?, ?c0f : int?, ?c1_seed : int?, ?c1_strength : int?,  ?c1s : int?, ?c1_flags : int?, ?c1f : int?, ?c2_seed : int?,  ?c2_strength : int?, ?c2s : int?, ?c2_flags : int?, ?c2f : int?,  ?c3_seed : int?, ?c3_strength : int?, ?c3s : int?, ?c3_flags : int?,  ?c3f : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Add noise.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.normalize" 0 1 (:type "(?blackpt : string?, ?whitept : string?, ?smoothing : int?,  ?independence : float?, ?strength : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Normalize RGB video."))
#("ffmpeg.filter.normalize.create" 0 1 (:type "(?blackpt : string?, ?whitept : string?, ?smoothing : int?,  ?independence : float?, ?strength : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Normalize RGB video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.null" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Pass the source unchanged to the output."))
#("ffmpeg.filter.null.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pass the source unchanged to the output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.nullsink" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> unit" :description "Ffmpeg filter: Do absolutely nothing with the input video."))
#("ffmpeg.filter.nullsink.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Do absolutely nothing with the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.nullsrc" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Null video source, return unprocessed video frames."))
#("ffmpeg.filter.nullsrc.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Null video source, return unprocessed video frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.openclsrc" 0 1 (:type "(?source : string?, ?kernel : string?, ?size : string?, ?s : string?,  ?format : string?, ?rate : string?, ?r : string?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate video using an OpenCL program"))
#("ffmpeg.filter.openclsrc.create" 0 1 (:type "(?source : string?, ?kernel : string?, ?size : string?, ?s : string?,  ?format : string?, ?rate : string?, ?r : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate video using an OpenCL program. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.oscilloscope" 0 1 (:type "(?x : float?, ?y : float?, ?s : float?, ?t : float?, ?o : float?,  ?tx : float?, ?ty : float?, ?tw : float?, ?th : float?, ?c : int?,  ?g : bool?, ?st : bool?, ?sc : bool?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: 2D Video Oscilloscope."))
#("ffmpeg.filter.oscilloscope.create" 0 1 (:type "(?x : float?, ?y : float?, ?s : float?, ?t : float?, ?o : float?,  ?tx : float?, ?ty : float?, ?tw : float?, ?th : float?, ?c : int?,  ?g : bool?, ?st : bool?, ?sc : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: 2D Video Oscilloscope.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.overlay" 0 1 (:type "(?x : string?, ?y : string?, ?eof_action : int?, ?eval : int?,  ?shortest : bool?, ?format : int?, ?repeatlast : bool?, ?alpha : int?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Overlay a video source on top of the input."))
#("ffmpeg.filter.overlay.create" 0 1 (:type "(?x : string?, ?y : string?, ?eof_action : int?, ?eval : int?,  ?shortest : bool?, ?format : int?, ?repeatlast : bool?, ?alpha : int?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Overlay a video source on top of the input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.overlay_cuda" 0 1 (:type "(?x : string?, ?y : string?, ?eof_action : int?, ?eval : int?,  ?shortest : bool?, ?repeatlast : bool?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Overlay one video on top of another using CUDA"))
#("ffmpeg.filter.overlay_cuda.create" 0 1 (:type "(?x : string?, ?y : string?, ?eof_action : int?, ?eval : int?,  ?shortest : bool?, ?repeatlast : bool?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Overlay one video on top of another using CUDA. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.overlay_opencl" 0 1 (:type "(?x : int?, ?y : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Overlay one video on top of another"))
#("ffmpeg.filter.overlay_opencl.create" 0 1 (:type "(?x : int?, ?y : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Overlay one video on top of another. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.overlay_qsv" 0 1 (:type "(?x : string?, ?y : string?, ?w : string?, ?h : string?, ?alpha : int?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Quick Sync Video overlay."))
#("ffmpeg.filter.overlay_qsv.create" 0 1 (:type "(?x : string?, ?y : string?, ?w : string?, ?h : string?, ?alpha : int?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Quick Sync Video overlay.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.overlay_vaapi" 0 1 (:type "(?x : string?, ?y : string?, ?w : string?, ?h : string?, ?alpha : float?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Overlay one video on top of another"))
#("ffmpeg.filter.overlay_vaapi.create" 0 1 (:type "(?x : string?, ?y : string?, ?w : string?, ?h : string?, ?alpha : float?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Overlay one video on top of another. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.overlay_vulkan" 0 1 (:type "(?x : int?, ?y : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Overlay a source on top of another"))
#("ffmpeg.filter.overlay_vulkan.create" 0 1 (:type "(?x : int?, ?y : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Overlay a source on top of another. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.owdenoise" 0 1 (:type "(?depth : int?, ?luma_strength : float?, ?ls : float?,  ?chroma_strength : float?, ?cs : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Denoise using wavelets."))
#("ffmpeg.filter.owdenoise.create" 0 1 (:type "(?depth : int?, ?luma_strength : float?, ?ls : float?,  ?chroma_strength : float?, ?cs : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Denoise using wavelets.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pad" 0 1 (:type "(?width : string?, ?w : string?, ?height : string?, ?h : string?,  ?x : string?, ?y : string?, ?color : string?, ?eval : int?,  ?aspect : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Pad the input video."))
#("ffmpeg.filter.pad.create" 0 1 (:type "(?width : string?, ?w : string?, ?height : string?, ?h : string?,  ?x : string?, ?y : string?, ?color : string?, ?eval : int?,  ?aspect : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pad the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pad_opencl" 0 1 (:type "(?width : string?, ?w : string?, ?height : string?, ?h : string?,  ?x : string?, ?y : string?, ?color : string?, ?aspect : string?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Pad the input video."))
#("ffmpeg.filter.pad_opencl.create" 0 1 (:type "(?width : string?, ?w : string?, ?height : string?, ?h : string?,  ?x : string?, ?y : string?, ?color : string?, ?aspect : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pad the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pal100bars" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate PAL 100% color bars."))
#("ffmpeg.filter.pal100bars.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate PAL 100% color bars.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pal75bars" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate PAL 75% color bars."))
#("ffmpeg.filter.pal75bars.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate PAL 75% color bars.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.palettegen" 0 1 (:type "(?max_colors : int?, ?reserve_transparent : bool?,  ?transparency_color : string?, ?stats_mode : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Find the optimal palette for a given stream."))
#("ffmpeg.filter.palettegen.create" 0 1 (:type "(?max_colors : int?, ?reserve_transparent : bool?,  ?transparency_color : string?, ?stats_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Find the optimal palette for a given stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.paletteuse" 0 1 (:type "(?dither : int?, ?bayer_scale : int?, ?diff_mode : int?, ?new : bool?,  ?alpha_threshold : int?, ?debug_kdtree : string?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Use a palette to downsample an input video stream."))
#("ffmpeg.filter.paletteuse.create" 0 1 (:type "(?dither : int?, ?bayer_scale : int?, ?diff_mode : int?, ?new : bool?,  ?alpha_threshold : int?, ?debug_kdtree : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Use a palette to downsample an input video stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pan" 0 1 (:type "(?args : string?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Remix channels with coefficients (panning)."))
#("ffmpeg.filter.pan.create" 0 1 (:type "(?args : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remix channels with coefficients (panning).. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.perms" 0 1 (:type "(?mode : int?, ?seed : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Set permissions for the output video frame."))
#("ffmpeg.filter.perms.create" 0 1 (:type "(?mode : int?, ?seed : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Set permissions for the output video frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.perspective" 0 1 (:type "(?x0 : string?, ?y0 : string?, ?x1 : string?, ?y1 : string?, ?x2 : string?,  ?y2 : string?, ?x3 : string?, ?y3 : string?, ?interpolation : int?,  ?sense : int?, ?eval : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Correct the perspective of video."))
#("ffmpeg.filter.perspective.create" 0 1 (:type "(?x0 : string?, ?y0 : string?, ?x1 : string?, ?y1 : string?, ?x2 : string?,  ?y2 : string?, ?x3 : string?, ?y3 : string?, ?interpolation : int?,  ?sense : int?, ?eval : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Correct the perspective of video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.phase" 0 1 (:type "(?mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Phase shift fields."))
#("ffmpeg.filter.phase.create" 0 1 (:type "(?mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Phase shift fields.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.photosensitivity" 0 1 (:type "(?frames : int?, ?f : int?, ?threshold : float?, ?t : float?, ?skip : int?,  ?bypass : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Filter out photosensitive epilepsy seizure-inducing flashes."))
#("ffmpeg.filter.photosensitivity.create" 0 1 (:type "(?frames : int?, ?f : int?, ?threshold : float?, ?t : float?, ?skip : int?,  ?bypass : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Filter out photosensitive epilepsy seizure-inducing flashes.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pixdesctest" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Test pixel format definitions."))
#("ffmpeg.filter.pixdesctest.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Test pixel format definitions.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pixelize" 0 1 (:type "(?width : int?, ?w : int?, ?height : int?, ?h : int?, ?mode : int?,  ?m : int?, ?planes : int?, ?p : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Pixelize video."))
#("ffmpeg.filter.pixelize.create" 0 1 (:type "(?width : int?, ?w : int?, ?height : int?, ?h : int?, ?mode : int?,  ?m : int?, ?planes : int?, ?p : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pixelize video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pixscope" 0 1 (:type "(?x : float?, ?y : float?, ?w : int?, ?h : int?, ?o : float?, ?wx : float?,  ?wy : float?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Pixel data analysis."))
#("ffmpeg.filter.pixscope.create" 0 1 (:type "(?x : float?, ?y : float?, ?w : int?, ?h : int?, ?o : float?, ?wx : float?,  ?wy : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pixel data analysis.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pp" 0 1 (:type "(?subfilters : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Filter video using libpostproc."))
#("ffmpeg.filter.pp.create" 0 1 (:type "(?subfilters : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Filter video using libpostproc.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pp7" 0 1 (:type "(?qp : int?, ?mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Postprocessing 7 filter."))
#("ffmpeg.filter.pp7.create" 0 1 (:type "(?qp : int?, ?mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Postprocessing 7 filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.premultiply" 0 1 (:type "(?planes : int?, ?inplace : bool?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: PreMultiply first stream with first plane of second stream. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.premultiply.create" 0 1 (:type "(?planes : int?, ?inplace : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: PreMultiply first stream with first plane of second stream. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.prewitt" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply prewitt operator."))
#("ffmpeg.filter.prewitt.create" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply prewitt operator.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.prewitt_opencl" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply prewitt operator"))
#("ffmpeg.filter.prewitt_opencl.create" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply prewitt operator. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.procamp_vaapi" 0 1 (:type "(?b : float?, ?brightness : float?, ?s : float?, ?saturatio : float?,  ?c : float?, ?contrast : float?, ?h : float?, ?hue : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: ProcAmp (color balance) adjustments for hue, saturation, brightness, contrast"))
#("ffmpeg.filter.procamp_vaapi.create" 0 1 (:type "(?b : float?, ?brightness : float?, ?s : float?, ?saturatio : float?,  ?c : float?, ?contrast : float?, ?h : float?, ?hue : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: ProcAmp (color balance) adjustments for hue, saturation, brightness, contrast. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.program_opencl" 0 1 (:type "(?source : string?, ?kernel : string?, ?inputs : int?, ?size : string?,  ?s : string?, ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Filter video using an OpenCL program This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.program_opencl.create" 0 1 (:type "(?source : string?, ?kernel : string?, ?inputs : int?, ?size : string?,  ?s : string?, ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Filter video using an OpenCL program This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pseudocolor" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?, ?index : int?,  ?i : int?, ?preset : int?, ?p : int?, ?opacity : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Make pseudocolored video frames."))
#("ffmpeg.filter.pseudocolor.create" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?, ?index : int?,  ?i : int?, ?preset : int?, ?p : int?, ?opacity : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Make pseudocolored video frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.psnr" 0 1 (:type "(?stats_file : string?, ?f : string?, ?stats_version : int?,  ?output_max : bool?, ?eof_action : int?, ?shortest : bool?,  ?repeatlast : bool?, ?ts_sync_mode : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Calculate the PSNR between two video streams."))
#("ffmpeg.filter.psnr.create" 0 1 (:type "(?stats_file : string?, ?f : string?, ?stats_version : int?,  ?output_max : bool?, ?eof_action : int?, ?shortest : bool?,  ?repeatlast : bool?, ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Calculate the PSNR between two video streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.pullup" 0 1 (:type "(?jl : int?, ?jr : int?, ?jt : int?, ?jb : int?, ?sb : bool?, ?mp : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Pullup from field sequence to frames."))
#("ffmpeg.filter.pullup.create" 0 1 (:type "(?jl : int?, ?jr : int?, ?jt : int?, ?jb : int?, ?sb : bool?, ?mp : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pullup from field sequence to frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.qp" 0 1 (:type "(?qp : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Change video quantization parameters."))
#("ffmpeg.filter.qp.create" 0 1 (:type "(?qp : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Change video quantization parameters.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.random" 0 1 (:type "(?frames : int?, ?seed : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Return random frames."))
#("ffmpeg.filter.random.create" 0 1 (:type "(?frames : int?, ?seed : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Return random frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.readeia608" 0 1 (:type "(?scan_min : int?, ?scan_max : int?, ?spw : float?, ?chp : bool?,  ?lp : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Read EIA-608 Closed Caption codes from input video and write them to frame metadata."))
#("ffmpeg.filter.readeia608.create" 0 1 (:type "(?scan_min : int?, ?scan_max : int?, ?spw : float?, ?chp : bool?,  ?lp : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Read EIA-608 Closed Caption codes from input video and write them to frame metadata.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.readvitc" 0 1 (:type "(?scan_max : int?, ?thr_b : float?, ?thr_w : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Read vertical interval timecode and write it to frame metadata."))
#("ffmpeg.filter.readvitc.create" 0 1 (:type "(?scan_max : int?, ?thr_b : float?, ?thr_w : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Read vertical interval timecode and write it to frame metadata.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.realtime" 0 1 (:type "(?limit : int?, ?speed : float?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Slow down filtering to match realtime."))
#("ffmpeg.filter.realtime.create" 0 1 (:type "(?limit : int?, ?speed : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Slow down filtering to match realtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.remap" 0 1 (:type "(?format : int?, ?fill : string?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Remap pixels."))
#("ffmpeg.filter.remap.create" 0 1 (:type "(?format : int?, ?fill : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remap pixels.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.remap_opencl" 0 1 (:type "(?interp : int?, ?fill : string?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Remap pixels using OpenCL."))
#("ffmpeg.filter.remap_opencl.create" 0 1 (:type "(?interp : int?, ?fill : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remap pixels using OpenCL.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.removegrain" 0 1 (:type "(?m0 : int?, ?m1 : int?, ?m2 : int?, ?m3 : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Remove grain."))
#("ffmpeg.filter.removegrain.create" 0 1 (:type "(?m0 : int?, ?m1 : int?, ?m2 : int?, ?m3 : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remove grain.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.removelogo" 0 1 (:type "(?filename : string?, ?f : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Remove a TV logo based on a mask image."))
#("ffmpeg.filter.removelogo.create" 0 1 (:type "(?filename : string?, ?f : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remove a TV logo based on a mask image.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.repeatfields" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Hard repeat fields based on MPEG repeat field flag."))
#("ffmpeg.filter.repeatfields.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Hard repeat fields based on MPEG repeat field flag.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.replaygain" 0 1 (:type "(?track_gain : float?, ?track_peak : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: ReplayGain scanner."))
#("ffmpeg.filter.replaygain.create" 0 1 (:type "(?track_gain : float?, ?track_peak : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: ReplayGain scanner.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.reverse" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Reverse a clip."))
#("ffmpeg.filter.reverse.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Reverse a clip.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.rgbashift" 0 1 (:type "(?rh : int?, ?rv : int?, ?gh : int?, ?gv : int?, ?bh : int?, ?bv : int?,  ?ah : int?, ?av : int?, ?edge : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Shift RGBA."))
#("ffmpeg.filter.rgbashift.create" 0 1 (:type "(?rh : int?, ?rv : int?, ?gh : int?, ?gv : int?, ?bh : int?, ?bv : int?,  ?ah : int?, ?av : int?, ?edge : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Shift RGBA.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.rgbtestsrc" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ?complement : bool?,  ?co : bool?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate RGB test pattern."))
#("ffmpeg.filter.rgbtestsrc.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ?complement : bool?,  ?co : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate RGB test pattern.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.roberts" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply roberts cross operator."))
#("ffmpeg.filter.roberts.create" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply roberts cross operator.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.roberts_opencl" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply roberts operator"))
#("ffmpeg.filter.roberts_opencl.create" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply roberts operator. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.rotate" 0 1 (:type "(?angle : string?, ?a : string?, ?out_w : string?, ?ow : string?,  ?out_h : string?, ?oh : string?, ?fillcolor : string?, ?c : string?,  ?bilinear : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Rotate the input image."))
#("ffmpeg.filter.rotate.create" 0 1 (:type "(?angle : string?, ?a : string?, ?out_w : string?, ?ow : string?,  ?out_h : string?, ?oh : string?, ?fillcolor : string?, ?c : string?,  ?bilinear : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Rotate the input image.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.rubberband" 0 1 (:type "(?tempo : float?, ?pitch : float?, ?transients : int?, ?detector : int?,  ?phase : int?, ?window : int?, ?smoothing : int?, ?formant : int?,  ?pitchq : int?, ?channels : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply time-stretching and pitch-shifting."))
#("ffmpeg.filter.rubberband.create" 0 1 (:type "(?tempo : float?, ?pitch : float?, ?transients : int?, ?detector : int?,  ?phase : int?, ?window : int?, ?smoothing : int?, ?formant : int?,  ?pitchq : int?, ?channels : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply time-stretching and pitch-shifting.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sab" 0 1 (:type "(?luma_radius : float?, ?lr : float?, ?luma_pre_filter_radius : float?,  ?lpfr : float?, ?luma_strength : float?, ?ls : float?,  ?chroma_radius : float?, ?cr : float?, ?chroma_pre_filter_radius : float?,  ?cpfr : float?, ?chroma_strength : float?, ?cs : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply shape adaptive blur."))
#("ffmpeg.filter.sab.create" 0 1 (:type "(?luma_radius : float?, ?lr : float?, ?luma_pre_filter_radius : float?,  ?lpfr : float?, ?luma_strength : float?, ?ls : float?,  ?chroma_radius : float?, ?cr : float?, ?chroma_pre_filter_radius : float?,  ?cpfr : float?, ?chroma_strength : float?, ?cs : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply shape adaptive blur.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.scale" 0 1 (:type "(?w : string?, ?width : string?, ?h : string?, ?height : string?,  ?flags : string?, ?interl : bool?, ?size : string?, ?s : string?,  ?in_color_matrix : string?, ?out_color_matrix : string?, ?in_range : int?,  ?out_range : int?, ?in_v_chr_pos : int?, ?in_h_chr_pos : int?,  ?out_v_chr_pos : int?, ?out_h_chr_pos : int?,  ?force_original_aspect_ratio : int?, ?force_divisible_by : int?,  ?param0 : float?, ?param1 : float?, ?eval : int?, ?sws_flags : int?,  ?srcw : int?, ?srch : int?, ?dstw : int?, ?dsth : int?,  ?src_format : string?, ?dst_format : string?, ?src_range : bool?,  ?dst_range : bool?, ?param0 : float?, ?param1 : float?,  ?src_v_chr_pos : int?, ?src_h_chr_pos : int?, ?dst_v_chr_pos : int?,  ?dst_h_chr_pos : int?, ?sws_dither : int?, ?gamma : bool?,  ?alphablend : int?, ?threads : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Scale the input video size and/or convert the image format."))
#("ffmpeg.filter.scale.create" 0 1 (:type "(?w : string?, ?width : string?, ?h : string?, ?height : string?,  ?flags : string?, ?interl : bool?, ?size : string?, ?s : string?,  ?in_color_matrix : string?, ?out_color_matrix : string?, ?in_range : int?,  ?out_range : int?, ?in_v_chr_pos : int?, ?in_h_chr_pos : int?,  ?out_v_chr_pos : int?, ?out_h_chr_pos : int?,  ?force_original_aspect_ratio : int?, ?force_divisible_by : int?,  ?param0 : float?, ?param1 : float?, ?eval : int?, ?sws_flags : int?,  ?srcw : int?, ?srch : int?, ?dstw : int?, ?dsth : int?,  ?src_format : string?, ?dst_format : string?, ?src_range : bool?,  ?dst_range : bool?, ?param0 : float?, ?param1 : float?,  ?src_v_chr_pos : int?, ?src_h_chr_pos : int?, ?dst_v_chr_pos : int?,  ?dst_h_chr_pos : int?, ?sws_dither : int?, ?gamma : bool?,  ?alphablend : int?, ?threads : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Scale the input video size and/or convert the image format.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.scale2ref" 0 1 (:type "(?w : string?, ?width : string?, ?h : string?, ?height : string?,  ?flags : string?, ?interl : bool?, ?size : string?, ?s : string?,  ?in_color_matrix : string?, ?out_color_matrix : string?, ?in_range : int?,  ?out_range : int?, ?in_v_chr_pos : int?, ?in_h_chr_pos : int?,  ?out_v_chr_pos : int?, ?out_h_chr_pos : int?,  ?force_original_aspect_ratio : int?, ?force_divisible_by : int?,  ?param0 : float?, ?param1 : float?, ?eval : int?, ?sws_flags : int?,  ?srcw : int?, ?srch : int?, ?dstw : int?, ?dsth : int?,  ?src_format : string?, ?dst_format : string?, ?src_range : bool?,  ?dst_range : bool?, ?param0 : float?, ?param1 : float?,  ?src_v_chr_pos : int?, ?src_h_chr_pos : int?, ?dst_v_chr_pos : int?,  ?dst_h_chr_pos : int?, ?sws_dither : int?, ?gamma : bool?,  ?alphablend : int?, ?threads : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video * ffmpeg.filter.video" :description "Ffmpeg filter: Scale the input video size and/or convert the image format to the given reference."))
#("ffmpeg.filter.scale2ref.create" 0 1 (:type "(?w : string?, ?width : string?, ?h : string?, ?height : string?,  ?flags : string?, ?interl : bool?, ?size : string?, ?s : string?,  ?in_color_matrix : string?, ?out_color_matrix : string?, ?in_range : int?,  ?out_range : int?, ?in_v_chr_pos : int?, ?in_h_chr_pos : int?,  ?out_v_chr_pos : int?, ?out_h_chr_pos : int?,  ?force_original_aspect_ratio : int?, ?force_divisible_by : int?,  ?param0 : float?, ?param1 : float?, ?eval : int?, ?sws_flags : int?,  ?srcw : int?, ?srch : int?, ?dstw : int?, ?dsth : int?,  ?src_format : string?, ?dst_format : string?, ?src_range : bool?,  ?dst_range : bool?, ?param0 : float?, ?param1 : float?,  ?src_v_chr_pos : int?, ?src_h_chr_pos : int?, ?dst_v_chr_pos : int?,  ?dst_h_chr_pos : int?, ?sws_dither : int?, ?gamma : bool?,  ?alphablend : int?, ?threads : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Scale the input video size and/or convert the image format to the given reference.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.scale_cuda" 0 1 (:type "(?w : string?, ?h : string?, ?interp_algo : int?, ?format : string?,  ?passthrough : bool?, ?param : float?, ?force_original_aspect_ratio : int?,  ?force_divisible_by : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: GPU accelerated video resizer"))
#("ffmpeg.filter.scale_cuda.create" 0 1 (:type "(?w : string?, ?h : string?, ?interp_algo : int?, ?format : string?,  ?passthrough : bool?, ?param : float?, ?force_original_aspect_ratio : int?,  ?force_divisible_by : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: GPU accelerated video resizer. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.scale_qsv" 0 1 (:type "(?w : string?, ?h : string?, ?format : string?, ?mode : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Quick Sync Video \"scaling and format conversion\""))
#("ffmpeg.filter.scale_qsv.create" 0 1 (:type "(?w : string?, ?h : string?, ?format : string?, ?mode : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Quick Sync Video \"scaling and format conversion\". Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.scale_vaapi" 0 1 (:type "(?w : string?, ?h : string?, ?format : string?, ?mode : int?,  ?out_color_matrix : string?, ?out_range : int?,  ?out_color_primaries : string?, ?out_color_transfer : string?,  ?out_chroma_location : string?, ?force_original_aspect_ratio : int?,  ?force_divisible_by : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Scale to/from VAAPI surfaces."))
#("ffmpeg.filter.scale_vaapi.create" 0 1 (:type "(?w : string?, ?h : string?, ?format : string?, ?mode : int?,  ?out_color_matrix : string?, ?out_range : int?,  ?out_color_primaries : string?, ?out_color_transfer : string?,  ?out_chroma_location : string?, ?force_original_aspect_ratio : int?,  ?force_divisible_by : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Scale to/from VAAPI surfaces.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.scale_vulkan" 0 1 (:type "(?w : string?, ?h : string?, ?scaler : int?, ?format : string?,  ?out_range : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Scale Vulkan frames"))
#("ffmpeg.filter.scale_vulkan.create" 0 1 (:type "(?w : string?, ?h : string?, ?scaler : int?, ?format : string?,  ?out_range : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Scale Vulkan frames. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.scdet" 0 1 (:type "(?threshold : float?, ?t : float?, ?sc_pass : bool?, ?s : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Detect video scene change"))
#("ffmpeg.filter.scdet.create" 0 1 (:type "(?threshold : float?, ?t : float?, ?sc_pass : bool?, ?s : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Detect video scene change. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.scharr" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply scharr operator."))
#("ffmpeg.filter.scharr.create" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply scharr operator.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.scroll" 0 1 (:type "(?horizontal : float?, ?h : float?, ?vertical : float?, ?v : float?,  ?hpos : float?, ?vpos : float?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Scroll input video."))
#("ffmpeg.filter.scroll.create" 0 1 (:type "(?horizontal : float?, ?h : float?, ?vertical : float?, ?v : float?,  ?hpos : float?, ?vpos : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Scroll input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.segment" 0 1 (:type "(?timestamps : string?, ?frames : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Segment video stream. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.segment.create" 0 1 (:type "(?timestamps : string?, ?frames : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Segment video stream. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.select" 0 1 (:type "(?expr : string?, ?e : string?, ?outputs : int?, ?n : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Select video frames to pass in output. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.select.create" 0 1 (:type "(?expr : string?, ?e : string?, ?outputs : int?, ?n : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Select video frames to pass in output. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.selectivecolor" 0 1 (:type "(?correction_method : int?, ?reds : string?, ?yellows : string?,  ?greens : string?, ?cyans : string?, ?blues : string?, ?magentas : string?,  ?whites : string?, ?neutrals : string?, ?blacks : string?,  ?psfile : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply CMYK adjustments to specific color ranges."))
#("ffmpeg.filter.selectivecolor.create" 0 1 (:type "(?correction_method : int?, ?reds : string?, ?yellows : string?,  ?greens : string?, ?cyans : string?, ?blues : string?, ?magentas : string?,  ?whites : string?, ?neutrals : string?, ?blacks : string?,  ?psfile : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply CMYK adjustments to specific color ranges.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sendcmd" 0 1 (:type "(?commands : string?, ?c : string?, ?filename : string?, ?f : string?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Send commands to filters."))
#("ffmpeg.filter.sendcmd.create" 0 1 (:type "(?commands : string?, ?c : string?, ?filename : string?, ?f : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Send commands to filters.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.separatefields" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Split input video frames into fields."))
#("ffmpeg.filter.separatefields.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Split input video frames into fields.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.setdar" 0 1 (:type "(?dar : string?, ?ratio : string?, ?r : string?, ?max : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Set the frame display aspect ratio."))
#("ffmpeg.filter.setdar.create" 0 1 (:type "(?dar : string?, ?ratio : string?, ?r : string?, ?max : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Set the frame display aspect ratio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.setfield" 0 1 (:type "(?mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Force field for the output video frame."))
#("ffmpeg.filter.setfield.create" 0 1 (:type "(?mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Force field for the output video frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.setparams" 0 1 (:type "(?field_mode : int?, ?range : int?, ?color_primaries : int?,  ?color_trc : int?, ?colorspace : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Force field, or color property for the output video frame."))
#("ffmpeg.filter.setparams.create" 0 1 (:type "(?field_mode : int?, ?range : int?, ?color_primaries : int?,  ?color_trc : int?, ?colorspace : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Force field, or color property for the output video frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.setpts" 0 1 (:type "(?expr : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Set PTS for the output video frame."))
#("ffmpeg.filter.setpts.create" 0 1 (:type "(?expr : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Set PTS for the output video frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.setrange" 0 1 (:type "(?range : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Force color range for the output video frame."))
#("ffmpeg.filter.setrange.create" 0 1 (:type "(?range : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Force color range for the output video frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.setsar" 0 1 (:type "(?sar : string?, ?ratio : string?, ?r : string?, ?max : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Set the pixel sample aspect ratio."))
#("ffmpeg.filter.setsar.create" 0 1 (:type "(?sar : string?, ?ratio : string?, ?r : string?, ?max : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Set the pixel sample aspect ratio.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.settb" 0 1 (:type "(?expr : string?, ?tb : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Set timebase for the video output link."))
#("ffmpeg.filter.settb.create" 0 1 (:type "(?expr : string?, ?tb : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Set timebase for the video output link.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sharpness_vaapi" 0 1 (:type "(?sharpness : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: VAAPI VPP for sharpness"))
#("ffmpeg.filter.sharpness_vaapi.create" 0 1 (:type "(?sharpness : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: VAAPI VPP for sharpness. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.shear" 0 1 (:type "(?shx : float?, ?shy : float?, ?fillcolor : string?, ?c : string?,  ?interp : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Shear transform the input image."))
#("ffmpeg.filter.shear.create" 0 1 (:type "(?shx : float?, ?shy : float?, ?fillcolor : string?, ?c : string?,  ?interp : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Shear transform the input image.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showcqt" 0 1 (:type "(?size : string?, ?s : string?, ?fps : string?, ?rate : string?,  ?r : string?, ?bar_h : int?, ?axis_h : int?, ?sono_h : int?,  ?fullhd : bool?, ?sono_v : string?, ?volume : string?, ?bar_v : string?,  ?volume2 : string?, ?sono_g : float?, ?gamma : float?, ?bar_g : float?,  ?gamma2 : float?, ?bar_t : float?, ?timeclamp : float?, ?tc : float?,  ?attack : float?, ?basefreq : float?, ?endfreq : float?,  ?coeffclamp : float?, ?tlength : string?, ?count : int?, ?fcount : int?,  ?fontfile : string?, ?font : string?, ?fontcolor : string?,  ?axisfile : string?, ?axis : bool?, ?text : bool?, ?csp : int?,  ?cscheme : string?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to a CQT (Constant/Clamped Q Transform) spectrum video output."))
#("ffmpeg.filter.showcqt.create" 0 1 (:type "(?size : string?, ?s : string?, ?fps : string?, ?rate : string?,  ?r : string?, ?bar_h : int?, ?axis_h : int?, ?sono_h : int?,  ?fullhd : bool?, ?sono_v : string?, ?volume : string?, ?bar_v : string?,  ?volume2 : string?, ?sono_g : float?, ?gamma : float?, ?bar_g : float?,  ?gamma2 : float?, ?bar_t : float?, ?timeclamp : float?, ?tc : float?,  ?attack : float?, ?basefreq : float?, ?endfreq : float?,  ?coeffclamp : float?, ?tlength : string?, ?count : int?, ?fcount : int?,  ?fontfile : string?, ?font : string?, ?fontcolor : string?,  ?axisfile : string?, ?axis : bool?, ?text : bool?, ?csp : int?,  ?cscheme : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to a CQT (Constant/Clamped Q Transform) spectrum video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showcwt" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?, ?scale : int?,  ?iscale : int?, ?min : float?, ?max : float?, ?imin : float?,  ?imax : float?, ?logb : float?, ?deviation : float?, ?pps : int?,  ?mode : int?, ?slide : int?, ?direction : int?, ?bar : float?,  ?rotation : float?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to a CWT (Continuous Wavelet Transform) spectrum video output."))
#("ffmpeg.filter.showcwt.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?, ?scale : int?,  ?iscale : int?, ?min : float?, ?max : float?, ?imin : float?,  ?imax : float?, ?logb : float?, ?deviation : float?, ?pps : int?,  ?mode : int?, ?slide : int?, ?direction : int?, ?bar : float?,  ?rotation : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to a CWT (Continuous Wavelet Transform) spectrum video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showfreqs" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?, ?mode : int?,  ?ascale : int?, ?fscale : int?, ?win_size : int?, ?win_func : int?,  ?overlap : float?, ?averaging : int?, ?colors : string?, ?cmode : int?,  ?minamp : float?, ?data : int?, ?channels : string?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to a frequencies video output."))
#("ffmpeg.filter.showfreqs.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?, ?mode : int?,  ?ascale : int?, ?fscale : int?, ?win_size : int?, ?win_func : int?,  ?overlap : float?, ?averaging : int?, ?colors : string?, ?cmode : int?,  ?minamp : float?, ?data : int?, ?channels : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to a frequencies video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showinfo" 0 1 (:type "(?checksum : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Show textual information for each video frame."))
#("ffmpeg.filter.showinfo.create" 0 1 (:type "(?checksum : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Show textual information for each video frame.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showpalette" 0 1 (:type "(?s : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Display frame palette."))
#("ffmpeg.filter.showpalette.create" 0 1 (:type "(?s : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Display frame palette.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showspatial" 0 1 (:type "(?size : string?, ?s : string?, ?win_size : int?, ?win_func : int?,  ?rate : string?, ?r : string?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to a spatial video output."))
#("ffmpeg.filter.showspatial.create" 0 1 (:type "(?size : string?, ?s : string?, ?win_size : int?, ?win_func : int?,  ?rate : string?, ?r : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to a spatial video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showspectrum" 0 1 (:type "(?size : string?, ?s : string?, ?slide : int?, ?mode : int?, ?color : int?,  ?scale : int?, ?fscale : int?, ?saturation : float?, ?win_func : int?,  ?orientation : int?, ?overlap : float?, ?gain : float?, ?data : int?,  ?rotation : float?, ?start : int?, ?stop : int?, ?fps : string?,  ?legend : bool?, ?drange : float?, ?limit : float?, ?opacity : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to a spectrum video output."))
#("ffmpeg.filter.showspectrum.create" 0 1 (:type "(?size : string?, ?s : string?, ?slide : int?, ?mode : int?, ?color : int?,  ?scale : int?, ?fscale : int?, ?saturation : float?, ?win_func : int?,  ?orientation : int?, ?overlap : float?, ?gain : float?, ?data : int?,  ?rotation : float?, ?start : int?, ?stop : int?, ?fps : string?,  ?legend : bool?, ?drange : float?, ?limit : float?, ?opacity : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to a spectrum video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showspectrumpic" 0 1 (:type "(?size : string?, ?s : string?, ?mode : int?, ?color : int?, ?scale : int?,  ?fscale : int?, ?saturation : float?, ?win_func : int?, ?orientation : int?,  ?gain : float?, ?legend : bool?, ?rotation : float?, ?start : int?,  ?stop : int?, ?drange : float?, ?limit : float?, ?opacity : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to a spectrum video output single picture."))
#("ffmpeg.filter.showspectrumpic.create" 0 1 (:type "(?size : string?, ?s : string?, ?mode : int?, ?color : int?, ?scale : int?,  ?fscale : int?, ?saturation : float?, ?win_func : int?, ?orientation : int?,  ?gain : float?, ?legend : bool?, ?rotation : float?, ?start : int?,  ?stop : int?, ?drange : float?, ?limit : float?, ?opacity : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to a spectrum video output single picture.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showvolume" 0 1 (:type "(?rate : string?, ?r : string?, ?b : int?, ?w : int?, ?h : int?, ?f : float?,  ?c : string?, ?t : bool?, ?v : bool?, ?dm : float?, ?dmc : string?,  ?o : int?, ?s : int?, ?p : float?, ?m : int?, ?ds : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio volume to video output."))
#("ffmpeg.filter.showvolume.create" 0 1 (:type "(?rate : string?, ?r : string?, ?b : int?, ?w : int?, ?h : int?, ?f : float?,  ?c : string?, ?t : bool?, ?v : bool?, ?dm : float?, ?dmc : string?,  ?o : int?, ?s : int?, ?p : float?, ?m : int?, ?ds : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio volume to video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showwaves" 0 1 (:type "(?size : string?, ?s : string?, ?mode : int?, ?n : string?, ?rate : string?,  ?r : string?, ?split_channels : bool?, ?colors : string?, ?scale : int?,  ?draw : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to a video output."))
#("ffmpeg.filter.showwaves.create" 0 1 (:type "(?size : string?, ?s : string?, ?mode : int?, ?n : string?, ?rate : string?,  ?r : string?, ?split_channels : bool?, ?colors : string?, ?scale : int?,  ?draw : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to a video output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.showwavespic" 0 1 (:type "(?size : string?, ?s : string?, ?split_channels : bool?, ?colors : string?,  ?scale : int?, ?draw : int?, ?filter : int?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert input audio to a video output single picture."))
#("ffmpeg.filter.showwavespic.create" 0 1 (:type "(?size : string?, ?s : string?, ?split_channels : bool?, ?colors : string?,  ?scale : int?, ?draw : int?, ?filter : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input audio to a video output single picture.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.shuffleframes" 0 1 (:type "(?mapping : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Shuffle video frames."))
#("ffmpeg.filter.shuffleframes.create" 0 1 (:type "(?mapping : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Shuffle video frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.shufflepixels" 0 1 (:type "(?direction : int?, ?d : int?, ?mode : int?, ?m : int?, ?width : int?,  ?w : int?, ?height : int?, ?h : int?, ?seed : int?, ?s : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Shuffle video pixels."))
#("ffmpeg.filter.shufflepixels.create" 0 1 (:type "(?direction : int?, ?d : int?, ?mode : int?, ?m : int?, ?width : int?,  ?w : int?, ?height : int?, ?h : int?, ?seed : int?, ?s : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Shuffle video pixels.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.shuffleplanes" 0 1 (:type "(?map0 : int?, ?map1 : int?, ?map2 : int?, ?map3 : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Shuffle video planes."))
#("ffmpeg.filter.shuffleplanes.create" 0 1 (:type "(?map0 : int?, ?map1 : int?, ?map2 : int?, ?map3 : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Shuffle video planes.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sidechaincompress" 0 1 (:type "(?level_in : float?, ?mode : int?, ?threshold : float?, ?ratio : float?,  ?attack : float?, ?release : float?, ?makeup : float?, ?knee : float?,  ?link : int?, ?detection : int?, ?level_sc : float?, ?mix : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Sidechain compressor."))
#("ffmpeg.filter.sidechaincompress.create" 0 1 (:type "(?level_in : float?, ?mode : int?, ?threshold : float?, ?ratio : float?,  ?attack : float?, ?release : float?, ?makeup : float?, ?knee : float?,  ?link : int?, ?detection : int?, ?level_sc : float?, ?mix : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Sidechain compressor.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sidechaingate" 0 1 (:type "(?level_in : float?, ?mode : int?, ?range : float?, ?threshold : float?,  ?ratio : float?, ?attack : float?, ?release : float?, ?makeup : float?,  ?knee : float?, ?detection : int?, ?link : int?, ?level_sc : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio sidechain gate."))
#("ffmpeg.filter.sidechaingate.create" 0 1 (:type "(?level_in : float?, ?mode : int?, ?range : float?, ?threshold : float?,  ?ratio : float?, ?attack : float?, ?release : float?, ?makeup : float?,  ?knee : float?, ?detection : int?, ?link : int?, ?level_sc : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio sidechain gate.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sidedata" 0 1 (:type "(?mode : int?, ?type : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Manipulate video frame side data."))
#("ffmpeg.filter.sidedata.create" 0 1 (:type "(?mode : int?, ?type : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Manipulate video frame side data.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sierpinski" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?, ?seed : int?,  ?jump : int?, ?type : int?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Render a Sierpinski fractal."))
#("ffmpeg.filter.sierpinski.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?, ?seed : int?,  ?jump : int?, ?type : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Render a Sierpinski fractal.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.signalstats" 0 1 (:type "(?stat : int?, ?out : int?, ?c : string?, ?color : string?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate statistics from video analysis."))
#("ffmpeg.filter.signalstats.create" 0 1 (:type "(?stat : int?, ?out : int?, ?c : string?, ?color : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate statistics from video analysis.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.signature" 0 1 (:type "(?detectmode : int?, ?nb_inputs : int?, ?filename : string?, ?format : int?,  ?th_d : int?, ?th_dc : int?, ?th_xh : int?, ?th_di : int?, ?th_it : float?,  ffmpeg.filter.graph, [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Calculate the MPEG-7 video signature This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.signature.create" 0 1 (:type "(?detectmode : int?, ?nb_inputs : int?, ?filename : string?, ?format : int?,  ?th_d : int?, ?th_dc : int?, ?th_xh : int?, ?th_di : int?, ?th_it : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Calculate the MPEG-7 video signature This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.silencedetect" 0 1 (:type "(?n : float?, ?noise : float?, ?d : int?, ?duration : int?, ?mono : bool?,  ?m : bool?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Detect silence."))
#("ffmpeg.filter.silencedetect.create" 0 1 (:type "(?n : float?, ?noise : float?, ?d : int?, ?duration : int?, ?mono : bool?,  ?m : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Detect silence.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.silenceremove" 0 1 (:type "(?start_periods : int?, ?start_duration : int?, ?start_threshold : float?,  ?start_silence : int?, ?start_mode : int?, ?stop_periods : int?,  ?stop_duration : int?, ?stop_threshold : float?, ?stop_silence : int?,  ?stop_mode : int?, ?detection : int?, ?window : int?, ?timestamp : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Remove silence."))
#("ffmpeg.filter.silenceremove.create" 0 1 (:type "(?start_periods : int?, ?start_duration : int?, ?start_threshold : float?,  ?start_silence : int?, ?start_mode : int?, ?stop_periods : int?,  ?stop_duration : int?, ?stop_threshold : float?, ?stop_silence : int?,  ?stop_mode : int?, ?detection : int?, ?window : int?, ?timestamp : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Remove silence.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sinc" 0 1 (:type "(?sample_rate : int?, ?r : int?, ?nb_samples : int?, ?n : int?, ?hp : float?,  ?lp : float?, ?phase : float?, ?beta : float?, ?att : float?,  ?round : bool?, ?hptaps : int?, ?lptaps : int?, ffmpeg.filter.graph) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Generate a sinc kaiser-windowed low-pass, high-pass, band-pass, or band-reject FIR coefficients."))
#("ffmpeg.filter.sinc.create" 0 1 (:type "(?sample_rate : int?, ?r : int?, ?nb_samples : int?, ?n : int?, ?hp : float?,  ?lp : float?, ?phase : float?, ?beta : float?, ?att : float?,  ?round : bool?, ?hptaps : int?, ?lptaps : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate a sinc kaiser-windowed low-pass, high-pass, band-pass, or band-reject FIR coefficients.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sine" 0 1 (:type "(?frequency : float?, ?f : float?, ?beep_factor : float?, ?b : float?,  ?sample_rate : int?, ?r : int?, ?duration : int?, ?d : int?,  ?samples_per_frame : string?, ffmpeg.filter.graph) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Generate sine wave audio signal."))
#("ffmpeg.filter.sine.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?beep_factor : float?, ?b : float?,  ?sample_rate : int?, ?r : int?, ?duration : int?, ?d : int?,  ?samples_per_frame : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate sine wave audio signal.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.siti" 0 1 (:type "(?print_summary : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Calculate spatial information (SI) and temporal information (TI)."))
#("ffmpeg.filter.siti.create" 0 1 (:type "(?print_summary : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Calculate spatial information (SI) and temporal information (TI).. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.smartblur" 0 1 (:type "(?luma_radius : float?, ?lr : float?, ?luma_strength : float?, ?ls : float?,  ?luma_threshold : int?, ?lt : int?, ?chroma_radius : float?, ?cr : float?,  ?chroma_strength : float?, ?cs : float?, ?chroma_threshold : int?,  ?ct : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Blur the input video without impacting the outlines."))
#("ffmpeg.filter.smartblur.create" 0 1 (:type "(?luma_radius : float?, ?lr : float?, ?luma_strength : float?, ?ls : float?,  ?luma_threshold : int?, ?lt : int?, ?chroma_radius : float?, ?cr : float?,  ?chroma_strength : float?, ?cs : float?, ?chroma_threshold : int?,  ?ct : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Blur the input video without impacting the outlines.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.smptebars" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate SMPTE color bars."))
#("ffmpeg.filter.smptebars.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate SMPTE color bars.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.smptehdbars" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate SMPTE HD color bars."))
#("ffmpeg.filter.smptehdbars.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate SMPTE HD color bars.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sobel" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply sobel operator."))
#("ffmpeg.filter.sobel.create" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply sobel operator.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sobel_opencl" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply sobel operator"))
#("ffmpeg.filter.sobel_opencl.create" 0 1 (:type "(?planes : int?, ?scale : float?, ?delta : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply sobel operator. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sofalizer" 0 1 (:type "(?sofa : string?, ?gain : float?, ?rotation : float?, ?elevation : float?,  ?radius : float?, ?type : int?, ?speakers : string?, ?lfegain : float?,  ?framesize : int?, ?normalize : bool?, ?interpolate : bool?,  ?minphase : bool?, ?anglestep : float?, ?radstep : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: SOFAlizer (Spatially Oriented Format for Acoustics)."))
#("ffmpeg.filter.sofalizer.create" 0 1 (:type "(?sofa : string?, ?gain : float?, ?rotation : float?, ?elevation : float?,  ?radius : float?, ?type : int?, ?speakers : string?, ?lfegain : float?,  ?framesize : int?, ?normalize : bool?, ?interpolate : bool?,  ?minphase : bool?, ?anglestep : float?, ?radstep : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: SOFAlizer (Spatially Oriented Format for Acoustics).. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.spectrumsynth" 0 1 (:type "(?sample_rate : int?, ?channels : int?, ?scale : int?, ?slide : int?,  ?win_func : int?, ?overlap : float?, ?orientation : int?,  ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Convert input spectrum videos to audio output."))
#("ffmpeg.filter.spectrumsynth.create" 0 1 (:type "(?sample_rate : int?, ?channels : int?, ?scale : int?, ?slide : int?,  ?win_func : int?, ?overlap : float?, ?orientation : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert input spectrum videos to audio output.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.speechnorm" 0 1 (:type "(?peak : float?, ?p : float?, ?expansion : float?, ?e : float?,  ?compression : float?, ?c : float?, ?threshold : float?, ?t : float?,  ?raise : float?, ?r : float?, ?fall : float?, ?f : float?,  ?channels : string?, ?h : string?, ?invert : bool?, ?i : bool?,  ?link : bool?, ?l : bool?, ?rms : float?, ?m : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Speech Normalizer."))
#("ffmpeg.filter.speechnorm.create" 0 1 (:type "(?peak : float?, ?p : float?, ?expansion : float?, ?e : float?,  ?compression : float?, ?c : float?, ?threshold : float?, ?t : float?,  ?raise : float?, ?r : float?, ?fall : float?, ?f : float?,  ?channels : string?, ?h : string?, ?invert : bool?, ?i : bool?,  ?link : bool?, ?l : bool?, ?rms : float?, ?m : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Speech Normalizer.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.split" 0 1 (:type "(?outputs : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Pass on the input to N video outputs. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.split.create" 0 1 (:type "(?outputs : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pass on the input to N video outputs. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.spp" 0 1 (:type "(?quality : int?, ?qp : int?, ?mode : int?, ?use_bframe_qp : bool?,  ?dct : int?, ?idct : int?, ?bits_per_sample : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply a simple post processing filter."))
#("ffmpeg.filter.spp.create" 0 1 (:type "(?quality : int?, ?qp : int?, ?mode : int?, ?use_bframe_qp : bool?,  ?dct : int?, ?idct : int?, ?bits_per_sample : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a simple post processing filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.sr" 0 1 (:type "(?dnn_backend : int?, ?scale_factor : int?, ?model : string?,  ?input : string?, ?output : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply DNN-based image super resolution to the input."))
#("ffmpeg.filter.sr.create" 0 1 (:type "(?dnn_backend : int?, ?scale_factor : int?, ?model : string?,  ?input : string?, ?output : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply DNN-based image super resolution to the input.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ssim" 0 1 (:type "(?stats_file : string?, ?f : string?, ?eof_action : int?, ?shortest : bool?,  ?repeatlast : bool?, ?ts_sync_mode : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Calculate the SSIM between two video streams."))
#("ffmpeg.filter.ssim.create" 0 1 (:type "(?stats_file : string?, ?f : string?, ?eof_action : int?, ?shortest : bool?,  ?repeatlast : bool?, ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Calculate the SSIM between two video streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.ssim360" 0 1 (:type "(?stats_file : string?, ?f : string?, ?compute_chroma : int?,  ?frame_skip_ratio : int?, ?ref_projection : int?, ?main_projection : int?,  ?ref_stereo : int?, ?main_stereo : int?, ?ref_pad : float?,  ?main_pad : float?, ?use_tape : int?, ?heatmap_str : string?,  ?default_heatmap_width : int?, ?default_heatmap_height : int?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Calculate the SSIM between two 360 video streams."))
#("ffmpeg.filter.ssim360.create" 0 1 (:type "(?stats_file : string?, ?f : string?, ?compute_chroma : int?,  ?frame_skip_ratio : int?, ?ref_projection : int?, ?main_projection : int?,  ?ref_stereo : int?, ?main_stereo : int?, ?ref_pad : float?,  ?main_pad : float?, ?use_tape : int?, ?heatmap_str : string?,  ?default_heatmap_width : int?, ?default_heatmap_height : int?,  ?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Calculate the SSIM between two 360 video streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.stereo3d" 0 1 (:type "(?in : int?, ?out : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert video stereoscopic 3D view."))
#("ffmpeg.filter.stereo3d.create" 0 1 (:type "(?in : int?, ?out : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert video stereoscopic 3D view.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.stereotools" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?balance_in : float?,  ?balance_out : float?, ?softclip : bool?, ?mutel : bool?, ?muter : bool?,  ?phasel : bool?, ?phaser : bool?, ?mode : int?, ?slev : float?,  ?sbal : float?, ?mlev : float?, ?mpan : float?, ?base : float?,  ?delay : float?, ?sclevel : float?, ?phase : float?, ?bmode_in : int?,  ?bmode_out : int?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply various stereo tools."))
#("ffmpeg.filter.stereotools.create" 0 1 (:type "(?level_in : float?, ?level_out : float?, ?balance_in : float?,  ?balance_out : float?, ?softclip : bool?, ?mutel : bool?, ?muter : bool?,  ?phasel : bool?, ?phaser : bool?, ?mode : int?, ?slev : float?,  ?sbal : float?, ?mlev : float?, ?mpan : float?, ?base : float?,  ?delay : float?, ?sclevel : float?, ?phase : float?, ?bmode_in : int?,  ?bmode_out : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply various stereo tools.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.stereowiden" 0 1 (:type "(?delay : float?, ?feedback : float?, ?crossfeed : float?, ?drymix : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply stereo widening effect."))
#("ffmpeg.filter.stereowiden.create" 0 1 (:type "(?delay : float?, ?feedback : float?, ?crossfeed : float?, ?drymix : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply stereo widening effect.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.streamselect" 0 1 (:type "(?inputs : int?, ?map : string?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> [ffmpeg.filter.audio] * [ffmpeg.filter.video]" :description "Ffmpeg filter: Select video streams This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime."))
#("ffmpeg.filter.streamselect.create" 0 1 (:type "(?inputs : int?, ?map : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Select video streams This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime. This filter has dynamic outputs: returned value is a tuple of audio and video outputs. Total number of outputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.subtitles" 0 1 (:type "(?filename : string?, ?f : string?, ?original_size : string?,  ?fontsdir : string?, ?alpha : bool?, ?charenc : string?,  ?stream_index : int?, ?si : int?, ?force_style : string?,  ?wrap_unicode : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Render text subtitles onto input video using the libass library."))
#("ffmpeg.filter.subtitles.create" 0 1 (:type "(?filename : string?, ?f : string?, ?original_size : string?,  ?fontsdir : string?, ?alpha : bool?, ?charenc : string?,  ?stream_index : int?, ?si : int?, ?force_style : string?,  ?wrap_unicode : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Render text subtitles onto input video using the libass library.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.super2xsai" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Scale the input by 2x using the Super2xSaI pixel art algorithm."))
#("ffmpeg.filter.super2xsai.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Scale the input by 2x using the Super2xSaI pixel art algorithm.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.superequalizer" 0 1 (:type "(?1b : float?, ?2b : float?, ?3b : float?, ?4b : float?, ?5b : float?,  ?6b : float?, ?7b : float?, ?8b : float?, ?9b : float?, ?10b : float?,  ?11b : float?, ?12b : float?, ?13b : float?, ?14b : float?, ?15b : float?,  ?16b : float?, ?17b : float?, ?18b : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply 18 band equalization filter."))
#("ffmpeg.filter.superequalizer.create" 0 1 (:type "(?1b : float?, ?2b : float?, ?3b : float?, ?4b : float?, ?5b : float?,  ?6b : float?, ?7b : float?, ?8b : float?, ?9b : float?, ?10b : float?,  ?11b : float?, ?12b : float?, ?13b : float?, ?14b : float?, ?15b : float?,  ?16b : float?, ?17b : float?, ?18b : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply 18 band equalization filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.surround" 0 1 (:type "(?chl_out : string?, ?chl_in : string?, ?level_in : float?,  ?level_out : float?, ?lfe : bool?, ?lfe_low : int?, ?lfe_high : int?,  ?lfe_mode : int?, ?smooth : float?, ?angle : float?, ?focus : float?,  ?fc_in : float?, ?fc_out : float?, ?fl_in : float?, ?fl_out : float?,  ?fr_in : float?, ?fr_out : float?, ?sl_in : float?, ?sl_out : float?,  ?sr_in : float?, ?sr_out : float?, ?bl_in : float?, ?bl_out : float?,  ?br_in : float?, ?br_out : float?, ?bc_in : float?, ?bc_out : float?,  ?lfe_in : float?, ?lfe_out : float?, ?allx : float?, ?ally : float?,  ?fcx : float?, ?flx : float?, ?frx : float?, ?blx : float?, ?brx : float?,  ?slx : float?, ?srx : float?, ?bcx : float?, ?fcy : float?, ?fly : float?,  ?fry : float?, ?bly : float?, ?bry : float?, ?sly : float?, ?sry : float?,  ?bcy : float?, ?win_size : int?, ?win_func : int?, ?overlap : float?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply audio surround upmix filter."))
#("ffmpeg.filter.surround.create" 0 1 (:type "(?chl_out : string?, ?chl_in : string?, ?level_in : float?,  ?level_out : float?, ?lfe : bool?, ?lfe_low : int?, ?lfe_high : int?,  ?lfe_mode : int?, ?smooth : float?, ?angle : float?, ?focus : float?,  ?fc_in : float?, ?fc_out : float?, ?fl_in : float?, ?fl_out : float?,  ?fr_in : float?, ?fr_out : float?, ?sl_in : float?, ?sl_out : float?,  ?sr_in : float?, ?sr_out : float?, ?bl_in : float?, ?bl_out : float?,  ?br_in : float?, ?br_out : float?, ?bc_in : float?, ?bc_out : float?,  ?lfe_in : float?, ?lfe_out : float?, ?allx : float?, ?ally : float?,  ?fcx : float?, ?flx : float?, ?frx : float?, ?blx : float?, ?brx : float?,  ?slx : float?, ?srx : float?, ?bcx : float?, ?fcy : float?, ?fly : float?,  ?fry : float?, ?bly : float?, ?bry : float?, ?sly : float?, ?sry : float?,  ?bcy : float?, ?win_size : int?, ?win_func : int?, ?overlap : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply audio surround upmix filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.swaprect" 0 1 (:type "(?w : string?, ?h : string?, ?x1 : string?, ?y1 : string?, ?x2 : string?,  ?y2 : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Swap 2 rectangular objects in video."))
#("ffmpeg.filter.swaprect.create" 0 1 (:type "(?w : string?, ?h : string?, ?x1 : string?, ?y1 : string?, ?x2 : string?,  ?y2 : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Swap 2 rectangular objects in video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.swapuv" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Swap U and V components."))
#("ffmpeg.filter.swapuv.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Swap U and V components.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tblend" 0 1 (:type "(?c0_mode : int?, ?c1_mode : int?, ?c2_mode : int?, ?c3_mode : int?,  ?all_mode : int?, ?c0_expr : string?, ?c1_expr : string?,  ?c2_expr : string?, ?c3_expr : string?, ?all_expr : string?,  ?c0_opacity : float?, ?c1_opacity : float?, ?c2_opacity : float?,  ?c3_opacity : float?, ?all_opacity : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Blend successive frames."))
#("ffmpeg.filter.tblend.create" 0 1 (:type "(?c0_mode : int?, ?c1_mode : int?, ?c2_mode : int?, ?c3_mode : int?,  ?all_mode : int?, ?c0_expr : string?, ?c1_expr : string?,  ?c2_expr : string?, ?c3_expr : string?, ?all_expr : string?,  ?c0_opacity : float?, ?c1_opacity : float?, ?c2_opacity : float?,  ?c3_opacity : float?, ?all_opacity : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Blend successive frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.telecine" 0 1 (:type "(?first_field : int?, ?pattern : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply a telecine pattern."))
#("ffmpeg.filter.telecine.create" 0 1 (:type "(?first_field : int?, ?pattern : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a telecine pattern.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.testsrc" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ?decimals : int?, ?n : int?,  ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate test pattern."))
#("ffmpeg.filter.testsrc.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ?decimals : int?, ?n : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate test pattern.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.testsrc2" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ?alpha : int?,  ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate another test pattern."))
#("ffmpeg.filter.testsrc2.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ?alpha : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate another test pattern.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.thistogram" 0 1 (:type "(?width : int?, ?w : int?, ?display_mode : int?, ?d : int?,  ?levels_mode : int?, ?m : int?, ?components : int?, ?c : int?,  ?bgopacity : float?, ?b : float?, ?envelope : bool?, ?e : bool?,  ?ecolor : string?, ?ec : string?, ?slide : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Compute and draw a temporal histogram."))
#("ffmpeg.filter.thistogram.create" 0 1 (:type "(?width : int?, ?w : int?, ?display_mode : int?, ?d : int?,  ?levels_mode : int?, ?m : int?, ?components : int?, ?c : int?,  ?bgopacity : float?, ?b : float?, ?envelope : bool?, ?e : bool?,  ?ecolor : string?, ?ec : string?, ?slide : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compute and draw a temporal histogram.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.threshold" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Threshold first video stream using other video streams."))
#("ffmpeg.filter.threshold.create" 0 1 (:type "(?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Threshold first video stream using other video streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.thumbnail" 0 1 (:type "(?n : int?, ?log : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Select the most representative frame in a given sequence of consecutive frames."))
#("ffmpeg.filter.thumbnail.create" 0 1 (:type "(?n : int?, ?log : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Select the most representative frame in a given sequence of consecutive frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.thumbnail_cuda" 0 1 (:type "(?n : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Select the most representative frame in a given sequence of consecutive frames."))
#("ffmpeg.filter.thumbnail_cuda.create" 0 1 (:type "(?n : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Select the most representative frame in a given sequence of consecutive frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tile" 0 1 (:type "(?layout : string?, ?nb_frames : int?, ?margin : int?, ?padding : int?,  ?color : string?, ?overlap : int?, ?init_padding : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Tile several successive frames together."))
#("ffmpeg.filter.tile.create" 0 1 (:type "(?layout : string?, ?nb_frames : int?, ?margin : int?, ?padding : int?,  ?color : string?, ?overlap : int?, ?init_padding : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Tile several successive frames together.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tiltshelf" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?poles : int?,  ?p : int?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply a tilt shelf filter."))
#("ffmpeg.filter.tiltshelf.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?poles : int?,  ?p : int?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a tilt shelf filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tinterlace" 0 1 (:type "(?mode : int?, ?flags : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Perform temporal field interlacing."))
#("ffmpeg.filter.tinterlace.create" 0 1 (:type "(?mode : int?, ?flags : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Perform temporal field interlacing.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tlut2" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Compute and apply a lookup table from two successive frames."))
#("ffmpeg.filter.tlut2.create" 0 1 (:type "(?c0 : string?, ?c1 : string?, ?c2 : string?, ?c3 : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Compute and apply a lookup table from two successive frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tmedian" 0 1 (:type "(?radius : int?, ?planes : int?, ?percentile : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Pick median pixels from successive frames."))
#("ffmpeg.filter.tmedian.create" 0 1 (:type "(?radius : int?, ?planes : int?, ?percentile : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pick median pixels from successive frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tmidequalizer" 0 1 (:type "(?radius : int?, ?sigma : float?, ?planes : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Temporal Midway Equalization."))
#("ffmpeg.filter.tmidequalizer.create" 0 1 (:type "(?radius : int?, ?sigma : float?, ?planes : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Temporal Midway Equalization.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tmix" 0 1 (:type "(?frames : int?, ?weights : string?, ?scale : float?, ?planes : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Mix successive video frames."))
#("ffmpeg.filter.tmix.create" 0 1 (:type "(?frames : int?, ?weights : string?, ?scale : float?, ?planes : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Mix successive video frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tonemap" 0 1 (:type "(?tonemap : int?, ?param : float?, ?desat : float?, ?peak : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Conversion to/from different dynamic ranges."))
#("ffmpeg.filter.tonemap.create" 0 1 (:type "(?tonemap : int?, ?param : float?, ?desat : float?, ?peak : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Conversion to/from different dynamic ranges.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tonemap_opencl" 0 1 (:type "(?tonemap : int?, ?transfer : int?, ?t : int?, ?matrix : int?, ?m : int?,  ?primaries : int?, ?p : int?, ?range : int?, ?r : int?, ?format : string?,  ?peak : float?, ?param : float?, ?desat : float?, ?threshold : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Perform HDR to SDR conversion with tonemapping."))
#("ffmpeg.filter.tonemap_opencl.create" 0 1 (:type "(?tonemap : int?, ?transfer : int?, ?t : int?, ?matrix : int?, ?m : int?,  ?primaries : int?, ?p : int?, ?range : int?, ?r : int?, ?format : string?,  ?peak : float?, ?param : float?, ?desat : float?, ?threshold : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Perform HDR to SDR conversion with tonemapping.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tonemap_vaapi" 0 1 (:type "(?format : string?, ?matrix : string?, ?m : string?, ?primaries : string?,  ?p : string?, ?transfer : string?, ?t : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: VAAPI VPP for tone-mapping"))
#("ffmpeg.filter.tonemap_vaapi.create" 0 1 (:type "(?format : string?, ?matrix : string?, ?m : string?, ?primaries : string?,  ?p : string?, ?transfer : string?, ?t : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: VAAPI VPP for tone-mapping. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tpad" 0 1 (:type "(?start : int?, ?stop : int?, ?start_mode : int?, ?stop_mode : int?,  ?start_duration : int?, ?stop_duration : int?, ?color : string?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Temporarily pad video frames."))
#("ffmpeg.filter.tpad.create" 0 1 (:type "(?start : int?, ?stop : int?, ?start_mode : int?, ?stop_mode : int?,  ?start_duration : int?, ?stop_duration : int?, ?color : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Temporarily pad video frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.transpose" 0 1 (:type "(?dir : int?, ?passthrough : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Transpose input video."))
#("ffmpeg.filter.transpose.create" 0 1 (:type "(?dir : int?, ?passthrough : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Transpose input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.transpose_opencl" 0 1 (:type "(?dir : int?, ?passthrough : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Transpose input video"))
#("ffmpeg.filter.transpose_opencl.create" 0 1 (:type "(?dir : int?, ?passthrough : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Transpose input video. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.transpose_vaapi" 0 1 (:type "(?dir : int?, ?passthrough : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: VAAPI VPP for transpose"))
#("ffmpeg.filter.transpose_vaapi.create" 0 1 (:type "(?dir : int?, ?passthrough : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: VAAPI VPP for transpose. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.transpose_vulkan" 0 1 (:type "(?dir : int?, ?passthrough : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Transpose Vulkan Filter"))
#("ffmpeg.filter.transpose_vulkan.create" 0 1 (:type "(?dir : int?, ?passthrough : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Transpose Vulkan Filter. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.treble" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?poles : int?,  ?p : int?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Boost or cut upper frequencies."))
#("ffmpeg.filter.treble.create" 0 1 (:type "(?frequency : float?, ?f : float?, ?width_type : int?, ?t : int?,  ?width : float?, ?w : float?, ?gain : float?, ?g : float?, ?poles : int?,  ?p : int?, ?mix : float?, ?m : float?, ?channels : string?, ?c : string?,  ?normalize : bool?, ?n : bool?, ?transform : int?, ?a : int?,  ?precision : int?, ?r : int?, ?blocksize : int?, ?b : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Boost or cut upper frequencies.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.tremolo" 0 1 (:type "(?f : float?, ?d : float?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply tremolo effect."))
#("ffmpeg.filter.tremolo.create" 0 1 (:type "(?f : float?, ?d : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply tremolo effect.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.trim" 0 1 (:type "(?start : int?, ?starti : int?, ?end : int?, ?endi : int?, ?start_pts : int?,  ?end_pts : int?, ?duration : int?, ?durationi : int?, ?start_frame : int?,  ?end_frame : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Pick one continuous section from the input, drop the rest."))
#("ffmpeg.filter.trim.create" 0 1 (:type "(?start : int?, ?starti : int?, ?end : int?, ?endi : int?, ?start_pts : int?,  ?end_pts : int?, ?duration : int?, ?durationi : int?, ?start_frame : int?,  ?end_frame : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pick one continuous section from the input, drop the rest.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.unpremultiply" 0 1 (:type "(?planes : int?, ?inplace : bool?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: UnPreMultiply first stream with first plane of second stream. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.unpremultiply.create" 0 1 (:type "(?planes : int?, ?inplace : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: UnPreMultiply first stream with first plane of second stream. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.unsharp" 0 1 (:type "(?luma_msize_x : int?, ?lx : int?, ?luma_msize_y : int?, ?ly : int?,  ?luma_amount : float?, ?la : float?, ?chroma_msize_x : int?, ?cx : int?,  ?chroma_msize_y : int?, ?cy : int?, ?chroma_amount : float?, ?ca : float?,  ?alpha_msize_x : int?, ?ax : int?, ?alpha_msize_y : int?, ?ay : int?,  ?alpha_amount : float?, ?aa : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Sharpen or blur the input video."))
#("ffmpeg.filter.unsharp.create" 0 1 (:type "(?luma_msize_x : int?, ?lx : int?, ?luma_msize_y : int?, ?ly : int?,  ?luma_amount : float?, ?la : float?, ?chroma_msize_x : int?, ?cx : int?,  ?chroma_msize_y : int?, ?cy : int?, ?chroma_amount : float?, ?ca : float?,  ?alpha_msize_x : int?, ?ax : int?, ?alpha_msize_y : int?, ?ay : int?,  ?alpha_amount : float?, ?aa : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Sharpen or blur the input video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.unsharp_opencl" 0 1 (:type "(?luma_msize_x : float?, ?lx : float?, ?luma_msize_y : float?, ?ly : float?,  ?luma_amount : float?, ?la : float?, ?chroma_msize_x : float?, ?cx : float?,  ?chroma_msize_y : float?, ?cy : float?, ?chroma_amount : float?,  ?ca : float?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply unsharp mask to input video"))
#("ffmpeg.filter.unsharp_opencl.create" 0 1 (:type "(?luma_msize_x : float?, ?lx : float?, ?luma_msize_y : float?, ?ly : float?,  ?luma_amount : float?, ?la : float?, ?chroma_msize_x : float?, ?cx : float?,  ?chroma_msize_y : float?, ?cy : float?, ?chroma_amount : float?,  ?ca : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply unsharp mask to input video. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.untile" 0 1 (:type "(?layout : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Untile a frame into a sequence of frames."))
#("ffmpeg.filter.untile.create" 0 1 (:type "(?layout : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Untile a frame into a sequence of frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.uspp" 0 1 (:type "(?quality : int?, ?qp : int?, ?use_bframe_qp : bool?, ?codec : string?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Ultra Simple / Slow Post-processing filter."))
#("ffmpeg.filter.uspp.create" 0 1 (:type "(?quality : int?, ?qp : int?, ?use_bframe_qp : bool?, ?codec : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Ultra Simple / Slow Post-processing filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.v360" 0 1 (:type "(?input : int?, ?output : int?, ?interp : int?, ?w : int?, ?h : int?,  ?in_stereo : int?, ?out_stereo : int?, ?in_forder : string?,  ?out_forder : string?, ?in_frot : string?, ?out_frot : string?,  ?in_pad : float?, ?out_pad : float?, ?fin_pad : int?, ?fout_pad : int?,  ?yaw : float?, ?pitch : float?, ?roll : float?, ?rorder : string?,  ?h_fov : float?, ?v_fov : float?, ?d_fov : float?, ?h_flip : bool?,  ?v_flip : bool?, ?d_flip : bool?, ?ih_flip : bool?, ?iv_flip : bool?,  ?in_trans : bool?, ?out_trans : bool?, ?ih_fov : float?, ?iv_fov : float?,  ?id_fov : float?, ?h_offset : float?, ?v_offset : float?,  ?alpha_mask : bool?, ?reset_rot : bool?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Convert 360 projection of video."))
#("ffmpeg.filter.v360.create" 0 1 (:type "(?input : int?, ?output : int?, ?interp : int?, ?w : int?, ?h : int?,  ?in_stereo : int?, ?out_stereo : int?, ?in_forder : string?,  ?out_forder : string?, ?in_frot : string?, ?out_frot : string?,  ?in_pad : float?, ?out_pad : float?, ?fin_pad : int?, ?fout_pad : int?,  ?yaw : float?, ?pitch : float?, ?roll : float?, ?rorder : string?,  ?h_fov : float?, ?v_fov : float?, ?d_fov : float?, ?h_flip : bool?,  ?v_flip : bool?, ?d_flip : bool?, ?ih_flip : bool?, ?iv_flip : bool?,  ?in_trans : bool?, ?out_trans : bool?, ?ih_fov : float?, ?iv_fov : float?,  ?id_fov : float?, ?h_offset : float?, ?v_offset : float?,  ?alpha_mask : bool?, ?reset_rot : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Convert 360 projection of video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vaguedenoiser" 0 1 (:type "(?threshold : float?, ?method : int?, ?nsteps : int?, ?percent : float?,  ?planes : int?, ?type : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply a Wavelet based Denoiser."))
#("ffmpeg.filter.vaguedenoiser.create" 0 1 (:type "(?threshold : float?, ?method : int?, ?nsteps : int?, ?percent : float?,  ?planes : int?, ?type : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply a Wavelet based Denoiser.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.varblur" 0 1 (:type "(?min_r : int?, ?max_r : int?, ?planes : int?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Variable Blur filter."))
#("ffmpeg.filter.varblur.create" 0 1 (:type "(?min_r : int?, ?max_r : int?, ?planes : int?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Variable Blur filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vectorscope" 0 1 (:type "(?mode : int?, ?m : int?, ?x : int?, ?y : int?, ?intensity : float?,  ?i : float?, ?envelope : int?, ?e : int?, ?graticule : int?, ?g : int?,  ?opacity : float?, ?o : float?, ?flags : int?, ?f : int?,  ?bgopacity : float?, ?b : float?, ?lthreshold : float?, ?l : float?,  ?hthreshold : float?, ?h : float?, ?colorspace : int?, ?c : int?,  ?tint0 : float?, ?t0 : float?, ?tint1 : float?, ?t1 : float?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Video vectorscope."))
#("ffmpeg.filter.vectorscope.create" 0 1 (:type "(?mode : int?, ?m : int?, ?x : int?, ?y : int?, ?intensity : float?,  ?i : float?, ?envelope : int?, ?e : int?, ?graticule : int?, ?g : int?,  ?opacity : float?, ?o : float?, ?flags : int?, ?f : int?,  ?bgopacity : float?, ?b : float?, ?lthreshold : float?, ?l : float?,  ?hthreshold : float?, ?h : float?, ?colorspace : int?, ?c : int?,  ?tint0 : float?, ?t0 : float?, ?tint1 : float?, ?t1 : float?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Video vectorscope.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vflip" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Flip the input video vertically."))
#("ffmpeg.filter.vflip.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Flip the input video vertically.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vflip_vulkan" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Vertically flip the input video in Vulkan"))
#("ffmpeg.filter.vflip_vulkan.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Vertically flip the input video in Vulkan. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vfrdet" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Variable frame rate detect filter."))
#("ffmpeg.filter.vfrdet.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Variable frame rate detect filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vibrance" 0 1 (:type "(?intensity : float?, ?rbal : float?, ?gbal : float?, ?bbal : float?,  ?rlum : float?, ?glum : float?, ?blum : float?, ?alternate : bool?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Boost or alter saturation."))
#("ffmpeg.filter.vibrance.create" 0 1 (:type "(?intensity : float?, ?rbal : float?, ?gbal : float?, ?bbal : float?,  ?rlum : float?, ?glum : float?, ?blum : float?, ?alternate : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Boost or alter saturation.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vibrato" 0 1 (:type "(?f : float?, ?d : float?, ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Apply vibrato effect."))
#("ffmpeg.filter.vibrato.create" 0 1 (:type "(?f : float?, ?d : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply vibrato effect.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.video.input" 0 1 (:type "(?id : string?, ?pass_metadata : bool, ffmpeg.filter.graph,  ffmpeg.video.raw('a)) -> ffmpeg.filter.video" :description "Attach a video track to a filter's input"))
#("ffmpeg.filter.video.output" 0 1 (:type "(?id : string?, ?pass_metadata : bool, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.video.raw('a)" :description "Return a video track from a filter's output"))
#("ffmpeg.filter.vidstabdetect" 0 1 (:type "(?result : string?, ?shakiness : int?, ?accuracy : int?, ?stepsize : int?,  ?mincontrast : float?, ?show : int?, ?tripod : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Extract relative transformations, pass 1 of 2 for stabilization (see vidstabtransform for pass 2)."))
#("ffmpeg.filter.vidstabdetect.create" 0 1 (:type "(?result : string?, ?shakiness : int?, ?accuracy : int?, ?stepsize : int?,  ?mincontrast : float?, ?show : int?, ?tripod : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Extract relative transformations, pass 1 of 2 for stabilization (see vidstabtransform for pass 2).. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vidstabtransform" 0 1 (:type "(?input : string?, ?smoothing : int?, ?optalgo : int?, ?maxshift : int?,  ?maxangle : float?, ?crop : int?, ?invert : int?, ?relative : int?,  ?zoom : float?, ?optzoom : int?, ?zoomspeed : float?, ?interpol : int?,  ?tripod : bool?, ?debug : bool?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Transform the frames, pass 2 of 2 for stabilization (see vidstabdetect for pass 1)."))
#("ffmpeg.filter.vidstabtransform.create" 0 1 (:type "(?input : string?, ?smoothing : int?, ?optalgo : int?, ?maxshift : int?,  ?maxangle : float?, ?crop : int?, ?invert : int?, ?relative : int?,  ?zoom : float?, ?optzoom : int?, ?zoomspeed : float?, ?interpol : int?,  ?tripod : bool?, ?debug : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Transform the frames, pass 2 of 2 for stabilization (see vidstabdetect for pass 1).. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vif" 0 1 (:type "(?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Calculate the VIF between two video streams."))
#("ffmpeg.filter.vif.create" 0 1 (:type "(?eof_action : int?, ?shortest : bool?, ?repeatlast : bool?,  ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Calculate the VIF between two video streams.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vignette" 0 1 (:type "(?angle : string?, ?a : string?, ?x0 : string?, ?y0 : string?, ?mode : int?,  ?eval : int?, ?dither : bool?, ?aspect : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Make or reverse a vignette effect."))
#("ffmpeg.filter.vignette.create" 0 1 (:type "(?angle : string?, ?a : string?, ?x0 : string?, ?y0 : string?, ?mode : int?,  ?eval : int?, ?dither : bool?, ?aspect : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Make or reverse a vignette effect.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.virtualbass" 0 1 (:type "(?cutoff : float?, ?strength : float?, ffmpeg.filter.graph,  ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Audio Virtual Bass."))
#("ffmpeg.filter.virtualbass.create" 0 1 (:type "(?cutoff : float?, ?strength : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Audio Virtual Bass.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vmafmotion" 0 1 (:type "(?stats_file : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Calculate the VMAF Motion score."))
#("ffmpeg.filter.vmafmotion.create" 0 1 (:type "(?stats_file : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Calculate the VMAF Motion score.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.volume" 0 1 (:type "(?volume : string?, ?precision : int?, ?eval : int?, ?replaygain : int?,  ?replaygain_preamp : float?, ?replaygain_noclip : bool?,  ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Change input volume."))
#("ffmpeg.filter.volume.create" 0 1 (:type "(?volume : string?, ?precision : int?, ?eval : int?, ?replaygain : int?,  ?replaygain_preamp : float?, ?replaygain_noclip : bool?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Change input volume.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.volumedetect" 0 1 (:type "(ffmpeg.filter.graph, ffmpeg.filter.audio) -> ffmpeg.filter.audio" :description "Ffmpeg filter: Detect audio volume."))
#("ffmpeg.filter.volumedetect.create" 0 1 (:type "(ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Detect audio volume.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vpp_qsv" 0 1 (:type "(?deinterlace : int?, ?denoise : int?, ?detail : int?, ?framerate : string?,  ?procamp : int?, ?hue : float?, ?saturation : float?, ?contrast : float?,  ?brightness : float?, ?transpose : int?, ?cw : string?, ?ch : string?,  ?cx : string?, ?cy : string?, ?w : string?, ?width : string?, ?h : string?,  ?height : string?, ?format : string?, ?async_depth : int?,  ?scale_mode : int?, ?rate : int?, ?out_range : int?,  ?out_color_matrix : string?, ?out_color_primaries : string?,  ?out_color_transfer : string?, ?tonemap : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Quick Sync Video \"VPP\""))
#("ffmpeg.filter.vpp_qsv.create" 0 1 (:type "(?deinterlace : int?, ?denoise : int?, ?detail : int?, ?framerate : string?,  ?procamp : int?, ?hue : float?, ?saturation : float?, ?contrast : float?,  ?brightness : float?, ?transpose : int?, ?cw : string?, ?ch : string?,  ?cx : string?, ?cy : string?, ?w : string?, ?width : string?, ?h : string?,  ?height : string?, ?format : string?, ?async_depth : int?,  ?scale_mode : int?, ?rate : int?, ?out_range : int?,  ?out_color_matrix : string?, ?out_color_primaries : string?,  ?out_color_transfer : string?, ?tonemap : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Quick Sync Video \"VPP\". Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vstack" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Stack video inputs vertically. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.vstack.create" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Stack video inputs vertically. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vstack_qsv" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?width : int?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: \"Quick Sync Video\" vstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.vstack_qsv.create" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?width : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: \"Quick Sync Video\" vstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.vstack_vaapi" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?width : int?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: \"VA-API\" vstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.vstack_vaapi.create" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?width : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: \"VA-API\" vstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.w3fdif" 0 1 (:type "(?filter : int?, ?mode : int?, ?parity : int?, ?deint : int?,  ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Martin Weston three field deinterlace."))
#("ffmpeg.filter.w3fdif.create" 0 1 (:type "(?filter : int?, ?mode : int?, ?parity : int?, ?deint : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Martin Weston three field deinterlace.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.waveform" 0 1 (:type "(?mode : int?, ?m : int?, ?intensity : float?, ?i : float?, ?mirror : bool?,  ?r : bool?, ?display : int?, ?d : int?, ?components : int?, ?c : int?,  ?envelope : int?, ?e : int?, ?filter : int?, ?f : int?, ?graticule : int?,  ?g : int?, ?opacity : float?, ?o : float?, ?flags : int?, ?fl : int?,  ?scale : int?, ?s : int?, ?bgopacity : float?, ?b : float?, ?tint0 : float?,  ?t0 : float?, ?tint1 : float?, ?t1 : float?, ?fitmode : int?, ?fm : int?,  ?input : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Video waveform monitor."))
#("ffmpeg.filter.waveform.create" 0 1 (:type "(?mode : int?, ?m : int?, ?intensity : float?, ?i : float?, ?mirror : bool?,  ?r : bool?, ?display : int?, ?d : int?, ?components : int?, ?c : int?,  ?envelope : int?, ?e : int?, ?filter : int?, ?f : int?, ?graticule : int?,  ?g : int?, ?opacity : float?, ?o : float?, ?flags : int?, ?fl : int?,  ?scale : int?, ?s : int?, ?bgopacity : float?, ?b : float?, ?tint0 : float?,  ?t0 : float?, ?tint1 : float?, ?t1 : float?, ?fitmode : int?, ?fm : int?,  ?input : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Video waveform monitor.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.weave" 0 1 (:type "(?first_field : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Weave input video fields into frames."))
#("ffmpeg.filter.weave.create" 0 1 (:type "(?first_field : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Weave input video fields into frames.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.xbr" 0 1 (:type "(?n : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Scale the input using xBR algorithm."))
#("ffmpeg.filter.xbr.create" 0 1 (:type "(?n : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Scale the input using xBR algorithm.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.xcorrelate" 0 1 (:type "(?planes : int?, ?secondary : int?, ?eof_action : int?, ?shortest : bool?,  ?repeatlast : bool?, ?ts_sync_mode : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Cross-correlate first video stream with second video stream."))
#("ffmpeg.filter.xcorrelate.create" 0 1 (:type "(?planes : int?, ?secondary : int?, ?eof_action : int?, ?shortest : bool?,  ?repeatlast : bool?, ?ts_sync_mode : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Cross-correlate first video stream with second video stream.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.xfade" 0 1 (:type "(?transition : int?, ?duration : int?, ?offset : int?, ?expr : string?,  ffmpeg.filter.graph, ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Cross fade one video with another video."))
#("ffmpeg.filter.xfade.create" 0 1 (:type "(?transition : int?, ?duration : int?, ?offset : int?, ?expr : string?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Cross fade one video with another video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.xfade_opencl" 0 1 (:type "(?transition : int?, ?source : string?, ?kernel : string?, ?duration : int?,  ?offset : int?, ffmpeg.filter.graph, ffmpeg.filter.video,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Cross fade one video with another video."))
#("ffmpeg.filter.xfade_opencl.create" 0 1 (:type "(?transition : int?, ?source : string?, ?kernel : string?, ?duration : int?,  ?offset : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Cross fade one video with another video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.xfade_vulkan" 0 1 (:type "(?transition : int?, ?duration : int?, ?offset : int?, ffmpeg.filter.graph,  ffmpeg.filter.video, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Cross fade one video with another video."))
#("ffmpeg.filter.xfade_vulkan.create" 0 1 (:type "(?transition : int?, ?duration : int?, ?offset : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Cross fade one video with another video.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.xmedian" 0 1 (:type "(?inputs : int?, ?planes : int?, ?percentile : float?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph, [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Pick median pixels from several video inputs. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.xmedian.create" 0 1 (:type "(?inputs : int?, ?planes : int?, ?percentile : float?, ?eof_action : int?,  ?shortest : bool?, ?repeatlast : bool?, ?ts_sync_mode : int?,  ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Pick median pixels from several video inputs. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.xstack" 0 1 (:type "(?inputs : int?, ?layout : string?, ?grid : string?, ?shortest : bool?,  ?fill : string?, ffmpeg.filter.graph, [ffmpeg.filter.audio],  [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: Stack video inputs into custom layout. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.xstack.create" 0 1 (:type "(?inputs : int?, ?layout : string?, ?grid : string?, ?shortest : bool?,  ?fill : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Stack video inputs into custom layout. This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.xstack_qsv" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?layout : string?, ?grid : string?,  ?grid_tile_size : string?, ?fill : string?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: \"Quick Sync Video\" xstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.xstack_qsv.create" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?layout : string?, ?grid : string?,  ?grid_tile_size : string?, ?fill : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: \"Quick Sync Video\" xstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.xstack_vaapi" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?layout : string?, ?grid : string?,  ?grid_tile_size : string?, ?fill : string?, ffmpeg.filter.graph,  [ffmpeg.filter.audio], [ffmpeg.filter.video]) -> ffmpeg.filter.video" :description "Ffmpeg filter: \"VA-API\" xstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime."))
#("ffmpeg.filter.xstack_vaapi.create" 0 1 (:type "(?inputs : int?, ?shortest : bool?, ?layout : string?, ?grid : string?,  ?grid_tile_size : string?, ?fill : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: \"VA-API\" xstack This filter has dynamic inputs: last two arguments are lists of audio and video inputs. Total number of inputs is determined at runtime.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.yadif" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Deinterlace the input image."))
#("ffmpeg.filter.yadif.create" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Deinterlace the input image.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.yadif_cuda" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Deinterlace CUDA frames"))
#("ffmpeg.filter.yadif_cuda.create" 0 1 (:type "(?mode : int?, ?parity : int?, ?deint : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Deinterlace CUDA frames. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.yaepblur" 0 1 (:type "(?radius : int?, ?r : int?, ?planes : int?, ?p : int?, ?sigma : int?,  ?s : int?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Yet another edge preserving blur filter."))
#("ffmpeg.filter.yaepblur.create" 0 1 (:type "(?radius : int?, ?r : int?, ?planes : int?, ?p : int?, ?sigma : int?,  ?s : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Yet another edge preserving blur filter.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.yuvtestsrc" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate YUV test pattern."))
#("ffmpeg.filter.yuvtestsrc.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate YUV test pattern.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.zmq" 0 1 (:type "(?bind_address : string?, ?b : string?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Receive commands through ZMQ and broker them to filters."))
#("ffmpeg.filter.zmq.create" 0 1 (:type "(?bind_address : string?, ?b : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Receive commands through ZMQ and broker them to filters.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.zoneplate" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ?precision : int?, ?xo : int?,  ?yo : int?, ?to : int?, ?k0 : int?, ?kx : int?, ?ky : int?, ?kt : int?,  ?kxt : int?, ?kyt : int?, ?kxy : int?, ?kx2 : int?, ?ky2 : int?,  ?kt2 : int?, ?ku : int?, ?kv : int?, ffmpeg.filter.graph) -> ffmpeg.filter.video" :description "Ffmpeg filter: Generate zone-plate."))
#("ffmpeg.filter.zoneplate.create" 0 1 (:type "(?size : string?, ?s : string?, ?rate : string?, ?r : string?,  ?duration : int?, ?d : int?, ?sar : string?, ?precision : int?, ?xo : int?,  ?yo : int?, ?to : int?, ?k0 : int?, ?kx : int?, ?ky : int?, ?kt : int?,  ?kxt : int?, ?kyt : int?, ?kxy : int?, ?kx2 : int?, ?ky2 : int?,  ?kt2 : int?, ?ku : int?, ?kv : int?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Generate zone-plate.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.zoompan" 0 1 (:type "(?zoom : string?, ?z : string?, ?x : string?, ?y : string?, ?d : string?,  ?s : string?, ?fps : string?, ffmpeg.filter.graph, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply Zoom & Pan effect."))
#("ffmpeg.filter.zoompan.create" 0 1 (:type "(?zoom : string?, ?z : string?, ?x : string?, ?y : string?, ?d : string?,  ?s : string?, ?fps : string?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply Zoom & Pan effect.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.filter.zscale" 0 1 (:type "(?w : string?, ?width : string?, ?h : string?, ?height : string?,  ?size : string?, ?s : string?, ?dither : int?, ?d : int?, ?filter : int?,  ?f : int?, ?out_range : int?, ?range : int?, ?r : int?, ?primaries : int?,  ?p : int?, ?transfer : int?, ?t : int?, ?matrix : int?, ?m : int?,  ?in_range : int?, ?rangein : int?, ?rin : int?, ?primariesin : int?,  ?pin : int?, ?transferin : int?, ?tin : int?, ?matrixin : int?, ?min : int?,  ?chromal : int?, ?c : int?, ?chromalin : int?, ?cin : int?, ?npl : float?,  ?agamma : bool?, ?param_a : float?, ?param_b : float?, ffmpeg.filter.graph,  ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Ffmpeg filter: Apply resizing, colorspace and bit depth conversion."))
#("ffmpeg.filter.zscale.create" 0 1 (:type "(?w : string?, ?width : string?, ?h : string?, ?height : string?,  ?size : string?, ?s : string?, ?dither : int?, ?d : int?, ?filter : int?,  ?f : int?, ?out_range : int?, ?range : int?, ?r : int?, ?primaries : int?,  ?p : int?, ?transfer : int?, ?t : int?, ?matrix : int?, ?m : int?,  ?in_range : int?, ?rangein : int?, ?rin : int?, ?primariesin : int?,  ?pin : int?, ?transferin : int?, ?tin : int?, ?matrixin : int?, ?min : int?,  ?chromal : int?, ?c : int?, ?chromalin : int?, ?cin : int?, ?npl : float?,  ?agamma : bool?, ?param_a : float?, ?param_b : float?, ffmpeg.filter.graph) -> unit" :description "Ffmpeg filter: Apply resizing, colorspace and bit depth conversion.. Use this operator to initiate the filter independently of its inputs, to be able to send commands to the filter instance."))
#("ffmpeg.raw.decode.audio" 0 1 (:type "(?id : string?, source(audio=ffmpeg.audio.raw('a), 'b)) -> source(audio=pcm('c))" :description "Decode a source's audio content"))
#("ffmpeg.raw.decode.audio_video" 0 1 (:type "(?id : string?, source(audio=ffmpeg.audio.raw('b),  video=ffmpeg.video.raw('a))) -> source(audio=pcm('c), video=canvas('d))" :description "Decode a source's audio and video content"))
#("ffmpeg.raw.decode.video" 0 1 (:type "(?id : string?, source(video=ffmpeg.video.raw('a), 'b)) -> source(video=canvas('c))" :description "Decode a source's video content"))
#("ffmpeg.raw.encode.audio" 0 1 (:type "(?id : string?, format(audio=ffmpeg.audio.raw('a), 'b), source(audio=pcm('c),  'd)) -> source(audio=ffmpeg.audio.raw('a))" :description "Encode a source's audio content"))
#("ffmpeg.raw.encode.audio_video" 0 1 (:type "(?id : string?, format(audio=ffmpeg.audio.raw('a),  video=ffmpeg.video.raw('b), 'c), source(audio=pcm('e), video=canvas('d))) -> source(audio=ffmpeg.audio.raw('a), video=ffmpeg.video.raw('b))" :description "Encode a source's audio and video content"))
#("ffmpeg.raw.encode.video" 0 1 (:type "(?id : string?, format(video=ffmpeg.video.raw('a), 'b),  source(video=canvas('c), 'd)) -> source(video=ffmpeg.video.raw('a))" :description "Encode a source's video content"))
#("file.contents" 0 1 (:type "(string) -> string" :description "Read the whole contents of a file."))
#("file.copy" 0 1 (:type "(?recursive : bool, ?force : bool, ?preserve : bool, string, string) -> unit" :description "Copy a file. Arguments and implementation follows the POSIX `cp` command line specifications."))
#("file.cover" 0 1 (:type "(string) -> string .{   color_depth? : int,   description? : string,   format? : string,   height? : int,   mime : string,   number_of_colors? : int?,   picture_type? : int,   width? : int}?" :description "Obtain cover-art for a file. `null` is returned in case there is no such information."))
#("file.digest" 0 1 (:type "(string) -> string" :description "Return an MD5 digest for the given file."))
#("file.download" 0 1 (:type "(filename : string, ?timeout : float, string) -> bool" :description "Download file using a regular http.get request. Returns `true` on success."))
#("file.exists" 0 1 (:type "(string) -> bool" :description "Returns true if the file or directory exists."))
#("file.extension" 0 1 (:type "(?dir_sep : string, ?leading_dot : bool, string) -> string" :description "Returns a file's extension."))
#("file.getter" 0 1 (:type "(string) -> () -> string" :description "Getter to the contents of a file."))
#("file.getter.float" 0 1 (:type "(?default : float, string) -> {float}" :description "Float getter from a file."))
#("file.is_directory" 0 1 (:type "(string) -> bool" :description "Returns true if the file exists and is a directory."))
#("file.iterator" 0 1 (:type "(string) -> () -> string?" :description "Iterate over the contents of a file."))
#("file.lines" 0 1 (:type "(string) -> [string]" :description "Get the list of lines of a file."))
#("file.lines.iterator" 0 1 (:type "(string) -> () -> string?" :description "Iterate over the lines of a file."))
#("file.ls" 0 1 (:type "(?absolute : bool, ?recursive : bool, ?pattern : string?, ?sorted : bool,  string) -> [string]" :description "List all the files in a directory."))
#("file.metadata" 0 1 (:type "(string, ?exclude : [string]) -> [string * string]" :description "Read metadata from a file."))
#("file.metadata.ffmpeg" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the ffmpeg decoder."))
#("file.metadata.flac" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the flac decoder."))
#("file.metadata.flac.cover.decode" 0 1 (:type "(string) -> string .{   color_depth : int,   description : string,   height : int,   mime : string,   number_of_colors : int?,   picture_type : int,   width : int}?" :description "Decode a flac-encoded cover metadata string."))
#("file.metadata.flac.cover.encode" 0 1 (:type "(picture_type : int, mime : string, ?description : string, width : int,  height : int, color_depth : int, ?number_of_colors : int?, string) -> string" :description "Encode cover metadata for embedding with flac files."))
#("file.metadata.flac_native" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the flac_native decoder."))
#("file.metadata.id3" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the id3 decoder."))
#("file.metadata.id3v1" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the id3v1 decoder."))
#("file.metadata.id3v2" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the id3v2 decoder."))
#("file.metadata.image" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the image decoder."))
#("file.metadata.mp4" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the mp4 decoder."))
#("file.metadata.native" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the native decoder."))
#("file.metadata.ogg" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the ogg decoder."))
#("file.metadata.ogg_native" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the ogg_native decoder."))
#("file.metadata.taglib" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the taglib decoder."))
#("file.metadata.video-metadata" 0 1 (:type "(string) -> [string * string]" :description "Read metadata from a file using the video-metadata decoder."))
#("file.mime" 0 1 (:type "(string) -> string?" :description "Get a file's mime type. Uses libmagic if enabled, otherwise try to get the value using the file binary. Returns `null()` if no value can be found."))
#("file.mime.cli" 0 1 (:type "(string) -> string?" :description "Get a file's mime type by calling the `file` command line binary."))
#("file.mime.magic" 0 1 (:type "(string) -> string" :description "Get the MIME type of a file."))
#("file.mkdir" 0 1 (:type "(?perms : int, string) -> unit" :description "Create a directory."))
#("file.move" 0 1 (:type "(?force : bool, string, string) -> unit" :description "Move a file"))
#("file.mtime" 0 1 (:type "(string) -> float" :description "Last modification time."))
#("file.open" 0 1 (:type "(?write : bool, ?create : bool?, ?append : bool, ?non_blocking : bool,  ?perms : int, string) -> socket" :description "Open a file."))
#("file.read" 0 1 (:type "(string) -> () -> string" :description "Read the content of a file. Returns a function of type `()->string`. File is done reading when function returns the empty string `\"\"`."))
#("file.remove" 0 1 (:type "(string) -> unit" :description "Remove a file."))
#("file.replaygain" 0 1 (:type "(?id : string?, ?ratio : float, string) -> float?" :description "Compute the ReplayGain for a file (in dB)."))
#("file.rmdir" 0 1 (:type "(string) -> unit" :description "Remove a directory and its content."))
#("file.size" 0 1 (:type "(string) -> int" :description "File size in bytes."))
#("file.temp" 0 1 (:type "(string, string) -> string" :description "Return a fresh temporary filename. The temporary file is created empty, with permissions 0o600 (readable and writable only by the file owner)."))
#("file.temp_dir" 0 1 (:type "(string, ?string) -> string" :description "Return a fresh temporary directory name. The temporary directory is created empty, in the default tmp directory, with permissions 0o700 (readable, writable and listable only by the file owner)."))
#("file.touch" 0 1 (:type "(?perms : int, string) -> unit" :description "Ensure that a file exists, creating it empty if it does not."))
#("file.umask" 0 1 (:type "() -> int" :description "Get the process's file mode creation mask."))
#("file.umask.set" 0 1 (:type "(int) -> unit" :description "Set process's file mode creation mask."))
#("file.watch" 0 1 (:type "(string, (() -> unit)) -> unit" :description "Call a function when a file is modified. Returns unwatch function in `unwatch` method."))
#("file.which" 0 1 (:type "(string) -> string?" :description "`file.which(\"progname\")` looks for an executable named \"progname\" using directories from the PATH environment variable and returns \"\" if it could not find one."))
#("file.write" 0 1 (:type "(data : {string?}, ?perms : int, ?append : bool, string) -> unit" :description "Write data to a file."))
#("file.write.stream" 0 1 (:type "(?perms : int, ?append : bool, string) -> (string?) -> unit" :description "Stream data to a file. Returns a callback to write to the file. Execute with `null` or `\"\"` to signify the end of the writing operation."))
#("filter" 0 1 (:type "(?id : string?, freq : {float}, mode : string, ?q : {float},  ?wetness : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Perform several kinds of filtering on the signal. Only frequencies below the sampling rate / 4 (generally 10 kHz) are handled well for the `freq` parameter."))
#("filter.fir" 0 1 (:type "(?id : string?, beta : float, ?coeffs : int, frequency : float,  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Low-pass FIR filter."))
#("filter.iir.butterworth.bandpass" 0 1 (:type "(?id : string?, frequency1 : float, frequency2 : float, ?order : int,  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "IIR filter"))
#("filter.iir.butterworth.bandstop" 0 1 (:type "(?id : string?, frequency1 : float, frequency2 : float, ?order : int,  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "IIR filter"))
#("filter.iir.butterworth.high" 0 1 (:type "(?id : string?, frequency : float, ?order : int, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "IIR filter"))
#("filter.iir.butterworth.low" 0 1 (:type "(?id : string?, frequency : float, ?order : int, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "IIR filter"))
#("filter.iir.eq.allpass" 0 1 (:type "(?id : string?, ?bandwidth : {float}, frequency : {float}, source('a)) -> source('a)" :description "All-pass biquad filter."))
#("filter.iir.eq.bandpass" 0 1 (:type "(?id : string?, frequency : {float}, ?q : {float}, source('a)) -> source('a)" :description "Band-pass biquad filter."))
#("filter.iir.eq.high" 0 1 (:type "(?id : string?, frequency : {float}, ?q : {float}, source('a)) -> source('a)" :description "High-pass biquad filter."))
#("filter.iir.eq.highshelf" 0 1 (:type "(?id : string?, frequency : {float}, ?slope : {float}, source('a)) -> source('a)" :description "High shelf biquad filter."))
#("filter.iir.eq.low" 0 1 (:type "(?id : string?, frequency : {float}, ?q : {float}, source('a)) -> source('a)" :description "Low-pass biquad filter."))
#("filter.iir.eq.low_high" 0 1 (:type "(?id : string?, low : {float}, high : {float}, ?q : float, source('a)) -> source('a)" :description "A bandpass filter obtained by chaining a low-pass and a high-pass filter."))
#("filter.iir.eq.lowshelf" 0 1 (:type "(?id : string?, frequency : {float}, ?slope : {float}, source('a)) -> source('a)" :description "Low shelf biquad filter."))
#("filter.iir.eq.notch" 0 1 (:type "(?id : string?, frequency : {float}, ?q : {float}, source('a)) -> source('a)" :description "Band-pass biquad filter."))
#("filter.iir.eq.peak" 0 1 (:type "(?id : string?, frequency : {float}, ?gain : {float}, ?q : {float},  source('a)) -> source('a)" :description "Peak EQ biquad filter."))
#("filter.iir.resonator.allpass" 0 1 (:type "(?id : string?, frequency : float, ?q : float, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "IIR filter"))
#("filter.iir.resonator.bandpass" 0 1 (:type "(?id : string?, frequency : float, ?q : float, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "IIR filter"))
#("filter.iir.resonator.bandstop" 0 1 (:type "(?id : string?, frequency : float, ?q : float, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "IIR filter"))
#("filter.rc" 0 1 (:type "(?id : string?, frequency : {float}, mode : string, ?wetness : {float},  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "First-order filter (RC filter)."))
#("flanger" 0 1 (:type "(?id : string?, ?delay : float, ?feedback : {float}, ?freq : {float},  ?phase : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Flanger effect."))
#("float" 0 1 (:type "('a) -> float where 'a is a number type" :description "Convert a number to a float."))
#("float_of_int" 0 1 (:type "(int) -> float" :description "Convert an int to a float."))
#("float_of_string" 0 1 (:type "(string, ?default : float?) -> float" :description "Convert a string to a float. Raises `error.failure(\"a string to a float\")` if conversion fails and default is `null`"))
#("frame.duration" 0 1 (:type "() -> float" :description "Duration of a frame."))
#("fst" 0 1 (:type "(('a * 'b)) -> 'a" :description "Get the first component of a pair."))
#("gate" 0 1 (:type "(?id : string?, ?attack : {float}, ?hold : {float}, ?range : {float},  ?release : {float}, ?threshold : {float}, ?window : {float},  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Reduce the volume when the stream is silent (typically in order to avoid low intensity noise)."))
#("getopt" 0 1 (:type "(?default : string, string) -> string" :description "Parse command line options:\n`getopt(\"-o\")` returns \"1\" if \"-o\" was passed without any parameter, \"0\" otherwise.\n`getopt(default=\"X\",\"-o\")` returns \"Y\" if \"-o Y\" was passed, \"X\" otherwise.\nThe result is removed from the list of arguments, affecting subsequent\ncalls to `argv()` and `getopt()`."))
#("getter" 0 1 (:type "({'a}) -> {'a}" :description "Create a getter."))
#("getter.case" 0 1 (:type "({'a}, (('a) -> 'b), (((() -> 'a)) -> 'b)) -> 'b" :description "Return a value depending on whether the getter is constant or not."))
#("getter.changes" 0 1 (:type "({'a}) -> () -> bool where 'a is an orderable type" :description "Detect whether the value of the getter changes."))
#("getter.float_of_int" 0 1 (:type "({int}) -> {float}" :description "Convert an int getter to a float getter."))
#("getter.function" 0 1 (:type "({'a}) -> () -> 'a" :description "Construct a function returning the value of a getter."))
#("getter.get" 0 1 (:type "({'a}) -> 'a" :description "Get the value of a getter."))
#("getter.int_of_float" 0 1 (:type "({float}) -> {int}" :description "Convert a float getter to a int getter."))
#("getter.is_constant" 0 1 (:type "({'a}) -> bool" :description "Determine if a getter is a constant."))
#("getter.map" 0 1 (:type "((('a) -> 'b), {'a}) -> {'b}" :description "Apply a function on a getter."))
#("getter.map.memoize" 0 1 (:type "((('a) -> 'b), {'a}) -> {'b} where 'a is an orderable type" :description "Apply a function on a getter. If the input value has not changed compared to last call, the previous result is returned without computing the function again."))
#("getter.merge" 0 1 (:type "({'a}, {'a}) -> () -> 'a where 'a is an orderable type" :description "Give the latest value among two getters."))
#("getter.on_change" 0 1 (:type "((('a) -> unit), {'a}) -> () -> 'a where 'a is an orderable type" :description "Execute a function when the value of the getter changes."))
#("harbor.http.middleware.cors" 0 1 (:type "(?origin : string?,  ?origin_callback : ((                       {                         body : (?timeout : float) -> string,                         data : (?timeout : float) -> string,                         headers : [string * string],                         http_version : string,                         method : string,                         path : string,                         query : [string * string]                       }) -> string?)?,  ?methods : [string], ?allowed_headers : [string]?,  ?exposed_headers : [string], ?credentials : bool, ?max_age : int?,  ?preflight_continue : bool, ?options_status_code : int) -> (  {    body : (?timeout : float) -> string,    data : (?timeout : float) -> string,    headers : [string * string],    http_version : string,    method : string,    path : string,    query : [string * string]  }, (() -> string)  .{    content_type : ((string?) -> unit)    .{current : () -> string?    },    data : (({string}) -> unit)    .{current : () -> {string}    },    header : (string, string) -> unit,    headers : (([string * string]) -> unit)    .{current : () -> [string * string]    },    html : ({string}) -> unit,    http_version : ((string) -> unit)    .{current : () -> string    },    json : (?compact : bool, 'a) -> unit,    multipart_form : (?boundary : string?,                      [                       {                         attributes : [string * string],                         contents : {string},                         headers : ['b * 'c],                         name : string                       }]) -> unit,    redirect : (?status_code : int, string) -> unit,    send_status : ('d.{write : (string) -> unit}) -> unit,    status_code : ((int) -> unit)    .{current : () -> int    },    status_message : ((string?) -> unit)    .{current : () -> string?    },    status_sent : () -> bool  },  ((    {      body : (?timeout : float) -> string,      data : (?timeout : float) -> string,      headers : [string * string],      http_version : string,      method : string,      path : string,      query : [string * string]    }, (() -> string)    .{      content_type : ((string?) -> unit)      .{current : () -> string?      },      data : (({string}) -> unit)      .{current : () -> {string}      },      header : (string, string) -> unit,      headers : (([string * string]) -> unit)      .{current : () -> [string * string]      },      html : ({string}) -> unit,      http_version : ((string) -> unit)      .{current : () -> string      },      json : (?compact : bool, 'a) -> unit,      multipart_form : (?boundary : string?,                        [                         {                           attributes : [string * string],                           contents : {string},                           headers : ['b * 'c],                           name : string                         }]) -> unit,      redirect : (?status_code : int, string) -> unit,      send_status : ('d.{write : (string) -> unit}) -> unit,      status_code : ((int) -> unit)      .{current : () -> int      },      status_message : ((string?) -> unit)      .{current : () -> string?      },      status_sent : () -> bool    }) -> unit)) -> unit" :description "Harbor middleware to add CORS headers"))
#("harbor.http.middleware.register" 0 1 (:type "(((    {      body : (?timeout : float) -> string,      data : (?timeout : float) -> string,      headers : [string * string],      http_version : string,      method : string,      path : string,      query : [string * string]    }, (() -> string)    .{      content_type : ((string?) -> unit)      .{current : () -> string?      },      data : (({string}) -> unit)      .{current : () -> {string}      },      header : (string, string) -> unit,      headers : (([string * string]) -> unit)      .{current : () -> [string * string]      },      html : ({string}) -> unit,      http_version : ((string) -> unit)      .{current : () -> string      },      json : (?compact : bool, 'C) -> unit,      multipart_form : (?boundary : string?,                        [                         {                           attributes : [string * string],                           contents : {string},                           headers : ['A * 'B],                           name : string                         }]) -> unit,      redirect : (?status_code : int, string) -> unit,      send_status : (socket                     .{                       close : () -> unit,                       non_blocking : (bool) -> unit,                       read : ((?timeout : float?) -> string)                       .{wait : (?timeout : float?, (() -> unit)) -> unit                       },                       type : string,                       write : (string) -> unit                     }) -> unit,      status_code : ((int) -> unit)      .{current : () -> int      },      status_message : ((string?) -> unit)      .{current : () -> string?      },      status_sent : () -> bool    },    ((      {        body : (?timeout : float) -> string,        data : (?timeout : float) -> string,        headers : [string * string],        http_version : string,        method : string,        path : string,        query : [string * string]      }, (() -> string)      .{        content_type : ((string?) -> unit)        .{current : () -> string?        },        data : (({string}) -> unit)        .{current : () -> {string}        },        header : (string, string) -> unit,        headers : (([string * string]) -> unit)        .{current : () -> [string * string]        },        html : ({string}) -> unit,        http_version : ((string) -> unit)        .{current : () -> string        },        json : (?compact : bool, 'C) -> unit,        multipart_form : (?boundary : string?,                          [                           {                             attributes : [string * string],                             contents : {string},                             headers : ['A * 'B],                             name : string                           }]) -> unit,        redirect : (?status_code : int, string) -> unit,        send_status : (socket                       .{                         close : () -> unit,                         non_blocking : (bool) -> unit,                         read : ((?timeout : float?) -> string)                         .{wait : (?timeout : float?, (() -> unit)) -> unit                         },                         type : string,                         write : (string) -> unit                       }) -> unit,        status_code : ((int) -> unit)        .{current : () -> int        },        status_message : ((string?) -> unit)        .{current : () -> string?        },        status_sent : () -> bool      }) -> unit)) -> unit)) -> unit" :description "Register a new harbor middleware"))
#("harbor.http.register" 0 1 (:type "(?port : int, ?transport : http_transport  .{default_port : int, name : string, protocol : string}, ?method : string,  string,  ((    {      body : (?timeout : float) -> string,      data : (?timeout : float) -> string,      headers : [string * string],      http_version : string,      method : string,      path : string,      query : [string * string]    }, (() -> string)    .{      content_type : ((string?) -> unit)      .{current : () -> string?      },      data : (({string}) -> unit)      .{current : () -> {string}      },      header : (string, string) -> unit,      headers : (([string * string]) -> unit)      .{current : () -> [string * string]      },      html : ({string}) -> unit,      http_version : ((string) -> unit)      .{current : () -> string      },      json : (?compact : bool, 'C) -> unit,      multipart_form : (?boundary : string?,                        [                         {                           attributes : [string * string],                           contents : {string},                           headers : ['A * 'B],                           name : string                         }]) -> unit,      redirect : (?status_code : int, string) -> unit,      send_status : (socket                     .{                       close : () -> unit,                       non_blocking : (bool) -> unit,                       read : ((?timeout : float?) -> string)                       .{wait : (?timeout : float?, (() -> unit)) -> unit                       },                       type : string,                       write : (string) -> unit                     }) -> unit,      status_code : ((int) -> unit)      .{current : () -> int      },      status_message : ((string?) -> unit)      .{current : () -> string?      },      status_sent : () -> bool    }) -> unit)) -> unit" :description "Register a HTTP handler on the harbor. The handler function receives as argument the full requested information and returns the answer sent to the client, including HTTP headers. This function registers exact path matches, i.e. `\"/users\"`, `\"/index.hml\"` as well as fragment matches, i.e. `\"/user/:id\"`, `\"/users/:id/collabs/:cid\"`, etc. If you need more advanced matching, use `harbor.http.register.regexp` to match regular expressions. Paths are resolved in the order they are declared and can override default harbor paths such as metadata handlers. The handler receives the request details as a record and a response handler. Matched fragments are reported as part of the response `query` parameter. The response handler can be used to fill up details about the http response, which will be converted into a plain HTTP response string after the handler returns."))
#("harbor.http.register.simple" 0 1 (:type "(?port : int, ?transport : http_transport  .{default_port : int, name : string, protocol : string}, ?method : string,  string,  ((    {      body : (?timeout : float) -> string,      data : (?timeout : float) -> string,      headers : [string * string],      http_version : string,      method : string,      path : string,      query : [string * string],      socket : socket      .{        close : () -> unit,        non_blocking : (bool) -> unit,        read : ((?timeout : float?) -> string)        .{wait : (?timeout : float?, (() -> unit)) -> unit        },        type : string,        write : ((?timeout : float?, string) -> unit)        .{wait : (?timeout : float?, (() -> unit)) -> unit        }      }    }) -> {string}?)) -> unit" :description "Register a HTTP handler on the harbor. This function offers a simple API, suitable for quick implementation of HTTP handlers. See `harbor.http.register` for a node/express like alternative API."))
#("harbor.http.register.simple.regexp" 0 1 (:type "(?port : int, ?transport : http_transport  .{default_port : int, name : string, protocol : string}, ?method : string,  regexp,  ((    {      data : (?timeout : float) -> string,      headers : [string * string],      http_version : string,      method : string,      path : string,      query : [string * string],      socket : socket      .{        close : () -> unit,        non_blocking : (bool) -> unit,        read : ((?timeout : float?) -> string)        .{wait : (?timeout : float?, (() -> unit)) -> unit        },        type : string,        write : ((?timeout : float?, string) -> unit)        .{wait : (?timeout : float?, (() -> unit)) -> unit        }      }    }) -> {string}?)) -> unit" :description "Register a HTTP handler on the harbor with a generic regexp `path`. This function offers a simple API, suitable for quick implementation of HTTP handlers. See `harbor.http.register` for a node/express like alternative API."))
#("harbor.http.static" 0 1 (:type "(?transport : http_transport  .{default_port : int, name : string, protocol : string}, ?port : int,  ?path : string, ?browse : bool, ?content_type : ((string) -> string?),  ?headers : [string * string], string) -> unit" :description "Serve a static path."))
#("harbor.remove" 0 1 (:type "(?port : int, ?method : string, regexp) -> unit" :description "Remove a registered handler on the harbor."))
#("helium" 0 1 (:type "(source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Increases the pitch, making voices sound like on helium."))
#("host.of_internet_address" 0 1 (:type "(internet_address) ->  {   addresses : [internet_address.{is_ipv6 : bool, to_string : () -> string}],   aliases : [string],   domain : socket_domain,   name : string}?" :description "Find a host by internet address"))
#("host.of_name" 0 1 (:type "(string) ->  {   addresses : [internet_address.{is_ipv6 : bool, to_string : () -> string}],   aliases : [string],   domain : socket_domain,   name : string}?" :description "Find a host by name"))
#("http.delete" 0 1 (:type "(?headers : [string * string], ?http_version : string?, ?redirect : bool,  ?timeout : float?, string) -> unit" :description "Perform a full http DELETE request."))
#("http.delete.stream" 0 1 (:type "(?headers : [string * string], ?http_version : string?, ?redirect : bool,  ?timeout : float?, string, on_body_data : ((string?) -> unit)) -> unit" :description "Perform a full http DELETE request."))
#("http.get" 0 1 (:type "(?headers : [string * string], ?http_version : string?, ?redirect : bool,  ?timeout : float?, string) -> string" :description "Perform a full http GET request."))
#("http.get.stream" 0 1 (:type "(?headers : [string * string], ?http_version : string?, ?redirect : bool,  ?timeout : float?, string, on_body_data : ((string?) -> unit)) -> unit" :description "Perform a full http GET request."))
#("http.head" 0 1 (:type "(?headers : [string * string], ?http_version : string?, ?redirect : bool,  ?timeout : float?, string) -> unit" :description "Perform a full http HEAD request."))
#("http.head.stream" 0 1 (:type "(?headers : [string * string], ?http_version : string?, ?redirect : bool,  ?timeout : float?, string, on_body_data : ((string?) -> unit)) -> unit" :description "Perform a full http HEAD request."))
#("http.headers.content_disposition" 0 1 (:type "([string * string]) ->  {args : [string * string?], filename? : string, name? : string, type : string }?" :description "Extract the content-disposition header"))
#("http.headers.content_type" 0 1 (:type "([string * string?]) -> {args : [string * string], mime : string}?" :description "Extract the content-type header"))
#("http.headers.extname" 0 1 (:type "([string * string]) -> string?" :description "Try to get a filename from a request's headers."))
#("http.multipart_form_data" 0 1 (:type "(?boundary : string?,  [   {     attributes : [string * string],     contents : {string},     headers : ['a * 'b],     name : string   }]) -> unit" :description "Prepare a list of data to be sent as multipart form data."))
#("http.post" 0 1 (:type "(?data : {string}, ?headers : [string * string], ?http_version : string?,  ?redirect : bool, ?timeout : float?, string) -> string" :description "Perform a full http POST request."))
#("http.post.file" 0 1 (:type "(?name : string, ?content_type : string?, ?headers : [string * string],  ?boundary : string?, ?filename : string?, ?file : string?,  ?contents : {string}?, ?timeout : float?, ?redirect : bool, string) -> string" :description "Send a file via POST request encoded in multipart/form-data. The contents can either be directly specified (with the `contents` argument) or taken from a file (with the `file` argument)."))
#("http.post.stream" 0 1 (:type "(?data : {string}, ?headers : [string * string], ?http_version : string?,  ?redirect : bool, ?timeout : float?, string,  on_body_data : ((string?) -> unit)) -> unit" :description "Perform a full http POST request."))
#("http.put" 0 1 (:type "(?data : {string}, ?headers : [string * string], ?http_version : string?,  ?redirect : bool, ?timeout : float?, string) -> string" :description "Perform a full http PUT request."))
#("http.put.file" 0 1 (:type "(?name : string, ?content_type : string?, ?headers : [string * string],  ?boundary : string?, ?filename : string?, ?file : string?,  ?contents : {string}?, ?timeout : float?, ?redirect : bool, string) -> string" :description "Send a file via PUT request encoded in multipart/form-data. The contents can either be directly specified (with the `contents` argument) or taken from a file (with the `file` argument)."))
#("http.put.stream" 0 1 (:type "(?data : {string}, ?headers : [string * string], ?http_version : string?,  ?redirect : bool, ?timeout : float?, string,  on_body_data : ((string?) -> unit)) -> unit" :description "Perform a full http PUT request."))
#("http.response" 0 1 (:type "(?http_version : string, ?status_code : int?, ?status_message : string?,  ?headers : [string * string], ?content_type : string?, ?data : {string}) -> () -> string" :description "Initiate a response handler with pre-filled values."))
#("http.transport.ssl" 0 1 (:type "(?read_timeout : float?, ?write_timeout : float?, ?password : string?,  ?min_protocol : string?, ?max_protocol : string?, ?certificate : string?,  ?key : string?) -> http_transport" :description "Https transport using libssl"))
#("http.transport.unix" 0 1 (:type "http_transport.{default_port : int, name : string, protocol : string}" :description "Http unencrypted transport"))
#("http.user_agent" 0 1 (:type "string" :description "Default user-agent"))
#("icy.update_metadata" 0 1 (:type "(?host : string, ?port : int, ?user : string, ?transport : http_transport,  ?password : string, ?mount : string, ?icy_id : int, ?protocol : string,  ?encoding : string?, ?headers : [string * string], [string * string]) -> unit" :description "Update metata on an icecast mountpoint using the ICY protocol."))
#("ignore" 0 1 (:type "('a) -> unit" :description "Convert anything to unit, preventing warnings."))
#("image" 0 1 (:type "(?id : string?, ?fallible : bool, ?width : {int}?, ?height : {int}?,  ?x : {int}, ?y : {int}, {string}) -> source(video=canvas('a), 'b)" :description "Generate a source from a static image."))
#("infinity" 0 1 (:type "float" :description "Float representation of infinity."))
#("input" 0 1 (:type "(?id : string?, ?start : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?fallible : bool) -> source(audio=pcm('A))" :description "Input an audio stream using the default operator."))
#("input.alsa" 0 1 (:type "(?id : string?, ?bufferize : bool, ?clock_safe : bool, ?device : string,  ?fallible : bool, ?on_start : (() -> unit), ?on_stop : (() -> unit),  ?start : bool) -> source(audio=pcm('a))" :description "Stream from an ALSA input device."))
#("input.external.avi" 0 1 (:type "(?id : string?, ?buffer : float, ?max : float, ?restart : bool,  ?restart_on_error : bool, {string}) -> source(audio=pcm('a), video=canvas('b))" :description "Stream data from an external application."))
#("input.external.ffmpeg" 0 1 (:type "(?id : string, ?show_command : bool, ?restart : bool,  ?restart_on_error : bool, ?buffer : float, ?max : float, string) -> source(audio=pcm(stereo), video=canvas('a))" :description "Input from ffmpeg."))
#("input.external.rawaudio" 0 1 (:type "(?id : string?, ?buffer : float, ?channels : int, ?max : float,  ?restart : bool, ?restart_on_error : bool, ?samplerate : int, {string}) -> source(audio=pcm('a))" :description "Stream raw PCM data (interleaved signed 16 bits little endian integers) from an external application."))
#("input.external.rawvideo" 0 1 (:type "(?id : string?, ?buffer : float, ?max : float, ?restart : bool,  ?restart_on_error : bool, {string}) -> source(video=canvas('a))" :description "Stream data from an external application."))
#("input.external.wav" 0 1 (:type "(?id : string?, ?buffer : float, ?max : float, ?restart : bool,  ?restart_on_error : bool, {string}) -> source(audio=pcm('a))" :description "Stream WAV data from an external application."))
#("input.ffmpeg" 0 1 (:type "(?id : string?, ?clock_safe : bool, ?debug : bool,  ?deduplicate_metadata : bool, ?float_args : [string * float],  ?format : string?, ?int_args : [string * int], ?max_buffer : float,  ?metadata_filter : (([string * string]) -> [string * string])?,  ?new_track_on_metadata : bool, ?on_connect : (() -> unit),  ?on_disconnect : (() -> unit),  ?on_error : ((error                .{                  kind : string,                  message : string,                  trace : [                           {                             position_end :                              {                               character_offset : int,                               filename : string,                               line_number : int                             },                             position_start :                              {                               character_offset : int,                               filename : string,                               line_number : int                             },                             to_string : (?prefix : string) -> string                           }]                }) -> unit),  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?poll_delay : float,  ?self_sync : {bool}, ?start : bool, ?string_args : [string * string],  ?trim_url : bool, {string}) -> source('a)" :description "Create a stream using ffmpeg"))
#("input.harbor" 0 1 (:type "(?id : string?,  ?auth : (({address : string, password : string, user : string}) -> bool)?,  ?buffer : float, ?debug : bool, ?dumpfile : string?, ?icy : bool,  ?icy_metadata_charset : string?, ?logfile : string?, ?max : float,  ?metadata_charset : string?, ?on_connect : (([string * string]) -> unit),  ?on_disconnect : (() -> unit), ?password : string, ?port : int,  ?replay_metadata : bool, ?timeout : float, ?transport : http_transport,  ?user : string, string) -> source('a)" :description "Create a source that receives a http/icecast stream and forwards it as a stream."))
#("input.hls" 0 1 (:type "(?id : string?, {string}) -> source('A)" :description "Play an HLS stream."))
#("input.hls.native" 0 1 (:type "(?id : string?, ?reload : float, string) -> source('a) where 'a is a set of tracks to be muxed into a source" :description "Play an HLS stream."))
#("input.http" 0 1 (:type "(?id : string?, ?clock_safe : bool, ?debug : bool,  ?deduplicate_metadata : bool, ?float_args : [string * float],  ?format : string?, ?int_args : [string * int], ?max_buffer : float,  ?metadata_filter : (([string * string]) -> [string * string])?,  ?new_track_on_metadata : bool, ?on_connect : (([string * string]) -> unit),  ?on_disconnect : (() -> unit),  ?on_error : ((error                .{                  kind : string,                  message : string,                  trace : [                           {                             position_end :                              {                               character_offset : int,                               filename : string,                               line_number : int                             },                             position_start :                              {                               character_offset : int,                               filename : string,                               line_number : int                             },                             to_string : (?prefix : string) -> string                           }]                }) -> unit),  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?poll_delay : float,  ?self_sync : {bool?}, ?start : bool, ?string_args : [string * string],  ?timeout : float, ?trim_url : bool, ?user_agent : string, {string}) -> source('a)" :description "Create a http stream using ffmpeg"))
#("input.jack" 0 1 (:type "(?id : string?, ?buffer_size : int, ?clock_safe : bool, ?fallible : bool,  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?server : string,  ?start : bool) -> source(audio=pcm('a))" :description "Get stream from jack."))
#("input.mplayer" 0 1 (:type "(?id : string, ?restart : bool, ?restart_on_error : bool, ?buffer : float,  ?max : float, string) -> source(audio=pcm('a))" :description "Stream data from mplayer."))
#("input.oss" 0 1 (:type "(?id : string?, ?clock_safe : bool, ?device : string, ?fallible : bool,  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?start : bool) -> source(audio=pcm('a))" :description "Stream from an OSS input device."))
#("input.portaudio" 0 1 (:type "(?id : string?, ?buflen : int, ?clock_safe : bool, ?device_id : int?,  ?fallible : bool, ?latency : float?, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?start : bool) -> source(audio=pcm('a))" :description "Stream from a portaudio input device."))
#("input.pulseaudio" 0 1 (:type "(?id : string?, ?client : string, ?clock_safe : bool, ?clock_safe : bool,  ?device : string, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?start : bool) -> source(audio=pcm('a))" :description "Stream from a pulseaudio input device."))
#("input.rtmp" 0 1 (:type "(?id : string?, ?max_buffer : float, ?listen : bool, {string}) -> source('a)" :description "Read an RTMP stream."))
#("input.v4l2" 0 1 (:type "(?id : string?, ?max_buffer : float, ?device : string) -> source(video=canvas('a))" :description "Stream from a video4linux2 input device, such as a webcam."))
#("insert_metadata" 0 1 (:type "(?id : string?, source('a)) -> source('a)" :description "Dynamically insert metadata in a stream. Returns the source decorated with a method `insert_metadata` which is a function of type `(?new_track,metadata)->unit`, used to insert metadata in the source. This function also inserts a new track with the given metadata if passed `new_track=true`."))
#("int" 0 1 (:type "('a) -> int where 'a is a number type" :description "Convert a number to an integer."))
#("int_of_float" 0 1 (:type "(float) -> int" :description "Convert a float to a int."))
#("int_of_string" 0 1 (:type "(string, ?default : int?) -> int" :description "Convert a string to a int. Raises `error.failure(\"a string to a int\")` if conversion fails and default is `null`"))
#("interactive.bool" 0 1 (:type "(?description : string, ?osc : string, string, bool) -> () -> bool" :description "Read a boolean from an interactive input."))
#("interactive.float" 0 1 (:type "(?min : float, ?max : float, ?step : float, ?description : string,  ?unit : string, ?osc : string, string, float) -> () -> float" :description "Read a float from an interactive input."))
#("interactive.harbor" 0 1 (:type "(?transport : http_transport  .{default_port : int, name : string, protocol : string}, ?port : int,  ?uri : string) -> unit" :description "Expose interactive variables through habor http server. Once this is called, with default parameters, you can browse <http://localhost:8000/interactive> to change the value of interactive variables using sliders."))
#("interactive.int" 0 1 (:type "(?description : string, ?osc : string, string, int) -> () -> int" :description "Read an integer from an interactive input."))
#("interactive.load" 0 1 (:type "(string) -> unit" :description "Load the value of interactive variables from a file."))
#("interactive.persistent" 0 1 (:type "(string) -> unit" :description "Make the value of interactive variables persistent: they are loaded from the given file and stored there whenever updated. This function should be called after all interactive variables have been defined (variables not declared yet will not be loaded)."))
#("interactive.save" 0 1 (:type "(string) -> unit" :description "Save the value of all interactive variables in a file."))
#("interactive.string" 0 1 (:type "(?description : string, ?osc : string, string, string) -> () -> string" :description "Read a string from an interactive input."))
#("interactive.unit" 0 1 (:type "(?description : string, ?osc : string, string, (() -> unit)) -> unit" :description "Register a callback when a unit interactive input is set."))
#("json" 0 1 (:type "() -> json" :description "Create a generic json object"))
#("json.stringify" 0 1 (:type "(?compact : bool, ?json5 : bool, 'a) -> string" :description "Convert a value to JSON. If the value cannot be represented as JSON (for instance a function), a `error.json` exception is raised."))
#("ladspa.amp_mono" 0 1 (:type "(?id : string?, ?gain : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Mono Amplifier by Richard Furse (LADSPA example plugins)."))
#("ladspa.amp_stereo" 0 1 (:type "(?id : string?, ?gain : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm(stereo), 'b)" :description "Stereo Amplifier by Richard Furse (LADSPA example plugins)."))
#("ladspa.delay_5s" 0 1 (:type "(?id : string?, ?delay : {float}, ?dry_wet_balance : {float},  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Simple Delay Line by Richard Furse (LADSPA example plugins)."))
#("ladspa.hpf" 0 1 (:type "(?id : string?, ?cutoff_frequency : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Simple High Pass Filter by Richard Furse (LADSPA example plugins)."))
#("ladspa.lpf" 0 1 (:type "(?id : string?, ?cutoff_frequency : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Simple Low Pass Filter by Richard Furse (LADSPA example plugins)."))
#("ladspa.sine_faaa" 0 1 (:type "(?id : string?, source(audio=pcm('a), 'b)) -> source(audio=pcm(mono), 'b)" :description "Sine Oscillator (Freq:audio, Amp:audio) by Richard Furse (LADSPA example plugins)."))
#("ladspa.sine_faac" 0 1 (:type "(?id : string?, ?amplitude : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Sine Oscillator (Freq:audio, Amp:control) by Richard Furse (LADSPA example plugins)."))
#("ladspa.sine_fcaa" 0 1 (:type "(?id : string?, ?frequency : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Sine Oscillator (Freq:control, Amp:audio) by Richard Furse (LADSPA example plugins)."))
#("limit" 0 1 (:type "(?id : string?, ?attack : {float}, ?release : {float}, ?ratio : {float},  ?threshold : {float}, ?pre_gain : {float}, ?gain : {float},  source(audio=pcm('a), 'b)) -> source(audio=pcm('a) .{gain? : never, rms? : never}, 'b) where 'b is a set of tracks to be muxed into a source" :description "A limiter. This is a `compress` with tweaked parameters."))
#("lin_of_dB" 0 1 (:type "(float) -> float" :description "Convert decibels into linear scale."))
#("liquidsoap.build_config.architecture" 0 1 (:type "string" :description "Build-time configuration value for architecture"))
#("liquidsoap.build_config.git_sha" 0 1 (:type "string?" :description "Git sha used to compile liquidsoap."))
#("liquidsoap.build_config.host" 0 1 (:type "string" :description "Build-time configuration value for host"))
#("liquidsoap.build_config.is_release" 0 1 (:type "bool" :description "Is this build a release build?"))
#("liquidsoap.build_config.is_snapshot" 0 1 (:type "bool" :description "Is this build a development snapshot?"))
#("liquidsoap.build_config.native_c_compiler" 0 1 (:type "string" :description "Build-time configuration value for native_c_compiler"))
#("liquidsoap.build_config.native_c_libraries" 0 1 (:type "string" :description "Build-time configuration value for native_c_libraries"))
#("liquidsoap.build_config.ocaml_version" 0 1 (:type "string" :description "OCaml version used to compile liquidspap."))
#("liquidsoap.build_config.ocamlopt_cflags" 0 1 (:type "string" :description "Build-time configuration value for ocamlopt_cflags"))
#("liquidsoap.build_config.optionals.alsa" 0 1 (:type "bool" :description "Build-time configuration for alsa"))
#("liquidsoap.build_config.optionals.ao" 0 1 (:type "bool" :description "Build-time configuration for ao"))
#("liquidsoap.build_config.optionals.bjack" 0 1 (:type "bool" :description "Build-time configuration for bjack"))
#("liquidsoap.build_config.optionals.camlimages" 0 1 (:type "bool" :description "Build-time configuration for camlimages"))
#("liquidsoap.build_config.optionals.dssi" 0 1 (:type "bool" :description "Build-time configuration for dssi"))
#("liquidsoap.build_config.optionals.faad" 0 1 (:type "bool" :description "Build-time configuration for faad"))
#("liquidsoap.build_config.optionals.fdkaac" 0 1 (:type "bool" :description "Build-time configuration for fdkaac"))
#("liquidsoap.build_config.optionals.ffmpeg" 0 1 (:type "bool" :description "Build-time configuration for ffmpeg"))
#("liquidsoap.build_config.optionals.flac" 0 1 (:type "bool" :description "Build-time configuration for flac"))
#("liquidsoap.build_config.optionals.frei0r" 0 1 (:type "bool" :description "Build-time configuration for frei0r"))
#("liquidsoap.build_config.optionals.gd" 0 1 (:type "bool" :description "Build-time configuration for gd"))
#("liquidsoap.build_config.optionals.graphics" 0 1 (:type "bool" :description "Build-time configuration for graphics"))
#("liquidsoap.build_config.optionals.gstreamer" 0 1 (:type "bool" :description "Build-time configuration for gstreamer"))
#("liquidsoap.build_config.optionals.imagelib" 0 1 (:type "bool" :description "Build-time configuration for imagelib"))
#("liquidsoap.build_config.optionals.inotify" 0 1 (:type "bool" :description "Build-time configuration for inotify"))
#("liquidsoap.build_config.optionals.irc" 0 1 (:type "bool" :description "Build-time configuration for irc"))
#("liquidsoap.build_config.optionals.ladspa" 0 1 (:type "bool" :description "Build-time configuration for ladspa"))
#("liquidsoap.build_config.optionals.lame" 0 1 (:type "bool" :description "Build-time configuration for lame"))
#("liquidsoap.build_config.optionals.lastfm" 0 1 (:type "bool" :description "Build-time configuration for lastfm"))
#("liquidsoap.build_config.optionals.lilv" 0 1 (:type "bool" :description "Build-time configuration for lilv"))
#("liquidsoap.build_config.optionals.lo" 0 1 (:type "bool" :description "Build-time configuration for lo"))
#("liquidsoap.build_config.optionals.mad" 0 1 (:type "bool" :description "Build-time configuration for mad"))
#("liquidsoap.build_config.optionals.mem_usage" 0 1 (:type "bool" :description "Build-time configuration for mem_usage"))
#("liquidsoap.build_config.optionals.memtrace" 0 1 (:type "bool" :description "Build-time configuration for memtrace"))
#("liquidsoap.build_config.optionals.ogg" 0 1 (:type "bool" :description "Build-time configuration for ogg"))
#("liquidsoap.build_config.optionals.opus" 0 1 (:type "bool" :description "Build-time configuration for opus"))
#("liquidsoap.build_config.optionals.osc" 0 1 (:type "bool" :description "Build-time configuration for osc"))
#("liquidsoap.build_config.optionals.oss" 0 1 (:type "bool" :description "Build-time configuration for oss"))
#("liquidsoap.build_config.optionals.portaudio" 0 1 (:type "bool" :description "Build-time configuration for portaudio"))
#("liquidsoap.build_config.optionals.posix_time2" 0 1 (:type "bool" :description "Build-time configuration for posix_time2"))
#("liquidsoap.build_config.optionals.prometheus" 0 1 (:type "bool" :description "Build-time configuration for prometheus"))
#("liquidsoap.build_config.optionals.pulseaudio" 0 1 (:type "bool" :description "Build-time configuration for pulseaudio"))
#("liquidsoap.build_config.optionals.samplerate" 0 1 (:type "bool" :description "Build-time configuration for samplerate"))
#("liquidsoap.build_config.optionals.sdl" 0 1 (:type "bool" :description "Build-time configuration for sdl"))
#("liquidsoap.build_config.optionals.shine" 0 1 (:type "bool" :description "Build-time configuration for shine"))
#("liquidsoap.build_config.optionals.soundtouch" 0 1 (:type "bool" :description "Build-time configuration for soundtouch"))
#("liquidsoap.build_config.optionals.speex" 0 1 (:type "bool" :description "Build-time configuration for speex"))
#("liquidsoap.build_config.optionals.srt" 0 1 (:type "bool" :description "Build-time configuration for srt"))
#("liquidsoap.build_config.optionals.ssl" 0 1 (:type "bool" :description "Build-time configuration for ssl"))
#("liquidsoap.build_config.optionals.taglib" 0 1 (:type "bool" :description "Build-time configuration for taglib"))
#("liquidsoap.build_config.optionals.theora" 0 1 (:type "bool" :description "Build-time configuration for theora"))
#("liquidsoap.build_config.optionals.tls" 0 1 (:type "bool" :description "Build-time configuration for tls"))
#("liquidsoap.build_config.optionals.vorbis" 0 1 (:type "bool" :description "Build-time configuration for vorbis"))
#("liquidsoap.build_config.optionals.winsvc" 0 1 (:type "bool" :description "Build-time configuration for winsvc"))
#("liquidsoap.build_config.optionals.xmlplaylist" 0 1 (:type "bool" :description "Build-time configuration for xmlplaylist"))
#("liquidsoap.build_config.system" 0 1 (:type "string" :description "Build-time configuration value for system"))
#("liquidsoap.build_config.target" 0 1 (:type "string" :description "Build-time configuration value for target"))
#("liquidsoap.chroot.make" 0 1 (:type "(string) -> unit" :description "Export all the files required to install liquidsoap in a root folder. Useful for packaging and docker images."))
#("liquidsoap.executable" 0 1 (:type "string" :description "Path to the Liquidsoap executable."))
#("liquidsoap.version" 0 1 (:type "string" :description "Liquidsoap version string."))
#("liquidsoap.version.at_least" 0 1 (:type "(string) -> bool" :description "Ensure that Liquidsoap version is greater or equal to given one."))
#("list.add" 0 1 (:type "('a, ['a]) -> ['a]" :description "Add an element at the top of a list."))
#("list.append" 0 1 (:type "(['a], ['a]) -> ['a]" :description "Concatenate two lists."))
#("list.assoc" 0 1 (:type "(?default : 'a?, 'b, ['b * 'a]) -> 'a where 'b is an orderable type" :description "Associate a value to a key in an association list. This functions raises `error.not_found` if no default value is specified."))
#("list.assoc.filter" 0 1 (:type "((('a, 'b) -> bool), ['a * 'b]) -> ['a * 'b]" :description "Keep only the elements of an association list satisfying a given predicate."))
#("list.assoc.filter_map" 0 1 (:type "((('a, 'b) -> 'c?), ['a * 'b]) -> ['c]" :description "Map a function of every element of the associative list, removing the entry if the function returns `null`."))
#("list.assoc.mem" 0 1 (:type "('a, ['a * 'b]) -> bool where 'a is an orderable type" :description "`list.assoc.mem(key,l)` returns `true` if `l` contains a pair (key,value)."))
#("list.assoc.remove" 0 1 (:type "('a, ['a * 'b]) -> ['a * 'b] where 'a is an orderable type" :description "Remove the first pair from an associative list."))
#("list.assoc.remove.all" 0 1 (:type "('a, ['a * 'b]) -> ['a * 'b] where 'a is an orderable type" :description "Remove all pairs with given key from an associative list."))
#("list.case" 0 1 (:type "(['a], 'b, (('a, ['a]) -> 'b)) -> 'b" :description "Define a function by case analysis, depending on whether a list is empty or not."))
#("list.cons" 0 1 (:type "('a, ['a]) -> ['a]" :description "Add an element at the top of a list."))
#("list.dcase" 0 1 (:type "(['a], (() -> 'b), (('a, ['a]) -> 'b)) -> 'b" :description "\"Delayed\" version of `list.case` where the value on empty list is only evaluated if necessary."))
#("list.exists" 0 1 (:type "((('a) -> bool), ['a]) -> bool" :description "Check that a predicate is satisfied for some element in a list."))
#("list.filter" 0 1 (:type "(?remove : (('a) -> unit), (('a) -> bool), ['a]) -> ['a]" :description "Filter a list according to a predicate. The order in which elements are handled is not specified (and is currently implemented from the right)."))
#("list.filter_map" 0 1 (:type "((('a) -> 'b?), ['a]) -> ['b]" :description "Map a function on a list (like `list.map`) excepting that the value is removed if the function returns `null`."))
#("list.find" 0 1 (:type "(?default : 'a?, (('a) -> bool), ['a]) -> 'a" :description "First element satisfying a predicate. Raises `error.not_found` if not element is found and no default value was specified."))
#("list.flatten" 0 1 (:type "([['a]]) -> ['a]" :description "Concatenate all the elements of a list of lists."))
#("list.fold" 0 1 (:type "((('a, 'b) -> 'a), 'a, ['b]) -> 'a" :description "Fold a function on every element of a list: `list.fold(f,x1,[e1,..,en]) is f(...f(f(x1,e1),e2)...,en)`."))
#("list.fold.right" 0 1 (:type "((('a, 'b) -> 'b), 'b, ['a]) -> 'b" :description "Fold a function on every element of a list. Similar to `list.fold` but iterates from the right of the list. It is slightly more efficient than `list.fold`."))
#("list.for_all" 0 1 (:type "((('a) -> bool), ['a]) -> bool" :description "Check that a predicate is satisfied for every element in a list."))
#("list.hd" 0 1 (:type "(?default : 'a?, ['a]) -> 'a" :description "Return the head (first element) of a list, or `default` if the list is empty."))
#("list.ind" 0 1 (:type "(['a], 'b, (('a, ['a], 'b) -> 'b)) -> 'b" :description "Define a function by induction on a list. This is slightly more efficient than defining a recursive function. The list is scanned from the right."))
#("list.index" 0 1 (:type "((('a) -> bool), ['a]) -> int" :description "First index where a predicate is satisfied."))
#("list.indexed" 0 1 (:type "(['a]) -> [int * 'a]" :description "Add indices to every element of a list, so that it can be accessed with the notation `l[n]`."))
#("list.init" 0 1 (:type "(int, ((int) -> 'a)) -> ['a]" :description "Initialize a list."))
#("list.insert" 0 1 (:type "(int, 'a, ['a]) -> ['a]" :description "Returns a copy of the given list with a new element inserted at a given position. Raises `error.not_found` if the list has less than `index` elements."))
#("list.is_empty" 0 1 (:type "(['a]) -> bool" :description "Determining whether a list is empty or not."))
#("list.iter" 0 1 (:type "((('a) -> unit), ['a]) -> unit" :description "Call a function on every element of a list."))
#("list.iterator" 0 1 (:type "(['a?]) -> () -> 'a?" :description "Create an iterator over the elements of a list."))
#("list.iteri" 0 1 (:type "(((int, 'a) -> unit), ['a]) -> unit" :description "Call a function on every element of a list, along with its index."))
#("list.last" 0 1 (:type "(?default : 'a?, ['a]) -> 'a" :description "Return the last element of a list."))
#("list.length" 0 1 (:type "(['a]) -> int" :description "Compute the length of a list, i.e., the number of its elements."))
#("list.make" 0 1 (:type "(int, 'a) -> ['a]" :description "Create a list with given length, filled with given element."))
#("list.map" 0 1 (:type "((('a) -> 'b), ['a]) -> ['b]" :description "Map a function on every element of a list."))
#("list.map.right" 0 1 (:type "((('a) -> 'b), ['a]) -> ['b]" :description "Map a function on every element of a list, starting from the right. This function is tail-recursive."))
#("list.mapi" 0 1 (:type "(((int, 'a) -> 'b), ['a]) -> ['b]" :description "Map a function on every element of a list, along with its index."))
#("list.mem" 0 1 (:type "('a, ['a]) -> bool where 'a is an orderable type" :description "Check whether an element belongs to a list."))
#("list.nth" 0 1 (:type "(?default : 'a?, ['a], int) -> 'a" :description "Get the n-th element of a list (the first element is at position 0), or `default` if element does not exist."))
#("list.pick" 0 1 (:type "(?default : 'a?, ['a]) -> 'a" :description "Pick a random element in a list."))
#("list.prefix" 0 1 (:type "(int, ['a]) -> ['a]" :description "Compute the beginning of a list."))
#("list.remove" 0 1 (:type "('a, ['a]) -> ['a]" :description "Remove the first occurrence of a value from a list."))
#("list.rev" 0 1 (:type "(['a]) -> ['a]" :description "Revert list order."))
#("list.shuffle" 0 1 (:type "(['a]) -> ['a]" :description "Shuffle the content of a list. The function returns a list with the same elements but in different, random, order."))
#("list.sort" 0 1 (:type "((('a, 'a) -> int), ['a]) -> ['a]" :description "Sort a list according to a comparison function."))
#("list.sort.natural" 0 1 (:type "(['a]) -> ['a] where 'a is an orderable type" :description "Sort a list according to the \"natural\" order."))
#("list.tl" 0 1 (:type "(['a]) -> ['a]" :description "Return the list without its first element."))
#("ln" 0 1 (:type "(float) -> float" :description "Natural logarithm."))
#("log" 0 1 (:type "(?label : string, ?level : int, string) -> unit" :description "Log a message."))
#("log.critical" 0 1 (:type "(?label : string, string) -> unit" :description "Log a critical message"))
#("log.debug" 0 1 (:type "(?label : string, string) -> unit" :description "Log a debug message"))
#("log.file" 0 1 (:type "() -> bool" :description "Get and set the file logging"))
#("log.important" 0 1 (:type "(?label : string, string) -> unit" :description "Log an important message"))
#("log.info" 0 1 (:type "(?label : string, string) -> unit" :description "Log a normal message"))
#("log.level" 0 1 (:type "() -> int" :description "Get and set the log level."))
#("log.severe" 0 1 (:type "(?label : string, string) -> unit" :description "Log a severe message"))
#("log.stdout" 0 1 (:type "() -> bool" :description "Get and set logging to stdout"))
#("log10" 0 1 (:type "(float) -> float" :description "Base 10 logarithm."))
#("lsl" 0 1 (:type "(int, int) -> int" :description "Logical shift left."))
#("lsr" 0 1 (:type "(int, int) -> int" :description "Logical shift right."))
#("lufs" 0 1 (:type "(?id : string?, ?window : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Compute current LUFS of the source according to the EBU R128 standard. It returns the source with a method to compute the current value."))
#("map_first_track" 0 1 (:type "(?id : string?, ((source('a)) -> source('a)), source('a)) -> source('a)" :description "Apply a function to the first track of a source"))
#("max" 0 1 (:type "('a, 'a) -> 'a where 'a is an orderable type" :description "Compute the maximum of two values."))
#("max_duration" 0 1 (:type "(?id : string?, ?override : string, float, source('a)) -> source('a)" :description "Limit source duration"))
#("max_int" 0 1 (:type "int" :description "Maximal representable integer."))
#("mean" 0 1 (:type "(?id : string?, ?normalize : bool, source(audio=pcm('a), 'b)) -> source(audio=pcm(mono), 'b) where 'b is a set of tracks to be muxed into a source" :description "Produce mono audio by taking the mean of all audio channels."))
#("medialib" 0 1 (:type "(?id : string?, ?persistency : string?, ?refresh : float?,  ?standardize : (([string * string]) -> [string * string]),  ?initial_progress : bool, ?directories : [string], ?string?) -> unit" :description "A library to store the metadata of files in given folders and query them. This is useful to generate playlists based on metadata."))
#("memoize" 0 1 (:type "((() -> 'a)) -> () -> 'a where 'a is an orderable type" :description "Memoize the result of a function, making sure it is only executed once."))
#("metadata.artist" 0 1 (:type "([string * string]) -> string" :description "Extract artist from metadata."))
#("metadata.comment" 0 1 (:type "([string * string]) -> string" :description "Extract comment from metadata."))
#("metadata.cover" 0 1 (:type "(?coverart_mime : string?, [string * string]) -> string .{   color_depth? : int,   description? : string,   format? : string,   height? : int,   mime : string,   number_of_colors? : int?,   picture_type? : int,   width? : int}?" :description "Extract cover from metadata. This function implements cover extraction for the following formats: coverart (ogg), apic (flac, mp3) and pic (mp3)."))
#("metadata.cover.remove" 0 1 (:type "([string * string]) -> [string * string]" :description "Remove cover metadata. This is mostly useful in order not to flood logs with coverart when logging metadata."))
#("metadata.deduplicate" 0 1 (:type "(?id : string?, source('a)) -> source('a) where 'a is a set of tracks to be muxed into a source" :description "Remove duplicate metadata in a source."))
#("metadata.export" 0 1 (:type "([string * string]) -> [string * string]" :description "Cleanup metadata for export. This is used to remove Liquidsoap's internal metadata entries before sending them. List of exported metadata is set using `settings.encoder.metadata.export.set`."))
#("metadata.filename" 0 1 (:type "([string * string]) -> string" :description "Extract filename from metadata."))
#("metadata.getter" 0 1 (:type "(string, 'a, 'c.{on_metadata : (((['a * string]) -> unit)) -> 'b}) -> () -> string where 'a is an orderable type" :description "Create a getter from a metadata: this is a string, whose value can be changed with a metadata."))
#("metadata.getter.float" 0 1 (:type "(float, 'a, 'c.{on_metadata : (((['a * string]) -> unit)) -> 'b}) -> () -> float where 'a is an orderable type" :description "Create a float getter from a metadata: this is a float, whose value can be changed with a metadata."))
#("metadata.id3v2.render" 0 1 (:type "([string * string], ?version : int) -> string" :description "Return a string representation of a id3v2 metadata tag"))
#("metadata.json.parse" 0 1 (:type "(string) -> [string * string] as json.object" :description "Parse metadata from JSON object."))
#("metadata.json.stringify" 0 1 (:type "(?coverart_mime : string?, ?base64 : bool, ?compact : bool, ?json5 : bool,  [string * string]) -> string" :description "Export metadata as JSON object. Cover art, if found, is extracted using `metadata.cover` and exported with key `\"cover\"` and exported using `string.data_uri.encode`."))
#("metadata.map" 0 1 (:type "(?id : string?, ?update : bool, ?strip : bool, ?insert_missing : bool,  (([string * string]) -> [string * string]), source('a)) -> source('a) where 'a is a set of tracks to be muxed into a source" :description "Rewrite metadata on the fly using a function."))
#("metadata.title" 0 1 (:type "([string * string]) -> string" :description "Extract title from metadata."))
#("metronome" 0 1 (:type "(?frequency : float, ?float) -> source(audio=pcm('a))" :description "Indicate beats."))
#("mic_filter" 0 1 (:type "(?frequency : float, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Remove low frequencies often produced by microphones."))
#("midi.chord" 0 1 (:type "(?id : string?, ?metadata : string, source('a)) -> source(midi=midi(channels=1), 'b)" :description "Generate a chord."))
#("midi.inspect" 0 1 (:type "(?id : string?, source('a)) -> source('a)" :description "Display midi events on standard output."))
#("midi.merge_all" 0 1 (:type "(?id : string?, ?track_out : int, source(midi=midi('a), 'b)) -> source(midi=midi('a), 'b)" :description "Merge all MIDI tracks in one."))
#("midi.remove" 0 1 (:type "(?id : string?, [int], source(midi=midi('a), 'b)) -> source(midi=midi('a), 'b)" :description "Remove MIDI tracks."))
#("min" 0 1 (:type "('a, 'a) -> 'a where 'a is an orderable type" :description "Compute the minimum of two values."))
#("min_int" 0 1 (:type "int" :description "Minimal representable integer."))
#("mix" 0 1 (:type "(?id : string?, ?register_server_commands : bool,  [source(audio=pcm('a), 'b)]) -> source(audio=pcm('a), 'b) where   'b is a set of tracks to be muxed into a source and a set of internal tracks" :description "Mixing table controllable via source methods and optional server/telnet commands."))
#("mkfade" 0 1 (:type "(?curve : float?, ?type : string, ?start : float, ?stop : float,  ?delay : float, ?duration : float, ?on_done : (() -> unit), source('a)) -> () -> float" :description "Make a fade function based on a source's clock."))
#("mksafe" 0 1 (:type "(?id : string, source('a)) -> source('a) where 'a is a set of internal tracks" :description "Turn a source into an infaillible source by adding blank when the source is not available."))
#("mod" 0 1 (:type "('a, 'a) -> 'a where 'a is a number type" :description "Remainder of division of numbers."))
#("nan" 0 1 (:type "float" :description "A special floating-point value denoting the result of an undefined operation such as 0.0 /. 0.0. Stands for 'not a number'. Any floating-point operation with nan as argument returns nan as result. As for floating-point comparisons, `==`, `<`, `<=`, `>` and `>=` return `false` and `!=` returns `true` if one or both of their arguments is `nan`."))
#("native.fallback" 0 1 (:type "(?id : string?, ?track_sensitive : bool, [source('a)]) -> source('a)" :description "At the beginning of each track, select the first ready child."))
#("native.once" 0 1 (:type "(source('a)) -> source('a)" :description "Create a source that plays only one track of the input source."))
#("native.request.dynamic" 0 1 (:type "(?id : string?, ?available : {bool}, ?prefetch : int, ?retry_delay : {float},  ?timeout : float, (() -> request?)) -> source('a)" :description "Play request dynamically created by a given function."))
#("native.sequence" 0 1 (:type "(?id : string?,  [source('a)   .{     buffered : () -> [string * float],     duration : () -> float,     elapsed : () -> float,     fallible : bool,     id : () -> string,     is_active : () -> bool,     is_ready : () -> bool,     is_up : () -> bool,     last_metadata : () -> [string * string]?,     log :      {level : (() -> int?).{set : (int) -> unit}     },     on_metadata : ((([string * string]) -> unit)) -> unit,     on_shutdown : ((() -> unit)) -> unit,     on_track : ((([string * string]) -> unit)) -> unit,     on_wake_up : ((() -> unit)) -> unit,     remaining : () -> float,     seek : (float) -> float,     self_sync : () -> bool,     skip : () -> unit,     time : () -> float   }]) -> source('a)" :description "Play only one track of every successive source, except for the last one which is played as much as available."))
#("native.switch" 0 1 (:type "(?id : string?, ?track_sensitive : bool, [{bool} * source('a)]) -> source('a)" :description "Select the first source whose predicate is true in a list. If the second argument is a getter, the source will be dynamically created."))
#("noise" 0 1 (:type "(?id : string?, ?duration : float?) -> source('a) where 'a is a set of internal tracks" :description "Generate audio/video noise source."))
#("normalize" 0 1 (:type "(?id : string?, ?target : {float}, ?up : {float}, ?down : {float},  ?gain_min : float, ?gain_max : float, ?lufs : bool, ?lookahead : {float},  ?window : {float}, ?threshold : {float}, ?track_sensitive : bool,  ?debug : float??, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Normalization the volume of a stream (this is also called _automatic gain control_). Dynamic normalization of the signal is sometimes the only option (for instance, for live sources), and can make a listening experience much nicer. However, its dynamic aspect implies some limitations which can go as far as creating saturation in some extreme cases. If possible, consider using some track-based normalization techniques such as those based on ReplayGain. The implementation of Liquidsoap < 2.0 was renamed to `normalize.old`."))
#("normalize.old" 0 1 (:type "(?id : string?, ?gain_max : {float}, ?gain_min : {float}, ?k_down : {float},  ?k_up : {float}, ?target : {float}, ?threshold : {float},  ?track_sensitive : bool, ?window : float, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Normalize the signal. Dynamic normalization of the signal is sometimes the only option, and can make a listening experience much nicer. However, its dynamic aspect implies some limitations which can go as far as creating saturation in some extreme cases. If possible, consider using some track-based normalization techniques such as those based on replay gain. See the documentation for more details. This is the implementation provided in Liquidsoap < 2.0. A new, better and more customizable one is now given in `normalize`."))
#("not" 0 1 (:type "(bool) -> bool" :description "Returns the negation of its argument."))
#("notify_metadata" 0 1 (:type "(?urgency : string, ?icon : string, ?timeout : float,  ?display : (([string * string]) -> string), ?title : string, 'b  .{on_metadata : ((([string * string]) -> unit)) -> 'a}) -> 'a" :description "Use notify to display metadata info."))
#("nrj" 0 1 (:type "(source(audio=pcm('a), 'b)) -> source(audio=pcm('a) .{gain? : never, rms? : never}, 'b) where 'b is a set of tracks to be muxed into a source" :description "Compress and normalize, producing a more uniform and \"full\" sound."))
#("null" 0 1 (:type "(?'a?) -> 'a?" :description "Create a nullable value."))
#("null.case" 0 1 (:type "('a?, (() -> 'b), (('a) -> 'b)) -> 'b" :description "Return a result dending on whether a value is nothing or not."))
#("null.default" 0 1 (:type "('a?, (() -> 'a)) -> 'a" :description "Return a result dending on whether a value is nothing or not."))
#("null.defined" 0 1 (:type "('a?) -> bool" :description "Determine whether a nullable value is not null."))
#("null.find" 0 1 (:type "(?default : 'a??, (('b) -> 'a?), ['b]) -> 'a?" :description "Find the first element of a list for which the image of the function is not `null`. Raises `error.not_found` if not element is found and no default value was specified."))
#("null.get" 0 1 (:type "(?default : 'a?, 'a?) -> 'a" :description "Get the value of a nullable. Raises `error.not_found` if the value is `null` and no default value was specified."))
#("null.map" 0 1 (:type "((('a) -> 'b?), 'a?) -> 'b?" :description "Apply a function on a nullable value if it is not null, and return null otherwise."))
#("null.to_list" 0 1 (:type "('a?) -> ['a]" :description "Convert a nullable value to a list containing zero or one element depending on whether the value is null or not."))
#("on_cleanup" 0 1 (:type "((() -> unit)) -> unit" :description "Register a function to be called for the final cleanup."))
#("on_offset" 0 1 (:type "(?id : string?, ?force : bool, ?offset : float, ?override : string,  ((float, [string * string]) -> unit), source('a)) -> source('a)" :description "Call a given handler when position in track is equal or more than a given amount of time."))
#("on_shutdown" 0 1 (:type "((() -> unit)) -> unit" :description "Register a function to be called when Liquidsoap shuts down."))
#("on_start" 0 1 (:type "((() -> unit)) -> unit" :description "Register a function to be called when Liquidsoap starts."))
#("once" 0 1 (:type "(?id : string?, source('a)) -> source('a)" :description "Creates a source that plays only one track of the input source."))
#("or" 0 1 (:type "({bool}, {bool}) -> bool" :description "Return the disjunction of its arguments"))
#("os.type" 0 1 (:type "string" :description "Type of OS running liquidsoap."))
#("osc.bool" 0 1 (:type "(string, bool) -> () -> bool" :description "Read from an OSC path."))
#("osc.float" 0 1 (:type "(string, float) -> () -> float" :description "Read from an OSC path."))
#("osc.float_pair" 0 1 (:type "(string, (float * float)) -> () -> float * float" :description "Read from an OSC path."))
#("osc.int" 0 1 (:type "(string, int) -> () -> int" :description "Read from an OSC path."))
#("osc.int_pair" 0 1 (:type "(string, (int * int)) -> () -> int * int" :description "Read from an OSC path."))
#("osc.on_bool" 0 1 (:type "(string, ((bool) -> unit)) -> unit" :description "Register a callback on OSC messages."))
#("osc.on_float" 0 1 (:type "(string, ((float) -> unit)) -> unit" :description "Register a callback on OSC messages."))
#("osc.on_float_pair" 0 1 (:type "(string, (((float * float)) -> unit)) -> unit" :description "Register a callback on OSC messages."))
#("osc.on_int" 0 1 (:type "(string, ((int) -> unit)) -> unit" :description "Register a callback on OSC messages."))
#("osc.on_int_pair" 0 1 (:type "(string, (((int * int)) -> unit)) -> unit" :description "Register a callback on OSC messages."))
#("osc.on_string" 0 1 (:type "(string, ((string) -> unit)) -> unit" :description "Register a callback on OSC messages."))
#("osc.on_string_pair" 0 1 (:type "(string, (((string * string)) -> unit)) -> unit" :description "Register a callback on OSC messages."))
#("osc.send_bool" 0 1 (:type "(host : string, port : int, string, bool) -> unit" :description "Send a value to an OSC client."))
#("osc.send_float" 0 1 (:type "(host : string, port : int, string, float) -> unit" :description "Send a value to an OSC client."))
#("osc.send_float_pair" 0 1 (:type "(host : string, port : int, string, (float * float)) -> unit" :description "Send a value to an OSC client."))
#("osc.send_int" 0 1 (:type "(host : string, port : int, string, int) -> unit" :description "Send a value to an OSC client."))
#("osc.send_int_pair" 0 1 (:type "(host : string, port : int, string, (int * int)) -> unit" :description "Send a value to an OSC client."))
#("osc.send_string" 0 1 (:type "(host : string, port : int, string, string) -> unit" :description "Send a value to an OSC client."))
#("osc.send_string_pair" 0 1 (:type "(host : string, port : int, string, (string * string)) -> unit" :description "Send a value to an OSC client."))
#("osc.string" 0 1 (:type "(string, string) -> () -> string" :description "Read from an OSC path."))
#("osc.string_pair" 0 1 (:type "(string, (string * string)) -> () -> string * string" :description "Read from an OSC path."))
#("osd_metadata" 0 1 (:type "(?color : string, ?position : string, ?font : string,  ?display : (([string * string]) -> string), 'b  .{on_metadata : ((([string * string]) -> unit)) -> 'a}) -> 'a" :description "Use X On Screen Display to display metadata info."))
#("output" 0 1 (:type "(?id : string?, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?start : bool, source(audio=pcm('A))) -> unit" :description "Output a stream using the default operator. The input source does not need to be infallible, blank will just be played during failures."))
#("output.alsa" 0 1 (:type "(?id : string?, ?bufferize : bool, ?clock_safe : bool, ?device : string,  ?fallible : bool, ?on_start : (() -> unit), ?on_stop : (() -> unit),  ?register_telnet : bool, ?start : bool, source(audio=pcm('a), 'b)) -> unit" :description "Output the source's stream to an ALSA output device."))
#("output.ao" 0 1 (:type "(?id : string?, ?buffer_size : int, ?channels_matrix : string,  ?clock_safe : bool, ?driver : string, ?fallible : bool,  ?on_start : (() -> unit), ?on_stop : (() -> unit),  ?options : [string * string], ?register_telnet : bool, ?start : bool,  source(audio=pcm('a), 'b)) -> unit" :description "Output stream to local sound card using libao."))
#("output.audio_video" 0 1 (:type "(?id : string?, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?start : bool, source(audio=pcm('A),  video=canvas('B))) -> unit" :description "Output a stream with audio and video using the default operator. The input source does not need to be infallible, blank will just be played during failures."))
#("output.dummy" 0 1 (:type "(?id : string?, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?register_telnet : bool, ?start : bool, source('a)) -> unit" :description "Dummy output: computes the stream, without actually using it."))
#("output.external" 0 1 (:type "(?id : string?, ?export_cover_metadata : bool, ?fallible : bool,  ?flush : bool, ?on_reopen : (() -> unit), ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?register_telnet : bool, ?reopen_delay : {float},  ?reopen_on_error : ((error                       .{                         kind : string,                         message : string,                         trace : [                                  {                                    position_end :                                     {                                      character_offset : int,                                      filename : string,                                      line_number : int                                    },                                    position_start :                                     {                                      character_offset : int,                                      filename : string,                                      line_number : int                                    },                                    to_string : (?prefix : string) -> string                                  }]                       }?) -> float?),  ?reopen_on_metadata : (([string * string]) -> bool),  ?reopen_when : (() -> bool), ?self_sync : bool, ?start : bool, format('a),  {string}, source('a)) -> unit" :description "Send the stream to a process' standard input."))
#("output.external.ffmpeg" 0 1 (:type "(?id : string?, ?show_command : bool, ?flush : bool, ?fallible : bool,  ?on_start : (() -> unit), ?on_stop : (() -> unit),  ?reopen_on_metadata : (([string * string]) -> bool),  ?reopen_on_error : ((error                       .{                         kind : string,                         message : string,                         trace : [                                  {                                    position_end :                                     {                                      character_offset : int,                                      filename : string,                                      line_number : int                                    },                                    position_start :                                     {                                      character_offset : int,                                      filename : string,                                      line_number : int                                    },                                    to_string : (?prefix : string) -> string                                  }]                       }?) -> float?),  ?reopen_when : (() -> bool), ?reopen_delay : {float},  ?on_reopen : (() -> unit), ?start : bool, string, source(audio=pcm(stereo),  video=canvas)) -> unit" :description "Output to ffmpeg."))
#("output.file" 0 1 (:type "(?id : string?, ?append : bool, ?dir_perm : int,  ?export_cover_metadata : bool, ?fallible : bool, ?flush : bool,  ?on_close : ((string) -> unit), ?on_reopen : (() -> unit),  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?perm : int,  ?register_telnet : bool, ?reopen_delay : {float},  ?reopen_on_error : ((error                       .{                         kind : string,                         message : string,                         trace : [                                  {                                    position_end :                                     {                                      character_offset : int,                                      filename : string,                                      line_number : int                                    },                                    position_start :                                     {                                      character_offset : int,                                      filename : string,                                      line_number : int                                    },                                    to_string : (?prefix : string) -> string                                  }]                       }?) -> float?),  ?reopen_on_metadata : (([string * string]) -> bool),  ?reopen_when : (() -> bool), ?start : bool, format('a), {string},  source('a)) -> unit" :description "Output the source stream to a file."))
#("output.file.dash" 0 1 (:type "(?id : string?, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?codec : string, ?bitrate : int, ?start : bool,  ?playlist : string, directory : string, source(audio=pcm(stereo))) -> unit" :description "Output an MPEG-DASH playlist."))
#("output.file.dash.ffmpeg" 0 1 (:type "(?id : string?, ?flush : bool, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit),  ?reopen_on_metadata : (([string * string]) -> bool),  ?reopen_on_error : ((error                       .{                         kind : string,                         message : string,                         trace : [                                  {                                    position_end :                                     {                                      character_offset : int,                                      filename : string,                                      line_number : int                                    },                                    position_start :                                     {                                      character_offset : int,                                      filename : string,                                      line_number : int                                    },                                    to_string : (?prefix : string) -> string                                  }]                       }?) -> float?),  ?reopen_when : (() -> bool), ?reopen_delay : {float},  ?on_reopen : (() -> unit), ?start : bool, ?playlist : string,  directory : string, source(audio=pcm(stereo), video=canvas)) -> unit" :description "Output an MPEG-DASH playlist using ffmpeg"))
#("output.file.hls" 0 1 (:type "(?id : string?, ?dir_perm : int, ?extra_tags : [string], ?fallible : bool,  ?on_file_change : ((state : string, string) -> unit),  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?perm : int,  ?persist_at : string?, ?playlist : string, ?prefix : string,  ?register_telnet : bool, ?segment_duration : float,  ?segment_name : ((position : int, extname : string, string) -> string),  ?segments : int, ?segments_overhead : int, ?start : bool,  ?strict_persist : bool, ?temp_dir : string?, string,  [string * format('a)   .{     bandwidth? : int,     codecs? : string,     extname? : string,     extra_tags? : [string],     id3? : bool,     id3_version? : int,     replay_id3? : bool,     video_size? : int * int   }],  source('a)) -> unit" :description "Output the source stream to an HTTP live stream served from a local directory."))
#("output.file.hls.ffmpeg" 0 1 (:type "(?id : string?, ?flush : bool, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit),  ?reopen_on_metadata : (([string * string]) -> bool),  ?reopen_on_error : ((error                       .{                         kind : string,                         message : string,                         trace : [                                  {                                    position_end :                                     {                                      character_offset : int,                                      filename : string,                                      line_number : int                                    },                                    position_start :                                     {                                      character_offset : int,                                      filename : string,                                      line_number : int                                    },                                    to_string : (?prefix : string) -> string                                  }]                       }?) -> float?),  ?reopen_when : (() -> bool), ?reopen_delay : {float},  ?on_reopen : (() -> unit), ?start : bool, ?playlist : string,  directory : string, source(audio=pcm(stereo), video=canvas)) -> unit" :description "Output a HLS playlist using ffmpeg"))
#("output.graphics" 0 1 (:type "(?id : string?, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?register_telnet : bool, ?start : bool,  source(video=canvas('a), 'b)) -> unit" :description "Display video stream using the Graphics library."))
#("output.harbor" 0 1 (:type "(?id : string?, ?auth : ((address : string, string, string) -> bool)?,  ?buffer : int, ?burst : int, ?chunk : int, ?dumpfile : string?,  ?encoding : string, ?fallible : bool, ?format : string,  ?headers : [string * string], ?metaint : int, mount : string,  ?on_connect : ((headers : [string * string], uri : string,                  protocol : string, string) -> unit),  ?on_disconnect : ((string) -> unit), ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?password : string?, ?port : int,  ?register_telnet : bool, ?start : bool, ?timeout : float,  ?transport : http_transport, ?url : string?, ?user : string?, format('a),  source('a)) -> unit" :description "Encode and output the stream using the harbor server."))
#("output.harbor.hls" 0 1 (:type "(?id : string?, ?dir_perm : int, ?extra_tags : [string], ?fallible : bool,  ?on_file_change : ((state : string, string) -> unit),  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?perm : int,  ?persist_at : string?, ?playlist : string, ?prefix : string,  ?register_telnet : bool, ?segment_duration : float, ?segments : int,  ?segments_overhead : int, ?start : bool, ?strict_persist : bool,  ?temp_dir : string?,  ?segment_name : ((position : int, extname : string, string) -> string),  ?headers : [string * string], ?port : int, ?path : string,  ?tmpdir : string?, ?transport : http_transport  .{default_port : int, name : string, protocol : string},  [string * format('a)], source('a)) -> unit" :description "Output the source stream to an HTTP live stream served from the harbor HTTP server."))
#("output.icecast" 0 1 (:type "(?id : string?, ?chunked : bool, ?connection_timeout : float,  ?description : string?, ?dumpfile : string?, ?encoding : string?,  ?fallible : bool, ?format : string, ?genre : string?,  ?headers : [string * string], ?host : string, ?icy_metadata : [string],  ?icy_song : (([string * string]) -> string?), ?method : string,  mount : string, ?name : string?, ?on_connect : (() -> unit),  ?on_disconnect : (() -> unit), ?on_error : ((string) -> float),  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?password : string,  ?port : int, ?prefer_address : string?, ?public : bool,  ?register_telnet : bool, ?send_icy_metadata : bool?, ?start : bool,  ?timeout : float, ?transport : http_transport, ?url : string?,  ?user : string?, format('a), source('a)) -> unit" :description "Encode and output the stream to an icecast server."))
#("output.jack" 0 1 (:type "(?id : string?, ?buffer_size : int, ?clock_safe : bool, ?fallible : bool,  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?register_telnet : bool,  ?server : string, ?start : bool, source(audio=pcm('a), 'b)) -> unit" :description "Output stream to jack."))
#("output.oss" 0 1 (:type "(?id : string?, ?clock_safe : bool, ?device : string, ?fallible : bool,  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?register_telnet : bool,  ?start : bool, source(audio=pcm('a), 'b)) -> unit" :description "Output the source's stream to an OSS output device."))
#("output.portaudio" 0 1 (:type "(?id : string?, ?buflen : int, ?clock_safe : bool, ?device_id : int?,  ?fallible : bool, ?latency : float?, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?register_telnet : bool, ?start : bool,  source(audio=pcm('a), 'b)) -> unit" :description "Output the source's stream to a portaudio output device."))
#("output.pulseaudio" 0 1 (:type "(?id : string?, ?client : string, ?clock_safe : bool, ?device : string,  ?fallible : bool, ?on_start : (() -> unit), ?on_stop : (() -> unit),  ?register_telnet : bool, ?start : bool, source(audio=pcm('a), 'b)) -> unit" :description "Output the source's stream to a pulseaudio output device."))
#("output.shoutcast" 0 1 (:type "(?id : string?, ?chunked : bool, ?connection_timeout : float,  ?dumpfile : string?, ?encoding : string?, ?fallible : bool,  ?format : string, ?genre : string?, ?headers : [string * string],  ?host : string, ?icy_id : int, ?icy_metadata : [string],  ?icy_song : (([string * string]) -> string?), ?name : string?,  ?on_connect : (() -> unit), ?on_disconnect : (() -> unit),  ?on_error : ((string) -> float), ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?password : string, ?port : int,  ?prefer_address : string?, ?public : bool, ?register_telnet : bool,  ?send_icy_metadata : bool?, ?start : bool, ?timeout : float,  ?transport : http_transport, ?url : string?, ?user : string?,  ?icy_reset : bool, ?dj : (() -> string), ?aim : string, ?icq : string,  ?irc : string, format('a), source('a)) -> unit where 'a is a set of tracks to be muxed into a source" :description "Encode and output the stream to a shoutcast server."))
#("output.url" 0 1 (:type "(?id : string?, ?export_cover_metadata : bool, ?fallible : bool,  ?on_error : ((error                .{                  kind : string,                  message : string,                  trace : [                           {                             position_end :                              {                               character_offset : int,                               filename : string,                               line_number : int                             },                             position_start :                              {                               character_offset : int,                               filename : string,                               line_number : int                             },                             to_string : (?prefix : string) -> string                           }]                }) -> unit),  ?on_start : (() -> unit), ?on_stop : (() -> unit), ?register_telnet : bool,  ?restart_delay : float?, ?self_sync : bool, ?start : bool, url : string,  format('a), source('a)) -> unit" :description "Encode and let encoder handle data output. Useful with encoder with no expected output or to encode to files that need full control from the encoder, e.g. `%ffmpeg` with `rtmp` output."))
#("output.video" 0 1 (:type "(?id : string?, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?start : bool, source(video=canvas('A))) -> unit" :description "Output a video stream using the default operator. The input source does not need to be infallible, blank will just be played during failures."))
#("output.youtube.live.hls" 0 1 (:type "(?id : string?, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?segment_duration : float, ?segments : int,  ?segments_overhead : int, ?start : bool, ?url : string, key : string,  encoder : format('a)  .{    bandwidth? : int,    codecs? : string,    extname? : string,    extra_tags? : [string],    id3? : bool,    id3_version? : int,    replay_id3? : bool,    video_size? : int * int  }, source('a)) -> unit" :description "Stream to youtube using HLS."))
#("output.youtube.live.rtmp" 0 1 (:type "(?id : string?, ?fallible : bool, ?on_start : (() -> unit),  ?on_stop : (() -> unit), ?start : bool, ?url : string, key : string,  encoder : format('a), source('a)) -> unit" :description "Stream to youtube using RTMP."))
#("overlap_sources" 0 1 (:type "(?id : string?, ?normalize : bool, ?start_next : string,  ?weights : [{float}], [source('a)]) -> source('a) where   'a is a set of tracks to be muxed into a source and a set of internal tracks" :description "Rotate between overlapping sources. Next track starts according to 'liq_start_next' offset metadata."))
#("path.basename" 0 1 (:type "(string) -> string" :description "Get the base name of a path, i.e. the name of the file without the full path. For instance `file.basename(\"/tmp/folder/bla.mp3\")` returns `\"bla.mp3\"`."))
#("path.concat" 0 1 (:type "(string, string) -> string" :description "Concatenate two paths, using the appropriate directory separator."))
#("path.dirname" 0 1 (:type "(string) -> string" :description "Get the directory name of a path."))
#("path.home.unrelate" 0 1 (:type "(string) -> string" :description "Expand path that start with '~' with the current home directory."))
#("path.remove_extension" 0 1 (:type "(string) -> string" :description "Remove the file extension from a path."))
#("peak" 0 1 (:type "(?id : string?, ?duration : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Get current peak volume of the source. Returns the source with a method `peak` to compute the current peak volume of the source, with `0.0 <= peak volume <= 1.0`."))
#("peak.stereo" 0 1 (:type "(?id : string?, ?duration : {float}, source(audio=pcm(stereo), 'a)) -> source(audio=pcm(stereo), 'a)" :description "Get current peak volume of the source. Returns the source with a method `peak` to compute the current peak volume of the source, with `0.0 <= peak volume <= 1.0`."))
#("pipe" 0 1 (:type "(?id : string?, ?buffer : float, ?data_length : int?, ?max : float,  process : string, ?replay_delay : float?, ?restart : bool,  ?restart_on_error : bool, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Process audio signal through a given process stdin/stdout."))
#("playlist" 0 1 (:type "(?id : string?, ?check_next : ((request) -> bool)?, ?prefetch : int,  ?loop : bool, ?mime_type : string?, ?mode : string, ?native : bool,  ?on_fail : (() -> [string])?, ?on_reload : ((string) -> unit),  ?prefix : string, ?reload : int, ?reload_mode : string, ?timeout : float,  ?cue_in_metadata : string?, ?cue_out_metadata : string?, string) -> source('a)" :description "Read a playlist or a directory and play all files."))
#("playlist.files" 0 1 (:type "(?id : string?, ?mime_type : string?, ?timeout : float,  ?cue_in_metadata : string?, ?cue_out_metadata : string?, string) ->  [string]" :description "Retrieve the list of files contained in a playlist."))
#("playlist.list" 0 1 (:type "(?id : string?, ?check_next : ((request) -> bool)?, ?prefetch : int,  ?loop : bool, ?mode : string, ?native : bool, ?on_loop : (() -> unit),  ?on_done : (() -> unit), ?max_fail : int, ?cue_in_metadata : string?,  ?cue_out_metadata : string?, ?on_fail : (() -> [string])?, ?timeout : float,  [string]) -> source('a)" :description "Play a list of files."))
#("playlist.parse" 0 1 (:type "(?path : string, ?mime : string?, string) -> [[string * string] * string]" :description "Try to parse a local playlist. Return a list of (metadata,URI) items, where metadata is a list of (key,value) bindings."))
#("playlist.parse.cue" 0 1 (:type "(string, ?pwd : string?) -> [[string * string] * string]" :description "Parse CUE playlists"))
#("playlist.parse.m3u" 0 1 (:type "(string, ?pwd : string?) -> [[string * string] * string]" :description "Parse M3U playlists"))
#("playlist.parse.register" 0 1 (:type "(format : string, strict : bool,  ((?pwd : string, string) -> [[string * string] * string])) -> unit" :description "Register a new playlist parser. An empty playlist is considered as a failure to resolve."))
#("playlist.parse.scpls" 0 1 (:type "(string, ?pwd : string?) -> [[string * string] * string]" :description "Parse SCPLS playlists"))
#("playlist.parse.xml" 0 1 (:type "(string, ?pwd : string?) -> [[string * string] * string]" :description "Parse XML playlists"))
#("playlog" 0 1 (:type "(?duration : float, ?persistency : string?,  ?hash : (([string * string]) -> string)) -> unit" :description "Keep a record of played files. This is primarily useful to know when a song was last played and avoid repetitions."))
#("position" 0 1 (:type "() -> unit" :description "Return the current position in the script"))
#("pow" 0 1 (:type "('a, 'a) -> 'a where 'a is a number type" :description "Exponentiation of numbers."))
#("predicate.activates" 0 1 (:type "(?init : bool, (() -> bool)) -> () -> bool" :description "Detect when a predicate becomes true."))
#("predicate.at_most" 0 1 (:type "(int, (() -> bool)) -> () -> bool" :description "Limit the number of times a predicate is true is a row."))
#("predicate.changes" 0 1 (:type "((() -> 'a)) -> () -> bool where 'a is an orderable type" :description "Detect when a predicate changes."))
#("predicate.first" 0 1 (:type "((() -> bool)) -> () -> bool" :description "First occurrence of a predicate."))
#("predicate.once" 0 1 (:type "((() -> bool)) -> () -> bool" :description "Become true once every time a predicate is true."))
#("predicate.signal" 0 1 (:type "() -> () -> bool" :description "Predicate which is true when a signal is sent. The returned predicate has a method `signal` to send the signal."))
#("prepend" 0 1 (:type "(?id : string?, ?merge : bool, source('a),  (([string * string]) -> source('a))) -> source('a)" :description "Prepend an extra track before every track. Set the metadata 'liq_prepend' to 'false' to inhibit prepending on one track."))
#("print" 0 1 (:type "(?newline : bool, 'a) -> unit" :description "Print on standard output."))
#("process.pid" 0 1 (:type "() -> int" :description "Get the process' pid."))
#("process.quote" 0 1 (:type "(string) -> string" :description "Return a quoted copy of the given string, suitable for use as one argument in a command line, escaping all meta-characters. Warning: under Windows, the output is only suitable for use with programs that follow the standard Windows quoting conventions."))
#("process.quote.command" 0 1 (:type "(?stdin : string?, ?stdout : string?, ?stderr : string?, ?args : [string],  string) -> string" :description "Return a quoted command line, suitable for use as an argument to `process.run`.\n\nThe optional arguments `stdin`, `stdout` and `stderr` are file names used to redirect the standard input, the standard output, or the standard error of the command.\n\nIf `stdin=f` is given, a redirection `< f` is performed and the standard input of the command reads from file `f`.\n\nIf `stdout=f` is given, a redirection `> f` is performed and the standard output of the command is written to file `f`.\n\nIf `stderr=f` is given, a redirection `2> f` is performed and the standard error of the command is written to file `f`.\n\nIf both `stdout=f` and `stderr=f` are given, with the exact same file name `f`, a `2>&1` redirection is performed so that the standard output and the standard error of the command are interleaved and redirected to the same file `f`."))
#("process.read" 0 1 (:type "(?timeout : float, ?env : [string * string], ?inherit_env : bool,  ?log_errors : bool, string) -> string" :description "Perform a shell call and return its output."))
#("process.read.lines" 0 1 (:type "(?timeout : float, ?env : [string * string], ?inherit_env : bool,  ?log_errors : bool, string) -> [string]" :description "Perform a shell call and return the list of its output lines."))
#("process.run" 0 1 (:type "(?env : [string * string], ?inherit_env : bool, ?rwdirs : [string],  ?rodirs : [string], ?network : bool?, ?timeout : float?, string) -> unit" :description "Run a process in a shell environment. Returns the standard output, as well as standard error and status as methods. The status can be \"exit\" (the status code is set), \"killed\" or \"stopped\" (the status code is the signal), or \"exception\" (the description is set) or \"timeout\" (the description is the run time)."))
#("process.stderr" 0 1 (:type "socket .{   close : () -> unit,   non_blocking : (bool) -> unit,   read : ((?timeout : float?) -> string)   .{wait : (?timeout : float?, (() -> unit)) -> unit   },   type : string,   write : ((?timeout : float?, string) -> unit)   .{wait : (?timeout : float?, (() -> unit)) -> unit   } }" :description "The process' stderr"))
#("process.stdin" 0 1 (:type "socket .{   close : () -> unit,   non_blocking : (bool) -> unit,   read : ((?timeout : float?) -> string)   .{wait : (?timeout : float?, (() -> unit)) -> unit   },   type : string,   write : ((?timeout : float?, string) -> unit)   .{wait : (?timeout : float?, (() -> unit)) -> unit   } }" :description "The process' stdin"))
#("process.stdout" 0 1 (:type "socket .{   close : () -> unit,   non_blocking : (bool) -> unit,   read : ((?timeout : float?) -> string)   .{wait : (?timeout : float?, (() -> unit)) -> unit   },   type : string,   write : ((?timeout : float?, string) -> unit)   .{wait : (?timeout : float?, (() -> unit)) -> unit   } }" :description "The process' stdout"))
#("process.test" 0 1 (:type "(?timeout : float, ?env : [string * string], ?inherit_env : bool, string) -> bool" :description "Return true if process exited with 0 code."))
#("process.time" 0 1 (:type "() -> unit" :description "Get the execution time of the current liquidsoap process."))
#("process.uri" 0 1 (:type "(?timeout : 'a?, extname : 'b, ?uri : string, string) -> string" :description "Create a process: uri, replacing `:` with `$(colon)`."))
#("profiler.disable" 0 1 (:type "() -> unit" :description "Record profiling statistics."))
#("profiler.enable" 0 1 (:type "() -> unit" :description "Record profiling statistics."))
#("profiler.print" 0 1 (:type "() -> unit" :description "Print profiling information."))
#("profiler.run" 0 1 (:type "(string, (() -> 'a)) -> 'a" :description "Time a function with the profiler."))
#("profiler.stats.string" 0 1 (:type "() -> string" :description "Profiling statistics."))
#("protocol.add" 0 1 (:type "(?temporary : bool, ?static : bool, ?syntax : string, ?doc : string, string,  ((rlog : ((string) -> unit), maxtime : float, string) -> [string])) -> unit" :description "Register a new protocol."))
#("random" 0 1 (:type "(?id : string?, ?override : string, ?replay_metadata : bool,  ?transition_length : float,  ?transitions : [(source('a), source('a)) -> source('a)], ?weights :   [{int}], [source('a)]) -> source('a)" :description "At the beginning of every track, select a random ready child."))
#("random.bool" 0 1 (:type "() -> bool" :description "Generate a random boolean."))
#("random.float" 0 1 (:type "(?min : float, ?max : float) -> float" :description "Generate a random value between `min` (included) and `max` (excluded)."))
#("random.int" 0 1 (:type "(?min : int, ?max : int) -> int" :description "Generate a random value between `min` (included) and `max` (excluded)."))
#("read" 0 1 (:type "(?hide : bool) -> string" :description "Read some value from standard input (console)."))
#("ref" 0 1 (:type "('a) -> () -> 'a" :description "Create a reference, i.e. a value which can be modified."))
#("ref.getter" 0 1 (:type "((() -> 'a).{set : ('a) -> unit}) -> () -> 'a" :description "Create a getter from a reference (sometimes useful to remove the `set` method)."))
#("ref.incr" 0 1 (:type "((() -> int).{set : (int) -> 'a}) -> 'a" :description "Increment a reference to an integer."))
#("ref.make" 0 1 (:type "((() -> 'a), (('a) -> unit)) -> () -> 'a" :description "Create a reference from a pair of get / set functions."))
#("ref.map" 0 1 (:type "((('a) -> 'b), (('b) -> 'a), (() -> 'a).{set : ('a) -> unit}) -> () -> 'b" :description "Map functions to a reference."))
#("regexp" 0 1 (:type "(?flags : [string], string) -> regexp" :description "Create a regular expression"))
#("reopen.stderr" 0 1 (:type "(string) -> unit" :description "Reopen standard error on the given file"))
#("reopen.stdin" 0 1 (:type "(string) -> unit" :description "Reopen standard input on the given file"))
#("reopen.stdout" 0 1 (:type "(string) -> unit" :description "Reopen standard output on the given file"))
#("replaygain" 0 1 (:type "(?id : string?, ?ebu_r128 : bool, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Amplify source tracks according to replaygain metadata. This operator does not compute itself the replaygain: you can use either `enable_replaygain_metadata` or the `replaygain:` protocol for this."))
#("request.create" 0 1 (:type "(?indicators : [string], ?cue_in_metadata : string?,  ?cue_out_metadata : string?, ?persistent : bool, ?resolve_metadata : bool,  ?temporary : bool, string) -> request" :description "Create a request from an URI."))
#("request.destroy" 0 1 (:type "(?force : bool, request) -> unit" :description "Destroying a request causes any temporary associated file to be deleted, and releases its RID. Persistent requests resist to destroying, unless forced."))
#("request.duration" 0 1 (:type "(?metadata : [string * string], string) -> float?" :description "Compute the duration in seconds of audio data contained in a request. The computation may be expensive. Returns `null` if computation failed, typically if the file was not recognized as valid audio."))
#("request.dynamic" 0 1 (:type "(?id : string?, ?available : {bool}, ?prefetch : int, ?retry_delay : {float},  ?timeout : float, (() -> request?)) -> source('a)" :description "Play request dynamically created by a given function."))
#("request.filename" 0 1 (:type "(request) -> string" :description "Return a valid local filename if the request is ready, and the empty string otherwise."))
#("request.id" 0 1 (:type "(request) -> int" :description "Identifier of a request."))
#("request.log" 0 1 (:type "(request) -> string" :description "Get log data associated to a request."))
#("request.metadata" 0 1 (:type "(request) -> [string * string]" :description "Get the metadata associated to a request."))
#("request.once" 0 1 (:type "(?id : string?, ?timeout : float, request) -> source('a)" :description "Play a request once and become unavailable."))
#("request.player" 0 1 (:type "(?simultaneous : bool) -> source('a) where 'a is a set of internal tracks" :description "Create a source on which plays immediately requests given with the `play` method."))
#("request.queue" 0 1 (:type "(?id : string?, ?interactive : bool, ?prefetch : int, ?native : bool,  ?queue : [request], ?timeout : float) -> source('a)" :description "Play a queue of requests (the first added request gets played first)."))
#("request.read_metadata" 0 1 (:type "(request) -> unit" :description "Force reading the metadata of a request."))
#("request.resolve" 0 1 (:type "(?content_type : source('a)?, ?timeout : float, request) -> bool" :description "Resolve a request, i.e. attempt to get a valid local file. The operation can take some time. Return true if the resolving was successful, false otherwise (timeout or invalid URI). The request should not be decoded afterward: this is mostly useful to download files such as playlists, etc."))
#("request.resolved" 0 1 (:type "(request) -> bool" :description "Check if a request is resolved, i.e. is associated to a valid local file."))
#("request.status" 0 1 (:type "(request) -> string" :description "Current status of a request. Can be idle, resolving, ready, playing or destroyed."))
#("request.uri" 0 1 (:type "(request) -> string" :description "Initial URI of a request."))
#("restart" 0 1 (:type "() -> unit" :description "Restart the application."))
#("rms" 0 1 (:type "(?id : string?, ?duration : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Get current RMS volume of the source. Returns the source with a method `rms` to compute the current RMS volume of the source, with `0.0 <= RMS volume <= 1.0`."))
#("rms.smooth" 0 1 (:type "(?id : string?, ?duration : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Compute the current RMS for the source, this varies more smoothly that `rms` and is updated more frequently. Returns the source with a method `rms`."))
#("rms.stereo" 0 1 (:type "(?id : string?, ?duration : {float}, source(audio=pcm(stereo), 'a)) -> source(audio=pcm(stereo), 'a)" :description "Get current RMS volume of the source. Returns the source with a method `rms` to compute the current RMS volume of the source, with `0.0 <= RMS volume <= 1.0`."))
#("rotate" 0 1 (:type "(?id : string?, ?override : string, ?replay_metadata : bool,  ?transition_length : float,  ?transitions : [(source('a), source('a)) -> source('a)], ?weights :   [{int}], [source('a)]) -> source('a)" :description "Rotate between sources."))
#("rotate.merge" 0 1 (:type "(?id : string?, ?transitions : [(source('a), source('a)) -> source('a)],  ?weights : [{int}], [source('a)]) -> source('a) where   'a is a set of tracks to be muxed into a source and a set of internal tracks" :description "Same operator as rotate but merges tracks from each sources. For instance, `rotate.merge([intro,main,outro])` creates a source that plays a sequence `[intro,main,outro]` as single track and loops back."))
#("runtime.cpu.usage_getter" 0 1 (:type "() -> () -> {system : float, total : float, user : float}" :description "Create a function returning CPU usage (in `float` percent so `0.2` means `20%`) since the last time it was called."))
#("runtime.gc.compact" 0 1 (:type "() -> unit" :description "Perform a full major collection and compact the heap. Note that heap compaction is a lengthy operation."))
#("runtime.gc.full_major" 0 1 (:type "() -> unit" :description "Trigger full major garbage collection."))
#("runtime.gc.get" 0 1 (:type "() -> unit" :description "Return the current values of the GC parameters"))
#("runtime.gc.major" 0 1 (:type "() -> unit" :description "Trigger a minor collection and finish the current major collection cycle.."))
#("runtime.gc.major_slice" 0 1 (:type "(?int) -> unit" :description "Do a minor collection and a slice of major collection. The optional argument `n` is the size of the slice: the GC will do enough work to free (on average) `n` words of memory. If `0` (its default), the GC will try to do enough work to ensure that the next automatic slice has no work to do."))
#("runtime.gc.minor" 0 1 (:type "() -> unit" :description "Trigger full minor garbage collection."))
#("runtime.gc.print_stat" 0 1 (:type "() -> unit" :description "Print the current values of the memory management counters in human-readable form."))
#("runtime.gc.quick_stat" 0 1 (:type "() -> unit" :description "Same as stat except that `live_words`, `live_blocks`, `free_words`, `free_blocks`, `largest_free`, and `fragments` are set to `0`. This function is much faster than `gc.stat` because it does not need to go through the heap."))
#("runtime.gc.set" 0 1 (:type "(  {    allocation_policy : int,    custom_major_ratio : int,    custom_minor_max_size : int,    custom_minor_ratio : int,    major_heap_increment : int,    max_overhead : int,    minor_heap_size : int,    space_overhead : int,    stack_limit : int,    verbose : int,    window_size : int  }) -> unit" :description "Set the GC parameters."))
#("runtime.gc.stat" 0 1 (:type "() -> unit" :description "Return the current values of the memory management counters. This function examines every heap block to get the statistics."))
#("runtime.locale.set" 0 1 (:type "(string) -> unit" :description "Set the system's locale. This sets `LANG` and `LC_ALL` environment variables to the given value and then calls `setlocale`. This is set to `\"C\"` on startup, which defaults to the system's default locale. Keep in mind that changing this can potentially impact some functions such a `float_of_string`."))
#("runtime.memory" 0 1 (:type "() -> unit" :description "Returns information about the system and process' memory usage. Requires `mem_usage` for a full report."))
#("runtime.sys.word_size" 0 1 (:type "int" :description "Size of one word on the machine currently executing the program, in bits. Either `32` or `64`."))
#("saw" 0 1 (:type "(?id : string?, ?amplitude : {float}, ?duration : float?, ?{float}) -> source(audio=pcm*)" :description "Generate a saw wave."))
#("seconds_of_main" 0 1 (:type "(int) -> float" :description "Convert a number of main ticks in seconds."))
#("sequence" 0 1 (:type "(?id : string?, ?merge : bool, ?single_track : bool, [source('a)]) -> source('a)" :description "Play a sequence of sources. By default, play one track per source, except for the last one which is played as much as available."))
#("server.execute" 0 1 (:type "(string, ?string) -> [string]" :description "Execute a liquidsoap server command."))
#("server.harbor" 0 1 (:type "(?transport : http_transport  .{default_port : int, name : string, protocol : string}, ?port : int,  ?uri : string) -> unit" :description "Start an interface for the \"telnet\" server over http."))
#("server.insert_metadata" 0 1 (:type "(?id : string?, source('a)) -> source('a)" :description "Register a server/telnet command to update a source's metadata. Returns a new source, which will receive the updated metadata. The command has the following format: insert key1=\"val1\",key2=\"val2\",..."))
#("server.register" 0 1 (:type "(?namespace : string?, ?description : string, ?usage : string?, string,  ((string) -> string)) -> unit" :description "Register a command. You can then execute this function through the server, either telnet or socket."))
#("server.rms" 0 1 (:type "(?id : string?, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Register a command that outputs the RMS of the returned source."))
#("server.telnet" 0 1 (:type "(?port : int) -> unit" :description "Enable telnet server."))
#("shutdown" 0 1 (:type "(?code : int) -> unit" :description "Shutdown the application."))
#("sin" 0 1 (:type "(float) -> float" :description "Sine. Argument is in radians."))
#("sine" 0 1 (:type "(?id : string?, ?amplitude : {float}, ?duration : float?, ?{float}) -> source(audio=pcm*)" :description "Generate a sine wave."))
#("sine.detect" 0 1 (:type "(?id : string?, ?bands : int, ?debug : {bool}, ?duration : {float},  ?smoothing : {float}, ?threshold : {float}, [float], source(audio=pcm('a),  'b), ((float) -> unit)) -> source(audio=pcm('a), 'b)" :description "Detect sine waves."))
#("single" 0 1 (:type "(?id : string?, ?cue_in_metadata : string?, ?cue_out_metadata : string?,  ?fallible : bool, ?prefetch : int, ?timeout : float, string) -> source('a)" :description "Loop on a request. It never fails if the request is static, meaning that it can be fetched once. Typically, http, ftp, say requests are static, and time is not."))
#("sinh" 0 1 (:type "(float) -> float" :description "Hyperbolic sine. Argument is in radians."))
#("skipper" 0 1 (:type "(?every : {float}, source('a).{skip : () -> unit, time : () -> float}) -> source('a)" :description "Regularly skip tracks from a source (useful for testing skipping)."))
#("sky" 0 1 (:type "(source(audio=pcm('a), 'b)) -> source(audio=pcm('a) .{gain? : never, rms? : never}, 'b) where   'b is a set of tracks to be muxed into a source and a set of internal tracks" :description "Multiband-compression."))
#("sleeper" 0 1 (:type "(?every : float, ?delay : float, ?delay_random : float,  ?on_delay : ((float) -> unit), source('a)) -> source('a)" :description "Sleep regularly, thus inducing delays in the sound production. This is mainly useful for emulating network delays or sources which are slow to produce data, and thus test bufferization and robustness of scripts."))
#("smooth_add" 0 1 (:type "(?duration : float, ?p : {float}, normal : source(audio=pcm('a), 'b),  special : source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b) where   'b is a set of tracks to be muxed into a source and a set of internal tracks" :description "Mixes two streams, with faded transitions between the state when only the normal stream is available and when the special stream gets added on top of it."))
#("snd" 0 1 (:type "(('a * 'b)) -> 'b" :description "Get the second component of a pair."))
#("socket.address.internet_address" 0 1 (:type "(internet_address.{is_ipv6 : bool, to_string : () -> string}, int) -> socket_address" :description "Create a socket address for a internet address."))
#("socket.address.unix" 0 1 (:type "(string) -> socket_address" :description "Create a socket address for a unix file socket."))
#("socket.domain.inet" 0 1 (:type "socket_domain" :description "Inet socket domain"))
#("socket.domain.inet6" 0 1 (:type "socket_domain" :description "Inet6 socket domain"))
#("socket.domain.unix" 0 1 (:type "socket_domain" :description "Unix socket domain"))
#("socket.internet_address" 0 1 (:type "(string) -> internet_address" :description "Return an internet address from its string representation."))
#("socket.internet_address.any" 0 1 (:type "internet_address.{is_ipv6 : bool, to_string : () -> string}" :description "A special IPv4 address, for use only with `socket.bind`, representing all the Internet addresses that the host machine possesses."))
#("socket.internet_address.ipv6.any" 0 1 (:type "internet_address.{is_ipv6 : bool, to_string : () -> string}" :description "A special IPv6 address, for use only with `socket.bind`, representing all the Internet addresses that the host machine possesses."))
#("socket.internet_address.ipv6.loopback" 0 1 (:type "internet_address.{is_ipv6 : bool, to_string : () -> string}" :description "A special IPv6 address representing the host machine (`::1`)."))
#("socket.internet_address.loopback" 0 1 (:type "internet_address.{is_ipv6 : bool, to_string : () -> string}" :description "A special IPv4 address representing the host machine (`127.0.0.1`)."))
#("socket.pair" 0 1 (:type "(?domain : socket_domain, ?type : socket_type, ?protocol : int) -> socket" :description "Create a pair of sockets connected together."))
#("socket.type.dgram" 0 1 (:type "socket_type" :description "Dgram socket type"))
#("socket.type.raw" 0 1 (:type "socket_type" :description "Raw socket type"))
#("socket.type.stream" 0 1 (:type "socket_type" :description "Stream socket type"))
#("socket.unix" 0 1 (:type "(?domain : socket_domain, ?type : socket_type, ?protocol : int) -> socket" :description "Create a unix socket."))
#("socket.unix.client" 0 1 (:type "(?non_blocking : bool, string) -> socket" :description "Open a named UNIX socket and connect as a client."))
#("socket.unix.listen" 0 1 (:type "(?non_blocking : bool, string) -> socket" :description "Open a named socket and wait for a client to connect"))
#("soundtouch" 0 1 (:type "(?id : string?, ?pitch : {float}, ?rate : {float}, ?tempo : {float},  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Change the rate, the tempo or the pitch of the sound."))
#("source" 0 1 (:type "(?id : string?, 'a.{metadata? : metadata, track_marks? : track_marks}) -> source('a) where 'a is a set of tracks to be muxed into a source" :description "Create a source that muxes the given tracks."))
#("source.audio" 0 1 (:type "(?id : string?, 'a) -> source(audio='a) where 'a is a track" :description "Create an audio source from the given track, with metadata and track marks from that same track."))
#("source.available" 0 1 (:type "(?id : string?, ?override : bool, ?track_sensitive : {bool}, source('a),  {bool}) -> source('a)" :description "Change the availability of a source depending on a predicate."))
#("source.drop" 0 1 (:type "(source('a), ?ratio : float) -> unit" :description "Animate the source as fast as possible, dropping its output."))
#("source.drop.audio" 0 1 (:type "(?id : string?, source(audio='a, 'b)) -> source('b) where 'b is a set of tracks to be muxed into a source" :description "Remove the audio track of a source."))
#("source.drop.metadata" 0 1 (:type "(?id : string?, source('a)) -> source('a) where 'a is a set of tracks to be muxed into a source" :description "Remove the metadata track of a source."))
#("source.drop.midi" 0 1 (:type "(?id : string?, source(midi='a, 'b)) -> source('b) where 'b is a set of tracks to be muxed into a source" :description "Remove the midi track of a source."))
#("source.drop.video" 0 1 (:type "(?id : string?, source(video='a, 'b)) -> source('b) where 'b is a set of tracks to be muxed into a source" :description "Remove the video track of a source."))
#("source.dump" 0 1 (:type "(format('a), string, source('a), ?ratio : float) -> unit" :description "Immediately encode the whole contents of a source into a file."))
#("source.duration" 0 1 (:type "(source('a)) -> float" :description "Estimation of the duration in the current track."))
#("source.dynamic" 0 1 (:type "(?id : string?, ?infallible : bool, ?init : source('a)?,  ?resurection_time : float?, ?track_sensitive : bool, ?(() -> source('a)?)) -> source('a)" :description "Dynamically change the underlying source: it can either be changed by the function given as argument, which returns the source to be played, or by calling the `set` method."))
#("source.elapsed" 0 1 (:type "(source('a)) -> float" :description "Elapsed time in the current track."))
#("source.fail" 0 1 (:type "(?id : string?) -> source('a)" :description "A source that does not produce anything. No silence, no track at all."))
#("source.fail.init" 0 1 (:type "(?id : string?) -> source('a)" :description "A source that errors during its initialization phase, used for testing and debugging."))
#("source.fallible" 0 1 (:type "(source('a)) -> bool" :description "Indicate if a source may fail, i.e. may not be ready to stream."))
#("source.frame.duration" 0 1 (:type "(?id : string?, source('a)) -> source(frame_duration=float, 'a)" :description "Compute the duration of the last frame."))
#("source.frame.rms" 0 1 (:type "(?id : string?, source('a)) -> source(frame_rms=float, 'a)" :description "Compute the rms of the last frame."))
#("source.id" 0 1 (:type "(source('a)) -> string" :description "Get the identifier of a source."))
#("source.init" 0 1 (:type "([source('a)]) -> [source('a)]" :description "Simultaneously initialize sources, return the sublist of sources that failed to initialize."))
#("source.is_ready" 0 1 (:type "(source('a)) -> bool" :description "Indicate if a source is ready to stream (we also say that it is available), or currently streaming."))
#("source.is_up" 0 1 (:type "(source('a)) -> bool" :description "Check whether a source is up."))
#("source.mux.audio" 0 1 (:type "(?id : string?, audio : source(audio='A, 'B), source('c)) -> source(audio='A, 'c) where 'c is a set of tracks to be muxed into a source, 'A is a track" :description "Replace the audio track of a source by the one of another source."))
#("source.mux.midi" 0 1 (:type "(?id : string?, midi : source(midi='A, 'B), source('c)) -> source(midi='A, 'c) where 'c is a set of tracks to be muxed into a source, 'A is a track" :description "Replace the midi track of a source by the one of another source."))
#("source.mux.track.audio" 0 1 (:type "(?id : string?, audio : 'a, source('b)) -> source(audio='a, 'b) where 'b is a set of tracks to be muxed into a source, 'a is a track" :description "Replace the audio track of a source."))
#("source.mux.track.video" 0 1 (:type "(?id : string?, video : 'a, source('b)) -> source(video='a, 'b) where 'b is a set of tracks to be muxed into a source, 'a is a track" :description "Replace the video track of a source."))
#("source.mux.video" 0 1 (:type "(?id : string?, video : source(video='A, 'B), source('c)) -> source(video='A, 'c) where 'c is a set of tracks to be muxed into a source, 'A is a track" :description "Replace the video track of a source by the one of another source."))
#("source.on_end" 0 1 (:type "(?id : string?, ?delay : {float}, source('a),  ((float, [string * string]) -> unit)) -> source('a)" :description "Call a given handler when there is less than a given amount of time remaining before then end of track."))
#("source.on_frame" 0 1 (:type "(?id : string?, source('a), (() -> unit)) -> source('a)" :description "Call a given handler on every frame."))
#("source.on_metadata" 0 1 (:type "(?id : string?, source('a), (([string * string]) -> unit)) -> source('a)" :description "Call a given handler on metadata packets."))
#("source.on_shutdown" 0 1 (:type "(source('a), (() -> unit)) -> unit" :description "Register a function to be called when source is not used anymore by another source."))
#("source.on_track" 0 1 (:type "(?id : string?, source('a), (([string * string]) -> unit)) -> source('a)" :description "Call a given handler on new tracks."))
#("source.remaining" 0 1 (:type "(source('a)) -> float" :description "Estimation of remaining time in the current track."))
#("source.replaygain.compute" 0 1 (:type "(?id : string?, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "Compute the ReplayGain of the source. Data is accumulated until the `gain` method is called, i.e. the gain is computed _after_ the source has been played.."))
#("source.run" 0 1 (:type "(source('a), ?delay : float, ?every : float?, (() -> unit)) -> source('a)" :description "Run a function regularly. This is similar to `thread.run` but based on a source internal time instead of the computer's time."))
#("source.say_metadata" 0 1 (:type "(?id : string?, ?pattern : (([string * string]) -> string), source('a)) -> source('a)" :description "Append speech-synthesized tracks reading the metadata."))
#("source.seek" 0 1 (:type "(source('a), float) -> float" :description "Seek forward, in seconds. Returns the amount of time effectively seeked."))
#("source.set_name" 0 1 (:type "(source('a), string) -> unit" :description "Set the name of an operator."))
#("source.skip" 0 1 (:type "(source('a)) -> unit" :description "Skip to the next track."))
#("source.time" 0 1 (:type "(source('a)) -> float" :description "Get a source's time, based on its assigned clock"))
#("source.tracks" 0 1 (:type "(source('a)) -> 'a" :description "Return the tracks of a given source."))
#("source.video" 0 1 (:type "(?id : string?, 'a) -> source(video='a) where 'a is a track" :description "Create a video source from the given track, with metadata and track marks from that same track."))
#("sqrt" 0 1 (:type "(float) -> float" :description "Square root."))
#("square" 0 1 (:type "(?id : string?, ?amplitude : {float}, ?duration : float?, ?{float}) -> source(audio=pcm*)" :description "Generate a square wave."))
#("stereo" 0 1 (:type "(?id : string?, source(audio=pcm('a), 'b)) -> source(audio=pcm(stereo), 'b) where 'b is a set of tracks to be muxed into a source" :description "Convert any pcm audio source into a stereo source."))
#("stereo.left" 0 1 (:type "(?id : string?, source(audio=pcm(stereo), 'a)) -> source(audio=pcm(mono), 'a) where 'a is a set of tracks to be muxed into a source" :description "Extract the left channel of a stereo source"))
#("stereo.ms.decode" 0 1 (:type "(?id : string?, ?width : float, source(audio=pcm(stereo), 'a)) -> source(audio=pcm(stereo), 'a) where 'a is a set of tracks to be muxed into a source" :description "Decode mid+side stereo (M/S) to left+right stereo."))
#("stereo.ms.encode" 0 1 (:type "(?id : string?, source(audio=pcm(stereo), 'a)) -> source(audio=pcm(stereo), 'a) where 'a is a set of tracks to be muxed into a source" :description "Encode left+right stereo to mid+side stereo (M/S)."))
#("stereo.pan" 0 1 (:type "(?id : string?, ?pan : {float}, ?field : {float}, source(audio=pcm(stereo),  'a)) -> source(audio=pcm(stereo), 'a) where 'a is a set of tracks to be muxed into a source" :description "Pan a stereo sound."))
#("stereo.right" 0 1 (:type "(?id : string?, source(audio=pcm(stereo), 'a)) -> source(audio=pcm(mono), 'a) where 'a is a set of tracks to be muxed into a source" :description "Extract the right channel of a stereo source"))
#("stereo.width" 0 1 (:type "(?id : string?, ?{float}, source(audio=pcm(stereo), 'a)) -> source(audio=pcm(stereo), 'a) where 'a is a set of tracks to be muxed into a source" :description "Spacializer which allows controlling the width of the signal."))
#("stretch" 0 1 (:type "(?id : string?, ratio : {float}, source(audio=pcm('a), 'b)) -> source(audio=pcm('a))" :description "Slow down or accelerate an audio stream by stretching (sounds lower) or squeezing it (sounds higher)."))
#("string" 0 1 (:type "(?fields : bool, 'a) -> string" :description "Return the representation of a value."))
#("string.annotate.parse" 0 1 (:type "(string) -> [string * string] * string" :description "Parse a string of the form `<key>=<value>,...:<uri>` as given by the `annotate:` protocol"))
#("string.apic.parse" 0 1 (:type "(string) -> string" :description "Parse APIC ID3v2 tags (such as those obtained in the APIC tag from `file.metadata.id3v2`). The returned values are: mime, picture type, description, and picture data."))
#("string.base64.decode" 0 1 (:type "(string) -> string" :description "Decode a Base64 encoded string."))
#("string.base64.encode" 0 1 (:type "(string) -> string" :description "Encode a string in Base64."))
#("string.binary.of_int" 0 1 (:type "(?pad : int, ?little_endian : bool, int) -> string" :description "Encode a positive (unsigned) integer using native memory representation."))
#("string.binary.to_int" 0 1 (:type "(?little_endian : bool, string) -> int" :description "Value of a positive (unsigned) integer encoded using native memory representation."))
#("string.capitalize" 0 1 (:type "(?capitalize : bool, ?space_sensitive : bool, string) -> string" :description "Return a string with the first character set to upper case (capitalize), or to lower case (uncapitalize)."))
#("string.case" 0 1 (:type "(?lower : bool, string) -> string" :description "Convert a string to lower or upper case."))
#("string.char" 0 1 (:type "(int) -> string" :description "Create a string with one character."))
#("string.char.ascii.random" 0 1 (:type "(?[int]) -> string" :description "Return a random ASCII character"))
#("string.concat" 0 1 (:type "(?separator : string, [string]) -> string" :description "Concatenate strings."))
#("string.contains" 0 1 (:type "(?prefix : string, ?substring : string, ?suffix : string, string) -> bool" :description "Test whether a string contains a given prefix, substring or suffix."))
#("string.data_uri.decode" 0 1 (:type "(string) -> string.{mime : string}?" :description "Decode a string using the data uri format, i.e. `\"data:<mime>[;base64],<data>\"`."))
#("string.data_uri.encode" 0 1 (:type "(?base64 : bool, mime : string, string) -> string" :description "Encode a string using the data uri format, i.e. `\"data:<mime>[;base64],<data>\"`."))
#("string.escape" 0 1 (:type "(?special_char : ((encoding : string, string) -> bool)?,  ?escape_char : ((encoding : string, string) -> string)?,  ?encoding : string?, string) -> string" :description "Escape special characters in an string. By default, the string is assumed to be `\"utf8\"` encoded and is escaped following JSON and javascript specification."))
#("string.escape.all" 0 1 (:type "(?format : string, string) -> string" :description "Escape each character in the given string using a specific escape sequence."))
#("string.escape.html" 0 1 (:type "(?encoding : string?, string) -> string" :description "Escape HTML entities."))
#("string.escape.special_char" 0 1 (:type "(?encoding : string, string) -> bool" :description "Default function to detect characters to escape. See `string.escape` for more details."))
#("string.extract" 0 1 (:type "(pattern : string, string) -> [int * string]" :description "Extract substrings from a string. Perl compatible regular expressions are recognized. Hence, special characters should be escaped. Returns a list of (index,value). If the list does not have a pair associated to some index, it means that the corresponding pattern was not found. Alter natively, one can use the `r/_/.exec(_)` syntax for regular expressions."))
#("string.float" 0 1 (:type "(?decimal_places : int?, float) -> string" :description "String representation of a float."))
#("string.getter.concat" 0 1 (:type "([{string}]) -> {string}" :description "Combine a list of string getters `[g1, ...]` and return a single getter `g` such that: `string.getter.flush(separator=s, g) = string.concat(separator=s, list.filter(fun (s) -> s != \"\", [string.getter.flush(g1), ...]))`"))
#("string.getter.flush" 0 1 (:type "(?separator : string, {string}) -> string" :description "Flush all values from a string getter and return the concatenated result. If the getter is constant, return the constant string. Otherwise, call the getter repeatedly until it returns an empty string and return the concatenated result"))
#("string.getter.single" 0 1 (:type "(string) -> () -> string" :description "Create a string getter which will return once the given string and then the empty string."))
#("string.hex_of_int" 0 1 (:type "(?pad : int, int) -> string" :description "Hexadecimal representation of an integer."))
#("string.id" 0 1 (:type "(string) -> string" :description "Generate an identifier with given operator name."))
#("string.id.default" 0 1 (:type "(default : string, string?) -> string" :description "Generate an identifier if no identifier was provided."))
#("string.index" 0 1 (:type "(substring : string, string) -> int" :description "Index where a substring occurs in a string. The function returns `-1` if the substring is not present"))
#("string.is_int" 0 1 (:type "(string) -> bool" :description "Test whether a string is a valid integer."))
#("string.length" 0 1 (:type "(string) -> int" :description "Get the length of a string."))
#("string.make" 0 1 (:type "(?char_code : int, int) -> string" :description "Create a string of a given length using the given character."))
#("string.match" 0 1 (:type "(pattern : string, string) -> bool" :description "Match a string with an expression. Perl compatible regular expressions are recognized. Hence, special characters should be escaped. Alternatively, one can use the the `r/_/.test(_)` syntax for regular expressions."))
#("string.nth" 0 1 (:type "(string, int) -> int" :description "Retrieve a character in a string. Raises `error.not_found` if character does not exist."))
#("string.null_terminated" 0 1 (:type "(string) -> string" :description "Add a null character at the end of a string."))
#("string.pic.parse" 0 1 (:type "(string) -> string" :description "Parse PIC ID3v2 tags (such as those obtained in the PIC tag from `file.metadata.id3v2`). The returned values are: format, picture type, description, and picture data."))
#("string.quote" 0 1 (:type "(?encoding : string?, string) -> string" :description "Return a quoted copy of the given string. By default, the string is assumed to be `\"utf8\"` encoded and is escaped following JSON and javascript specification."))
#("string.recode" 0 1 (:type "(?in_enc : string?, ?out_enc : string, string) -> string" :description "Convert a string. Effective only if Camomile is enabled."))
#("string.replace" 0 1 (:type "(pattern : string, ((string) -> string), string) -> string" :description "Replace all substrings matched by a pattern by another string returned by a function. Alternatively, one can use the `r/_/g.replace(_)` syntax for regular expressions."))
#("string.residual" 0 1 (:type "(prefix : string, string) -> string?" :description "What remains of a string after a given prefix."))
#("string.split" 0 1 (:type "(separator : string, string) -> [string]" :description "Split a string at \"separator\". Perl compatible regular expressions are recognized. Hence, special characters should be escaped. Alternatively, one can use the `r/_/.split(_)` syntax for regular expressions."))
#("string.split.first" 0 1 (:type "(separator : string, string) -> string * string" :description "Split a string in two at first \"separator\"."))
#("string.sub" 0 1 (:type "(string, start : int, length : int) -> string" :description "Get a substring of a string. Returns \"\" if no such substring exists."))
#("string.to_float" 0 1 (:type "(?default : float, string) -> float" :description "Convert a string to a float."))
#("string.to_int" 0 1 (:type "(?default : int, string) -> int" :description "Convert a string to a int."))
#("string.trim" 0 1 (:type "(string) -> string" :description "Return a string without leading and trailing whitespace."))
#("string.unescape" 0 1 (:type "(string) -> string" :description "This function is the inverse of `string.escape`."))
#("string.unquote" 0 1 (:type "(string) -> string" :description "Return an unquoted copy of the given string. Quotes are removed by trying to parse the string following the JSON string escaping convention."))
#("string_of_metadata" 0 1 (:type "([string * string]) -> string" :description "Standard function for displaying metadata. Shows artist and title, using \"Unknown\" when a field is empty."))
#("swap" 0 1 (:type "(?string?, source(audio=pcm(stereo), 'a)) -> source(audio=pcm(stereo), 'a) where 'a is a set of tracks to be muxed into a source" :description "Swap two channels of a stereo source."))
#("switch" 0 1 (:type "(?id : string?, ?all_predicates : bool, ?override : string,  ?replay_metadata : bool, ?single : [bool], ?track_sensitive : {bool},  ?transition_length : float,  ?transitions : [(source('a), source('a)) -> source('a)],  [(() -> bool) * source('a)]) -> source('a)" :description "At the beginning of a track, select the first source whose predicate is true."))
#("synth.all.saw" 0 1 (:type "(?id : string?, ?attack : float, ?decay : float, ?envelope : bool,  ?release : float, ?sustain : float, source(midi=midi(channels=16), 'a)) -> source(midi=midi(channels=16), 'a)" :description "Saw synthesizer. It creates one synthesizer for each channel."))
#("synth.all.sine" 0 1 (:type "(?id : string?, ?attack : float, ?decay : float, ?envelope : bool,  ?release : float, ?sustain : float, source(midi=midi(channels=16), 'a)) -> source(midi=midi(channels=16), 'a)" :description "Sine synthesizer. It creates one synthesizer for each channel."))
#("synth.all.square" 0 1 (:type "(?id : string?, ?attack : float, ?decay : float, ?envelope : bool,  ?release : float, ?sustain : float, source(midi=midi(channels=16), 'a)) -> source(midi=midi(channels=16), 'a)" :description "Square synthesizer. It creates one synthesizer for each channel."))
#("synth.saw" 0 1 (:type "(?id : string?, ?attack : float, ?channel : int, ?decay : float,  ?envelope : bool, ?release : float, ?sustain : float, ?volume : float,  source(midi=midi(channels=1), 'a)) -> source(midi=midi(channels=1), 'a)" :description "Saw synthesizer."))
#("synth.sine" 0 1 (:type "(?id : string?, ?attack : float, ?channel : int, ?decay : float,  ?envelope : bool, ?release : float, ?sustain : float, ?volume : float,  source(midi=midi(channels=1), 'a)) -> source(midi=midi(channels=1), 'a)" :description "Sine synthesizer."))
#("synth.square" 0 1 (:type "(?id : string?, ?attack : float, ?channel : int, ?decay : float,  ?envelope : bool, ?release : float, ?sustain : float, ?volume : float,  source(midi=midi(channels=1), 'a)) -> source(midi=midi(channels=1), 'a)" :description "Square synthesizer."))
#("tan" 0 1 (:type "(float) -> float" :description "Tangent. Argument is in radians."))
#("tanh" 0 1 (:type "(float) -> float" :description "Hyperbolic tangent. Argument is in radians."))
#("thread.on_error" 0 1 (:type "(error  .{    kind : string,    message : string,    trace : [             {               position_end :                {character_offset : int, filename : string, line_number : int               },               position_start :                {character_offset : int, filename : string, line_number : int               },               to_string : (?prefix : string) -> string             }]  }?,  ((backtrace : string, error    .{      kind : string,      message : string,      trace : [               {                 position_end :                  {character_offset : int, filename : string, line_number : int                 },                 position_start :                  {character_offset : int, filename : string, line_number : int                 },                 to_string : (?prefix : string) -> string               }]    }) -> unit)) -> unit" :description "Register the function to be called when an error of the given kind is raised in a thread. Catches all errors if first argument is `null`."))
#("thread.pause" 0 1 (:type "(float) -> unit" :description "Pause execution for a given amount of seconds. This freezes the calling thread and should not be used in the main streaming loop."))
#("thread.run" 0 1 (:type "(?fast : bool, ?delay : float, ?every : {float}?, (() -> unit)) -> unit" :description "Run a function in a separate thread."))
#("thread.run.recurrent" 0 1 (:type "(?fast : bool, ?delay : float, (() -> float)) -> unit" :description "Run a recurrent function in a separate thread."))
#("thread.when" 0 1 (:type "(?fast : bool, ?init : bool, ?every : {float}, ?once : bool, ?changed : bool,  (() -> bool), (() -> 'a)) -> unit" :description "Execute a callback when a predicate is `true`. The predicate is checked `every` seconds and the callback is called when the predicate returns `true` after having been `false`, following the same semantics as `predicate.activates`."))
#("time" 0 1 (:type "() -> float" :description "Return the current time since 00:00:00 GMT, Jan. 1, 1970, in seconds."))
#("time.local" 0 1 (:type "(?float?) -> unit" :description "Convert a time in seconds into a date in the local time zone (current time is used if no argument is provided)."))
#("time.make" 0 1 (:type "(  {    day : int,    dst : bool?,    hour : int,    min : int,    month : int,    sec : int,    year : int  }) -> float" :description "Convert a date and time in the local timezone into a time, in seconds, since 00:00:00 GMT, Jan. 1, 1970."))
#("time.predicate" 0 1 (:type "(string) -> () -> bool" :description "Parse a string as a time predicate"))
#("time.string" 0 1 (:type "(?time : float?, ?string?) -> string" :description "Obtain a string representation of the current time. It takes a string as argument where special strings are replaced roughly following [strftime](https://docs.python.org/3/library/datetime.html#strftime-and-strptime-format-codes): %H is replaced by the current hour, %M minute, %S second, %A week day (%a week day abbreviated), %d month day, %B month name (%b month name abbreviated), %z timezone."))
#("time.up" 0 1 (:type "() -> float" :description "Current time, in seconds, since the script has started."))
#("time.utc" 0 1 (:type "(?float?) -> unit" :description "Convert a time in seconds into a date in the UTC time zone (current time is used if no argument is provided)."))
#("time.zone" 0 1 (:type "() -> string" :description "Returns a description of the time zone set for the running process."))
#("time.zone.set" 0 1 (:type "(string) -> unit" :description "Set the current time zone. This is equivalent to setting the `TZ` environment variable."))
#("track.audio.add" 0 1 (:type "(?id : string?, [pcm('a).{weight? : {float}}], ?normalize : {bool},  ?power : {bool}) -> pcm('a)" :description "Mix audio tracks with optional normalization."))
#("track.audio.amplify" 0 1 (:type "(?id : string?, {float}, ?override : string?, pcm('a)) -> pcm('a)" :description "Multiply the amplitude of the signal."))
#("track.audio.clip" 0 1 (:type "(?id : string?, pcm('a)) -> pcm('a)" :description "Clip samples, i.e. ensure that all values are between -1 and 1: values lower than -1 become -1 and values higher than 1 become 1. `nan` values become `0.`"))
#("track.audio.comb" 0 1 (:type "(?id : string?, ?delay : float, ?feedback : {float}, pcm('a)) -> pcm('a)" :description "Comb filter."))
#("track.audio.compand" 0 1 (:type "(?id : string?, ?mu : float, source(pcm('a))) -> pcm('a)" :description "Compand the signal."))
#("track.audio.compress" 0 1 (:type "(?id : string?, ?attack : {float}, ?release : {float}, ?lookahead : {float},  ?threshold : {float}, ?track_sensitive : bool, ?knee : {float},  ?pre_gain : {float}, ?gain : {float}, ?ratio : {float}, ?window : {float},  ?wet : {float}, pcm('a)) -> pcm('a)" :description "Compress the signal."))
#("track.audio.compress.exponential" 0 1 (:type "(?id : string?, ?mu : float, pcm('a)) -> pcm('a)" :description "Exponential compressor."))
#("track.audio.defer" 0 1 (:type "(?id : string?, delay : float, ?overhead : float?, pcm_s16('a)) -> pcm_s16('a)" :description "Defer an audio track by a given amount of time. Track will be available when the given `delay` has been fully buffered. Use this operator instead of `buffer` when buffering large amount of data as initial delay."))
#("track.audio.map" 0 1 (:type "(?id : string?, ((float) -> float), pcm('a)) -> pcm('a)" :description "Map a function to all audio samples. This is SLOW!"))
#("track.audio.mean" 0 1 (:type "(?id : string?, ?normalize : bool, pcm('a)) -> pcm(mono)" :description "Produce mono audio by taking the mean of all audio channels."))
#("track.audio.stereo" 0 1 (:type "(?id : string?, pcm('a)) -> pcm(stereo)" :description "Convert any pcm audio track into a stereo track."))
#("track.audio.stereo.left" 0 1 (:type "(?id : string?, pcm(stereo)) -> pcm(mono)" :description "Extract the left channel of a stereo track"))
#("track.audio.stereo.ms.decode" 0 1 (:type "(?id : string?, ?width : float, pcm(stereo)) -> pcm(stereo)" :description "Decode mid+side stereo (M/S) to left+right stereo."))
#("track.audio.stereo.ms.encode" 0 1 (:type "(?id : string?, pcm(stereo)) -> pcm(stereo)" :description "Encode left+right stereo to mid+side stereo (M/S)."))
#("track.audio.stereo.pan" 0 1 (:type "(?id : string?, ?pan : {float}, ?field : {float}, pcm(stereo)) -> pcm(stereo)" :description "Pan a stereo sound."))
#("track.audio.stereo.right" 0 1 (:type "(?id : string?, pcm(stereo)) -> pcm(mono)" :description "Extract the right channel of a stereo track"))
#("track.audio.stereo.width" 0 1 (:type "(?id : string?, ?{float}, pcm(stereo)) -> pcm(stereo)" :description "Spacializer which allows controlling the width of the signal."))
#("track.audio.stretch" 0 1 (:type "(?id : string?, ratio : {float}, pcm('a)) -> pcm('a)" :description "Slow down or accelerate an audio stream by stretching (sounds lower) or squeezing it (sounds higher)."))
#("track.audio.swap" 0 1 (:type "(?id : string?, pcm(stereo)) -> pcm(stereo)" :description "Swap two channels of a stereo track."))
#("track.decode.audio.pcm_f32" 0 1 (:type "(?id : string?, pcm_f32('a)) -> pcm('a)" :description "Decode an audio track using PCM signed 16 bit integers."))
#("track.decode.audio.pcm_s16" 0 1 (:type "(?id : string?, pcm_s16('a)) -> pcm('a)" :description "Decode an audio track using PCM signed 16 bit integers."))
#("track.encode.audio.pcm_f32" 0 1 (:type "(?id : string?, pcm('a)) -> pcm_f32('a)" :description "Encode an audio track using PCM signed 16 bit integers."))
#("track.encode.audio.pcm_s16" 0 1 (:type "(?id : string?, pcm('a)) -> pcm_s16('a)" :description "Encode an audio track using PCM signed 16 bit integers."))
#("track.ffmpeg.decode.audio" 0 1 (:type "(?id : string?, ffmpeg.copy('a)) -> pcm('b)" :description "Decode a track content"))
#("track.ffmpeg.decode.video" 0 1 (:type "(?id : string?, ffmpeg.copy('a)) -> canvas('b)" :description "Decode a track content"))
#("track.ffmpeg.encode.audio" 0 1 (:type "(?id : string?, format(audio=pcm('a), 'b), pcm('a)) -> ffmpeg.copy('c)" :description "Convert a track's content"))
#("track.ffmpeg.encode.video" 0 1 (:type "(?id : string?, format(video=canvas('a), 'b), canvas('a)) -> ffmpeg.copy('c)" :description "Convert a track's content"))
#("track.ffmpeg.raw.decode.audio" 0 1 (:type "(?id : string?, ffmpeg.audio.raw('a)) -> pcm('b)" :description "Decode a track content"))
#("track.ffmpeg.raw.decode.video" 0 1 (:type "(?id : string?, ffmpeg.video.raw('a)) -> canvas('b)" :description "Decode a track content"))
#("track.ffmpeg.raw.encode.audio" 0 1 (:type "(?id : string?, format(audio=ffmpeg.audio.raw('a), 'b), pcm('c)) -> ffmpeg.audio.raw('a)" :description "Convert a track's content"))
#("track.ffmpeg.raw.encode.video" 0 1 (:type "(?id : string?, format(video=ffmpeg.video.raw('a), 'b), canvas('c)) -> ffmpeg.video.raw('a)" :description "Convert a track's content"))
#("track.metadata" 0 1 (:type "(?id : string?, 'a) -> metadata where 'a is a track" :description "Return the metadata associated with the given track"))
#("track.metadata.deduplicate" 0 1 (:type "(?id : string?, metadata) -> metadata" :description "Remove duplicate metadata in a track."))
#("track.metadata.map" 0 1 (:type "(?id : string?, (([string * string]) -> [string * string]), ?update : bool,  ?strip : bool, ?insert_missing : bool, metadata) -> metadata" :description "Rewrite metadata on the fly using a function."))
#("track.metadata.merge" 0 1 (:type "(?id : string?, [metadata]) -> metadata" :description "Merge metadata from all given tracks. If two sources have metadata with the same label at the same time, the one from the last source in the list takes precedence."))
#("track.track_marks" 0 1 (:type "(?id : string?, 'a) -> track_marks where 'a is a track" :description "Return the track marks associated with the given track"))
#("track.video.add" 0 1 (:type "(?id : string?, [canvas('a)]) -> canvas('a)" :description "Merge video tracks."))
#("track.video.add_image" 0 1 (:type "(?id : string?, ?fallible : bool, ?width : {int}?, ?height : {int}?,  ?x : {int}, ?y : {int}, file : {string}, canvas('a)) -> canvas('a)" :description "Add a static image on the given video track."))
#("track.video.tile" 0 1 (:type "(?id : string?, ?proportional : bool, [canvas('a)]) -> canvas('a)" :description "Tile video tracks."))
#("url.decode" 0 1 (:type "(?plus : bool, string) -> string" :description "Decode an encoded url (e.g. \"%20\" becomes \" \")."))
#("url.encode" 0 1 (:type "(?plus : bool, string) -> string" :description "Encode an url (e.g. \" \" becomes \"%20\")."))
#("url.split" 0 1 (:type "(string) -> string * [string * string]" :description "Split an url of the form `foo?arg=bar&arg2=bar2` into `(\"foo\",[(\"arg\",\"bar\"),(\"arg2\",\"bar2\")])`. The returned strings are decoded (see `url.decode`)."))
#("url.split_args" 0 1 (:type "(string) -> [string * string]" :description "Split the arguments of an url of the form `arg=bar&arg2=bar2` into `[(\"arg\",\"bar\"),(\"arg2\",\"bar2\")]`. The returned strings are decoded (see `url.decode`)."))
#("video.add_image" 0 1 (:type "(?id : string?, ?width : {int}?, ?height : {int}?, ?x : {int}, ?y : {int},  file : {string}, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b) where 'b is a set of tracks to be muxed into a source" :description "Add a static image on the source video channel."))
#("video.add_line" 0 1 (:type "(?id : string?, ?alpha : {float}, ?color : {int}, {int * int}, {int * int},  source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Draw a line on the video."))
#("video.add_rectangle" 0 1 (:type "(?id : string?, ?alpha : {float}, ?color : {int}, height : {int},  width : {int}, ?x : {int}, ?y : {int}, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Draw a rectangle."))
#("video.add_subtitle" 0 1 (:type "(?override : string, ?size : int, ?color : int, ?offset : int,  source(video=canvas('A), 'a)) -> source(video=canvas('A), 'a) where 'a is a set of tracks to be muxed into a source" :description "Add subtitle from metadata."))
#("video.add_text" 0 1 (:type "(?id : string?, ?duration : float?, ?color : int, ?cycle : bool,  ?font : {string}?, ?metadata : string?, ?size : int, ?speed : int,  ?x : {int}, ?y : {int}, ?on_cycle : (() -> unit), {string},  source(video=canvas('A), 'a).{is_ready : () -> bool}) -> source(video=canvas('A), 'a) where 'a is a set of tracks to be muxed into a source" :description "Add a text to a stream. Uses the first available operator in: camlimages, SDL, FFmpeg, GStreamer, gd or native."))
#("video.add_text.ffmpeg.internal" 0 1 (:type "(?id : string?, ?color : int, ?cycle : bool, ?font : string?,  ?duration : float?, ?metadata : string?, ?size : int, ?speed : int,  ?x : {int}, ?y : {int}, {string}, source(audio=pcm('b), video=canvas('a))) -> source(audio=pcm('c), video=canvas('d))" :description "Display a text."))
#("video.add_text.ffmpeg.raw" 0 1 (:type "(?color : int, ?cycle : bool, ?font : string?, ?metadata : string?,  ?size : int, ?speed : int, ?x : {int}, ?y : {int},  graph : ffmpeg.filter.graph, ?{string}, source(video=ffmpeg.video.raw('a),  'b)) -> ffmpeg.filter.video" :description "Display a text. Use this operator inside ffmpeg filters with a input source"))
#("video.add_text.ffmpeg.raw.filter" 0 1 (:type "(?color : int, ?cycle : bool, ?font : string?, ?metadata : string?,  ?size : int, ?speed : int, ?x : {int}, ?y : {int},  graph : ffmpeg.filter.graph, ?{string}, ffmpeg.filter.video) -> ffmpeg.filter.video" :description "Display a text. Use this operator inside ffmpeg filters with a ffmpeg video input Returns a ffmpeg video output with `on_change` and `on_metadata` methods to be used to update the output text."))
#("video.add_text.native" 0 1 (:type "(?id : string?, ?duration : float?, ?color : {int}, ?cycle : bool,  ?font : {string}?, ?metadata : string?, ?size : {int}, ?speed : int,  ?x : {int}, ?y : {int}, ?on_cycle : (() -> unit), {string},  source(video=canvas('B), 'A).{is_ready : () -> bool}) -> source(video=canvas('B), 'A) where 'A is a set of tracks to be muxed into a source" :description "Add a text to a stream (native implementation)."))
#("video.align" 0 1 (:type "(?id : string?, ?bottom : bool, ?left : bool, ?right : bool, ?top : bool,  source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Translate the video so that it is aligned on boundaries."))
#("video.alpha.movement" 0 1 (:type "(?id : string?, ?precision : float, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Make moving parts visible and non-moving parts transparent. A cheap way to have a bluescreen."))
#("video.alpha.of_color" 0 1 (:type "(?id : string?, ?color : int, ?precision : float, source(video=canvas('a),  'b)) -> source(video=canvas('a), 'b)" :description "Set a color to be transparent."))
#("video.alpha.remove" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Remove \206\177 channel."))
#("video.alpha.to_y" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Convert the \206\177 channel to Y channel, thus converting opaque (resp.\194\160transparent) pixels to bright (resp.\194\160dark) ones. This is useful to observe the \206\177 channel."))
#("video.board" 0 1 (:type "(?id : string?, ?height : int?, ?width : int?) -> source('a) where 'a is a set of internal tracks" :description "A plane where one can draw."))
#("video.bounding_box" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Retrieve the origin (methods `x` / `y`) and the dimensions (methods `width` / `height`) of the bounding box of the video."))
#("video.color" 0 1 (:type "({int}) -> source(video=canvas('a), 'b) where 'b is a set of internal tracks" :description "Generate a video filled with given color."))
#("video.cover" 0 1 (:type "('b.{on_track : ((([string * string]) -> unit)) -> 'a}) -> source(video=canvas('c))" :description "Generate a video source containing cover-art for current track of input audio source."))
#("video.crop" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Make the viewport of the current video match its bounding box."))
#("video.external.testsrc" 0 1 (:type "(?id : string, ?restart : bool, ?restart_on_error : bool, ?buffer : float,  ?max : float, ?framerate : int) -> source(audio=pcm(stereo), video=canvas('a))" :description "ffmpeg's test source video (useful for testing and debugging)."))
#("video.fade.in" 0 1 (:type "(?id : string?, ?duration : float, ?override : string, ?transition : string,  ?type : string, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Fade the beginning of tracks. Metadata 'liq_video_fade_in' can be used to set the duration for a specific track (float in seconds)."))
#("video.fade.out" 0 1 (:type "(?id : string?, ?duration : float, ?override : string, ?transition : string,  ?type : string, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Fade the end of tracks. Metadata 'liq_video_fade_out' can be used to set the duration for a specific track (float in seconds)."))
#("video.fill" 0 1 (:type "(?id : string?, ?alpha : {float}, ?color : {int}, source(video=canvas('a),  'b)) -> source(video=canvas('a), 'b)" :description "Fill frame with a color."))
#("video.frame.height" 0 1 (:type "() -> int" :description "Height for all video frames."))
#("video.frame.rate" 0 1 (:type "() -> int" :description "Framerate for all video frames."))
#("video.frame.width" 0 1 (:type "() -> int" :description "Width for all video frames."))
#("video.greyscale" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Convert video to greyscale."))
#("video.hmirror" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Flip image horizontally."))
#("video.info" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Compute various information about the video (dimension, size, etc.). Those are accessible through the methods attached to the source."))
#("video.invert" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Invert video."))
#("video.lomo" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Emulate the \"Lomo effect\"."))
#("video.opacity" 0 1 (:type "(?id : string?, {float}, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Scale opacity of video."))
#("video.opacity.box" 0 1 (:type "(?id : string?, alpha : {float}, height : {int}, width : {int}, ?x : {int},  ?y : {int}, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Set alpha value on a given box inside the image."))
#("video.persistence" 0 1 (:type "(?id : string?, ?duration : {float}, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Make images of the video persistent."))
#("video.plot" 0 1 (:type "(?lines : bool, ?min : float, ?max : float, ?speed : float, ?color : int,  (() -> float)) -> source(video=canvas('a), 'b) where 'b is a set of internal tracks" :description "Plot a floating point value."))
#("video.render" 0 1 (:type "(?id : string?, ?transparent : bool, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Render the video by computing the result of its canvas images."))
#("video.resize" 0 1 (:type "(?id : string?, ?height : {int}?, ?proportional : bool, ?width : {int}?,  ?x : {int}, ?y : {int}, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Resize and translate video."))
#("video.rotate" 0 1 (:type "(?id : string?, ?angle : {float}, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Rotate video."))
#("video.scale" 0 1 (:type "(?id : string?, ?scale : {float}, ?x : {int}, ?xscale : {float}, ?y : {int},  ?yscale : {float}, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Scale and translate video."))
#("video.sepia" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Convert video to sepia."))
#("video.slideshow" 0 1 (:type "(?id : string?, ?cyclic : {bool}, ?advance : {float}, ?[string]) -> source('a)" :description "Display a slideshow (typically of pictures)."))
#("video.still_frame" 0 1 (:type "(?id : string?, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Take still frames from a video source by calling the `save` method. For now only bitmap output is supported."))
#("video.testsrc" 0 1 (:type "(?id : string?, ?height : int, ?width : int) -> source('a) where 'a is a set of internal tracks" :description "Generate a test video."))
#("video.testsrc.ffmpeg" 0 1 (:type "(?id : string?, ?pattern : string, ?max_buffer : float, ?duration : 'a?) -> source(video=canvas('b))" :description "A test video source, which generates various patterns."))
#("video.text" 0 1 (:type "(?id : string?, ?color : {int}, ?duration : float?, ?font : {string}?,  ?size : {int}, {string}) -> source(video=canvas('A))" :description "Display a text using the first available operator in: camlimages, SDL, FFmpeg, GStreamer, gd or native."))
#("video.text.gd" 0 1 (:type "(?id : string?, ?duration : float?, ?color : {int}, ?cycle : bool,  ?font : {string}?, ?metadata : string?, ?size : {int}, ?speed : int,  ?x : {int}, ?y : {int}, ?on_cycle : (() -> unit), {string},  source(video=canvas('B), 'A).{is_ready : () -> bool}) -> source(video=canvas('B), 'A) where 'A is a set of tracks to be muxed into a source" :description "Add a text to a stream (GD implementation)."))
#("video.text.native" 0 1 (:type "(?id : string?, ?color : {int}, ?duration : float?, ?font : {string}?,  ?size : {int}, {string}) -> source(video=canvas('a), 'b)" :description "Display a text."))
#("video.tile" 0 1 (:type "(?id : string?, ?normalize : {bool}, ?power : {bool}, ?proportional : bool,  ?weights : [{float}], [source(?audio=pcm('b), video=canvas('a), 'c)]) -> source(?audio=pcm('b), video=canvas('a))" :description "Tile sources"))
#("video.translate" 0 1 (:type "(?id : string?, ?x : {int}, ?y : {int}, source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Translate video."))
#("video.viewport" 0 1 (:type "(?id : string?, ?height : int?, ?width : int?, ?x : int, ?y : int,  source(video=canvas('a), 'b)) -> source(video=canvas('a), 'b)" :description "Set the viewport for the current video."))
#("video.volume" 0 1 (:type "(?id : string?, source(audio=pcm('a), 'b)) -> source(audio=pcm('a), video=canvas('c), 'b)" :description "Graphical visualization of the sound."))
#("video.vumeter" 0 1 (:type "(?rms_min : float, ?rms_max : float, ?window : float, ?color : int,  ?persistence : float, 'b  .{audio : pcm('a), metadata? : metadata, track_marks? : track_marks}) -> source(audio=pcm('a), video=canvas('c), 'b) where 'b is a set of tracks to be muxed into a source" :description "VU meter: display the audio volume (RMS in dB). This adds a video track to the source."))
#("vumeter" 0 1 (:type "(?rms_min : float, ?rms_max : float, ?window : float, ?scroll : bool,  source(audio=pcm('a), 'b)) -> source(audio=pcm('a), 'b)" :description "VU meter: display the audio volume (RMS in dB) on the standard output."))
#("while" 0 1 (:type "({bool}, (() -> unit)) -> unit" :description "A while loop."))
#("~-" 0 1 (:type "('a) -> 'a where 'a is a number type" :description "Returns the opposite of its argument."))
))

(provide 'liquidsoap-completions)
